About Microsoft Visio activation

Your license to use Microsoft Visio begins when you install and activate your product. If you fail to activate after installing the product, Microsoft Visio will go into Reduced Functionality Mode. In Reduced Functionality Mode, you will not be able to save a current drawing or create a new drawing, and additional functionality will be disabled. No existing Visio files will be harmed while the product is in this mode.

By using the Microsoft Visio Activation Wizard, you can update or change your personal customer information held at Microsoft at any time, either over the Internet or by telephone.


About the Microsoft Visio Activation Wizard privacy policy

Microsoft asks that you activate your product so that we can verify that your installation is done with a genuine Microsoft product. When you activate your product, no personal information will be sent to Microsoft; you can activate your product anonymously. The only information you are required to provide is your country/region.

During activation the Microsoft Visio Activation Wizard creates a unique hardware identification that represents the configuration of your computer at the time of activation. The hardware identification does not include any personal information, any information about software or data that may reside on your computer, or any information about the specific make or model of your computer. The hardware identification identifies only the computer and only for the sole purpose of activation. The Microsoft Visio Activation Wizard can detect and tolerate changes to your computer configuration. Minor upgrades will not require re-activation, but if you completely overhaul your computer, you may be required to activate again.

During activation you can provide your name and other contact information if you want to register your product with Microsoft. If you choose to register your product, the information that you provide will be securely stored by Microsoft and will be protected from disclosure to third parties without your consent.

If you choose to register, you will have the opportunity to decide whether you want to receive special offers. If you select the option "Receive offers from Microsoft" during activation, Microsoft will send you information about Microsoft products and services. If you do not want to receive this information, do not select the "Receive offers from Microsoft" option.

If you select the option "Receive offers from Microsoft on related third-party products and services" during activation, Microsoft will carefully select other companies to send you information. If you do not want us to do this, do not select the "Receive offers from Microsoft on related third-party products and services" option.

To ensure that the information you provide to Microsoft through the Activation Wizard is correct, you can review and update this information by contacting Microsoft at any time. You can use the Activation Wizard to do this on the Internet or by telephone. If these options are not available to you, you can update or change any information you provided by sending your Product ID (which you can find by clicking About on the Help menu) and any changes you would like to make to the address below. We will update your information to reflect any corrections or changes you want. It is important that you include your Product ID so that we can accurately identify your activation record.

If you believe that Microsoft has not adhered to these privacy principles, please notify us by postal mail at the following address:

Microsoft

Attn: Microsoft Product Activation

One Microsoft Way

Redmond, Washington 98052-6399

We will use commercially reasonable efforts to promptly determine and correct the problem.


About Reduced Functionality Mode

If you do not activate Microsoft Visio after you install it, Visio will go into Reduced Functionality Mode.

In Reduced Functionality Mode, you will not be able to save, print, or create a new document, and additional functionality will be disabled. The following list describes the functionality that is disabled:

  • You cannot create new files.
  • You cannot save any modifications to existing documents.
  • You cannot cut, copy, or paste content, including Paste Special or putting content on the Clipboard.
  • You cannot import or export data.
  • You cannot use VBA and the object model.
  • You cannot enable existing macros or create new macros.
  • You cannot access the ShapeSheet window.
  • You cannot access or assign custom properties or shape properties
  • You cannot display anchored windows.
  • You cannot display stencils, including custom stencils.

Note You can, however, open, close, and print existing drawings in Reduced Functionality Mode. No existing Microsoft Visio files will be harmed, and you can easily get Microsoft Visio out of this mode by following all the instructions in the Microsoft Visio Activation Wizard.


Automatically repair the Microsoft Visio program

This procedure detects and repairs problems such as missing files and registry settings associated with the installed Microsoft Visio program. It does not repair personal files, such as drawings.

  1. On the Help menu, click Detect and Repair.
  2. Click Start.

Note If the Detect and Repair command does not fix the problem, you may need to reinstall Microsoft Visio.


Find out the version of your Visio product

  1. In Windows Explorer, open your Microsoft Visio folder. (By default, it is C:\Program Files\Microsoft Office\Visio10).
  2. Right-click the blue Visio icon, and then click Properties.
  3. Click the Version tab.

The version is listed after File version.


What happens if I don't activate Microsoft Visio?

If you do not activate Microsoft Visio after you install it, Visio will go into Reduced Functionality Mode. In this mode, you will not be able to save, print, or create a new drawing, and additional functionality will be reduced. No existing Visio files will be harmed. You may activate Visio at any time by running the Microsoft Visio Activation Wizard.


About accessibility for people with disabilities

Microsoft is committed to making products that are accessible and usable by all people, including those who have disabilities.

Accessibility features in Microsoft Visio

Many accessibility features are built into Microsoft Visio. These features are available to everyone, without the need for additional accessibility aids.

Click to show or hide information. Keyboard shortcuts

Many features and commands are available directly from the keyboard. You can also view and print lists of all the shortcut keys available.

Click to show or hide information. Customization options

You can customize Microsoft Visio to better suit your needs:

  • Size and zoom options You can zoom in on your drawing to make information more readable on the screen. You can also make toolbar buttons larger so that they're easier to see and use. If you use the Microsoft IntelliMouse or Microsoft IntelliMouse TrackBall pointing device, you can scroll and zoom directly by using the mouse instead of clicking buttons on the screen. For example, you can zoom in or out of a document by holding down CTRL and rotating the wheel forward or backward.
  • Toolbar and menu options You can customize toolbars and menu commands; for example, you might create a toolbar that contains only the buttons and menus you use most often, or group toolbar buttons and menu commands together in a way that meets your preference. You can even create a custom toolbar button or menu command.
  • Color and sound options You can view Visio drawings in high-contrast mode to make them easier to read, and you can customize the colors of Visio drawing pages and backgrounds and of Visio stencil windows and backgrounds. You can also add sounds to a Microsoft Visio window. For example, you can have Visio make a sound to let you know when a window opens or closes.

Click to show or hide information. Tips for working more efficiently

Microsoft Visio includes features that can help you automate repetitive tasks or work more effectively. For example, you can reduce keystrokes by using the Format Painter [image] tool to copy formatting from one shape or paragraph to another.

If you use certain text frequently, you can store it in a convenient location and insert it into your document by simply typing a keyword. You can also use automation features such as AutoCorrect to automatically correct your capitalization and spelling and to automatically format punctuation marks, numbers, and symbols.

Additional resources

Click to show or hide information. Information on the Web

If you have access to the World Wide Web, you can learn more about the accessibility features included in Microsoft products from the Microsoft Accessibility Web site. To learn about creating accessible content for your Web pages, refer to the accessibility standards developed by the World Wide Web Consortium.

Note The hyperlinks in this topic go to the Web. You can switch back to Help at any time.

Click to show or hide information. Printed information about Microsoft services

More information about Microsoft services for people with disabilities is available in an appendix in the book Discovering Microsoft Office, which comes with Microsoft Office. For example, you'll find information about how people who are deaf or hard-of-hearing can contact the Microsoft Sales and Information Center or the Microsoft Support Network. You'll also find information about obtaining Microsoft documentation from Recording for the Blind, Inc., for those who have difficulty reading or handling printed documentation. The appendix also describes third-party hardware and software products that make personal computers easier to use for people with disabilities and lists organizations to contact for more information.

Click to show or hide information. System accessibility options

If you own a Microsoft Windows-based computer, you can set or change system accessibility options. Many of these options affect the way you work in Microsoft programs. For example, the Windows StickyKeys feature is designed for people who have difficulty holding down two or more keys at a time. When a shortcut in a Microsoft program requires a key combination, such as CTRL+P, StickyKeys enables you to press one key at a time instead of pressing them simultaneously.


About creating accessible Microsoft Visio drawings

If you use Microsoft Visio to design drawings, Web pages, and other types of documents, make sure that the content you create is accessible to all people, including those with disabilities.

These tips illustrate just a few ways to create accessible content:

  • Don't rely on sound alone to convey important information. For example, if your Microsoft Visio drawing contains audio, you can make text descriptions of the audio content available as part of the drawing. Making audio information available in an alternative form benefits users who don't have a sound card, who have sound turned off, or who are deaf or hard-of-hearing.
  • Don't rely on color alone to convey important information. For example, if your Microsoft Visio drawing contains color-coded information, use additional cues, such as textual annotations, to supplement the use of color. Users may use a limited color scheme, or use a handheld computer with a monochrome display, or rely on screen review utilities, and these seldom convey information that is only represented by colors.

If you have access to the World Wide Web, you can learn more about the accessibility features included in Microsoft products from the Microsoft Accessibility Web site. To learn about creating accessible content for your Web pages, refer to the accessibility standards developed by the World Wide Web Consortium.

Note The hyperlinks in this topic go to the Web. You can switch back to Help at any time.


Accessibility features in Microsoft Visio

Microsoft Visio contains features that make the software accessible to a wide range of users, including those who have limited dexterity, low vision, or other disabilities.

To print this topic, press TAB to select Show All, press ENTER, and then press CTRL+P.

Keyboard shortcuts

Click to show or hide information. Use keyboard shortcuts

Work with the Help window

Click to show or hide information. Display and use the Help window

F1

Display the Help window.

F6

Switch between the Help topic and the Contents, Answer Wizard, or Index pane.

TAB

Select the next hidden text or hyperlink.

SHIFT+TAB

Select the next or previous Show All or Hide All at the top of a topic, or the previous hidden text or hyperlink.

ENTER

Perform the action for the selected Show All, Hide All, hidden text, or hyperlink.

ALT+O

Display the Options menu to access any Help toolbar command.

ALT+O, and then press T

Hide or show the pane with the Contents, Answer Wizard, and Index tabs.

ALT+O, and then press B

Display the previously viewed topic.

ALT+O, and then press F

Display the next topic in a previously displayed sequence of topics.

ALT+O, and then press H

Return to the specified home page.

ALT+O, and then press S

Stop the Help window from opening a Help topic (useful if you want to stop a Web page from downloading).

ALT+O, and then press I

Open the Internet Options dialog box for Microsoft Internet Explorer, where you can change accessibility settings.

ALT+O, and then press R

Refresh the topic (useful if you have linked to a Web page).

ALT+O, and then press P

Print all topics in a book or a selected topic only.

ALT+F4

Close the Help window.

Note If you use a screen-review utility or other accessibility aid, you'll get the best results with Help if you enter questions on the Answer Wizard tab in the Help window rather than in the Ask a Question box.

Click to show or hide information. Use the Contents, Index, and Answer Wizard pane

Press F6 to switch from the Help topic to the Contents, Answer Wizard, or Index pane.

CTRL+TAB

Switch to the next tab.

ALT+C

Switch to the Contents tab.

ALT+A

Switch to the Answer Wizard tab.

ALT+I

Switch to the Index tab.

ENTER

Open a selected book or Help topic.

DOWN ARROW

Select the next book or Help topic.

UP ARROW

Select the previous book or Help topic.

SHIFT+F10

Display a shortcut menu.

Note If you use a screen-review utility or other accessibility aid, you'll get the best results with Help if you enter questions on the Answer Wizard tab in the Help window rather than in the Ask a Question box.

Click to show or hide information. Use the topic pane

Press F6 to switch from the Contents, Answer Wizard, or Index pane to the open Help topic.

ALT+RIGHT ARROW

Go to the next Help topic.

ALT+LEFT ARROW

Go to the previous Help topic.

TAB

Select the next hidden text or hyperlink.

SHIFT+TAB

Select the next or previous Show All or Hide All at the top of a topic or the previous hidden text or hyperlink.

ENTER

Perform the action for the selected Show All, Hide All, hidden text, or hyperlink.

UP ARROW or DOWN ARROW

Scroll toward the beginning or end of a Help topic.

PAGE UP or PAGE DOWN

Scroll toward the beginning or end of a Help topic in large increments.

HOME or END

Go to the beginning or end of a Help topic.

CTRL+P

Print the current Help topic.

CTRL+A

Select the entire Help topic.

CTRL+C

Copy the selected items to the Clipboard.

SHIFT+F10

Display a shortcut menu.

Use the Microsoft Visio interface

Click to show or hide information. Use menus and toolbars

ALT

Select the menu bar, or close an open menu and submenu at the same time.

SHIFT+F10

Select the menu bar. When a menu in the menu bar is selected, displays the selected menu.

TAB or SHIFT+TAB

When a toolbar is selected, select the next or previous button or menu on the toolbar.

CTRL+TAB or CTRL+SHIFT+TAB

When a toolbar is selected, select the next or previous toolbar.

ENTER

Open the selected menu, or perform the action for the selected button or command.

ALT+SPACEBAR

Display the window shortcut menu (Control menu).

DOWN ARROW or UP ARROW

When a menu or submenu is open, select the next or previous command.

LEFT ARROW or RIGHT ARROW

Select the menu to the left or right. When a submenu is open, switch between the main menu and the submenu.

HOME or END

Select the first or last command on the menu or submenu.

ESC

Close an open menu. When a submenu is open, close only the submenu.

SHIFT+DOWN ARROW

When a menu is selected, display the list of commands.

CTRL+DOWN ARROW

When a personalized menu is open, display the full set of commands.

Note You can use the keyboard to select any menu command on the menu bar. Press ALT to select the menu bar. Press the letter that is underlined in the menu name that contains the command you want. In the menu that appears, press the letter underlined in the command name that you want.

Click to show or hide information. Use dialog boxes

TAB

Move to the next option or option group.

SHIFT+TAB

Move to the previous option or option group.

CTRL+TAB

Switch to the next tab in a dialog box.

CTRL+SHIFT+TAB

Switch to the previous tab in a dialog box.

Arrow keys

Move between options in an open drop-down list or between options in a group of options.

SPACEBAR

Perform the action assigned to the selected button; check or clear the selected check box.

First letter of an option in a drop-down list

Open the list if it is closed, and move to that option in the list.

ALT+ the letter underlined in an option

Select an option; select or clear a check box.

ALT+DOWN ARROW

Open a selected drop-down list.

ESC

Close a selected drop-down list; cancel a command, and close a dialog box.

ENTER

Perform the action assigned to a default button in a dialog box.

Click to show or hide information. Use edit boxes within dialog boxes

An edit box is a blank in which you type or paste an entry, such as your user name or the path to a folder.

HOME

Move to the beginning of the entry.

END

Move to the end of the entry.

LEFT ARROW or RIGHT ARROW

Move one character to the left or right.

CTRL+LEFT ARROW

Move one word to the left.

CTRL+RIGHT ARROW

Move one word to the right.

SHIFT+LEFT ARROW

Select or deselect one character to the left.

SHIFT+RIGHT ARROW

Select or deselect one character to the right.

CTRL+SHIFT+LEFT ARROW

Select or deselect one word to the left.

CTRL+SHIFT+RIGHT ARROW

Select or deselect one word to the right.

SHIFT+HOME

Select from the insertion point to the beginning of the entry.

SHIFT+END

Select from the insertion point to the end of the entry.

Click to show or hide information. Use the Open, Save As, and Insert Picture dialog boxes

The Open, Insert Picture, and Save As dialog boxes support standard dialog box keyboard shortcuts. (To view standard shortcuts for dialog boxes, refer to the Use Dialog Boxes and Use Edit Boxes Within Dialog Boxes sections in this topic.) These dialog boxes also support the shortcuts below.

ALT+1

Go to the previous folder.

ALT+2

Open the folder one level above the open folder.

ALT+3

Close the dialog box and open your Web search page.

ALT+4

Delete the selected folder or file.

ALT+5

Create a new folder.

ALT+6

Switch among available folder views.

ALT+7 or ALT+L

Show the Tools menu.

SHIFT+F10

Display a shortcut menu for a selected item such as a folder or file.

TAB

Move between options or areas in the dialog box.

F4

Open the Look In, File Name, or Files Of Type list, depending on where the insertion point is.

F5

Refresh the file list.

ALT+I

Open the Look In list.

Click to show or hide information. Use program and document windows

ALT+F5

Restore the size of the program window.

ALT+F10

Maximize the program window.

ALT+TAB

Switch to the next window.

ALT+SHIFT+TAB

Switch to the previous window.

CTRL+F4

Close the active window.

CTRL+F5

Restore the size of the active drawing window after you've maximized it.

CTRL+F6

When more than one window is open, switch to the next window.

CTRL+F10

Maximize the active drawing window.

CTRL+SHIFT+F6

Switch to the previous window.

PRINT SCREEN

Copy a picture of the screen to the Clipboard.

ALT+PRINT SCREEN

Copy a picture of the selected window to the Clipboard.

Use Microsoft Visio shortcuts

Click to show or hide information. Menu commands

CTRL+SHIFT+I

Actual Size

F8

Align Shapes

CTRL+SHIFT+F

Bring to Front

ALT+F7

Cascade

CTRL+C

Copy

CTRL+X

Cut

CTRL+D

Duplicate

CTRL+F9

Field

F3

Fill

CTRL+H

Flip Horizontal

CTRL+J

Flip Vertical

F11

Display Text dialog box, Font tab

F9

Toggle Glue on or off

CTRL+G

Group

CTRL+SHIFT+G

Group

F1

Display Help

CTRL+K

Insert hyperlink

SHIFT+F3

Line

ALT+F8

Macros

CTRL+N

Open new drawing based on open drawing

CTRL+O

Open

CTRL+F4

Close drawing file

ALT+F5

Restore the size of the program window.

ALT+F10

Maximize program window

F5

Page

SHIFT+F11

Display Text dialog box, Paragraph tab

CTRL+V

Paste

CTRL+SHIFT+P

Toggle Format Painter on and off

CTRL+P

Print

CTRL+F2

Print Preview

CTRL+BACKSPACE

Delete previous word

SHIFT+F5

Display Page Setup dialog box, Print Setup tab

ALT+SHIFT+BACKSPACE

Redo

CTRL+Y

Redo

F4

Repeat

CTRL+F

Find

CTRL+L

Rotate Left

CTRL+R

Rotate Right

CTRL+S

Save

F12

Save As

ALT+F12

Save Workspace

CTRL+A

Select All

CTRL+SHIFT+B

Send To Back

SHIFT+F9

Toggle Snap on or off

ALT+F9

Snap & Glue

F7

Spelling checker

CTRL+F11

Display Text dialog box, Tabs tab

SHIFT+F7

Tile Horizontally

CTRL+SHIFT+F7

Tile Vertically

ALT+BACKSPACE

Undo

CTRL+Z

Undo

CTRL+SHIFT+U

Ungroup

ALT+F11

Open [Microsoft Visual Basic Editor]

ALT+Q

Close [Microsoft Visual Basic Editor] and Return to Visio

CTRL+W

View entire page

F6

Zoom

Click to show or hide information. Tip

To activate the menu bar, press ALT or F10

Click to show or hide information. Page Navigation

TAB

Navigate shapes.

SHIFT+TAB

Navigate shapes in reverse order.

CTRL+ALT+F6

Cycle focus from the drawing window through all anchored windows and back to the document window.

CTRL+TAB

Cycle focus through merged windows.

SHIFT+CTRL+TAB

Cycle focus through merged windows in reverse order.

ALT+ENTER

For any window with an icon in its title bar (for example, a stencil window), displays the window shortcut menu.

Click to show or hide information. Shapes in a stencil

ARROW KEYS

Move from shape to shape to the end of a row or column.

HOME

Move to first shape in a stencil.

END

Move to last shape in a stencil.

PAGE UP

Move to top shape in a column.

PAGE DOWN

Move to bottom shape in a column.

CTRL+C

Copy shape(s) to the Clipboard.

CTRL+V

Paste Clipboard contents into the drawing.

CTRL+A

Select all shapes in the stencil.

ESC

Deselect all shapes in the stencil.

CTRL+ENTER

Insert selected shape(s) into drawing.

Click to show or hide information. Stencil in edit mode

DELETE

Delete master(s) from stencil.

CTRL+X

Cut master(s) to the Clipboard.

F2

Rename master

Click to show or hide information. Fields in text

CTRL+SHIFT+H

Height field

CTRL+SHIFT+W

Width field

Click to show or hide information. Tip

To toggle between text edit and shape selection mode, press F2.

Click to show or hide information. Formatting text

These shortcuts toggle formatting on and off.

CTRL+B

Bold

CTRL+I

Italic

CTRL+U

Underline

CTRL+SHIFT+D

Double underline

CTRL+SHIFT+A

All caps

CTRL+SHIFT+K

Small caps

CTRL+SHIFT+,

Decrease font size

CTRL+SHIFT+.

Increase font size

CTRL+=

Subscript

CTRL+SHIFT+=

Superscript

Click to show or hide information. Aligning text

CTRL+SHIFT+L

Align text left

CTRL+SHIFT+C

Center text horizontally

CTRL+SHIFT+R

Align text right

CTRL+SHIFT+J

Justify text horizontally

CTRL+SHIFT+T

Top-align text

CTRL+SHIFT+M

Center text vertically

CTRL+SHIFT+V

Bottom-align text

Click to show or hide information. Drawing tools

CTRL+7

Arc tool

CTRL+SHIFT+1

Connection Point tool

CTRL+3

Connector tool

CTRL+SHIFT+2

Crop tool

CTRL+9

Ellipse tool

CTRL+5

Freeform tool

CTRL+6

Line tool

CTRL+4

Pencil tool

CTRL+1

Pointer tool

CTRL+8

Rectangle tool

CTRL+0 (zero)

Rotation tool

CTRL+SHIFT+3

Stamp tool

CTRL+2

Text tool

CTRL+SHIFT+4

Text Block tool

Click to show or hide information. Zooming

CTRL+SHIFT+click

Zoom in

CTRL+SHIFT+right-click

Zoom out

CTRL+SHIFT+drag a rectangle

Zoom in on a selected area

CTRL+SHIFT, right-click, and drag the page

Pan

ARROW KEYS

Nudge a selected shape (Scroll Lock must be turned off.)

Click to show or hide information. Hyperlink navigation in full-screen view

After you add hyperlinks to shapes or pages, use these keyboard shortcuts to navigate between Microsoft Visio and another program or page when you are in full-screen view.

CTRL+RIGHT ARROW

Forward

CTRL+LEFT ARROW

Back

CTRL+PAGE DOWN (Not on the numeric keypad.)

Next Page

CTRL+PAGE UP (Not on the numeric keypad.)

Previous Page

Click to show or hide information. Special text characters

CTRL+LEFT BRACKET

Beginning single-quote

CTRL+RIGHT BRACKET

Ending single-quote

CTRL+SHIFT+LEFT BRACKET

Beginning double-quote

CTRL+SHIFT+RIGHT BRACKET

Ending double-quote

CTRL+SHIFT+8

Bullet

CTRL+HYPHEN

Discretionary hyphen

CTRL+SHIFT+HYPHEN

Nonbreaking hyphen

CTRL+SHIFT+FORWARD SLASH

Nonbreaking slash

CTRL+SHIFT+BACKSLASH

Nonbreaking backslash

CTRL+SHIFT+6

Section marker

CTRL+SHIFT+7

Paragraph marker

CTRL+SHIFT+ALT+C

Copyright symbol

CTRL+SHIFT+ALT+R

Registered trademark

CTRL+ALT+=

En dash

CTRL+SHIFT+ALT+=

Em dash

Click to show or hide information. ANSI extended characters

The ANSI character set consists of 256 characters established by the American National Standards Institute. How ANSI characters look on the screen depends on what font you are using.

To type ANSI characters, make sure that you have NUM LOCK on. Hold down the ALT key, and, using the keys on the numeric keypad, type the ANSI code for the character you want. For example, to type an em dash (—), press ALT+0151.

0130

‚

0131

ƒ

0132

„

0133

…

0134

†

0135

‡

0136

ˆ

0137

‰

0138

Š

0139

‹

0140

Œ

0141

0142

Ž

0143

0144

0145

‘

0146

'

0147

"

0148

"

0149

•

0150

–

0151

—

0152

˜

0153

™

0154

š

0155

›

0156

œ

0157

0158

ž

0159

Ÿ

0160

0161

¡

0162

¢

0163

£

0164

¤

0165

¥

0166

¦

0167

§

0168

¨

0169

©

0170

ª

0171

«

0172

¬

0173

0174

®

0175

¯

0176

°

0177

±

0178

²

0179

³

0180

´

0181

µ

0182

¶

0183

·

0184

¸

0185

¹

0186

º

0187

»

0188

1/4

0189

1/2

0190

3/4

0191

¿

0192

À

0193

Á

0194

Â

0195

Ã

0196

Ä

0197

Å

0198

Æ

0199

Ç

0200

È

0201

É

0202

Ê

0203

Ë

0204

Ì

0205

Í

0206

Î

0207

Ï

0208

Ð

0209

Ñ

0210

Ò

0211

Ó

0212

Ô

0213

Õ

0214

Ö

0215

×

0216

Ø

0217

Ù

0218

Ú

0219

Û

0220

Ü

0221

Ý

0222

Þ

0223

ß

0224

à

0225

á

0226

â

0227

ã

0228

ä

0229

å

0230

æ

0231

ç

0232

è

0233

é

0234

ê

0235

ë

0236

ì

0237

í

0238

î

0239

ï

0240

ð

0241

ñ

0242

ò

0243

ó

0244

ô

0245

õ

0246

ö

0247

÷

0248

ø

0249

ù

0250

ú

0251

û

0252

ü

0253

ý

0254

þ

0255

ÿ

Use other Microsoft Visio shortcuts

Click to show or hide information. Use keyboard shortcuts to navigate shapes on the drawing page

  • To move through shapes from left to right, press TAB.
  • To move through shapes from right to left, press SHIFT+TAB.

A dotted rectangle indicates the shape that has the focus. Once a shape has the focus:

  • To select the shape, deselecting all other shapes on the page, press ENTER.
  • To toggle selection of the shape that has the focus on and off, press SHIFT+ENTER. Other selected shapes on the page remain selected.

Note You cannot navigate to shapes that are protected against selection or on a locked layer.

Click to show or hide information. Use keyboard shortcuts to navigate shapes in a stencil

  • To move up, down, left, or right, use the ARROW keys.

Note If you reach the end of a row or column, you must use the opposite ARROW key to reverse direction.

  • To move to the first (top left) shape in a stencil, press HOME.
  • To move to the last (bottom right) shape in a stencil, press END.
  • To move to the top shape in a column, press PAGE UP.
  • To move to the bottom shape in a column, press PAGE DOWN.
  • To select multiple shapes, hold down SHIFT while you press the ARROW keys. When the focus rectangle is over the name of the shape you want, press ENTER to select that shape. Repeat for each shape you want to select.
  • To toggle selection of a shape that has the focus on and off, press SHIFT+ENTER.

Click to show or hide information. Use keyboard shortcuts to copy a shape from an anchored stencil onto the drawing page

  1. Use the keyboard to navigate to the shape you want to copy.
  2. Press CTRL+ENTER.

Click to show or hide information. Move the focus from the drawing window through anchored windows

  • Press CTRL+ALT+F6.

Anchored window that has focus

When an anchored window has the focus, its border changes color.

Click to show or hide information. Move the focus through merged anchored windows

Once a merged collection of anchored windows has the focus:

  • To move the focus through the collection, press CTRL+TAB.
  • To move the focus through the collection in reverse, press SHIFT+CTRL+TAB.

Merged anchored window that has the focus

When a merged, anchored window has the focus, its border changes color.

Size and zoom options

Click to show or hide information. Zoom in or out of a drawing

  1. On the View menu, click Pan & Zoom Window.
  2. In the Pan & Zoom window, drag a box around the area you want to magnify.

The larger the box, the more you see of the page, so the less shapes are magnified. The smaller the box, the less you see of the page, so the more shapes are magnified.

Note The magnification at which you view a Microsoft Visio drawing is independent of the scale you set for a drawing page.

Click to show or hide information. Tip

To change magnification, you can also use the Zoom box [image], or on the View menu, you can point to Zoom and then click one of the commands on the Zoom submenu. In addition, you can press CTRL+SHIFT; the pointer changes to a magnifying glass, and you can drag a box around the area you want to magnify.

Click to show or hide information. Scroll and zoom in a drawing by using the Microsoft IntelliMouse pointing device

Do any of the following:

  • To scroll up or down, rotate the IntelliMouse wheel forward or backward.
  • To zoom in or out, hold down CTRL as you rotate the IntelliMouse wheel forward or backward.
  • To expand or collapse an outline, point to a heading, and then hold down SHIFT as you rotate the IntelliMouse wheel forward or backward.

Note You can change the default behavior of the IntelliMouse wheel from scrolling to zooming on the General tab of the Options dialog box. For more information about changing options and to view troubleshooting tips for the Microsoft IntelliMouse, see the IntelliPoint Online User's Guide.

Toolbar and menu options

Click to show or hide information. Create a toolbar

  1. On the View menu, point to Toolbars, and then click Customize.
  2. Click the Toolbars tab, click New, type a name for the new toolbar, and then click OK.
  3. Add menu commands to your new toolbar.
  4. When you have finished, click Close.

Click to show or hide information. Group related buttons and menus on a toolbar

You can add a separator bar before the first and after the last item in a group to distinguish the group from other buttons and menus on a toolbar.

  1. Make sure the toolbar you want to change is visible.

Click to show or hide information. How?

  1. On the View menu, point to Toolbars.
  2. Click the toolbar you want to display, or, to view more toolbars, click Customize.
  3. In the Customize dialog box, click the Toolbars tab, and then double-click the name of the toolbar you want to display.
  2. On the Tools menu, click Customize.
  3. To add a separator bar, keep the Customize dialog box open, right-click the button you want on the toolbar, and then click Begin a Group. A separator bar is added to the left of the button on a horizontal toolbar, and above a button on a vertical docked toolbar.
  4. To remove a separator bar between two buttons, drag one button closer to the other.

Click to show or hide information. Increase the size of toolbar buttons

  1. On the Tools menu, click Customize.
  2. Click the Options tab.
  3. Select the Large icons check box.

Click to show or hide information. Change the width of a drop-down list box on a toolbar

  1. Make sure the toolbar you want to change is visible.

Click to show or hide information. How?

  1. On the View menu, point to Toolbars.
  2. Click the toolbar you want to display, or, to view more toolbars, click Customize.
  3. In the Customize dialog box, click the Toolbars tab, and then select the check box next to the toolbar you want to display.
  2. On the Tools menu, click Customize.
  3. With the Customize dialog box open, on the toolbar, click the list box you want to change—for example, the Font [image] or Font Size Preview area showing the drawing page and printed page set to different orientations. box on the Formatting toolbar.

A black bounding box appears around the box you click.

  4. Point to the left or right edge of the box. When the pointer changes to a double-headed arrow, drag the edge of the box to change its width.

Click to show or hide information. Add a button to a toolbar

  1. On the View menu, point to Toolbars, and then click Customize.
  2. Click the Commands tab, and then in the Categories list, click the category that contains the command for which you want to add a button.
  3. In the Commands list, drag a command to the toolbar where you want to add the button. Point to the location where you want the button, and then release the mouse button.
  4. To display text and an image or only text on the button, click Modify Selection, and then do one of the following:
  • To have a button appear in the default style (usually just an icon), click Default Style.
  • To have a button show text only, click Text Only (Always).
  • To have a button show text only in menus, click Text Only (in Menus).
  • To have a button show both text and an icon, click Image and Text.
  5. To change the button icon, in the Customize dialog box, do one of the following:
  • To use an icon on one of the other toolbars, click the button that you want, click Modify Selection, and then click Copy Button Image. On the toolbar, click the button you want to change, click Modify Selection, and then click Paste Button Image.
  • To use one of the default icons, on the toolbar, click the button you want to change, and then click Modify Selection. Point to Change Button Image, and then click one of the icons.
  6. To add a vertical line to separate groups of buttons, on the toolbar, click the button that is to the right of where you want the line. Click Modify Selection, and then click Begin a Group.
  7. Repeat steps 3–6 until you've added all the buttons you want, and then click Close.

Click to show or hide information. Restore menus and toolbars to original settings

Click to show or hide information. Reset a custom toolbar to the default toolbar

  1. On the View menu, point to Toolbars, and then click Customize.
  2. Click the Toolbars tab, select the toolbar that you've customized, and then click Reset. At the prompt, click OK.

Click to show or hide information. Reset custom menus to Microsoft Visio default menus

  1. On the View menu, point to Toolbars, and then click Customize.
  2. Click the Toolbars tab, click Menu Bar, and then click Reset.
  3. When you are prompted, click OK to reset the changes.

Click to show or hide information. Show all menu commands and toolbar buttons

Click to show or hide information. Show all the buttons on a toolbar

Point to the move handle [image] on a toolbar, and when the four-headed pointer appears, drag the toolbar to its own row. You can also move the toolbar to a location other than the edge of the program window so that the toolbar becomes a floating toolbar.

Click to show or hide information. Show all the commands on menus

  1. On the View menu, point to Toolbars, and then click Customize.
  2. Click the Options tab.
  3. Select the Always show full menus check box.

Note The Always show full menus check box affects all of your Microsoft Office programs.

Options for automating tasks

Click to show or hide information. Copy text formatting

  1. Select the text that has the style you want to copy.
  2. Click Format Painter [image], and then select the text to which you want to apply the formatting.

Click to show or hide information. Tip

You can apply the formatting to several text selections in succession. First, select the text whose style you want to copy, double-click Format Painter [image], and then select each block of text, one by one, to which you want to apply the formatting.

Click to show or hide information. Copy text formatting from one shape to another

  1. Double-click the shape that has text formatting you want to copy.
  2. Click Format Painter [image].
  3. Click the other shape that you want to format.

Note You can also copy all shape formatting to another shape.

Click to show or hide information. Tip

If you can no longer see the other shape you want to format after you click Format Painter [image], press CTRL+W to zoom out and display the entire drawing page in the Microsoft Visio window.

Click to show or hide information. Correct capitalization and spelling

  1. On the Tools menu, click AutoCorrect Options, and then click the AutoCorrect tab.
  2. Do one or more of the following:
  • To turn the capitalization options on or off, select or clear any of these check boxes:
  • Correct TWo INitial CApitals
  • Capitalize first letter of sentences
  • Capitalize names of days
  • Correct accidental use of cAPS LOCK key
  • To turn text entries for misspellings and typos on or off, select or clear the Replace text as you type check box.

Click to show or hide information. Format punctuation marks and symbols

AutoFormat options include automatic changes that Microsoft Visio makes to the look of your text, such as changing fraction characters to a fraction symbol or formatting smiley faces and arrows with special symbols. To set these options:

  1. On the Tools menu, click AutoCorrect Options, and then click the AutoFormat As You Type tab.
  2. Select or clear any of the automatic formatting options you want to turn on or off.

Color and sound options

Click to show or hide information. View a drawing in high contrast

Displaying a drawing in high contrast is supported by Microsoft Windows 98, Microsoft Windows 2000, Microsoft Windows Millennium Edition, or later.

  1. On the Windows Start menu, point to Settings, and then click Control Panel.
  2. Double-click the Accessibility Options icon.
  3. Click the Display tab and select the Use High Contrast check box.
  4. Click OK.

Note High contrast is a screen-only setting; it does not affect the actual drawing, nor does it apply to the printed page.

Click to show or hide information. Change color settings

  1. On the Tools menu, click Options.
  2. Click the View tab.
  3. Under Color settings, click the color options you want.

Click to show or hide information. Add sounds to a Microsoft Visio window

  1. Click the Start button, point to Settings, and then click Control Panel.
  2. Double-click Sounds or Sounds and Multimedia, depending on which version of Microsoft Windows you have installed.
  3. Click the Sounds tab, and in the Sound Events list, click Restore Up or Restore Down.
  4. In the Name list, click a sound, or click Browse to locate a sound file.
  5. To add sounds to another event, repeat steps 3 and 4.
  6. When you have finished, click OK and close the Control Panel.

When you move your pointer over a window that is set to AutoHide, you'll hear the sound when the window opens or closes, depending on the actions to which you've added sound.


Accessibility features in Microsoft Visio Help

Microsoft Visio Help includes features that make it accessible to a wide range of users, including those who have limited dexterity, low vision, or other disabilities.

Click to show or hide information. Keyboard shortcuts for using the Help window

Click to show or hide information. Display and use the Help window

F1

Display the Help window.

F6

Switch between the Help topic and the Contents, Answer Wizard, or Index pane.

TAB

Select the next hidden text or hyperlink.

SHIFT+TAB

Select the next or previous Show All or Hide All at the top of a topic, or the previous hidden text or hyperlink.

ENTER

Perform the action for the selected Show All, Hide All, hidden text, or hyperlink.

ALT+O

Display the Options menu to access any Help toolbar command.

ALT+O, and then press T

Hide or show the pane with the Contents, Answer Wizard, and Index tabs.

ALT+O, and then press B

Display the previously viewed topic.

ALT+O, and then press F

Display the next topic in a previously displayed sequence of topics.

ALT+O, and then press H

Return to the specified home page.

ALT+O, and then press S

Stop the Help window from opening a Help topic (useful if you want to stop a Web page from downloading).

ALT+O, and then press I

Open the Internet Options dialog box for Microsoft Internet Explorer, where you can change accessibility settings.

ALT+O, and then press R

Refresh the topic (useful if you have linked to a Web page).

ALT+O, and then press P

Print all topics in a book or a selected topic only.

ALT+F4

Close the Help window.

Note If you use a screen-review utility or other accessibility aid, you'll get the best results with Help if you enter questions on the Answer Wizard tab in the Help window rather than in the Ask a Question box.

Click to show or hide information. Use the Contents, Index, and Answer Wizard pane

Press F6 to switch from the Help topic to the Contents, Answer Wizard, Index pane.

CTRL+TAB

Switch to the next tab.

ALT+C

Switch to the Contents tab.

ALT+A

Switch to the Answer Wizard tab.

ALT+I

Switch to the Index tab.

ENTER

Open a selected book or Help topic.

DOWN ARROW

Select the next book or Help topic.

UP ARROW

Select the previous book or Help topic.

SHIFT+F10

Display a shortcut menu.

Note If you use a screen-review utility or other accessibility aid, you'll get the best results with Help if you enter questions on the Answer Wizard tab in the Help window rather than in the Ask a Question box.

Click to show or hide information. Use the topic pane

Press F6 to switch from the Contents, Answer Wizard, Index pane to the open Help topic.

ALT+RIGHT ARROW

Go to the next Help topic.

ALT+LEFT ARROW

Go to the previous Help topic.

TAB

Select the next hidden text or hyperlink.

SHIFT+TAB

Select the next or previous Show All or Hide All at the top of a topic, or the previous hidden text or hyperlink.

ENTER

Perform the action for the selected Show All, Hide All, hidden text, or hyperlink.

UP ARROW or DOWN ARROW

Scroll toward the beginning or end of a Help topic.

PAGE UP or PAGE DOWN

Scroll toward the beginning or end of a Help topic in large increments.

HOME or END

Go to the beginning or end of a Help topic.

CTRL+P

Print the current Help topic.

CTRL+A

Select the entire Help topic.

CTRL+C

Copy the selected items to the Clipboard.

SHIFT+F10

Display a shortcut menu.

Click to show or hide information. Keyboard shortcuts for using the Ask A Question box

To select the menu bar, press ALT, and then press TAB until the insertion point appears in the Ask a Question box. Type your question, and then press ENTER.

To select a topic, use the UP or DOWN arrow keys, and then press ENTER to open the topic in the Help window. To select the next or previous set of topics, select See more or See previous, and then press ENTER.

Click to show or hide information. Using expandable links to view information in a Help topic

Many Help topics use hidden text and expandable hyperlinks to show or hide additional information within topics. You don't have to jump to a different Help topic to see information, and the content is easy to scan. You can use the expandable hyperlinks one at a time, or use Show All or Hide All to open or close all of the expandable hyperlinks in the topic.

Within the Help window, press SHIFT+ TAB to select the next or previous Show All or Hide All at the top of a topic, or to select the previous hidden text or hyperlink. Press TAB to select the next hidden text or hyperlink.

Note If you are using a screen reader to read Help topics, you must first expand all the links in the topic by using the Show All button.

Click to show or hide information. Changing the appearance of a Help topic

  1. On the Help menu, click Microsoft Visio Help.
  2. In the Help window, click Options [image], and then click Internet Options.
  3. On the General tab, click Accessibility, and then select the Ignore colors specified on Web pages check box.
  4. Click OK.
  5. In the Internet Options dialog box, do one or both of the following:
  • To change the color of the background or text in Help, on the General tab, click Colors, and then select the options you want.
  • To change the font in Help, on the General tab, click Fonts, and then select the options you want.

Note If you change the font and background color of the Help topics in the Help window, the change will also affect the font and background color when you view a Web page in Microsoft Internet Explorer.


About new drawings based on templates

A template includes everything you need to create a drawing, from the drawing page to shapes and styles. Using a template ensures consistency across your drawing files, so you can focus on what goes on the page while the template provides a consistent starting point.

When you start a drawing based on a template, a Microsoft Visio file opens that contains the following:

  • One or more stencils containing related shapes.
  • A blank drawing page that has a grid and measurement system appropriate for the type of drawing you are creating.
  • For scaled drawing types, a drawing page set up with the correct scale and page size.
  • Styles for text, lines, and fills appropriate to the type of drawing you are creating.

Note Each template comes with Help explaining the most efficient way to use and combine shapes, how to use shape and page right-click menus to perform specific actions, how and when to run wizards that automate tasks, and so on.


Start Microsoft Visio and open a new drawing file based on a template

  1. Click the Start button, point to Programs, and then click Microsoft Visio.
  2. Under Category, click the category of drawing you want to create.
  3. Under Template, click the type of drawing you want to create.


Create a new drawing based on a template

  1. On the File menu, point to New, and then click Choose Drawing Type.
  2. In the Category list, click the category of drawing you want to create.

Opening a template

  3. Under Template, click the specific type of drawing you want to create.


Open a new drawing file without basing it on a template

  1. Save any drawings you have open.
  2. On the File menu, point to New, and then click New Drawing.

An unscaled drawing page opens without stencils.


View sample drawings

  1. On the File menu, point to New, and then click Browse Sample Drawings.
  2. Locate the drawing you want to open, and then double-click the name of the drawing.


Open existing drawing files

  1. On the File menu, click Open.
  2. In the Look In list, open the folder that contains the file or files you want to open.
  3. Do one of the following:
  • To open a single drawing file, select it.
  • To open multiple drawing files, press CTRL and then click the files you want to open.
  4. Click Open.


Open a copy of an existing drawing

  1. On the File menu, point to New, and then click Choose Drawing Type.
  2. In the New Drawing pane, under New from existing drawing, click Choose drawing.
  3. Select the drawing you want to copy, and then click Open.

Note If you don't see the drawing you want listed in the New From Existing Drawing dialog box, open the folder the contains it.


Open a drawing you worked in recently

  1. On the File menu, point to New, and then click Choose Drawing Type.
  2. In the New Drawing pane, under Open a drawing, click the drawing you want to open.

Note If you don't see the drawing you want listed, click More drawings to find the drawing you want in the Open dialog box.


Open a workspace file saved in a previous version

  1. On the File menu, click Open.
  2. In the Look In list, open the folder that contains the workspace file you want to open.

Note In previous versions of Microsoft Visio, workspaces were separate files that had the .vsw extension, but now Visio saves the workspace as part of a .vsd file by default.

  3. Select the file you want to open, and click Open.


Open and save previous versions of Microsoft Visio files

You can open files created in any previous version of Microsoft Visio Standard, Visio Professional, Visio Technical, or Visio Enterprise. By default, Microsoft Visio version 2002 saves files in a format that can be opened by any Visio product.

  • To open a Visio 1.0, 2.0, 3.0, 4.0, 5.x, or 2000 file, on the File menu, click Open, open the folder that contains the file, select the file, and then click Open again. Or, double-click the file name in any Windows Explorer window.
  • To save a file created or opened in your Visio version 2002 product as a Visio 5.0 drawing file, on the File menu, click Save As, and then in the Save as type list, click Visio 5 Drawing (*.vsd).
  • Note, however, that if you attempt to open a drawing created in Visio version 2002 in Visio 5.0, you may not be able to see certain drawing elements.


About stencils and masters

When you start a new drawing by opening a template, one or more task-related stencils open next to the drawing page. Stencils store masters, which you can drag onto a page to add shapes to your drawing. To find masters that do not appear on an open stencil, open additional stencils.


Open additional stencils

  1. On the File menu, point to Stencils, and then click Open Stencil.
  2. Double-click the solution folder that contains the stencil or stencils you want to open.
  3. Do one of the following:
  • To open a single stencil, select it.
  • To open multiple stencils, press CTRL and click the stencils you want to open.
  4. Click Open.


Close a stencil

  • Right-click the stencil title bar, and then click Close.


Change how shapes are displayed on a stencil

Right-click a stencil title bar, and then do one of the following:

  • To display icons and names, click Icons and Names.
  • To display icons only, click Icons Only.
  • To display shape names only, click Names Only.
  • To display icons, names, and shape descriptions, click Icons and Details.


Change where a stencil window appears

  • To make a docked stencil float, drag the stencil title bar into the drawing window.
  • To dock a floating stencil, right-click the stencil title bar, and then click Dock Window.
  • To dock a stencil somewhere else, drag it to one side of the drawing window and release the mouse button.


Change the order of shapes on a stencil

  1. Right-click the stencil title bar, and then click Edit.

The icon in the stencil title bar changes from [image] (indicating that the stencil is read-only) to [image] (indicating that the stencil is editable).

  2. Drag a shape icon to a different position on the stencil.
  3. To save your changes, right-click the stencil title bar, and then click Save.
  4. To end the edit session, right-click the stencil title bar again, and then click Edit.

Note Editing a stencil can result in permanent changes to the Microsoft Visio user interface. Always use caution when editing a stencil.


About Microsoft Visio drawing file summary properties

You can assign summary properties, such as title, subject, author, and description, to Microsoft Visio drawing files to help you and other users search for and identify the files. For example, if you create a file and enter "Company Picnic" for the subject, you can later locate the file by searching for that term.

After you save a file for the first time, the Drawing Properties dialog box appears by default. On the Summary tab, you can type the title, subject, author, the author's manager, and a company name. You also can assign a category and keywords and describe the file, and you can specify whether to save a preview of the first page of the drawing file or of all pages in the file.

To help you identify the file you want to open, information that you enter in the Drawing Properties dialog box is available in the Open dialog box. On the Views menu in the Open dialog box, click Properties. Visio displays the file properties of the selected file. If you click Preview, Visio displays either the first page or all pages of the file, depending on your selection on the Summary tab of the Properties dialog box.

You can also create text fields in shapes or text blocks that display file summary information entered in the Drawing Properties dialog box.

You can add, delete, or edit information on the Summary tab at any time. Any change you make to information on this tab appears in the Open dialog box and in text fields you have created in shapes or text blocks that display summary properties.


About using multiple file paths to Microsoft Visio files

You can specify multiple file paths to Visio files by separating them with semicolons. For example, in the Add-ons option, your Visio product looks in the Solutions folder for macros and add-ons.


View the properties of a Microsoft Visio file

  1. Open Windows Explorer.
  2. Right-click a Microsoft Visio file, and then click Properties.


About different ways you can save your work

As you work on a drawing, save the drawing file frequently. When you change a stencil or template, save these files too.

How you save a Microsoft Visio drawing file (*.vsd) or XML drawing file (*.vdx) affects what happens the next time you open it.

Click to show or hide information. File properties

The first time you save a file, you are prompted to save file property information, such as title, author, keywords, and descriptions.

If you enter this information, when you open the file later, the description and the other properties appear in the Open dialog box to help you identify the file.

Click to show or hide information. File preview

You can save a preview, either of the first page or of all the pages of a drawing, so that you can more easily identify the drawing before you open it.

When you open a drawing, you see only the first page in the Open dialog box preview pane. When you use Microsoft Windows Quick View, you can see all the pages. Note, however, that saving previews of all the pages can increase the file size considerably.

Note Quick View is not available in Microsoft Windows 2000.

Click to show or hide information. Save as template

You can save a drawing file as a template (*.vst) or XML template (*.vtx) that you can use as a model for other drawings.

Click to show or hide information. Save a drawing file in Microsoft Visio 5.x format.

When you open a Microsoft Visio 2002 file in an earlier version of Visio, information specific to Microsoft Visio 2002 will be lost or converted.

Click to show or hide information. Save as read-only

To prevent anyone from inadvertently editing or changing your drawing, you can save it as read-only.

Click to show or hide information. Export a file

You can export (save) a file in HTML, Windows metafile, or another format.


Save a drawing file for the first time

  1. On the File menu, click Save As.
  2. In the Save in list, open the folder in which you want to save the file.
  3. In the File name box, type a name for the drawing file, and then click Save.
  4. On the Summary tab of the Drawing Properties dialog box, enter any information you want to associate with the file, and then click OK.

Click to show or hide information. Tip

To quickly save changes to a file you've already saved, click the Save button [image] or press CTRL+S.


About shapes and drawings saved in .jpg, .gif, or .png format

You can save a Microsoft Visio drawing in one of the following graphic formats.

  • .jpg (Joint Photographic Experts Group)
  • .gif (Graphics Interchange Format)
  • .png (Portable Network Graphic)

These are all formats that you can distribute over the Internet or your intranet. Virtually all Web browsers support the .jpg and .gif formats.

After you save the Visio drawing, you can include it in a Web page by adding the <IMG > HTML tag (for example, <IMG SRC="drawing1.gif" >) to the HTML page.

Note If a drawing includes shapes that have navigational links to other Visio drawing pages, to files created in different programs, or to Web sites, the links are broken when you export it.


About XML for Microsoft Visio

You can save Microsoft Visio drawings as XML (Extensible Markup Language) files and open them again in Visio without any loss of information. You can also import XML files created in other applications as long as these files contain properly constructed XML code— well-formed XML code that complies with the XML for Visio Schema and the internal rules of Visio.

Three XML file formats correspond to the three main types of XML for Visio files: XML drawing files have the .vdx extension; XML template files have the .vtx extension; and XML stencil files have the .vsx extension. These files function in the same manner as their binary counterparts (.vsd, .vst, and .vss, respectively).

You can specify that all Visio drawings you create be saved as XML files by default. You can also specify whether Visio displays warnings when you attempt to save or open an XML for Visio file that contains errors that prevent Visio from saving or opening part or all of the file. If you specify not to see the warnings, Visio will simply ignore your request to save or open the parts of a file that contain such errors, or the entire file.

For more information about the details of the XML for Visio file format, search for "XML for Visio" on the Microsoft Developer Network (MSDN) Visio Web site.


Open an XML file

  1. On the File menu, click Open.
  2. Open the folder that contains the file you want to open.
  3. Select the file you want to open, and then click Open.


Save a Microsoft Visio drawing as an XML file

  1. On the File menu, click Save As.
  2. Open the folder where you want to save the file.
  3. In the Save as type list, do one of the following:
  • To save the drawing as a Visio XML drawing, click XML Drawing (*.vdx).
  • To save the drawing as a Visio XML stencil, click XML Stencil (*.vsx).
  • To save the drawing as a Visio XML template, click XML Template (*.vtx).
  4. Click Save.


Save Microsoft Visio drawings as XML files by default

  1. On the Tools menu, click Options.
  2. Click the Save tab.
  3. In the Save Visio files as list, click Visio XML Document.


Show XML file save and open warnings

  1. On the Tools menu, click Options.
  2. Click the Save tab.
  3. To show file save warnings, under XML options, select the Show XML file save warnings check box.
  4. To show file open warnings, under XML options, select the Show XML file open warnings check box.


About menus and toolbars

A menu displays a list of commands, some of which have images next to them so you can quickly associate the command with the image. Most menus are located on the menu bar, which is the toolbar at the top of the screen. Toolbars can contain buttons, menus, or a combination of both.

Menu and toolbar

The menu bar (1) contains several menus, each of which displays a list of commands (2). Toolbars (3) can contain buttons (4), menus, or both.

Click to show or hide information. Displaying only the commands and buttons that you use

Microsoft Visio automatically customizes menus and toolbars based on how often you use the commands. When you first start a Visio program, only the basic commands appear. As you work, the menus and toolbars adjust so that only the commands and toolbar buttons you use most often appear.

Click to show or hide information. Displaying all the commands on a menu

To look for a command that you don't use often or have never used before, click the arrows [image] at the bottom of a menu to show all the commands. You can also double-click a menu to expand it. When you expand one menu, all of the menus expand until you choose a command or perform another action. When you click a command on the expanded menu, the command is immediately added to the short version of the menu. If you do not use the command often, it is dropped from the short version of the menu.

Click to show or hide information. Positioning toolbars on the same row

Toolbars can be positioned next to each other in the same row. For example, the Standard toolbar is positioned next to the Formatting toolbar when you first start Microsoft Visio. When you put multiple toolbars in the same row, there may not be enough room to display all of the buttons. If not, the buttons that you have used most recently and most frequently are displayed.

Click to show or hide information. Seeing all of the toolbar buttons

You can resize to display more buttons, or you can show all buttons on a toolbar. To see a list of buttons that won't fit on a built-in, docked toolbar, click Toolbar Options [image] at the end of the toolbar. When you use a button that is not displayed on the toolbar, that button is moved to the toolbar, and a button that has not been used recently is dropped to the Toolbar Options list.

Click to show or hide information. Customizing menus and toolbars

You can customize menus and toolbars; you can add and remove buttons and menus on toolbars, create your own custom toolbars, hide or display toolbars, and move toolbars. You can customize the menu bar the same way you customize any built-in toolbar—for example, you can quickly add and remove buttons and menus on the menu bar—but you can't hide the menu bar.


Tools and toolbars

The Microsoft Visio tools are grouped on toolbars based on the type of task you perform with them.

Toolbar | Description
Menu Bar | Standard Windows-style menus.
Standard | Primary tools for dragging and drawing shapes, as well as standard Windows-program tools for opening, closing, saving, and printing files.
Formatting | Buttons for changing the text style, font, formatting, color, and line style.
Action | Buttons to align, rotate, connect, change the stacking order of, and group shapes.
Developer | Buttons for running macros, opening Microsoft Visual Basic for Applications (VBA), inserting a control in a drawing, displaying the ShapeSheet window, and switching to design mode while working in VBA.
Format Shape | Style lists for lines and fills along with tools for shadows, layout, grouping, stacking order, and rotation.
Format Text | Style lists for text along with tools for changing format, alignment, size, color, and bullets.
Layout & Routing | Buttons for changing how connector routing behaves.
Snap & Glue | Buttons for turning snap or glue on and off.
Stencil | Buttons for opening, creating, and changing stencils.
View | Buttons for showing or hiding the grid, guides, and connection points, and for displaying particular layers or layer properties.
Web | Buttons for inserting hyperlinks, paging back or forward on the Web, and opening Microsoft Internet Explorer.

To see the purpose of a tool or button, pause the pointer over it on the toolbar. A tip appears that describes the tool. If no tip appears, turn on the display of ScreenTips on the Options tab of the Customize dialog box.

Note If you click Task Pane in the list of toolbars, the Choose Drawing Type and New Drawing windows open, where you can open a new or existing drawing.


Float, dock, or move menus and toolbars

  • To float a menu or toolbar, click its move handle [image] and drag the menu or toolbar away from the docked position.
  • To dock the menu or toolbar again, drag its title bar to the top, bottom, left, or right side of the window until the menu or toolbar snaps to the edge of the main window, or double-click its title bar, and the menu or toolbar will return to its original docked position.
  • To move a menu or toolbar, drag its title bar (menu) or move handle (toolbar) to a new location.


Resize a floating menu or toolbar

  1. Place your pointer on the edge of a floating menu or toolbar until you see a double-headed arrow [image] or [image].
  2. Drag the edge of the floating window to resize it.


Show all the buttons on a toolbar

Point to the move handle [image] on a toolbar, and when the four-headed pointer appears, drag the toolbar to its own row. You can also move the toolbar to a location other than the edge of the program window so that the toolbar becomes a floating toolbar.


Show all the commands on menus

  1. On the View menu, point to Toolbars, and then click Customize.
  2. Click the Options tab.
  3. Select the Always show full menus check box.

Note The Always show full menus check box affects all of your Microsoft Office programs.


Show default toolbar buttons and menu commands

  1. On the View menu, point to Toolbars, and then click Customize.
  2. Click the Options tab.
  3. Click Reset my usage data.

Notes

  • The Reset my usage data button affects the buttons shown on a built-in toolbar only if it is not wide enough to display all the buttons. It affects the menu commands shown on the short version of built-in menus only if you have the Always show full menus box cleared on the Options tab in the Customize dialog box.
  • The Reset my usage data button does not change the location of toolbars, does not remove any buttons or commands you've added by using the Customize dialog box, and does not add buttons or commands you've deleted.
  • The Reset my usage data button affects the toolbar buttons and menu commands of Microsoft Visio version 2002 only and no other program.


Show or hide toolbars

  • Right-click a toolbar, and on the shortcut menu, click a toolbar that you want to see, or clear a check mark from a toolbar that you don't want to see.

Click to show or hide information. Tip

To set other toolbar options, such as the size of toolbar icons or whether to show or hide ScreenTips, on the shortcut menu, click Customize.


Add a built-in menu to a toolbar or menu bar

  1. On the View menu, point to Toolbars, and then click Customize.
  2. Click the Commands tab.
  3. In the Categories list, click Built-in Menus.
  4. In the Commands list, click the menu you want and drag it onto the toolbar or menu bar. Point to the location where you want the new menu, and then release the mouse button.
  5. Repeat the procedure until you've added all the menus you want, and then click Close.


Add a custom menu to a toolbar or menu bar

  1. On the View menu, point to Toolbars, and then click Customize.
  2. Click the Commands tab.
  3. In the Categories list, click New Menu.
  4. In the Commands list, click New Menu and drag it onto the toolbar or menu bar. Point to the location where you want the new menu, and then release the mouse button.
  5. On the toolbar or menu bar, right-click New Menu. In the Name box, type a name for the menu, and then press ENTER.
  6. To add a command to the custom menu, click the new menu name to display an empty bar.
  7. In the Categories list, click a category for the command, and then from the Commands list, drag a command to the empty bar in the custom menu.
  8. Click Close.

Click to show or hide information. Tip

To add a keyboard shortcut key, when you type a name for the menu in step 5, place an ampersand (&) in front of the letter in the menu name that you want to be underlined. Make sure that you choose a letter that is not already a shortcut key for an existing menu.


Add buttons to an existing toolbar

  1. On the View menu, point to Toolbars, and then click Customize.
  2. Click the Commands tab, and then in the Categories list, click the category that contains the command for which you want to add a button.
  3. In the Commands list, drag a command to the toolbar where you want to add the button. Point to the location where you want the button, and then release the mouse button.
  4. To display text and an image or only text on the button, click Modify Selection, and then do one of the following:
  • To have a button appear in the default style (usually just an icon), click Default Style.
  • To have a button show text only, click Text Only (Always).
  • To have a button show text only in menus, click Text Only (in Menus).
  • To have a button show both text and an icon, click Image and Text.
  5. To change the button icon, in the Customize dialog box, do one of the following:
  • To use an icon on one of the other toolbars, click the button that you want, click Modify Selection, and then click Copy Button Image. On the toolbar, click the button you want to change, click Modify Selection, and then click Paste Button Image.
  • To use one of the default icons, on the toolbar, click the button you want to change, and then click Modify Selection. Point to Change Button Image, and then click one of the icons.
  6. To add a vertical line to separate groups of buttons, on the toolbar, click the button that is to the right of where you want the line. Click Modify Selection, and then click Begin a Group.
  7. Repeat steps 3–6 until you've added all the buttons you want, and then click Close.


Add new menu commands to an existing menu

  1. On the View menu, point to Toolbars, and then click Customize.
  2. Click the Commands tab, and in the Categories list, click the category that contains the command you want to add.
  3. In the Commands list, click a command or tool, and then drag it to the menu on the menu bar to which you want to add it (such as File). When the menu drops down, point to the location where you want the command or tool to appear, and then release the mouse button.
  4. To display text and an image or only text for the command, select the command in the menu where you added it. In the Customize dialog box, click Modify Selection, and then do one of the following:
  • To have a menu command appear in the default style (usually showing both text and an icon, if available), click Default Style.
  • To have both a menu command and its corresponding toolbar button show text only, click Text Only (Always).
  • To have a menu command show text only, click Text Only (in Menus).
  • To have a menu command show both text and an icon (if available), click Image and Text.
  5. To separate menu commands, right-click the menu command (in the menu) above which you want to add a separator, and then click Begin a Group.
  6. Repeat steps 3 through 5 until you've added all the menu commands you want, and then click Close.


Attach a custom menu or toolbar to the drawing file for use by others

  1. On the View menu, point to Toolbars, and then click Customize.
  2. Click the Toolbars tab, and then click Attach.
  3. In the Custom toolbars list, click a toolbar to include in the drawing file, and then click Copy.
  4. When all the toolbars you want in the drawing file are listed in the Toolbars in drawing list, click OK.
  5. To save the drawing file with the new settings, on the File menu, click Save.


Change the width of a drop-down list box on a toolbar

  1. Make sure the toolbar you want to change is visible.

Click to show or hide information. How?

  1. On the View menu, point to Toolbars.
  2. Click the toolbar you want to display, or, to view more toolbars, click Customize.
  3. In the Customize dialog box, click the Toolbars tab, and then select the check box next to the toolbar you want to display.
  2. On the Tools menu, click Customize.
  3. With the Customize dialog box open, on the toolbar, click the list box you want to change—for example, the Font [image] or Font Size Preview area showing the drawing page and printed page set to different orientations. box on the Formatting toolbar.

A black bounding box appears around the box you click.

  4. Point to the left or right edge of the box. When the pointer changes to a double-headed arrow, drag the edge of the box to change its width.


Create a custom toolbar

  1. On the View menu, point to Toolbars, and then click Customize.
  2. Click the Toolbars tab, click New, type a name for the new toolbar, and then click OK.
  3. Add menu commands to your new toolbar.
  4. When you have finished, click Close.


Delete a custom toolbar

  1. On the View menu, point to Toolbars, and then click Customize.
  2. Click the Toolbars tab, select the toolbar you want to delete, and then click Delete.

Note You can delete only a custom toolbar; you cannot delete a built-in toolbar.


Delete a toolbar button

  1. On the View menu, point to Toolbars, and then click Customize.
  2. Display the toolbar that contains the button you want to delete.
  3. On the toolbar, drag the button off.


Delete menus or menu commands

  1. On the View menu, point to Toolbars, and then click Customize.
  2. Do one of the following:
  • To delete a menu command, drag it off the menu and onto the drawing page.
  • To delete an entire menu, drag the menu off the menu bar and into the Customize dialog box.


Group related buttons and menus on a toolbar

You can add a separator bar before the first and after the last item in a group to distinguish the group from other buttons and menus on a toolbar.

  1. Make sure the toolbar you want to change is visible.

Click to show or hide information. How?

  1. On the View menu, point to Toolbars.
  2. Click the toolbar you want to display, or, to view more toolbars, click Customize.
  3. In the Customize dialog box, click the Toolbars tab, and then double-click the name of the toolbar you want to display.
  2. On the Tools menu, click Customize.
  3. To add a separator bar, keep the Customize dialog box open, right-click the button you want on the toolbar, and then click Begin a Group. A separator bar is added to the left of the button on a horizontal toolbar, and above a button on a vertical docked toolbar.
  4. To remove a separator bar between two buttons, drag one button closer to the other.


Increase the size of toolbar buttons

  1. On the Tools menu, click Customize.
  2. Click the Options tab.
  3. Select the Large icons check box.


Reset a custom toolbar to the default configuration

  1. On the View menu, point to Toolbars, and then click Customize.
  2. Click the Toolbars tab, select the toolbar that you've customized, and then click Reset. At the prompt, click OK.


Reset customized menus to the default menus

  1. On the View menu, point to Toolbars, and then click Customize.
  2. Click the Toolbars tab, click Menu Bar, and then click Reset.
  3. When you are prompted, click OK to reset the changes.


Restore original buttons and commands on a built-in menu or toolbar

As you work with Microsoft Visio, the menus and toolbars are personalized to show the commands that you use most often if you have cleared the Always show full menus check box on the Options tab in the Customize dialog box. You can, however, return any toolbar or menu to the state it was in when you first started using Visio.

  1. On the View menu, point to Toolbars, and then click Customize.
  2. Click the Toolbars tab.
  3. In the Toolbars list, click the name of the toolbar you want to restore.
  4. Click Reset.

Note You cannot reset a custom toolbar.


About styles and templates

You can use styles and templates to create drawings that you can revise quickly and efficiently.

Click to show or hide information. Shape formatting

A shape's appearance is determined by the formatting applied to that shape. Formatting consists of many individual settings, separated into three groups: fill, line, and text.

The term shape refers to anything on a drawing page:

  • Shapes drawn with the drawing tools
  • Shapes dragged from stencils
  • Connector lines connecting shapes
  • Blocks of text
  • Objects from other programs that are imported, embedded, or linked
  • Guides

You cannot apply all types of formatting to all shapes. For example, you cannot apply a fill format to lines, text blocks, and embedded objects, and you cannot apply a line format to text blocks.

Click to show or hide information. Styles and formatting

You can assign a style to a shape as a way to determine the shape's formatting. When you assign the same style to many shapes, those shapes share common, standardized formatting.

Assigning the same style to many shapes

Select three shapes and apply one style to make them look the same.

You can assign more than one style to a single shape: you can assign a different style for fill, line, and text to a shape.

When you change styles, you change all the shapes that use that style. For this reason, changing styles is an efficient way to globally change the look of the shapes in your drawing.

Click to show or hide information. Overriding style formatting with custom changes (local formatting)

You can make custom changes to any aspect of a shape's formatting. These changes become part of that shape, overriding the formatting defined by its assigned styles. This process is called local formatting.

When you apply a style to a shape, you can do one of the following:

  • Preserve any local formatting in the shape.
  • Remove all local formatting and force the shape to use only the style's formatting.

For example:

  • If a computer shape in a network diagram has the Net-Normal style assigned, you can change the shape's text from normal to italic.
  • If a process shape in a flowchart has the Flow-Normal style assigned, you can change the fill color of the shape from white to blue.

Click to show or hide information. How Microsoft Visio determines formatting for a new shape

You can define default fill, line, and text styles for your drawing. When you use a drawing tool to draw a new shape, the new shape is assigned the default styles.

If no shapes on a drawing page are selected and you change any formatting, the new formatting is applied to all new shapes you draw until you reapply the original setting. For example, if you click the Bold button, all shapes you subsequently draw will have bold text until you turn bold off.

Click to show or hide information. Related shapes often share the same styles

Formatting for shapes you drag from stencils is defined by styles that you can edit. Frequently, the same styles are applied to all related shapes on a stencil. Therefore, you can change the formatting for all the shapes in a drawing at once by editing the styles.

Click to show or hide information. Undo formatting you've applied to a shape

If you make formatting changes to a shape and then decide you prefer the previous formatting, undo your formatting immediately. Or, you can revert to the styles associated with the shape's master.

Click to show or hide information. Templates

When you know that you'll be creating multiple drawing files that need a consistent look, you can create a template on which to base all the drawings. Creating your own template eliminates the need to open the appropriate stencils, create styles, and establish page settings for each drawing file, because they are all contained in one place.

Increase your efficiency by creating your own templates:

  • If your drawings require customized settings for page size or scale, window size and position, shape or text styles, color palette, snap and glue, or printing, create a template that has the appropriate settings.
  • If your drawings often use a standard background or set of layers—such as your company logo—create a template that has the background or layers.

Click to show or hide information. How styles become part of a template

To make a particular style available in future drawings, you can either define or edit the current drawing in an existing template or save the drawing file as a new template. The new style becomes part of that template.

When you define or edit styles in a drawing file, the changes you make are available only in the current drawing. To make a style available in drawings you'll create later, you can define or edit it in an existing template or save the drawing file in which you created the style as a new template. The style will be included in every new drawing you create that is based upon that template.

When you edit or define a style, the color palette in the template on which you base your drawing determines the colors you can choose. All Visio templates use a default color palette. You can change the color palette a drawing uses or modify the colors within the default color palette.

Click to show or hide information. When to create a template

Create a template when you make drawings that consistently use the same stencils, styles, and page settings. Then you can base new drawings on this template, and you can distribute the template to other Microsoft Visio users in your organization.

The easiest way to create a template is to create a drawing file that has the settings you want, open the stencils you want, and then save the drawing as a template (.vst) file. If you simply want to change some of the settings of an existing Visio template, you can base a drawing on that template, save it with a new name, and then make your changes.

Click to show or hide information. Tip

If you want to preserve an original drawing file but also base a new template on it, open a copy of the drawing file.


Apply styles

  1. Select one or more shapes to format.
  2. On the Format menu, click Style, and from the Text style, Line style, and Fill style lists, click the styles you want, and then click OK. To continue working on styles, click Apply instead.


Preserve local formatting when you apply a style

  1. Select the shape, and then on the Format menu, click Style.
  2. Click the styles you want to apply.
  3. Select Preserve local formatting.

Note In the Define Styles dialog box, select Preserve local formatting on apply.

  4. Click OK.


Define a new style

  1. On the Format menu, click Define Styles.
  2. Under Style, in the Name list, click <New style>, and then type a name for the new style.
  3. To base a new style on an existing style, click that style in the Based on list.
  4. Under Includes, select the attributes that you want your style to include. A style can include any combination of text, line, and fill attributes.
  5. Under Change, click Text, Line, or Fill to change the settings for that attribute. Specify the settings you want for each attribute you selected in step 4.
  6. When you have finished specifying settings, do one of the following:
  • To add the new style and, if you selected shapes in your drawing, apply it to the selected shapes and close the dialog box, click Apply.
  • To add the new style and, if you did not select any shapes in your drawing, close the dialog box, click OK.
  • To add the new style and continue working on styles in the dialog box, click Add.

Click to show or hide information. Tip

If you are creating a style that you don't want to appear in the style list, select Hidden style.


Edit a style

  1. On the Format menu, click Define Styles.
  2. Under Style, in the Name list, click the style you want to edit.
  3. To rename the style, click Rename, type a new name for the style, and then click OK.
  4. To change the style settings, under Change, click the attributes you want to edit.
  5. When you have finished editing, do one of the following:
  • To add the changes to the style and close the dialog box, click OK (when no shapes are selected) or click Apply (when shapes are selected).
  • To add the changes and continue working in the dialog box, click Change.

Click to show or hide information. Tip

If you are creating a style that you don't want to appear in the style list, select Hidden style.


Edit the style of a set of shapes

  1. Determine which styles are assigned to a set of shapes.
  2. Edit the attributes in the styles assigned to those shapes.

After you edit the styles, all shapes to which the styles are assigned will inherit the new formatting.


Copy a style from one drawing to another

  1. Select a shape in the first drawing, and apply to it the style or styles you want to copy to another drawing.
  2. On the Edit menu, click Copy.
  3. Open the other drawing.
  4. On the Edit menu, click Paste.

The shape is copied to the other drawing, along with the styles you assigned to it in the original drawing.

  5. If you don't want that shape in the drawing, delete it.

The additional styles still remain in the other drawing.

Note If a style that has the same name already exists in the second drawing, the style of the shape you copy does not replace the original style. Instead, it inherits the formatting of the style as it is defined in the second drawing. In this situation, if you want to copy the style, rename the style in either of the drawings before you begin.


Restore a default style

  1. Select a shape, and then on the Format menu, click Style.
  2. Do one of the following:
  • If the shape you selected is based on a master (if you dragged the shape from a stencil), from the Text style, Line style, or Fill style lists, click Use master's format at the top of the list.
  • If you created the shape you selected by using one of the drawing tools, from the Text style, Line style, or Fill style lists, click the same style on the list. For example, if the Text style box lists the Normal style, click Normal on the list.
  3. Click OK, or, to continue working on styles, click Apply instead.


Delete a style

  1. On the Format menu, click Define Styles.
  2. Under Style, in the Name list, click the style you want to delete.
  3. Click Delete, and then click OK.


Set the default style used by the drawing tools

  1. Make sure nothing is selected in the drawing.
  2. On the Format menu, click Style.
  3. In the Text style, Line style, and Fill style lists, click the styles you want as defaults, and then click OK.

Click to show or hide information. Tip

If no shapes on a drawing page are selected and you change any formatting, that formatting will be applied to all shapes you draw until you go back to the original setting. For example, if you click Bold, all shapes you draw subsequently will have bold text until you turn bold off.


Determine the current text, line, or fill styles in shapes

  1. Drag a shape from the stencil to the drawing page.
  2. While the shape is selected, on the Format menu, click Style.

The styles that appear in the Text style, Line style, and Fill style lists are the styles assigned to that shape.


Create a new template from a drawing file or from an existing template

  1. Open a drawing or start a new drawing based on the template you want to modify.
  2. Open any additional stencils you want to save with the template.
  3. Modify drawing page settings and styles that you want to use in drawings you base on this template.

For example, to have a background page that displays your company logo or a title block that contains fields such as the date, create the background page or title block, and then assign it to the foreground page.

  4. On the File menu, click Save As, and then do the following:
  • In the Save as type list, select Template (*.vst).
  • In the File name box, type a name for your template.
  • In the Save list, make sure Workspace is checked.
  • In the Save in list, click the folder in which you want to save the template.

Click to show or hide information. Tip

If you want the template to appear in the list that is displayed when you click New on the File menu, save it in the Solutions folder or one of its subfolders.

  5. Click Save.


About drawing scales

When the drawings you create contain real-world objects that are larger than the paper size, such as an office, you need to draw to scale. Your drawing scale specifies how a distance on the page represents a distance in the real world. For example, 1 inch on the drawing page of an office layout might represent 1 foot of the actual office (in metric drawings, 2 centimeters might represent 1 meter).

Set a drawing scale when you need to represent large or small objects on a drawing page and you must accurately measure distances or lengths on the final printed drawing.

Show me an example

Click to show or hide information. Drawings that use drawing scales

You can set a drawing scale in any drawing. Some drawing types, such as the Office Layout drawing type, open with a drawing scale already set, which you can change if you want. These drawings are called scaled drawings.

Some drawing types, such as the Basic Flowchart, open with a drawing scale of 1:1, which means that 1 inch or centimeter on the printed page represents 1 inch or centimeter in the real world. These drawings are called unscaled drawings; you use them to create abstract drawings that don't represent actual objects in the real world.

Click to show or hide information. Setting drawing scales

The drawing scale is a ratio of sizes on the printed page to sizes in the real world. For example, 1" = 1' is a drawing scale that means 1 inch on the printed page represents 1 foot in the real world.

Drawing scales are sometimes expressed as a ratio without measurement units. For example, the metric scale for an office layout might be expressed as 1:50, which is the same as 2 cm = 1 m if you measure distances in centimeters and meters.

The smaller the drawing scale, the larger the area you can represent:

  • A scale such as 1:100 (metric units) or 1/8" = 1' (US units) allows you to draw an entire floor on one page.
  • A scale such as 1:10 (metric units) or 1" = 1' (US units) allows you to focus in on one cubicle.

Click to show or hide information. Setting measurement units and page units

When you choose a drawing scale, the measurement units and page units are automatically set. Even when you choose a metric drawing scale, such as 1:50, the units are set for you.

Measurement units Represent sizes or distances in the real world. In an office layout with a drawing scale of 2 cm = 1 m (1:50), meters are the measurement unit. In a drawing scale of 1/4" = 1', feet are the measurement unit. You can change the measurement unit independently of the drawing scale.

Page units Represent sizes or distances on the printed page. In an office layout with a drawing scale of 2 cm = 1 m (1:50), centimeters are the page unit. In a drawing scale of 1/4" = 1', inches are the page unit. You can change the page unit independently of the drawing scale.

Click to show or hide information. How shapes are scaled

Most shapes are designed for unscaled drawings. When you drag a shape onto a scaled drawing page, the shape is automatically resized to match the drawing scale. This prevents the shape from becoming so large that it obscures the drawing page or so small that you can't see it.

If the scale of the shape is much larger or much smaller than the scale of the drawing page, the shape is not resized.


Set the drawing scale for a page

  1. Display the page for which you want to set a drawing scale.

You can set a different drawing scale for every page in your drawing.

  2. On the File menu, click Page Setup, and then click the Drawing Scale tab.
  3. Click Pre-defined scale, and then click a predefined architectural, metric, or engineering scale. Or click Custom Scale and type a custom scale.
  4. To change the measurement units (such as feet or meters), click the Page Properties tab, and in the Measurement units list, click the units you want.
  5. To give the background pages the same drawing scale, display the background page and set the drawing scale to match the foreground page.

The drawing is updated to show the new settings. Shapes on the page may appear to be larger or smaller, but their real-world size does not change. Rulers show the new measurement units.


Set measurement units for a page

Measurement units are automatically set when you choose a drawing scale. You can change the measurement units for a drawing scale, and you can choose measurement units for unscaled drawings.

  1. Display the page for which you want to set the measurement units.

You can set a different measurement unit for every page in your drawing.

  2. On the File menu, click Page Setup, and then click the Page Properties tab.
  3. In the Measurement units list, click the units you want.

Measurement units are used in the rulers and in the Size & Position window to show the size of a shape.

Note If you mix US and metric units on the same page, shapes may not be positioned correctly. If you have opened a template in which shapes are drawn using metric units, such as centimeters, do not change the measurement units to US units, such as inches.


Set default page units

  1. On the Tools menu, click Options, and then click the Regional Settings tab.
  2. In the Page list, click the page units you want.

Note The default page units setting also determines whether new, blank drawings open with metric or US units.


Set the page size in measurement units

  1. On the File menu, click Page Setup, and then click the Drawing Scale tab.
  2. Click either Pre-defined scale or Custom scale.
  3. Under Page size (in measurement units), type the real-world size of your drawing.

For example, if you are trying to represent a building that is 30 meters wide and has surrounding landscaping, you might set your page size to 45 meters wide.


About layers

You can use layers to organize related shapes on a drawing page. A layer is a named category of shapes. By assigning shapes to different layers, you can selectively view, print, color, and lock different categories of shapes, as well as control whether you can snap to or glue to shapes on a layer.

A shape can be assigned to multiple layers or to no layers, and every page in a drawing can have a different set of layers. Many shapes are already assigned to layers, so when you drop them on a page, the corresponding layer is added to the page.

For example, when you're drawing an office layout, walls, doors, and windows are assigned to one layer, electrical outlets to another layer, and furniture to a third layer. That way, when you work with shapes in the electrical system, you can lock the other layers so that you don't have to worry about accidentally rearranging the walls.

Click to show or hide information. New layers

You can create new layers to organize custom categories of shapes, and then assign shapes to those layers.

  • When you create a new layer, it is added only to the current page, not to all pages in the file.
  • Similarly, when you create a new page, you must define its layers; the new page does not inherit layers from the previous page.
  • However, when you copy a shape with a layer assignment from one page to another, whether in the same drawing or between drawings, the layer is added to the new page. If the page already has a layer with the same name, the shape is added to the existing layer.

Click to show or hide information. Active layer

If a shape does not already have a predefined layer assignment, the shape is automatically assigned to the active layer when you drop it on the page. You can change the active layer to make sure that new shapes are added to the appropriate layer. For example, if you are going to add electrical wiring shapes to a drawing of an office layout, you can make the electrical layer active. All the shapes you add from then on are assigned to the electrical layer. When you begin to add windows, you can designate the wall layer as the active layer.

If shapes need to be assigned to multiple layers, you can designate more than one active layer. Shapes you add to the page are automatically assigned to all of the active layers.

Click to show or hide information. Layers on backgrounds

A background is a page that appears behind another page. It can have its own set of layers. Because a background can be shared by more than one page, but layers cannot, you may want to use layers on background pages. For example:

  • In a drawing where the same map is used on multiple pages, you can put the map on a background and assign its parts to different layers, such as the Road layer or River layer. If you want to hide the roads on all the pages, you can then hide the background's Road layer.
  • In a drawing with a title block on the background, you can assign the title block to a Revision History layer, and then set that layer as nonprinting.
  • If the background includes information you don't want modified, such as your company logo and name, but you want to give the file to a client for modifications, you can assign those shapes to a Corporate layer, lock it, and then pass the file on to the client.

Click to show or hide information. Layers and groups

By default, when you assign a group to a layer, all of the group members become members of the new layer and lose their previous layer assignments. You can specify that individual shapes in a group retain their current layer assignments. For example, you might assign a desk to the furniture layer and a computer to the electronics layer, and then group them. If you then assign the group to the den layer, the desk and computer retain their previous layer assignments as well.

Click to show or hide information. Changing layer assignments for masters on a stencil

You can edit an existing stencil and modify the layer assignments of the masters on the stencil. To do this, you must open the stencil as an original file. If you have already created a drawing, you can edit the masters on the drawing's document stencil, and then save it as a new stencil for the next time you want to create a drawing using those masters.

Masters on a stencil reassigned to new layers

Assign masters on stencils to layers so that when you drag them onto the page, they automatically appear on the correct layer.

A The Thin road master is assigned to the Streets layer.

B The Hospital and other building masters are assigned to the Landmarks layer.


Assign a shape to a layer

  1. Select a shape.
  2. On the Format menu, click Layer.
  3. Click the layer to which you want to assign the shape.

To assign a shape to more than one layer, press CTRL and click each layer.


Assign a master to a layer

  1. Right-click the stencil title bar, and then click Edit.
  2. In the stencil, right-click the master you want, and then click Edit Master.
  3. In the master drawing window, select the master.
  4. On the Format menu, click Layer.
  5. In the New Layer dialog box, type a name for the layer to which you want to assign the master, and then click OK.
  6. To assign the master to another layer, click New and repeat step 5.
  7. To close the master drawing window, click the Close button [image]. When you are prompted to update the master, click Yes.
  8. To save your changes, right-click the stencil title bar, and then click Save.
  9. To turn stencil editing off, right-click the stencil title bar, and then click Edit.

Note When you drag the edited master from the stencil onto the drawing page, the instance has the new layer assignment. Any instances you previously dragged on the page have the previous layer assignment.


Activate one or more layers

  1. On the View menu, click Layer Properties.
  2. For each layer you want to make active, click in the Active column to add a check mark.

The layer is active for the current page. When a shape that does not have a predefined layer assignment is dragged onto the page, it is automatically assigned to the active layer.

Note If a layer is locked against editing, you cannot make it the active layer.


Create a layer

  1. On the View menu, click Layer Properties, and then click New.
  2. Type a name for the layer, and then click OK.
  3. In the Layer Properties dialog box, click to place a check mark below properties that you want the layer to have, if they are not already checked.

The layer is created for the current page, not for all pages in the document.


Create a redlining layer

  1. On the View menu, click Layer Properties.
  2. Click New, type a name for the redlining layer, and then click OK.
  3. Click the new layer, and then click in the Active column to add a check mark.
  4. Assign a color to the new layer.

Click to show or hide information. Tip

If more than one person is reviewing the drawing, create a redlining layer for each reviewer and assign a different color to each layer.


Assign a color to a layer

  1. On the View menu, click Layer Properties.
  2. For the layer you want to color, click in the Color column to add a check mark.
  3. In the Layer Color list, click a color name.
  4. To make the layer transparent, for Transparency, drag the slider to the value you want.

A value of 100% makes the layer invisible; a value of 0% makes the layer opaque.

The color is assigned to the layer on the current page.

The color and transparency you assign to shapes on a layer temporarily overrides each shape's original color and transparency. If you turn off the layer color, each shape returns to its original color. However, if you have assigned a shape to more than one layer, the shape does not use a layer color but instead appears in its original color. Layer colors appear in both the displayed drawing and the printed drawing.


Lock a layer

  1. On the View menu, click Layer Properties.
  2. Click in the Lock column to add a check mark.

Note You cannot select, move, or edit the shapes on a locked layer, and you cannot add shapes to a locked layer. You can change the color of shapes on a locked layer by setting the color in the Color column of the Layer Properties dialog box.


Set snap and glue options for shapes on a layer

  1. On the View menu, click Layer Properties.
  2. To allow other shapes to snap to shapes on a layer, select the Snap check box.
  3. To allow other shapes to glue to shapes on a layer, select the Glue check box.

Note If a shape is on a layer whose Snap and Glue check boxes are not selected, you can still snap or glue it to other shapes, but you cannot snap or glue other shapes to it.


Rename a layer

  1. On the View menu, click Layer Properties.
  2. Select the layer you want to rename, and then click Rename.
  3. Type a new name, and then click OK twice.

The layer is renamed on the current page. The shapes on the layer are not removed or changed.


Remove a layer

  1. On the View menu, click Layer Properties.
  2. Click the number button [image] to see whether any shapes are assigned to the layer.
  3. If a layer has shapes on it, assign those shapes to a different layer.

Click to show or hide information. How?

  1. To close the Layer Properties dialog box, click OK.
  2. Select the shapes you want to reassign.
  3. On the Format menu, click Layer.
  4. Click the layer to which you want to assign the shapes.
  5. Click OK, and then on the View menu, click Layer Properties.
  4. In the Layer Properties dialog box, select the layer you want to delete, and then click Remove.

Note To delete all unused layers, in the Layer Properties dialog box, check Remove Unreferenced Layers.


Prevent shapes on a layer from printing

  1. On the View menu, click Layer Properties.
  2. For the layer with the shapes you don't want to print, clear the Print check box.


Select all the shapes on a layer

  1. On the Edit menu, click Select by Type.
  2. Do one of the following:
  • To select shapes on a specific layer, in Select by, click Layer, and then click the layer with the shapes you want. Press CTRL+click to select multiple layers.
  • To select shapes that are not assigned to any layer, in Select by, click Layer, and then click No Layer.


Show or hide a layer

  1. On the View menu, click Layer Properties.
  2. Under Visible, click to clear or select the check mark for the layer to hide it or show it.


About color settings

To increase readability, or to suit your preferences, you can change background colors in the drawing window, stencil window, and print preview window, as well as in full-screen view. You can also change the color of the drawing page and of the shape names in stencils.

By default, drawing backgrounds and stencil backgrounds are a single color. If your monitor is set to 32-bit color, you can set these backgrounds to grade smoothly from one color into another.


Add sounds to a Microsoft Visio window

  1. Click the Start button, point to Settings, and then click Control Panel.
  2. Double-click Sounds or Sounds and Multimedia, depending on which version of Microsoft Windows you have installed.
  3. Click the Sounds tab, and in the Sound Events list, click Restore Up or Restore Down.
  4. In the Name list, click a sound, or click Browse to locate a sound file.
  5. To add sounds to another event, repeat steps 3 and 4.
  6. When you have finished, click OK and close the Control Panel.

When you move your pointer over a window that is set to AutoHide, you'll hear the sound when the window opens or closes, depending on the actions to which you've added sound.


Change color settings

  1. On the Tools menu, click Options.
  2. Click the View tab.
  3. Under Color settings, click the color options you want.


About zooming in and out of drawings

You can view Microsoft Visio drawings at various levels of magnification to make it easier to see details or to get a broader view of the drawing's contents. You can use the Zoom toolbar box [image], the Zoom menu command, or the Zoom dialog box to set the level of magnification. Whichever method you use, you can select percentage options to display a page in proportion to its actual size (which corresponds to the 100 percent option) or type a percentage to specify the view.

Zoom to the size that best suits your work; for example, viewing a very small drawing probably requires magnification.

When you hold down both the CTRL and SHIFT keys, the pointer turns into a magnifying glass, and clicking the left mouse button enlarges the view; clicking the right mouse button reduces the view. Whether you enlarge or reduce, the new view is centered wherever you click.

When you hold down CTRL and SHIFT and drag, the resulting magnification depends on the size of the box you drag—the smaller the box, the greater the magnification.


Magnify part of a drawing page

  1. On the View menu, click Pan & Zoom Window.
  2. In the Pan & Zoom window, drag a box around the area you want to magnify.

The larger the box, the more you see of the page, so the less shapes are magnified. The smaller the box, the less you see of the page, so the more shapes are magnified.

Note The magnification at which you view a Microsoft Visio drawing is independent of the scale you set for a drawing page.

Click to show or hide information. Tip

To change magnification, you can also use the Zoom box [image], or on the View menu, you can point to Zoom and then click one of the commands on the Zoom submenu. In addition, you can press CTRL+SHIFT; the pointer changes to a magnifying glass, and you can drag a box around the area you want to magnify.


Scroll and zoom using a Microsoft IntelliMouse

Do any of the following:

  • To scroll up or down, rotate the IntelliMouse wheel forward or backward.
  • To zoom in or out, hold down CTRL as you rotate the IntelliMouse wheel forward or backward.
  • To expand or collapse an outline, point to a heading, and then hold down SHIFT as you rotate the IntelliMouse wheel forward or backward.

Note You can change the default behavior of the IntelliMouse wheel from scrolling to zooming on the General tab of the Options dialog box. For more information about changing options and to view troubleshooting tips for the Microsoft IntelliMouse, see the IntelliPoint Online User's Guide.


About finding files

You can use the Search command in Microsoft Visio to find files wherever you work: on your computer hard drive, your local network, your Microsoft Outlook mailbox, and your network places. You can also find e-mail messages, meetings, and other information in your Outlook mailbox. Search provides two methods of finding files: basic search and advanced search.

Basic search is the most comprehensive way to search for files, Outlook items, and Web pages. You can find files that contain specified text in the title, contents, or properties. You can also specify where to look for files and the types of files to search for.

Advanced search is more specific. Use it to find files based on their properties. You do this by creating queries, which are sets of one or more rules that must be true for a file to be found. An example of a query is "author equals (only) John." This specifies that the files you are searching for should contain only the text "John" as the author property.

Click to show or hide information. The Search task pane

When you use Search, the Search task pane is displayed on the right side of the page. When you start a search, the Search task pane lists the names of files it finds. Files are displayed separately by location: your computer, your mailbox, and your network places.

Click to show or hide information. Speeding up Search with fast searching

Fast searching extracts information from files and organizes it in a way that makes the files quicker and easier to find. The fast searching index is updated when your computer is idle.

On Microsoft Windows 2000, fast searching uses the built-in Windows 2000 Indexing Service. On other Windows platforms, you can install a similar indexing service, Support For Fast Searching, when you install Microsoft Office XP.

If you're running Office on Windows 2000, you enable fast searching support from the Windows Search task pane. On Windows 98 and Windows NT, you enable it from the Basic Search task pane.

The Basic Search task pane displays a note if fast searching is not installed. If fast searching is installed, its status is displayed.

Click to show or hide information. Searching from the Open dialog box

You can search for a file using a basic search or an advanced search while using the Open dialog box. As in the Search task pane, results are displayed separately by location. Along with opening a file, you can view its properties.


Find a file

You can search the titles, contents, or properties of Microsoft Office files, Microsoft Outlook items, and Web pages. You can search only the properties of Microsoft Visio drawings.

  1. On the File menu, click Search.
  2. Do one of the following:

Click to show or hide information. Search for a file or Outlook item containing specified text

You can find a file or Outlook item containing text in its title, contents, or properties. You can find a Visio drawing containing text in its properties only.

  1. In the Search text box, type the text to search for.

Click to show or hide information. Tips

  • Type a question mark (?) to match any single character in your search text, or type an asterisk (*) to match any number of characters. For example, s?t finds "sat" and "set"; s*d finds "sad" and "started."
  • When searching for Outlook items, use natural language searches. Natural language searching is supported only in English versions of Microsoft Office XP.
  2. To limit where to search, in the Search in box, select one or more drives, folders, Web sites, or Outlook mailboxes. To search everywhere, select Everywhere.
  3. To limit the types of search results, in the Results should be box, select the types of items to find. To find all types of files, Web pages, and Outlook items, select Anything.
  4. Click Search.

Click to show or hide information. Search for a file or Outlook item based on one or more properties

  1. In the Basic Search task pane, click Advanced Search.
  2. Enter one or more search criteria.

Click to show or hide information. How?

  1. In the Property box, choose a property from the list or type a property name. The Property box displays the properties available in the currently open document.
  2. In the Condition box, choose a condition from the list, or type a condition.
  3. In the Value box, enter a value to associate with the condition.
  4. If previous search criteria exist, to add a criterion that must be true in addition to previous criteria, click And. To add a criterion that is sufficient regardless of previous criteria, click Or.
  5. To add the search criterion, click Add.

Note If the value is invalid for the condition or property, the Add button is unavailable.

  3. To limit where to search, in the Search in box, select one or more drives, folders, Web sites, or Outlook mailboxes. To search everywhere, select Everywhere.
  4. To limit the types of search results, in the Results should be box, select the types of files, Web pages, and Outlook items to find. To find all types of files and items, select Anything.
  5. Click Search.

In the Search Results pane, you can take one or more actions on the search results.

Click to show or hide information. How?

  • To quickly view an item's properties, pause the mouse pointer over the item.
  • To open an item in its default editor, click it.
  • To open an item in an Office application, click the action button following the item, and then choose Edit with <application>.
  • To view a Web page in a browser, click the action button following the item, and then choose Open in Browser.
  • To create a new document based on the selected item, click the action button following the item, and then choose New from this file.
  • To copy a hyperlink to the selected item onto the Office Clipboard, click the action button following the item, and then choose Copy link to clipboard.
  • To view all properties of an item, click the command button following the item, and then choose Properties.


Find a file from the Open dialog box

You can search the titles, contents, or properties of Microsoft Office files, Microsoft Outlook items, and Web pages. You can search only the properties of Microsoft Visio drawings.

  1. On the File menu, click Open.
  2. Click Tools, and then click Search.
  3. Do one of the following:

Click to show or hide information. Search for a file item containing specified text

You can find an Office file containing text in its title, contents, or properties. You can find a Microsoft Visio drawing containing text in its properties only.

  1. In the Search text box, type the text for what you want to search.

Click to show or hide information. Tip

Type a question mark (?) to match any single character in your search text, or type an asterisk (*) to match any number of characters.

  2. To limit where to search, in the Search in box, select one or more drives, folders, Web sites, or Outlook mailboxes. To search everywhere, select Everywhere.
  3. To limit the types of search results, in the Results should be box, select the types of items to find. To find all types of files, Web pages, and Outlook items, select Anything.
  4. Click Search.

Click to show or hide information. Tip

To view all properties of a found item, click the action button following the item, and then choose Properties.

Click to show or hide information. Search for a file or Outlook item based on one or more properties

  1. On the Advanced tab, enter one or more search criteria.

Click to show or hide information. How?

  1. In the Property box, choose a property from the list, or type a property name. The Property box displays the properties available in the currently open document.
  2. In the Condition box, choose a condition from the list, or type a condition.
  3. In the Value box, enter the value to associate with the condition.
  4. If previous search criteria exist, to add a criterion that must be true in addition to previous criteria, click And. To add a criterion that is sufficient regardless of previous criteria, click Or.
  5. To add the search criterion, click Add.

Note If the value is invalid for the condition or property, the Add button is unavailable.

  2. To limit where to search, in the Search in box, select one or more drives, folders, Web sites, or Outlook mailboxes. To search everywhere, select Everywhere.
  3. To limit the types of search results, in the Results should be box, select the types of files, Web pages, and Outlook items to find. To find all types of files and items, select Anything.
  4. Click Search.

Click to show or hide information. Tip

To view all properties of a found item, click the command button following the item, and then choose Properties.


About finding shapes

When you start a new drawing from a template, stencils with shapes for that drawing type appear next to the drawing page. If you want additional shapes, you can search for them. Searching for shapes is an easy way to locate shapes without opening Microsoft Visio stencils.

The Find Shape command searches the stencils that are installed on your hard drive in your stencil path. If you have an Internet connection, it also searches the Web for Visio shapes, including new shapes, shapes that have been updated since you installed Microsoft Visio, and shapes created by other companies.

Click to show or hide information. Search results

When you start a search, the Find Shape window begins listing shapes. To use a shape, drag it from the Find Shape window onto your drawing. Shapes that are located only on the Web have an arrow icon in the lower-left corner:

A shape that is located on the Web

You will also see the arrow icon if a Web shape has been updated more recently than the same shape on your hard drive.

The Find Shape command searches the Web for all shapes that are available for your Visio product.

Click to show or hide information. Saving shapes

If you find a shape that you want to use frequently in your drawings, you can save it on your hard drive. Saving shapes is especially useful if you have a dial-up Internet connection and you want to reuse the shape without connecting to the Internet again.

Click to show or hide information. Search tips

In the Search for box, enter one or more words that describe the shape you are looking for. You can separate words with spaces, commas, or semicolons. You cannot use wildcard characters (such as the asterisk [*] or the question mark [?]).

Shape searches look for the exact word you type. That is, the word plants will not return shapes that have the word plant associated with them.

If a search is finding too many shapes, try another word, or click the All of these words option and type a phrase. For example, if the word chair returns too many shapes, try the phrase office chair.

If a search isn't finding the shape you want, try typing several different words that might describe the shape. For example, if the word carton does not return any results, try box.


Find a shape on a drawing

  1. On the Edit menu, click Find.
  2. In the Find what box, type text that is associated with the shape you are looking for.

The Find command searches text typed into a shape, text stored in the shape's custom properties, and the shape name (for example, Person or Wall).

  3. Under Search in, click the locations you want to search.
  4. Click Find Next.

The Find command finds the first shape containing the text or data you want and highlights the shape on the page. Text within a shape is highlighted; a shape that contains invisible text (such as text in a custom property) is selected.


Find shapes on a stencil or on the Web

  1. On the File menu, click Find Shape.
  2. In the Search for box, type one or more words that describe the shape you want. You can separate words with spaces, commas, or semicolons.

For example, to find shapes that represent office chairs, type chair.

  3. To narrow your search, do one or both of the following:

Click to show or hide information. Reduce the number of shapes that are returned

Click All of these words, and then type a phrase.

For example, to locate only office chairs and not lawn chairs or other kinds of chairs, type office chair.

Click to show or hide information. Narrow your search to only your hard drive

  1. In the Find Shape window, click Options.
  2. Click the General tab, click the arrow next to the Where box, click the locations you want to search, and then click OK.

For example, to search only stencils on your hard drive, clear the The Internet check box.

  4. Click Go.
  5. When you find the shape you want, drag it onto the drawing page.
  6. If you have grouped shapes by stencil, you can open the stencil that contains the shape. Right-click the stencil name, and then click Open Stencil.


Change where the Find Shape window appears

Click the Find Shape title bar, and then drag the window to a new location.

You can dock the Find Shape window at the top, bottom, left, or right of the drawing window, or you can make it float above the drawing page.


Save Web shapes on your hard drive

  1. In the Find Shape window, select one or more shapes, right-click one of the shapes, and then click Save As.
  2. In the File name box, type the name of a new stencil for the shape, or locate an existing stencil file.

If you want the shape to be included in future shape searches, save the stencil in the stencil folder. The default stencil folder is the Solutions folder, which is located in the Microsoft Visio installation folder.

  3. Click Save.

The shape is saved on the new stencil or added to the existing stencil.


Index new shapes for searching

  1. On the File menu, click Find Shape.
  2. In the Find Shape window, click Options.
  3. Click the Advanced tab, and then click Update Index.

It may take a few minutes while the stencils on your hard drive are indexed.

Note Make sure that the stencils containing the new shapes are stored in the stencil folder. The default stencil folder is the Solutions folder, which is located in the Microsoft Visio installation folder.


Search for a word or phrase in a drawing

  1. On the Edit menu, click Find.
  2. In the Find what box, type the word or phrase you're looking for. To find a special character, such as a tab or a caret, click Special.
  3. Under Search and Options, click the options you want, and then click Find Next.
  4. Click Cancel to close the Find dialog box to edit the word or phrase, or click Find Next again to find its next occurrence.


Troubleshoot finding files

Click to show or hide information. It takes a long time to search for files.

  • You may need to install fast searching on your computer.

Click to show or hide information. How?

Install Microsoft Office XP and, in setup, do the following:

  1. Choose Add or Remove Features, and then click Next.
  2. Click the plus sign (+) next to Office Tools.
  3. Click the icon next to Support for fast searching, and then choose Run from My Computer.

Note After support for fast searching is installed, fast searching is enabled by default.

  • You may need to enable fast searching on your computer.

Click to show or hide information. On Microsoft Windows NT 4.0, Microsoft Windows 98, and Microsoft Windows Millennium Edition

  • In the Basic Search task pane, click Search options.
  • In the Indexing Service Settings dialog box, click Yes, enable Indexing Service.

Click to show or hide information. On Microsoft Windows 2000

For help enabling or disabling the index on Windows 2000:

  1. On the Windows Start menu, click Search, and choose For Files or Folders.
  2. in the Windows Search task pane, under Search Options, click Indexing Service, and then click Help.

Click to show or hide information. I can't save a search query.

You cannot save search queries. However, the Search task pane will display your most recent query.

Click to show or hide information. Search does not find a file on a drive

The current search may specify the correct location of the file, but other criteria might exclude the file you're looking for. Try the following:

  • Reenter search criteria in the Search task pane.
  • Make sure all files are included in the search. In the Results should be box, click Anything.
  • Make sure subfolders are included in the search. In the Search in box, click Everywhere, or review your folder selections.
  • Make sure the file type you are searching for isn't hidden. To learn how to display all files, including those with extensions such as .dll and .sys, see Windows Help.

Click to show or hide information. Search finds incorrect files.

The index may be out of date on the computer you are searching.

Click to show or hide information. On Microsoft Windows 98 or Microsoft Windows Millennium Edition

  1. In the Basic Search task pane, click Search options.
  2. In the Indexing Service Settings dialog box, click Advanced.
  3. Click Update Now.

Click to show or hide information. On Microsoft Windows 2000

For help updating the index on Windows 2000:

  1. On the Windows Start menu, click Search, and choose For Files or Folders.
  2. in the Windows Search task pane, under Search Options, click Indexing Service, and then click Help.

Click to show or hide information. I can't search my mailbox.

You may have a previous version of Microsoft Outlook. Searching will search mailboxes only if you are running Microsoft Outlook 2002.

Click to show or hide information. I can't search for a specific file type.

If you are searching for a Microsoft Office file, such as a Microsoft Word file or a Microsoft Visio drawing, make sure the file type you want is checked in the Results should be field of the Search task pane. To search for a file type not listed, click Anything.

Click to show or hide information. I'm having trouble using natural language search.

Here are some things to keep in mind to improve your results with natural language searching:

  • You may be searching a public folder. Natural language searching is not supported in Outlook public folders.
  • You may be looking for a journal item. Natural language searching is not supported for journal items.
  • Your natural language search text may be ambiguous. For example, a search may be unclear whether "King" is a person's last name or a title.
  • Outlook may not know some things that you expect it to. For instance, the following search text fails because Outlook does not keep track of team roles: "All mail from my manager."
  • You may be including "and" or "or" in your query in a way that is not supported. For example, the following query will work: "E-mail from Emma or Harish." The following query will not work: "E-mail from Wei or about sales forecasts." In general, use "and" or "or" to separate possible values of a field.
  • You may be including "not" in your natural language search in a way that is not supported. "Not" is only recommended in a natural language search when it is part of a property name, as in "All e-mail items that are not read." Natural language search does not work well on general "not" clauses, such as "E-mail not from Marie."


Troubleshoot finding shapes

Click to show or hide information. I created new shapes that I saved on a stencil, but they don't show up when I search for shapes using the Find Shape command.

You must update the index (catalog) of shapes on your hard drive so that a shape search can locate the new shapes. In the Find Shape window, click Options. Click the Advanced tab, and then click Update Index. Make sure your stencil is saved in a folder in the stencil path. The default stencil folder is the Solutions folder, which is located in the Microsoft Visio installation folder.

Click to show or hide information. A search isn't finding shapes that it found before.

You might be searching while the index is being updated. Wait a few moments and try again. The index is updated the first time you use the Find Shape command after you have installed the Visio program, any time you click the Update Index button in the Options dialog, and any time you add folders to your stencil path.

Click to show or hide information. Searching for shapes doesn't find shapes in my drawing.

The Find Shape command only finds shapes stored on stencils. To find shapes in a drawing, use the Find command. If you have created your own shape that you want to be included in a shape search, save the shape on a stencil, and update the shape index.

Click to show or hide information. A shape search takes a long time.

If you don't need to search the Web for shapes, you may be able to speed up your search by searching only your hard drive. In the Find Shape window, click Options. Click the General tab, and then click the arrow next to the Where box. Clear the check box next to The Internet.


About shapes

In a Microsoft Visio drawing, shapes represent both objects in the real world and concepts. Visio shapes can represent:

  • Objects in the physical world, such as desks, chairs, and computers on a floor plan.
  • Objects in an organizational hierarchy, such as employees in an organization chart.
  • Objects in a software or database model, such as entities and relationships in a database model diagram. Visio shapes are designed to behave the way you want them to in a particular context. For example, shapes for doors, windows, and desks—things that are built to standard industry sizes—are locked against sizing so that you don't accidentally stretch the shapes inappropriately as you work with them.

Chair shape with a rotation handle

The desk chair shape is programmed to be easy to rotate.

Click to show or hide information. Shapes can be simple or complex

A Visio shape can be as simple as a line or as complex as a calendar or a table shape. The term "shape" can refer to:

  • One line, arc, or freeform curve that you draw with the drawing tools.
  • A series of line segments.
  • Pre-made shapes that appear on stencils or in the Find Shape window.
  • Several shapes grouped together.
  • Shapes that you draw yourself.

Two types of Visio shape: a line and a table and chairs

A single line is a shape. A table-and-chairs combination is a shape composed of single shapes grouped together.

Click to show or hide information. Shapes are one-dimensional or two-dimensional

A shape can be either one-dimensional (1-D) or two-dimensional (2-D).

A 1-D shape behaves like a line. A 1-D shape has endpoints that you drag to resize the shape.

You can glue the endpoints of 1-D shapes to the sides of 2-D shapes to create connecting lines that stay in place when the shapes are moved. A 1-D shape has two endpoints: a begin point [image] and an end point [image].

Two 1-D shapes: a line and an arc

A 1-D shape has only two endpoints. Some 1-D shapes also have other handles, such as this arc's control handle.

A 2-D shape behaves like a rectangle. A 2-D shape has selection handles [image] that you drag to resize the shape.

Two 2-D shapes: an ellipse (closed shape) and a zigzag line (open shape)

A 2-D shape has more than two handles and can be closed (like the ellipse) or open (like the zigzag line).


About dragging shapes onto a drawing page

The easiest way to create a drawing is to drag a master from a stencil to the drawing page. (In the Microsoft Visio program, shapes on a stencil are called masters.) When you drag a master onto a drawing page, you create an instance of the master. The master itself remains on the stencil so that you can use it repeatedly to create new instances.

When you create an instance, the shape is snapped to the nearest grid line or ruler subdivision so that you can position it precisely.

Dragging a master to create an instance of a shape

Dragging shapes to create a drawing is accurate and fast when you use the grid and rulers for positioning.


About shape handles

Shapes have a variety of handles that you can drag to modify a shape's appearance, position, or behavior. For example, you can use handles to glue one shape to another, move a shape's text, or change the curve of an arc.

Click to show or hide information. Connection points

Some shapes have connection points, to which you can glue the endpoints of a 1-D shape such as a connector shape. You can create new connection points by using the Connection Point tool [image].

Shapes with connection points to which a connector is glued

Click to show or hide information. Control handles

Some shapes have control handles that let you modify the shape. Each control handle has a function unique to the shape on which it appears. For example, you might use a control handle to adjust the roundness of a shape's corners or to reshape an arrow.

To display a tip that explains what a control handle does, pause the pointer over the control handle.

The pointer paused over a control handle to display the handle's tool tip A shape's control handle that adjusts the line spacing

You can drag this shape's control handle [image] to adjust the line spacing.

Click to show or hide information. Control points

Control points appear on lines, arcs, and freeform curves when you select these shapes by using the Pencil tool [image]. To change the curve or symmetry of a segment, drag control points.

A shape with control points and vertices

Vertices appear as green diamond-shaped handles. Control points appear as round green handles between vertices.

Click to show or hide information. Eccentricity handles

You use eccentricity handles to adjust the angle and magnitude of an elliptical arc's eccentricity.

To display eccentricity handles, select an arc, click the Pencil tool [image], and then click the control point [image] at the center of the arc.

An arc with eccentricity handles

Eccentricity handles appear as circles on each end of a dashed line.

Click to show or hide information. Padlocks

Padlocks appear in place of corner selection handles to indicate that the selected shape is protected, or locked, against specific changes. For example, some shapes are locked against flipping, rotating, sizing, or other changes that would destroy their programmed behavior.

A shape that is locked against resizing and rotating

When a shape is locked against sizing or rotating, its selection handles appear as padlocks.

Note Padlocks appear only when a shape is locked against sizing or rotating. When a shape is locked against repositioning, deleting, or selecting, no padlocks appear, but you still cannot perform those actions.

Click to show or hide information. Rotation handles

Rotation handles appear when you select a shape by using the Rotation tool [image]. Rotation handles indicate where to drag to rotate a shape. The center of rotation is marked by a pin, which you can move to change the center of rotation.

A shape with rotation handles at the corners and a rotation pin in the center

Rotation handles appear as round green corner handles. The rotation pin appears as a circle that has a small plus sign in the center.

Click to show or hide information. Selection handles and endpoints

Selection handles and endpoints appear when you select shapes by using the Pointer tool [image]. To resize a shape, drag its selection handles or endpoints.

Most shapes have corner selection handles that you can drag to resize the shapes proportionally and side selection handles that you can drag to resize the sides of the shapes.

Two shapes with selection handles at the corners and sides

The small green boxes on the corners and sides of each shape (A) are its selection handles.

Some shapes, including all connector shapes, are one-dimensional (1-D). One-dimensional shapes have endpoints—a begin point [image] and an end point [image].

2-D shapes with endpoints and selection handles

In addition to a begin point (A) and an end point (B), some 1-D shapes have two selection handles (C).

Click to show or hide information. Vertices

Vertices appear when you select a shape by using the Pencil [image], Line [image], Arc [image], or Freeform tool [image]. You can drag a vertex to change the form of a shape and add or delete vertices to alter the number of line segments in a shape.


About multiple shape selection

When you select multiple shapes and then click a menu command, the result depends on:

  • The primary shape (first shape selected).
  • The order in which you select the shapes.
  • The stacking order of the shapes.

Click to show or hide information. Primary shape

When you work with multiple shapes, the primary shape determines:

  • How all the shapes align when you click Align Shapes or Distribute Shapes on the Shape menu.
  • How the selected shapes are affected when you edit or position them.
  • The attributes that appear in any dialog boxes or style lists you open.
  • The order in which shapes are connected when you click Connect Shapes on the Shape menu.

Which shape is primary is determined by one of two things: the selection order or the stacking order.

When you select multiple shapes by pressing SHIFT and clicking, the primary shape is the first shape you select, and it is indicated by green selection handles.

When you select shapes by dragging a selection net around them, the primary shape is the one at the back of the stack (the first one that you dragged onto the page).

Click to show or hide information. Stacking order

The stacking order of the shapes on the page determines how a command affects multiple shapes in a selection. The first shape you add to a page is at the back of the stack; the shape you added last is at the front. Stacking order determines:

  • Which shape is positioned in front of another if they overlap.
  • How multiple shapes are affected by commands.
  • The selection order when you select multiple shapes by dragging a selection net around them. The shape at the back of the stacking order becomes the primary shape and displays green handles.

When you select multiple shapes by pressing SHIFT and clicking, the stacking order doesn't affect the selection order. The first shape you click becomes the primary shape.

Note Shapes on a background always appear behind shapes on a foreground. Layers, however, have no effect on stacking order.


Select shapes

Click to show or hide information. Select one shape

  1. Click the Pointer tool [image].
  2. Move the pointer over a shape.
  3. When the pointer changes to a four-headed arrow White pointer with 4-headed arrow, click to select the shape.

The shape's green selection handles [image] appear.

Click to show or hide information. Select multiple shapes

Do one of the following:

  • Click a shape, hold down the SHIFT key, and then click to select other shapes one at a time.
  • Click the Pointer tool [image], and then drag a rectangle around all the shapes that you want to select.

The primary shape has green selection handles, and all other shapes have blue selection handles.

Click to show or hide information. Select all the shapes on a page

On the Edit menu, click Select All.

If there are more than 25 shapes, they appear with a magenta outline to show that they are selected. Otherwise, the primary shape has green selection handles [image], and all other shapes have blue selection handles.

Click to show or hide information. Select all of a particular kind of object

On the Edit menu, click Select by Type, and then check the type of object that you want to select, such as shapes, groups, or guides.

Click to show or hide information. Cancel a selection

Do one of the following:

  • To cancel the entire selection, click a blank area on your drawing, or press the ESC key.
  • To cancel the selection of one shape when several are selected, hold down SHIFT and click the shape.


Copy a shape

  1. Select the shape you want to copy.
  2. Do one of the following:
  • To create an offset copy of the shape, on the Edit menu, click Duplicate.
  • To copy a shape to a specific location on the page, hold down the CTRL key while you drag to where you want the copy.
  • To copy a shape to another page in your drawing, hold down the CTRL key while you drag it to a page tab. Pause until the other page is displayed, then drag the copy to where you want it.


Copy and paste shapes from an existing drawing into a new drawing

  1. Start a new drawing.
  2. Open the existing drawing.
  3. In the existing drawing, select the shapes you want to use in the new drawing and then, on the Edit menu, click Copy.
  4. Switch to the new drawing, and then, on the Edit menu, click Paste.

Click to show or hide information. Tip

You can lock the layers of the existing Visio drawing. By doing so, you can create a new drawing on top of the existing drawing without accidentally changing the existing one.


Delete a shape from the drawing page

Do one of the following:

To delete a shape, on the drawing page, select a shape, and then press DELETE.

To delete a shape and move a copy to the Clipboard, select the shape, and then on the Edit menu, click Cut.


Move shapes

Click to show or hide information. Move one shape

  1. Click the Pointer tool [image], and then point to a shape. (The pointer changes to a four-headed arrow White pointer with 4-headed arrow.)
  2. Drag the shape to where you want it.

If snapping is on, the shape may jump into place.

Note Be careful not to point to a selection handle when you move a shape. If you accidentally resize a shape, immediately click Undo on the Edit menu.

Click to show or hide information. Move multiple shapes

  1. Select the shapes that you want to move.
  2. Place the pointer over one of the shapes. (The pointer changes to a four-headed arrow White pointer with 4-headed arrow.)

If one of the objects you're moving is a group, the pointer won't show the four-headed arrow unless it is over one of the shapes in the group.

  3. Drag the shapes to their new positions. All selected shapes move the same distance and direction from their original positions.

Click to show or hide information. Move a shape to another page in the drawing

  1. Select the shape you want to move.
  2. Drag the shape to a page tab. Pause until the other page is displayed, then drag the shape to where you want it.

Click to show or hide information. Tip

To constrain the movement of the shapes to vertical or horizontal, hold down the SHIFT key while you drag the shapes.


Nudge a shape into position

  1. Select the shape that you want to nudge into position.
  2. Do one of the following:
  • To move a shape to the next position to which it can snap, press an arrow key.

If there is no position to which the shape can snap, pressing an arrow key moves the shape a single tick on the ruler.

  • To move the shape one pixel, hold down SHIFT while pressing an arrow key.

Note If pressing an arrow key scrolls your drawing instead of moving a shape, make sure that the SCROLL LOCK key is not pressed.


About snapping

Snap behavior positions and aligns shapes exactly. Snapping pulls shapes to one another or to ruler subdivisions, grid lines, guides, or guide points so you can control placement and alignment. You can control what types of objects shapes snap to and the snap strength, which is the amount of pull that an object exerts.

Shape snapped to a ruler subdivision

By default, shapes snap to both ruler subdivisions and grid lines. To snap shapes more easily to ruler subdivisions, turn snapping to grid lines off.

You may not always want to snap shapes. For example, by turning off snapping, you may find it easier to draw a smooth, freeform curve.


Snap shapes into position

  1. On the Tools menu, click Snap & Glue.
  2. Under Currently active, make sure that Snap is checked.
  3. Under Snap to, select the option check boxes that you want, and then click OK.

The Ruler subdivisions, Grid, and Guides options are useful for positioning and aligning shapes.

Under Glue to, the Shape handles (selection handles) and Connection points options are useful for gluing shapes together.

  4. Drag shapes into position.

The snap settings you choose apply to all shapes in the drawing.


About shape coordinates

While you frequently position shapes by visually aligning them with the grid or by measuring the distance between them on the drawing rulers, you can also position shapes by typing x and y coordinates for them.

The location of a shape or group on a drawing page is described in page coordinates, which have their origin at the lower-left corner of the page. Horizontal positions are specified on the x-axis; vertical positions are specified on the y-axis. Page coordinates are displayed in ruler measurements.

A square whose center is located at 1,1.

A square whose center is located 1 unit up on the y axis and 1 unit to the right on the x axis.

The x and y coordinates for a shape specify the location of the shape's pin. For most shapes, such as flowchart shapes, the pin is in the center of the shape. You can change the pin for many shapes.

Click to show or hide information. View coordinates

The Size & Position window shows the exact location and size of selected shapes and guides. With the Size & Position window, you can do the following things:

  • Set the position and degree of rotation of shapes and guides on the page, as well as the dimensions of shapes, using precise numerical values.
  • Obtain precise size and position information about selected shapes or guides.
  • Resize and move one shape or several shapes at once.


Specify a shape's coordinates

  1. Select a shape.
  2. On the View menu, click Size & Position Window.
  3. To change the location of the shape's pin (center of rotation), click to select Pin Pos (pin position), and then from the list, click a value.
  4. Enter the location of the shape:
  • For a 2-D shape, enter a value for X and Y.
  • For a 1-D shape, enter values for Begin X, Begin Y, End X, and End Y.

Click to show or hide information. Tips

  • To move a shape without resizing or rotating it, change the values for Begin X and End X or Begin Y and End Y by the same amount. For example, to move a shape down 1 inch, decrease the values of Begin Y and End Y by 1 inch each.
  • You can use arithmatic operators in the Size & Position window. For example, to move a shape vertically 1 cm, click after the value in the Y box, and type +1 cm. Valid operators are *(multiplication), / (division), + (addition), and – (subtraction).
  • If you don't type a unit, numbers are interpreted in the current measurement unit. To specify a different measurement unit, type it into the Size & Position window. For example, if the default measurement unit is inches but you want to type a value in centimeters, type cm after the number.


Align shapes to a primary shape

  1. Select the shape to which you want to align other shapes, and then press SHIFT+click to select the shapes you want to align to it.

The primary shape has green selection handles.

  2. On the Shape menu, click Align Shapes.
  3. Click the alignment options you want.

You can select both an Up/Down Alignment and a Left/Right Alignment. To cancel a selection, click the red X.

  4. To create a guide and glue the shapes to it, select the Create guide and glue shapes to it check box.

If you choose this option, you can move all the shapes and maintain their alignment by selecting and moving the guide.


Distribute shapes

  1. Select three or more shapes.
  2. On the Shape menu, click Distribute Shapes.
  3. Choose a distribution option.
  • For vertical distribution, the boundaries are defined by the top and bottom shapes in the selection.
  • For horizontal distribution, the boundaries are defined by the leftmost and rightmost shapes in the selection.
  4. To add guides and glue the shapes to them, select the Create guides and glue shapes to them check box.

If you choose this option, you can move an outermost guide to redistribute all the shapes.


About guides and guide points

Use guides when you want to position shapes precisely or align several shapes. You can place guides anywhere on a page and make shapes snap to them. You can also glue shapes to guides, so that when you move the guides, the shapes move too. You can use two kinds of guides: guides and guide points.

Click to show or hide information. Guides

Guides are nonprinting lines that can be placed anywhere on a drawing page. When shapes are glued to a guide, you can move the guide to move all the shapes at once.

Shapes glued to a guide line

Shapes that represent a plant, couch, and side table are glued to a guide.

Moving a guide line moves shapes that are glued to it.

The glued shapes move with the guide.

If you are using a framework of guides to create your drawing, you can turn off the drawing page grid and use only the rulers and guides to position and glue shapes. To turn off the drawing page grid, on the View menu, click Grid.

Click to show or hide information. Guide points

Guide points are two short, crossed guides that can be placed anywhere on a drawing page or on a shape.

Guide point positioned at the corner of a square.

Guide points can be used to align shapes at their corners.

Three shapes aligned with their centers on a guide point.

Or, guide points can be used to center shapes on top of one another.


Place, delete, or hide a guide or guide point

  • To place a guide, drag a guide from the horizontal or vertical ruler onto the drawing page, and then release the mouse button.
  • To place a guide point, drag the silhouetted cross symbol from the intersection of the two rulers onto the drawing page, and then release the mouse button.
  • To delete a guide or guide point, select it, and then press DELETE.
  • To hide guides, on the View menu, click Guides.


Rotate a guide

Click to show or hide information. Rotate a guide by using the Rotation tool

  1. Select a guide.
  2. Click the Rotation tool [image].
  3. Drag a rotation handle [image].

The guide rotates around the pin [image].

Click to show or hide information. Rotate a guide by typing an angle

  1. Select a guide.
  2. On the View menu, click Size & Position Window.
  3. In the Angle box, type a value.

To rotate the guide clockwise, type a positive value relative to the zero point.

To rotate the guide counterclockwise, type a negative value relative to the zero point.

The guide rotates around the pin [image].

Click to show or hide information. Change the center of rotation for the guide

  1. Select a guide.
  2. Click the Rotation tool [image].
  3. Position the Rotation tool over the pin [image] and drag it along the guide.


Glue a shape to a guide

  1. Drag a guide from the horizontal or vertical ruler onto the drawing page, and then release the mouse button.
  2. On the Tools menu, click Snap & Glue.
  3. Under Currently active, make sure that Glue is checked.
  4. Under Glue to, select the Guides check box.
  5. Do one of the following:
  • If the shape is a 1-D shape, drag one of the shape's endpoints to the place on the guide where you want to glue it.

When the shape is glued, the endpoint turns red.

  • If the shape is a 2-D shape, drag the shape to the place on the guide where you want to glue it.

When the shape is glued, the selection handles on the glued part of the shape turn red.

Click to show or hide information. Tip

You can automatically create a guide and glue shapes to it using the Align Shapes command.


Align shapes to a guide point

  1. If you don't see the rulers, on the View menu, click Rulers.
  2. Point to the crossbar at the intersection of the two rulers, and then drag to where you want the guide point.

The guide point appears as two blue crossed lines Guide point.

  3. On the guide point, position the centers, selection handles [image], or endpoints [image] [image] of the shapes you want to align.


Rotate a shape

Click to show or hide information. Rotate a shape 90 degrees

  1. Select a shape.
  2. Do one of the following:
  • To rotate the shape counterclockwise, on the Shape menu, point to Rotate or Flip, and then click Rotate Left.
  • To rotate the shape clockwise, on the Shape menu, point to Rotate or Flip, and then click Rotate Right.

Click to show or hide information. Rotate a shape by using the Rotation tool

  1. Select a shape.
  2. Click the Rotation tool [image].
  3. Drag a rotation handle [image].

The shape rotates around the pin [image]. To move the pin, position the Rotation tool over the pin, and drag it to a new location.

Click to show or hide information. Rotate a shape by typing an angle

  1. Click a shape to select it.
  2. On the View menu, click Size & Position.
  3. Type a value for Angle.

To rotate the shape clockwise, type a positive value.

To rotate the shape counterclockwise, type a negative value.

The angle is relative to the zero point.


About center of rotation

When you use the Rotation tool [image] to select a 2-D shape, a plus sign in a circle appears at the center of rotation [image]. You can move the center of rotation, called the pin. As you move the pointer over a rotation handle, it changes to a round arrow to indicate that you can rotate the shape.

The center of rotation, or pin, is usually in the center of a shape's selection rectangle

When you use the Rotation tool to select a shape, rotation handles appear in the corners and a pin (center of rotation) appears in the center.

A shape's pin (center of rotation) moved to a new location

You can rotate a shape around any point by moving the shape's pin to that point.


Change the position of the zero point

  • To change the position on both rulers, hold down the CTRL key, and from the intersection of the two rulers, drag to where you want the new zero point.
  • To change the position on one ruler, hold down the CTRL key, and then drag from the ruler.
  • To return the zero point to the lower-left corner of the page, double-click the intersection of the two rulers.


Flip or reverse a shape

  1. Select a shape.
  2. Do one of the following:
  • For a 2-D shape, on the Shape menu, point to Rotate or Flip, and then click Flip Vertical or Flip Horizontal.
  • For a 1-D shape, on the Shape menu, point to Operations, and then click Reverse Ends.


About grouped shapes

You can group shapes so that they function as a unit. It's useful to group shapes when you regularly use them together. For example, if you create a logo for your company that is composed of several separate shapes, you can group the shapes together so that you can treat them as one shape and add that grouped shape to other drawings. You can group any combination of Microsoft Visio shapes, shapes you draw yourself, guides, other groups, and objects from other programs.

Two grouped shapes

Some Visio shapes are groups—that is, sets of shapes grouped to form a single shape.

Keep these points in mind as you work with groups:

  • You can manipulate groups or individual shapes. (Manipulating includes formatting, moving, rotating, flipping, and reversing.) You can also set behaviors for how an individual shape acts in relation to the group to which it belongs.
  • To add a guide to a group that has shapes glued to it, be sure to select both the guide and the shapes before you add them to the group; otherwise, the glue breaks.

Click to show or hide information. Groups and the ShapeSheet

When you create a group, Microsoft Visio builds a group ShapeSheet, which describes the group's attributes, but not those of individual shapes within it. Each shape in the group retains its own ShapeSheet spreadsheet, which contains a reference to the group ShapeSheet. When you ungroup shapes, the ShapeSheet spreadsheet of the group is discarded.


Add a shape to or remove a shape from a group

Click to show or hide information. Add a shape to a group

  1. Select both the shape and the group to which you want to add the shape.
  2. On the Shape menu, point to Grouping, and then click Add to Group.

Click to show or hide information. Remove a shape from a group

  1. Select a group, and then click to select the shape you want to remove from the group.
  2. On the Shape menu, point to Grouping, and then click Remove from Group.

Click to show or hide information. Modify a group to accept dropped shapes

You can modify a group to accept shapes that are dropped on the group.

  1. Select a group.
  2. On the Format menu, click Behavior.
  3. Click the Behavior tab, and under Group behavior, select the Accept dropped shapes check box, and then click OK.
  4. Click the shape you're trying to add to the group, and then on the Format menu, click Behavior.
  5. Click the Behavior tab, and under Miscellaneous, select the Add shape to groups on drop check box, and then click OK.
  6. Drag the shape into the group.


Determine whether a shape is a group

  1. Select the shape.
  2. On the Format menu, click Special.
  3. If the shape Type is specified as Group, the shape is a group.


Edit a group in the group window

  1. Select a group.
  2. On the Edit menu, click Open Group.

If the group has a name, you will see Open group name.

  3. Edit the shape in the group window.
  4. To save your changes and return to the drawing window, click the Close Window button for the group window.


Group shapes

  1. Select the shapes you want to group.
  2. On the Shape menu, point to Grouping, and then click Group.
  3. To ungroup shapes, select the group, and on the Shape menu, point to Grouping, and then click Ungroup.


Select shapes in a group

Click to select a group, and then click to select a shape in the group.

Note Some groups are locked so that you cannot select shapes in the group.


Use groups to control shape behavior

  1. To select a group, click the rectangular border (the group border) outside the grouped shapes.
  2. On the Format menu, click Behavior.
  3. Click the Behavior tab, and under Group behavior, select the options you want.


Resize a shape

  1. Select a shape.
  2. Do one of the following:
  • If the shape has selection handles [image], drag a selection handle until the shape is the size you want. To resize the shape proportionally, drag a corner handle.
  • If the shape has endpoints [image], drag an endpoint to the length you want.

Click to show or hide information. Tip

If you see fewer than eight handles on a shape, zoom in on the drawing to see the other the handles and to size the shape more accurately.


About shape segments and vertices

A segment is a straight line or a curve that is part of a more complex shape. Between each pair of segments is a vertex [image]. You can:

  • Add segments to shapes to change the way they look. For example, you can add a line segment to turn a triangle into a rectangle.
  • Add a segment to a shape by adding a new vertex to an existing segment.
  • Delete segments you don't want. For example, you can delete a segment from a rectangle to turn it into a triangle.

When you delete a segment, the shape is redrawn based on the following:

  • The order in which the shape's segments were created.
  • Whether a vertex is at the beginning or at the end of an open shape.
  • Whether the segment next to the one you delete is a line or an arc.


Add a new segment to a shape

  1. Click the Pencil [image], Line [image], Arc [image], or Freeform tool [image], and then select a shape.
  2. Between two existing vertices [image] on the shape's outline, point to where you want to add the segment.
  3. Hold down the CTRL key and click.

A new vertex appears where you clicked the shape, creating a new segment. To make the shape look right, you may need to adjust it by dragging vertices and control points [image].

Click to show or hide information. Tip

Zoom in on the drawing so that you can clearly see when the tool is over a line or an arc segment.


Delete a segment from a shape

  1. Click the Pencil tool [image].
  2. Select a shape.
  3. Click the vertex [image] you want to delete.

When the vertex is selected, it turns magenta.

  4. Press the DELETE key.

After you delete segments, you can adjust the shape by dragging vertices and control points [image].

Deleting a vertex on a rectangle

Deleting a vertex on a freeform curve

Deleting vertex A deletes the segment with which the vertex is associated. The remaining segments are reshaped accordingly.


Reshape a shape by dragging a vertex

  1. Click the Pencil tool [image].
  2. Select a shape.
  3. Click the vertex [image] you want to move. (To select more than one, hold down the SHIFT key while you click.)

When the pointer is directly over the vertex, it changes to a four-headed arrow White pointer with 4-headed arrow. When the vertex is selected, it turns magenta.

  4. Drag the vertex to a new position.


Reshape an arc

Click to show or hide information. Change the curvature of an arc

  1. Click the Pencil tool [image].
  2. Select an arc or a shape that contains an arc.
  3. Point to the arc's control point [image].
  4. Drag the control point until the arc looks the way you want.

Note An arc has an invisible snap point in the middle of an invisible line between its two endpoints. When you drag the control point to that snap point so that the arc has no curvature, the arc becomes a line.

Click to show or hide information. Change the eccentricity (or symmetry) of an arc

  1. Click the Pencil tool [image].
  2. Select an arc or a shape that contains an arc.
  3. Click the control point [image] on the arc to display its eccentricity handles [image].

On circular arcs, the eccentricity handles are under the control point.

If you don't see the eccentricity handles, hold down the CTRL key and drag the pointer slightly away from the control point.

  4. Edit the arc by doing the following:
  • To change an arc's magnitude of eccentricity, drag an eccentricity handle farther from or closer to the control point.
  • To change an arc's angle of eccentricity, drag an eccentricity handle around the control point.


Create a freeform curve from a polyline

  1. Select the polyline.
  2. On the Shape menu, point to Operations, and then click Fit Curve.
  3. To create a freeform curve that goes exactly through the polyline's vertices, leave the default settings as they are, and then click OK.

Note By default, Periodic splines is selected, Circular arcs and Cusps and bumps are unselected, and Error tolerance is set to 0.

If the polyline is closed (that is, if it forms a polygon), the result is a periodic spline.

A polyline converted to a freeform curve.

A polyline is converted to a freeform curve.


About protecting shapes and files

If you plan to share drawings, stencils, or templates with other people, you may want to protect what you create to prevent inadvertent changes.

You can protect individual shapes or groups of shapes. You can protect an entire drawing by making it read-only, or you can protect drawing file attributes individually.

You can protect shapes and drawings by using the following methods:

Click to show or hide information. Lock shapes to prevent them from being modified in specific ways

You can lock shapes to prevent anyone from resizing, repositioning, rotating, deleting, and selecting them.

When a shape is locked against resizing or rotating, it displays padlocks over the resizing and rotation handles, to indicate that those handles cannot be selected.

A shape that is locked against resizing and rotating

Padlocks over a shape's selection handles indicate that the shape is locked against changes.

In addition, the Protection section in a shape's ShapeSheet spreadsheet provides protection options not available in dialog boxes, such as locking against cropping, editing with any drawing tool, text editing and formatting, and group editing.

Click to show or hide information. Lock a layer so that no shape on that layer can be modified

For example, if you give an office layout to an electrical wiring planner, you can lock all layers except the one that contains the wiring so that no other aspects of the layout are available for editing.

Click to show or hide information. Save files and stencils in read-only format

For example, you can send an organization chart to your company in read-only format so that no one can make changes.

When you work on a drawing or open a stencil separately, the stencil opens in read-only format by default. That way, if you share a stencil with other Microsoft Visio program users, you can prevent them from accidentally changing stencil masters. However, unless you save the stencil as read-only, other users can open it in an editable format.

Click to show or hide information. Protect drawing file attributes

You can protect certain attributes in a drawing file so that other users cannot change them.

For example, you can:

  • Protect a background that you created so that people who edit shapes on the drawing page will not inadvertently change the background.
  • Protect a drawing file's styles by requiring a password so that only certain people can change the way shapes look.
  • Protect a file's shapes or masters so that people can add shapes to the drawing but not change the existing shapes or masters.
  • Protect the file's preview image. If you are a content developer, and if you want to create a template preview, add the shapes to the page that you want for the preview, save your file, protect the file's preview image, and then delete all of the shapes on the template pages.

When you protect a drawing file's attributes, you protect all the shapes in the file.


Lock shapes against selection

  1. Select the shape or shapes that you want to protect.
  2. On the Format menu, click Protection.
  3. Select the From selection check box, and then click OK twice.
  4. On the View menu, point to Windows, and then click Drawing Explorer.
  5. Right-click the name of the drawing, and then click Protect Document.
  6. Under Protect, select Shapes, and then click OK.

If you want certain people to be able to bypass the protection setting, type a password. The password is not visible after you close the dialog box, so make a note of it.


Open a copy of a read-only file

  1. On the File menu, click Open.
  2. Select the read-only file you want to open.
  3. Under Open, click Copy, and then click OK.


Protect a file

  1. On the View menu, click Drawing Explorer Window.
  2. Right-click the name of the drawing that you want to protect, and then click Protect Document.
  3. Select the items that you want to protect.

If you want certain people to be able to bypass the protection settings, type a password. The password is not visible after you close the dialog box, so make a note of it.


Protect or unprotect shape attributes

  1. Select a shape.
  2. On the Format menu, click Protection.
  3. Select the shape attributes that you want to lock, or click to clear the check boxes for the attributes you want to unlock, and then click OK.


Prevent others from changing a file

  1. In Windows Explorer, right-click a file, and then click Properties.
  2. Under Attributes, select Read-only, and then click OK.


Remove protection from a file

  1. On the View menu, point to Windows, and then click Drawing Explorer.
  2. Do one of the following:
  • If the file is protected by a password, right-click the file name, click Unprotect Document, type the password, and then click OK. All protected file attributes will be unprotected.
  • If the file is not protected by a password, right-click the file name, and then click Protect Document. Click to clear the check boxes for the items from which you want to remove protection, and then click OK.


Unlock shapes so that you can select them

  1. On the View menu, point to Windows, and then click Drawing Explorer.
  2. Right-click the name of the drawing, click Protect Document, and then click to clear the Shapes check box.
  3. On the Format menu, click Protection, and then click to clear the From selection check box.


About rulers

Each drawing window has vertical and horizontal rulers that show measurements at the scale of the drawing.

  • The intervals of the ruler correspond to the measurement unit you set in the Page Setup dialog box.
  • The units that appear on the ruler and the location of the zero point, or starting point, for both rulers are set in the Ruler & Grid dialog box.

When you move shapes in a drawing, faint lines appear on the rulers to indicate the position of the shapes.

Click to show or hide information. Ruler zero point

The zero point is typically in the lower-left corner of the page, but you can move it to more easily measure the distances in a specific drawing. For example, you might want the zero point to align with a wall in a floor plan.

If you rotate your page, the zero point is used as the center of the rotation.


About the drawing grid

Grid lines crisscross each drawing page like those on traditional graph paper. A grid helps you position shapes visually on a drawing page, and you can snap shapes to the grid. The grid does not print.

Click to show or hide information. Variable grid

Most Microsoft Visio drawings use a variable grid. Variable grid lines change depending on the magnification at which you are viewing your drawing. The Microsoft Visio product you're using determines the best grid spacing for the view.

  • If you zoom in on your drawing, grid lines are closer together.
  • If you zoom out, grid lines are farther apart.

Variable grids are useful when you want to zoom in to align something precisely.

Click to show or hide information. Fixed grid

For some drawings, such as space plans and engineering diagrams, you may want to set a fixed grid, so that grid lines stay the same distance apart regardless of magnification. For example, you can set the grid to match the size of ceiling tiles. If you set a fixed grid for tiles that are 40 cm by 40 cm, you'll notice that the grid lines always match this distance on the ruler, regardless of the magnification.

Click to show or hide information. Grid origin

The grid origin is set to the same position as the ruler zero point. If you move the ruler zero point, the grid origin also moves. You can set the grid origin independently from the ruler zero point.


Change the origin of a grid

  1. On the Tools menu, click Ruler & Grid.
  2. Under Grid origin, enter x- (horizontal) and y- (vertical) coordinates for the point from which you want the grid to originate, and then click OK.


Enable the dynamic grid

  1. On the Tools menu, click Snap & Glue.
  2. Click the General tab, and under Currently active, select Dynamic grid, and then click OK.


Set grid spacing

  1. On the Tools menu, click Ruler & Grid.
  2. Set grid spacing to variable or fixed by taking one of these steps:
  • For a variable grid, in the Grid spacing Horizontal and Vertical lists, click Fine, Normal, or Coarse.

Fine is the smallest grid spacing, and Coarse is the largest.

  • For a fixed grid, in the Grid spacing Horizontal and Vertical lists, click Fixed. For Minimum spacing, type the spacing you want.


Set ruler measurement units and subdivisions

  1. To set ruler measurement units, on the File menu, click Page Setup, and then click the Page Properties tab. Under Measurement Units, click the units you want, and then click OK.
  2. To change the spacing of ruler subdivisions, on the Tools menu, click Ruler & Grid. Under Subdivisions, click the spacing you want.


Show or hide rulers

On the View menu, click Rulers.


Show or hide the grid

  • On the View menu, click Grid.


About shape formatting

You can format shapes in your drawing by changing any or all of their attributes, such as line weight and pattern, fill color and pattern, and text formatting. For example, you might use fill color to make a drawing for a slide presentation more effective, or you might use line patterns to represent specific types of connections between shapes.

The type of formatting you can apply to a shape depends on whether the shape is open or closed. For example:

  • You can add fills to closed shapes, such as circles or rectangles, but not to open shapes.
  • You can add line ends to open shapes, such as arcs or zigzag lines, but not to closed shapes.

Click to show or hide information. Open shape formatting

For open shapes, such as arcs, you can change:

  • Line ends.
  • Line caps.
  • Line pattern, weight, color, and transparency.
  • Shadow, color, and transparency.
  • Corners.

Click to show or hide information. Closed shape formatting

For closed shapes, such as rectangles, you can change:

  • Line pattern, weight, color, and transparency.
  • Fill color, pattern, and transparency.
  • Shadow color, pattern, and transparency.
  • Corners.

Click to show or hide information. Shape formatting for multiple shapes

You can format several shapes at once by doing one of the following:

  • Selecting multiple shapes at the same time.
  • Selecting shapes in a group.


Format shapes

  1. Select the shape or shapes you want to format.

If the shapes are part of a group, select one or more shapes in the group.

  2. On the Format menu, click Text, Line, Fill, Shadow, or Corner Rounding.
  3. Select the formatting options you want.


Change the default formatting for shapes you draw

  1. Make sure that no shapes are selected.
  2. On the Format menu, click Text, Line, Fill, Shadow, or Corner Rounding.

When you draw a new shape by using one of the following drawing or text tools, the new default formatting is applied to the shape:

  • Text tool
  • Text Block tool
  • Rectangle tool
  • Ellipse tool
  • Line tool
  • Arc tool
  • Freeform tool
  • Pencil tool


Copy formatting from one shape to another

  1. Select the shape that has the formatting you want to copy.
  2. Do one of the following:
  • To format a single shape, click Format Painter [image].
  • To format multiple shapes as you click, double-click Format Painter [image].
  3. Click the shape to which you want to copy the formatting.


Repeat one formatting change quickly

  1. Make one formatting change to a shape.
  2. Select another shape, and then press F4.


About shape colors

You can apply colors to shapes to make your drawing more useful or attractive. You can choose from one of the colors supplied by the Microsoft Visio program in the color palettes, or you can define your own colors. Colors can be opaque or transparent. You can also apply standard or custom color schemes to your drawings.

Click to show or hide information. Opaque colors and transparency

All colors, including white, are opaque both in print and on the screen. For example, if you apply a solid white color to a rectangle, you cannot see what is underneath the rectangle.

To make lines, fills, shadows, or text fully transparent, you must set their transparency to 100%. Most shapes are constructed from a combination of these elements, and for a selected shape or shapes, you can set the transparency of these elements individually (in the Text, Line, Fill, and Shadow dialog boxes, accessible from the Format menu) or all at once (in the Transparency dialog box, accessible from the Transparency drop-down list on the Format Shapes toolbar.)

Click to show or hide information. Effects of color resolution on display of color

The number of colors your display driver supports affects how colors appear when you apply them to different elements in a Microsoft Visio drawing. For example, if your display driver supports only 256 colors, certain colors may be dithered (approximated). On a 16-bit or higher display resolution, the colors are more likely to be exact.

Click to show or hide information. How user-defined colors and color palette colors differ

User-defined colors

A user-defined color is tied to the shapes to which it is applied. If you remove all of those shapes from the drawing and then save the drawing, the user-defined color is removed from the color lists in the dialog boxes. That's because user-defined color values are defined absolutely in each shape's ShapeSheet spreadsheet.

For example, if you define an orange color for a rectangle, the ShapeSheet spreadsheet for that shape lists the color as RGB (255,128,0). Until you change that formula, the shape will be orange no matter where you move it. If you delete the shape, its ShapeSheet spreadsheet is also deleted.

Color palette colors

A color on the color palette is tied to the color palette.

  • Even if you have no shapes in the drawing, the 24 palette colors remain.

For example, if you change the blue in the default color palette to orange but don't apply it to any shape, the orange still exists when you save the drawing.

  • If you apply a color to a shape, the color is defined in the ShapeSheet spreadsheet by its position on the color palette.

For example, in the default color palette, blue is number 4, which is what is listed in the ShapeSheet spreadsheet for that color.

If you change the color in the color palette to orange, it is still number 4, so every shape that was blue becomes orange.

If you paste the shape into a drawing in which color number 4 is red, the shape becomes red.

Click to show or hide information. How you can use user-defined colors and color palettes

When you assign colors to text, lines, fills, or shadows by clicking colors on toolbar palettes or commands on the Format menu, you can:

  • Assign user-defined colors to shapes or modify an existing color in the active drawing file's color palette.
  • Use a different color palette either by choosing one that is provided (such as the Microsoft Excel Chart Color Palette) or by copying one from another Microsoft Visio drawing file.

Each drawing file contains its own color palette—in other words, palettes are not stand-alone files. If you have a palette that you use regularly in other programs, you can re-create it in a blank Microsoft Visio drawing file and then save it. You can then copy that color palette into any drawing you create.

To create a user-defined text, line, fill, or shadow color, you can add a new color or edit an existing color in the color palette. If shapes in the file are formatted with a color that you edit, the shapes' formatting changes to the new color. Colors you define or edit appear in the color lists in the Text, Line, Fill, and Shadow dialog boxes.

Click to show or hide information. Color schemes

You can apply a collection of text, line, fill, and shadow styles to your drawing that are all based on a particular scheme of colors. When you apply a color scheme, all the shapes in the drawing are formatted at once.

You can create your own color scheme; for example, you can create a color scheme that matches your company's logo colors.

If the Microsoft Visio drawing type you are working in doesn't offer color schemes, the Color Schemes command is not available on the Tools menu.


Apply a color scheme

  1. Right-click the page, and then click Color Schemes.
  2. Under Choose a Color Scheme, click a color scheme.

Note To restore the default black-and-white color scheme, in the Color Schemes dialog box, under Choose a Color Scheme, click Black & White.


Create a color scheme

  1. Right-click the page, and then click Color Schemes.
  2. To open the New Color Scheme dialog box, click New.
  3. Type a name for the new color scheme.
  4. Click the options you want to apply.

To use your current document as a model for the color scheme, click Use current document style colors.

  5. Click OK twice.


Assign a new color to a color list

  1. Select a shape, and then on the Format menu, click either Text, Line, Fill, or Shadow.
  2. At the bottom of the Color list, click More Colors.
  3. In the Colors dialog box, on either tab, click the color you want, and then click OK twice.

Note If you delete all shapes to which a custom color is applied and then save and close the drawing, the custom color is removed from the color list.

Click to show or hide information. Tip

A newly assigned color appears in the Color list in the formatting dialog box in which you created it. It also appears in the color lists in the other formatting dialog boxes, but it does not appear in the list in the Color Palette dialog box, which is displayed when you click Color Palette on the Tools menu.


Edit a color scheme

  1. Right-click the page, and then click Color Schemes.
  2. Select the custom color scheme you want to modify, and then click Edit.

Note You cannot edit a built-in color scheme.

  3. Click the options you want to change.

To use your current document as a model for the color scheme, click Use current document style colors.

  4. Click OK twice.


Choose a different color palette for a drawing file

  1. On the Tools menu, click Color Palette.
  2. In the Copy colors from list, click one of the palettes.

If you click a file name, the color palette for that file is copied to the current drawing. Only the names of open files appear in the list.


Modify colors in the color palette

Colors that you modify appear in the color palette and on the Color list in the Text, Line, Fill, and Shadow dialog boxes. Any shapes colored with the original color take on the modified color.

  1. On the Tools menu, click Color Palette.
  2. In the list of colors, click the color you want to change.

Do not edit colors 0 (black) and 1 (white). Changing these colors affects many areas of your drawing, including those you may not want to change.

  3. Click Edit.
  4. In the Colors dialog box, click the Standard tab and click one of the basic colors, or click the Custom tab and define your own color.
  5. Click OK twice.


Delete a color scheme

  1. Right-click the page, and then click Color Schemes.
  2. Select the custom color scheme you want to delete, and then click Delete.

Note You cannot delete a built-in color scheme.


About custom fill, line, and line-end patterns

You can create your own custom fill patterns, line patterns, and line ends. To design a custom pattern, you create a master pattern that represents one instance of the pattern. For example, you can use a single dot to create a custom pattern that, when applied as a fill, looks like a complete pattern of polka dots.

When you create a custom pattern, you can specify the following pattern properties:

  • The name of the pattern.
  • The type of pattern: fill pattern, line pattern, or line-end pattern.
  • The behavior of the pattern—how the pattern is applied to a shape and how it changes as the shape is stretched or formatted.
  • Whether to adjust the pattern as the drawing-page scale changes or to keep the pattern at a constant size.

You can base patterns on existing Microsoft Visio shapes and fills, or you can base them on bitmaps you create or import from another program.

Custom fill and line patterns appear at the bottom of the Pattern list in the Fill and Line dialog boxes, and custom line ends appear at the bottom of the End list in the Line dialog box.

Click to show or hide information. Colors in custom fill patterns

To be able to change the colors in your custom fill pattern after you apply the pattern to a shape, use only black and white to design the pattern. After you apply the pattern to a shape, you can change the color of black areas (either line or fill) in your pattern by changing the fill pattern color of the shape to which you apply the pattern.

You can change the color of white areas (either line or fill) in your pattern by changing the fill color of the shape to which you apply the pattern. If your pattern contains any colors other than black and white, however, the pattern retains those colors no matter how you set the fill and pattern colors of the shape to which you apply the pattern.

Click to show or hide information. Colors in custom line patterns

To be able to change the colors in your custom line pattern after you apply the pattern to a shape, use black to design the pattern. After you apply the pattern to a shape, you can change the color of black areas (either line or fill) in your pattern by changing the color of the line. You will not be able to change the color of any areas of your pattern that you created in any color other than black.


About fill and shadow patterns

Microsoft Visio includes 41 fill and shadow patterns: 0 is no pattern; 1 is a solid, one-color pattern; 2 through 24 are bitmap patterns; and 25 through 40 are gradient patterns.

If you select a bitmap pattern, the setting in the Color list is applied for the background of the pattern, and the setting in the Pattern color list is applied for the pattern color. The transparency setting is applied equally to background and pattern color.

The numbers preceding the patterns and colors in the Color, Pattern, and Pattern Color lists act as labels. If you work with the ShapeSheet spreadsheet, these numbers provide a way to identify patterns and colors.


About line formatting

A line can be an open straight line, a freeform line or arc, or a border around a closed shape, such as a rectangle.

Click to show or hide information. Ways to format lines and arcs

  • Add a pattern or color.
  • Change the line weight.
  • Add or remove line ends to turn any line or other open shape into an arrow.
  • Change the line caps.
  • Round the line's corners.
  • Apply rounded corners to any corner where two segments meet on open or closed shapes.
  • Add a shadow.
  • Change the transparency of the line or of its shadow.
  • Format the shape's text.


About transparency

Transparent objects transmit light, so you can see through them to the objects behind. In Microsoft Visio, you can make shapes, text, lines, fills, and shadows transparent. You can set the percentage of transparency of objects in Visio from 0 (fully opaque, the default) to 100% (fully transparent).

By setting the transparency of all aspects (text, text block, lines, fills, and shadows) of shapes to 100%, you can make both open and closed shapes completely transparent. You can do this most easily in the Transparency dialog box, which you open by clicking Transparency on the Format Shapes toolbar.


Add a new fill pattern, line pattern, or line-ends pattern

  1. Do one of the following:
  • To make the pattern available only in the current drawing, on the View menu, click Drawing Explorer Window.
  • To save the pattern with an existing stencil so that you can open it in any drawing, open the stencil (on the File menu, point to Stencils and click Open Stencil, locate the stencil you want to open, and double-click it). Click the icon on the title bar of the stencil and then click Edit. Click the title bar icon again, and then click Drawing Explorer Window.
  • To create a new stencil with which to save the pattern (to make it available in any drawing), on the File menu, point to Stencils, and then click New Stencil. (A new stencil opens in edit mode, so it's not necessary to click Edit when you create a new stencil.) Click the title bar icon, and then click Drawing Explorer Window.
  2. In the Drawing Explorer window, right-click Fill Patterns, Line Patterns, or Line Ends, and then click New Pattern.
  3. Under Details, in the Name box, type a name for the pattern, and then click the pattern type you want.
  4. Under Behavior, do one of the following:
Type of pattern | To do this | Click this
Fill pattern | Create multiple copies of the image to fill a shape (tile the image). |
 | Use a single, centered, image. |
 | Stretch a single image to fill the shape. |
Line pattern | Bend the pattern to the line so that the pattern is tiled and distorted along the path of the line. |
 | Tile multiple images along the line without distorting them. |
 | Stretch a single image along the line. |
 | Tile multiple images along the line without distorting them, while still retaining the line's original formatting. |
Line end pattern | Orient the line end to the direction of the line. |
 | Orient the line end so that it is always upright. |
  5. To adjust the pattern as the drawing page scale changes, select the Scaled check box.

Note An unscaled line pattern or line end pattern will adjust itself to the line's weight (or thickness).

  6. Click OK.
  7. In the Drawing Explorer window, open the appropriate folder, right-click the new pattern, and then click Edit Pattern.
  8. Create the shape or shapes you want to designate as a pattern. You can create shapes from scratch, modify existing shapes, or insert bitmaps.

Note If you use a bitmap to create the fill pattern, the pattern will not have transparent areas where the background shows through. However, if you use Microsoft Visio shapes to create the fill pattern, the background will show through the pattern.

  9. Click the Close Window button, and then click Yes to update the pattern.

Click to show or hide information. Tip

If you design your own dash pattern as a custom line pattern, draw your dash segments as lines with zero weight so that they inherit the original shape's line weight. Line segments are more efficient than filled shapes, and when a line is thin, line segments are displayed better on the screen.


Apply a custom pattern

  1. Open the file that contains the custom pattern you want.
  2. Select the shape to which you want to apply a custom pattern.
  3. Do one of the following:
  • To apply a custom fill pattern, on the Format menu, click Fill. Under Fill, in the Pattern list, click a custom pattern from the bottom of the list.
  • To apply a custom line pattern, on the Format menu, click Line. Under Line, in the Pattern list, click a custom pattern from the bottom of the list.
  • To apply a custom line-ends pattern, on the Format menu, click Line. Under Line ends, in the Begin or End list, click a custom pattern from the bottom of the appropriate list.

Click to show or hide information. Tip

If you apply a line pattern or line-end pattern and it doesn't look the way you expected it to (for example, if you can't see it), try increasing the line weight.


Apply a fill to a closed shape

  1. Select a shape.
  2. On the Format menu, click Fill.

You can also use fill-formatting lists on the Format Shape toolbar. Point to the palettes to see ScreenTips that identify them.

  3. Under Fill, click the options you want from the Color, Pattern, and Pattern color lists, and set the level of transparency you want.

The preview shows the effect of the settings you selected.

Click to show or hide information. Tip

To hide a shape completely, on the Format menu, click Fill, and in the Pattern list, click 0: None, and then click OK. Then, on the Format menu, click Line, and in the Pattern list, click 0: None.

You can create shapes that have transparent holes by combining transparent shapes with non-transparent shapes.


Apply a shadow to a closed or open shape

  1. Select a shape.
  2. On the Format menu, click Shadow.
  3. Under Shadow, click the options you want from the Color, Pattern, and Pattern color lists, and set the level of transparency you want.

Click to show or hide information. Tip

To remove a shadow immediately after you click OK, on the Edit menu, click Undo. To remove a shadow later, in the Pattern list, click 0: None.


Apply transparency to a shadow

  1. Select the shape or shapes whose shadows you want to make transparent.
  2. On the Format menu, click Shadow.
  3. Set the Transparency slider to the percentage of transparency you want, and click OK.


Apply transparency to a shape

  1. Select the shape or shapes you want to make transparent.
  2. On the Format Shape toolbar, click the Transparency button [image].

Note To display the Format Shape toolbar, on the View menu, point to Toolbars and click Format Shape.

  3. Set the Transparency slider to the percentage of transparency you want.

Note You can also make shapes transparent by setting transparency for individual shape attributes in the Text, Fill (for closed shapes only), Line, and Shadow dialog boxes.


Change formatting for a line

  1. Select a line.
  2. On the Format menu, click Line, and then select the options you want.

In the Preview box, you can see how the options you selected will look.


Change the shadow offset for a shape

  1. On the File menu, click Page Setup, and then click the Page Properties tab.
  2. Under Shape shadow offset, type values in the Right and Down boxes.

To move shadows to the left or to the top of shapes, type negative values.

Note Although each shape can have a shadow of a different color, pattern, and transparency, all shadows on the same page are offset the same amount, because shadows are a property of the page.


Limits for line and fill patterns

Custom patterns cannot use:

  • Gradient fills, which are rendered as solid fills.
  • Metafiles.
  • Text.

Note You can now use bitmaps in custom patterns.

Type of pattern | Limit to display
Line patterns | Display of pattern instances along a line is limited to 1,000.
Fill patterns | Display of fill patterns is limited to 40,000 instances (200 x 200).


About shape numbers

Shape numbers are a particular kind of text that you can associate with shapes. Shape numbers appear in the text block of the shape, and you can control them, to a certain extent, independently of the other text in the text block.

For example, you can hide shape numbers without hiding shape text, and you can format shape numbers independently of shape text. However, you cannot move a shape number out of the text block of its associated shape, and when you move a text block, a shape number moves along with it.

Click to show or hide information. Why you might number shapes

  • If a document refers to shapes in your drawing, you can number the shapes so that they correspond to numbered references in the document.
  • If your drawing represents a process, you can number the shapes to indicate the sequence of steps.

Click to show or hide information. The options for shape numbering

You can:

  • Specify the starting number and the interval between numbers for shapes on a page.
  • Precede numbers with text, such as A, 1, or step.
  • Number shapes manually or automatically.
  • Number shapes already in your drawing or as you drag them onto the drawing page.
  • Specify the numbering sequence for automatically numbered shapes.
  • Specify where numbers appear in relation to shape text.
  • Apply numbering to some shapes on the page but not to others.
  • Renumber shapes on a page.
  • Hide shape numbers so that they don't appear in a drawing or on the printed page.


Number shapes in an existing drawing

  1. If you want to number only specific shapes, select the shapes that you want to number.
  2. On the Tools menu, click Number Shapes.

If you don't see Number Shapes on the Tools menu, point to Macros, point to Visio Extras, and then click Number Shapes.

  3. Click the General tab, and then select the shape-numbering options you want.
  4. To specify whether a shape number appears before or after shape text, click the Advanced tab. Under Place Number, click the number placement you want.

Repeat this procedure for each page of your drawing that contains shapes you want to number.

Click to show or hide information. Tip

You can specify the sequence for automatic numbering under Auto Numbering Sequence on the Advanced tab of the Number Shapes dialog box.


Number shapes automatically as you drag them onto the drawing page

  1. On the Tools menu, click Number Shapes.

If you don't see Number Shapes on the Tools menu, point to Macros, point to Visio Extras, and then click Number Shapes.

  2. Under Operation, click Auto Number.
  3. Under Number Assigned, specify the shape-numbering options you want.
  4. Select the Continue numbering shapes as dropped on page check box.
  5. To specify whether a shape number appears before or after shape text, click the Advanced tab. Under Place Number, click the number placement you want.

Note To stop numbering shapes as you drag them onto the page, right-click the drawing page, and then click Number Shapes on Drop to remove the checkmark.

Click to show or hide information. Tip

You can number a shape manually by clicking Manually By Clicking, clicking OK in the Number Shapes dialog box, and then clicking the shape while the Manual Numbering dialog box is displayed.


Specify the sequence for automatic shape numbering

  1. To number only specific shapes, select the shapes you want to number.
  2. On the Tools menu, click Number Shapes.

If you don't see Number Shapes on the Tools menu, point to Macros, point to Visio Extras, and then click Number Shapes.

  3. Click the General tab, and under Operation, click Auto Number. Specify the other numbering options you want.
  4. Click the Advanced tab. Under Auto Numbering Sequence, click the sequence you want.

Repeat this procedure for each page where you want to specify the numbering sequence.


Renumber shapes on a drawing page

  1. On the Tools menu, click Number Shapes.

If you don't see Number Shapes on the Tools menu, point to Macros, point to Visio Extras, and then click Number Shapes.

  2. Click the General tab, and under Operation, click Renumber Maintaining Sequence.
  3. Click the Advanced tab. Under Renumbering Options, click the renumbering option you want.

Repeat this procedure for each page that contains shapes you want to renumber.


Apply more than one numbering sequence to shapes

  1. Create a layer for each set of shapes you want to have a different numbering sequence, and then place the appropriate shapes on each layer.
  2. On the Tools menu, click Number Shapes.

If you don't see Number Shapes on the Tools menu, point to Macros, point to Visio Extras, and then click Number Shapes.

  3. Specify the shape-numbering options you want for the shapes on the first layer.
  4. Click the Advanced tab. Under Apply To Options, click Selected Layers, select the first layer that includes shapes you want to number, and click OK.

Repeat steps 2-4 for each set of shapes you placed on a layer.

Click to show or hide information. Tip

You can also number specific shapes on a drawing page by selecting the shapes you want to number before you complete steps 3 and 4.


Hide shape numbers

Hidden numbers do not appear on the screen or in the printed drawing.

  1. On the Tools menu, click Number Shapes.

If you don't see Number Shapes on the Tools menu, point to Macros, point to Visio Extras, and then click Number Shapes.

  2. Click the Advanced tab. Select the Hide Shape Numbers check box and click OK.
  3. To show hidden numbers, clear the Hide Shape Numbers check box.

Repeat this procedure for each page where you want to hide shape numbers.

Click to show or hide information. Tip

When you select Hide Shape Numbers, shapes that were numbered automatically are hidden automatically. To hide a shape that was numbered manually, click the shape while the Manual Numbering dialog box is displayed.


About connectors

Connectors show the relationship, or connection, between two shapes in a drawing. For example, on an organization chart, a manager shape has a line, or connector, between it and the shapes representing the manager's direct reports.

Connectors look like lines, but they behave differently. A connector has endpoints [image] [image] that you attach, or glue, to other shapes to show a visible connection between the two shapes. When you reposition shapes, the connector stays glued and bends around other shapes as necessary.

Microsoft Visio provides different types of connectors. The most commonly used connector is the Dynamic Connector shape, which can automatically bend around shapes as you move the shapes to which it is glued. Other types of connector shapes appear on stencils. Different types of drawings may have connector shapes that work best for that drawing type. Not all connector shapes look like lines. You can also draw connector shapes with the Connector tool.

Click to show or hide information. Begin points and end points

Connectors and other types of 1-D shapes are the only shapes that have begin points and end points.

Connector with begin points and end points

A connector has a begin point (A) and an end point (B). Begin points and end points turn red when they are glued to a shape.

The connector's begin and end points show the direction of the connection:

  • Glue the begin point [image] to the parent shape (the shape you're connecting from).
  • Glue the end point [image] to the child shape (the shape you're connecting to).

The connector direction affects how Visio rearranges shapes during automatic layout. For connectors with arrows on one end, the connector direction might be different from the way the arrow is pointing.

Click to show or hide information. Built-in connectors

Some shapes, such as organization chart position shapes and the network Ethernet and ring shapes, have built-in connectors—control handles that you can drag and glue to other shapes.

A shape with built-in connectors

Some shapes have control handles [image] that you can drag to glue to other shapes.


About glue and connectors

Glue is what keeps connectors attached to shapes. When you want to reposition shapes in your drawing, glue saves you the time it would take to move each shape individually and reattach connectors. There are two types of glue.

Click to show or hide information. Static glue

With static glue, or point-to-point glue, a connector is glued to a specific connection point on each shape and stays glued to those points when you reposition the shapes.

Static glue attaches a connector to a specific connection point on each shape

A shape's connection point turns red when you glue a connector to a specific point on a shape. Then, if you move one of the shapes, the connector remains glued at that specific point.

Click to show or hide information. Dynamic glue

With dynamic glue, or shape-to-shape glue, a connector is glued to shapes and changes the connection points at which it is connected when you reposition the shapes. Dynamic glue keeps the shapes connected at the closest available points.

Dynamic glue attaches to the nearest connection point on each shape

When you glue a connector to an entire shape, a red box appears around the shape. Then, if you move one of the shapes, the connector adjusts to glue to the point that is closest to the other shape.

Click to show or hide information. Connection points and glue

On most shapes, you glue connectors to connection points [image] on the shape. You can choose to glue connectors to shape handles, vertices, and any point on the visible edge of a shape (shape geometry). You can also add new connection points to shapes.

Connector glued to a connection point on a shape

Click to show or hide information. Glue settings

You can control what types of objects connectors glue to. For many drawing types, connectors are set to glue to connection points. You can also glue connectors to guides, shape handles, shape vertices, and the outside edge of a shape by changing the glue settings. You can also turn glue off.


Connect shapes

Click to show or hide information. Connect shapes using the Connector tool

  1. Click the Connector tool [image].
  2. Do one of the following:
  • To keep the connector glued to a specific point on a shape, drag from a connection point [image] on the first shape to a connection point on the second shape. The connector endpoints turn red when the shapes are connected. This type of glue is called static glue, or point-to-point glue.
  • To allow the connector to move around the shape, position the Connector tool over the center of the first shape until a red box appears around the shape. Hold down the mouse button and drag to the center of the second shape. When a red box appears around the second shape, release the mouse button. This type of glue is called dynamic glue, or shape-to-shape glue.

Click to show or hide information. Tip

You can connect shapes as you drag them onto the page. With the Connector tool selected, drag a shape from the stencil onto the drawing page. Then, with the first shape still selected, drag another shape onto the drawing page. The shapes are automatically connected with the Dynamic Connector shape using dynamic glue.

Click to show or hide information. Connect shapes using a connector shape from a stencil

  1. Drag a connector shape from the stencil.

Note Not all stencils have a connector shape. If you don't see one, use the Connector tool [image].

  2. Drag the connector's begin point [image] to the parent shape (the shape you're connecting from).
  3. Drag the connector's end point [image] to the child shape (the shape you're connecting to).

The endpoints turn red when the connector is glued to the shapes.


Connect a series of shapes at once

  1. Select shapes in the order you want to connect them.
  2. Do one of the following:
  • To use the dynamic connector, click the green stencil background to make sure that you don't have a different connector shape selected.
  • To use a particular connector shape, select it in the stencil.
  3. On the Shape menu, click Connect Shapes.


Drag a connector from a control handle on a shape

  1. Select a shape that has built-in connectors, and position the pointer over the shape's control handle [image].
  2. Drag the control handle to a connection point on another shape.

Note You can glue these types of connectors only to a specific connection point on another shape; you cannot dynamically glue them.


Switch between static and dynamic glue

  1. Drag a connector endpoint [image] or [image] away from the shape.
  2. Do one of the following:
  • To glue the connector using static glue, drag the endpoint to one of the shape's connection points Connection point.
  • To glue the connector using dynamic glue, drag the endpoint toward the middle of the shape until a box appears around the entire shape.


Set glue options

  1. On the Tools menu, click Snap & Glue.
  2. Click the General tab, and under Currently active, make sure Glue is checked.
  3. Under Glue to, select the options you want, and then click OK.

Note The glue settings you choose apply to all shapes on the drawing. The settings do not affect connections you make with the Connect Shapes command on the Shape menu.


About connection points

A connection point [image] on a shape shows where you can glue connectors. A connection point's type determines whether other shapes can be glued to it or whether the shape that has the connection point can be glued to other shapes.

Click to show or hide information. Connection point types

Shapes can have one of three connection point types.

Click to show or hide information. Inward

Other shapes can be glued to an inward connection point [image]. An inward connection point pulls endpoints of connectors and outward or inward/outward connection points of 2-D shapes. The connection points on most shapes are inward connection points.

Click to show or hide information. Outward

A 2-D shape with an outward connection point [image] can be glued to another 2-D shape. An outward connection point is pulled to inward and inward/outward connection points on other shapes. For example, the modular furniture shapes in the Office Layout template have outward connection points so that they can be glued to other module shapes.

Click to show or hide information. Inward/outward

An inward/outward connection point [image] behaves like an inward connection point when you glue the endpoint of a connector or a shape with an outward connection point to it. It behaves like an outward connection point when you glue it to another shape. For example, in the Office Layout template, the work surface shapes have inward/outward connection points at each end so that work-surface components can be glued together in any order.

Click to show or hide information. Choosing connection point types for new shapes

When you are creating your own shapes, you can set the connection point type.

Use inward connection points in drawings that use connectors to connect shapes, such as a flowchart diagram.

Use inward or outward connection points to glue 2-D shapes together that must be glued in a particular direction or order. For example, if you want outlets to be pulled to walls, you could:

  • Set the outlet shape to have an outward connection point.
  • Add inward connection points to the Wall shape (perhaps spaced according to electrical wiring code).

Use inward/outward connection points to allow shapes to be glued together in any order. For example, if you had a wall shape with inward/outward connection points, it wouldn't matter which wall segment you dragged first; it would always glue. However, if you had an outward connection point on one wall end and an inward connection point on the other wall end, you would need to drag the outward end to an inward end.

Click to show or hide information. Connection point angle

A connection point can have an angle that determines whether shapes rotate when they are glued together. In most cases, set connection point angles to 90 degrees so that the ends of shapes snap together. For example, if you have a corner desk shape and a work surface shape, set their connection points to 90 degrees so that the ends glue together at an angle.

However, if you want shapes to glue at an angle, you can set the connection point to an angle other than 90 degrees. For example, if your company likes annotations to be rotated to 30 degrees, you can rotate the connection point angle.

Or, if you're gluing connectors to shapes, the angle of the connection point determines the angle that the connector will glue to the shape. Set the connection point to the angle you need.


Add a connection point to a shape

  1. Select a shape.
  2. Click the Connection Point tool [image].
  3. CTRL+click the selected shape.

Note If the connection point does not stay glued to the shape, be sure you have the shape selected before you add the connection point. The selected shape has a green, dashed border.


Change connection point type and angle

Click to show or hide information. Change connection point type

  1. Click the Connection Point tool [image].
  2. Right-click the connection point (it turns magenta), and then choose Inward, Outward, or Inward & Outward.

Click to show or hide information. Change connection point angle

  1. On the Tools menu, click Options, and then click the Advanced tab.
  2. Select the Run in developer mode check box, and then click OK.
  3. Click the Connection Point tool [image].
  4. Click the connection point (it turns magenta), and then drag the arrow to the angle you want.


Hide connection points

On the View menu, make sure that Connection Points is not selected.


Delete a connection point

  1. Click the Connection Point tool [image].
  2. Click the connection point (it turns magenta), and then press DELETE.


About the Dynamic Connector shape

By default, when you connect shapes using the Connector tool, you create a Dynamic Connector shape. The Dynamic Connector shape is also available on some stencils, such as the Basic Flowcharts Shapes stencil. The two shapes are identical.

The Dynamic Connector shape is a routable shape. When it encounters a shape between the two shapes it connects, it draws a path around the shape rather than crossing through it. The Dynamic Connector shape can only route around shapes set as placeable; most shapes in solutions that use connectors are already set up this way.

The Dynamic Connector routing around shapes

The Dynamic Connector shape routes around placeable shapes.

Click to show or hide information. Line Jumps

The Dynamic Connector shape is the only connector that has line jumps (indicating where two connector lines cross). If the Dynamic Connector shape crosses a different kind of connector, it does not create a line jump. You can turn off line jumps.

A line jump on a Dynamic Connector that crosses another Dynamic Connector

A line jump (A) on the Dynamic Connector shape makes it clear which shapes are connected.

Click to show or hide information. Changing the path

After you glue a Dynamic Connector shape to two shapes, you can manually change the path it takes from one shape to the other.

A Dynamic Connector showing midpoints, vertices, and endpoints

To change a Dynamic Connector path manually, you can edit its midpoints (A), vertices (B), and endpoints (C). Endpoints and vertices look the same as they do on other 1-D shapes. Midpoints are unique to the Dynamic Connector shape.

Click to show or hide information. Routing

Without manually editing the Dynamic Connector path, you still can influence how it automatically routes around shapes by setting routing options. You can also freeze the path to prevent the Dynamic Connector from moving automatically.

Click to show or hide information. Curved connectors

The Dynamic Connector normally draws a path with straight lines. You can change the Dynamic Connector to have curved lines.

A curved dynamic connector showing eccentricity handles.

The Dynamic Connector can be straight or curved. You can change the curve by dragging an eccentricity handle.


Change when a dynamic connector reroutes itself

Right-click a dynamic connector, and then choose one of the following:

  • Reroute Connector Reroutes the connector, even if it was previously set to Never Reroute.
  • Reroute Freely The connector is rerouted whenever needed. This is the default setting for a dynamic connector.
  • Reroute as Needed The connector is rerouted when a placeable shape is moved onto its path or when a leg of the connector would cross through a shape to which it is connected.
  • Reroute on Crossover The connector is rerouted when a leg of the connector would cross through a shape to which it is connected. When you manually change the path of a connector, the connector is assigned this setting.
  • Never Reroute The connector will never reroute, even when a leg of the connector crosses through a shape to which it is connected.


Set line jump style for connectors

Click to show or hide information. Set line jump style for an individual connector

  1. Select the Dynamic Connector that you want to change.
  2. On the Format menu, click Behavior.
  3. Click the Connector tab, and under Line jumps, select the options you want.

Note Setting the line jump style for an individual connector overrides the page's default settings for line jumps.

Click to show or hide information. Set line jump style for all connectors on a page

  1. On the File menu, click Page Setup, and then click the Layout and Routing tab.
  2. In the Style and Direction lists, click the items of your choice.
  3. In the Add line jumps to list, click the connector lines you want.
  4. In the Line jump style list, click the way you want the line jumps to look.


Use curved connectors

Dynamic connectors can be straight or curved.

Click to show or hide information. Change the appearance of one connector

  1. Select a Dynamic Connector shape.
  2. On the Format menu, click Behavior.
  3. Click the Connector tab, and in the Appearance list, click Curved.

Click to show or hide information. Change the appearance of all connectors on a page

  1. On the File menu, click Page Setup.
  2. Click the Layout and Routing tab, and in the Appearance list, click Curved.


Create your own Dynamic Connector shape

  1. Draw a Dynamic Connector shape using the Connector tool [image].
  2. Select the Dynamic Connector shape, and then on the Format menu, click Behavior.
  3. Click the Connector tab, and choose the line routing and line jump styles you want.
  4. Either add the customized Dynamic Connector shape to a stencil that you use often, or create your own stencil.


About the drawing page

The drawing page is the white page you see on the screen. The drawing page shows what part of your drawing or diagram will be printed. For many drawing types, your drawing page is set to the same size and orientation as your printer paper. You can resize the drawing page to be as large or as small as you want.

Click to show or hide information. Setting the size of the drawing page

Set the size of the drawing page in the Page Setup dialog box. You can also resize the drawing page by pressing CTRL and dragging the edges of the page in the Microsoft Visio workspace.

If you resize the drawing page to be larger than the paper you print it on, the drawing will be printed, or tiled, on several pages. You can reduce a drawing when you print it to make it fit on one page.

Click to show or hide information. Drawing page settings can differ from printed page settings

Changes you make to drawing page settings are not automatically reflected in printed page settings. Before you print, make sure that settings, such as orientation, are the same for both the drawing page and the printed page. For example, if you change a the orientation of the drawing page to Landscape without changing the printed page settings from the default Portrait orientation, the drawing is printed on a portrait page, as shown in the following illustration.

Two pages that have different print orientations

You can determine whether your drawing page and printer paper settings are the way you want by using the Print Preview command or by looking at the preview in the Page Setup dialog box.


Create a new page

  1. At the bottom left portion of a window, right-click a page tab Page tab, and then click Insert Page.
  2. Click the Page Properties tab, and either type a name for the page or use the default name provided.
  3. To change the scale of the new page, click the Drawing Scale tab. To change the page size for the new page, click the Page Size tab.

Note A new page inherits the size, orientation, scale, measurement unit, shadow offset, and grid settings of the page displayed in the drawing window.


Open a new drawing window and display a page in it

  1. On the Window menu, click New Window.

If you click New Window when a drawing window is open, the new window contains a duplicate of the original window's contents.

  2. To see all the open windows, on the Window menu, click Tile.


Rename a page or background

  1. Double-click a page or background tab Page tab.
  2. Type a new name, and then press ENTER.


Delete a page

At the bottom left portion of a window, right-click the page tab of the page you want to delete Page tab, and then click Delete Page.

Notes

  • If you delete the last page in a file, that page is replaced with a blank page.
  • To delete a background, you first must cancel its page assignment, because a background assigned to a foreground page cannot be deleted.


About workspace files

Workspace files save the arrangement of files and windows currently open in the Microsoft Visio window. In previous versions of Visio, workspaces were separate files that had the .vsw extension, but now Visio saves the workspace as part of a .vsd file by default. If you close a file you are working on and then reopen it later, the workspace, and not just the drawing file, opens, so all windows are open and ready for you to continue where you left off.

To prevent Visio from saving workspace files by default, clear the check mark next to Workspace on the Save drop-down menu in the Save As dialog box.


Enter and exit full-screen view

  • To enter full-screen view, on the View menu, click Full Screen.
  • To exit full-screen view, press the ESC key.

Note In full-screen view, the toolbars, title bars, status bar, menus, scroll bars, and stencils are hidden, and the drawing page takes up the entire screen. The drawing page grid is turned off. Full-screen view is a view-only mode—you cannot edit or change the pages you view.


About page rotation

You can rotate pages by using the Rotation tool [image]. With this tool, you can easily create drawings in which part of the drawing is at an angle and work in each part orthogonally; that is, at right angles or parallel to the rulers.

For example, you can draw a building that isn't square or a city plan in which some streets are at an angle from others. Rotating, like zooming, is simply a different way of viewing your page.

Note Page rotation is disabled by default in Microsoft Visio. You can enable it on the General tab of the Options dialog box. Page rotation works best for scaled drawings, such as space plans.

Click to show or hide information. Shapes and guides rotate with a page

When you rotate a page, existing shapes and guides rotate with it. However, the rulers and grid remain at their original angle.

Click to show or hide information. Page rotation and printing

Rotation does not affect printing or page orientation. The printed page appears just as it would if it were not rotated.

Click to show or hide information. Page rotation and guides

Rotating the page and using rotated guides make it easy to create an angled section in a drawing. You can glue and align shapes to any guide.

Original page before rotation

Original page

Page rotated by dragging the corner of the page

Click to show or hide information. Page rotation and the rotation tool

When you move the Rotation tool over a page corner, it becomes a circular rotation pointer (A).

Rotation tool pointer over page corner

When you drag the round rotation pointer, the page rotates around the zero point (B), which is in the lower-left corner by default.

Page rotates around zero point

Note If the rotation pointer doesn't change when you move it over a page corner, enable page rotation on the General tab of the Options dialog box.

Click to show or hide information. Center of rotation

The center of rotation for a page is the zero point of the rulers. If you move the zero point, the center of rotation changes for the page. You can move the zero point by pressing CTRL and dragging the crossbar at the intersection of the two rulers to another location on the page (C).

Moving the zero point of the rulers

Page rotated after center of rotation has been changed


About rotated pages and guides

Guides can help you position shapes on a page precisely. When you rotate a page, guides rotate along with the page.

Click to show or hide information. Gluing shapes on a rotated page to guides

On a rotated page, you can position multiple guides at intersection points, and you can glue a shape to a maximum of two guides.

Click to show or hide information. Distribute Shapes and rotated pages

The Distribute Shapes command does not work on rotated pages.

Click to show or hide information. DWG Display

The DWG Display component does not support the display of a DWG or DXF view object on a rotated-page.

Objects you select and move on a rotated page display only their alignment boxes while you are moving them. (You cannot pause with the object selected to see a detailed display as you can on a page in normal orientation.)

Click to show or hide information. Snapping and gluing 1-D shapes to guides

Endpoints can snap and glue:

  • Anywhere along a single guide.
  • To intersections of "mostly horizontal" and "mostly vertical" guides. ("Mostly vertical" is defined to be 45 to 135 degrees; otherwise, it is "mostly horizontal.")

Click to show or hide information. Snapping and gluing 2-D shapes and objects to guides

  • 2-D shapes and objects can snap and glue to guides that are displayed as horizontal or vertical in the page rotation.
  • When you resize a 2-D shape by dragging a selection handle, you can snap it to intersections of "mostly horizontal" and "mostly vertical" guides. ("Mostly vertical" is defined to be 45 to 135 degrees; otherwise, it is "mostly horizontal.") However, you can glue the shape only to guides displayed as horizontal or vertical in the page rotation.
  • Shapes are glued to guides through the midpoint of the alignment box edge. If you rotate a guide to a different angle, the midpoint stays glued, but the shape does not rotate to the new guide angle.


Rotate a page

  1. Enable page rotation, if it is not already enabled.

Click to show or hide information. How?

  1. On the Tools menu, click Options, and then click the General tab.
  2. Under Drawing window options, select Enable page rotation.

  2. Display the page you want to rotate.
  3. Click the Rotation tool [image].
  4. Position the pointer over a corner of the page.

The pointer changes to a circular rotation pointer [image].

  5. Drag the corner of the page to the rotation angle you want.


About docked windows

When a window is docked, it is attached to one of the edges of the Microsoft Visio program window. When you open a template, for example, one or more stencil windows are docked on the left edge of the program window. You can drag stencil windows so that they dock on other edges of the program window, or you can make them float in the middle of the drawing window. And you can dock stencil windows independently of each other on the same edge.

When windows are docked independently on the same edge, Maximize buttons appear in their title bars. When you click a docked window's Maximize button, the window expands to take up all the available space on the edge, and its Maximize button changes to a Restore button. You can also drag docked windows along an edge to change their position relative to one another.

In addition, you can dock anchored windows, such as the Pan & Zoom window and the Custom Properties window, either individually or when they are merged, on any edge of the application window, including the same edge on which stencil windows are docked.


About documents viewed hierarchically

In the Drawing Explorer window, you can see a hierarchical view of your document, and you can add, delete, edit, and navigate to items in your drawing, such as pages, shapes, and so on. As you add and delete items, the Drawing Explorer window is updated to reflect the current drawing hierarchy.

For drawings (.vsd), templates (.vst), and stencils (.vss), you can view the following items hierarchically:

  • Foreground Pages
  • Background Pages
  • Styles
  • Masters
  • Fill Patterns
  • Line Patterns
  • Line Ends


About merging anchored windows

To conserve screen space, or to help organize the drawing window, you can merge anchored windows. When you merge anchored windows (for example, the Pan & Zoom window and the Custom Properties window,) both windows occupy the same space. Page tabs at the bottom of the window allow you to switch between merged anchored windows. You can reorder merged windows by dragging their page tabs. You can dock merged anchored windows by dragging them over an edge of the application window.

Merged anchored window that has the focus

Click page tabs to switch between merged anchored windows.

Note You can merge floating stencil windows with other stencil windows, but not with other anchored windows.


Arrange windows

If you have more than one window open, you can arrange and resize them to see them all.

Do one of the following:

  • To display windows side by side, on the Window menu, click Tile.
  • To arrange windows so that you can see the title bar of every window, on the Window menu, click Cascade.


Change where an anchored window appears

Anchored windows include the Pan & Zoom window, the Size & Position window, the Drawing Explorer window, and the Custom Properties window. In addition, you can turn a stencil window into an anchored window by dragging it until touches an edge of the drawing window.

  • To make an anchored window automatically move out of your way when you are not using it, right-click the window, and then click Turn On AutoHide, or click the pushpin icon in the window title bar.

Note When the window is hidden, move your pointer over its title bar to make it reappear.

  • To make the window float, right-click inside the window, and then click Float Window, or click the pushpin icon in the window title bar.
  • To dock the window, right-click inside the window, and then click Dock Window.

Click to show or hide information. Tip

You can drag the window to the location you want, and you can also add sounds for the window opening and closing.


Switch between docked stencils

  • Click a stencil title bar to switch to that stencil.


Edit your drawing in the Drawing Explorer window

  1. On the View menu, click Drawing Explorer Window.
  2. Do one or more of the following:
  • To open or close a folder, double-click it.
  • To change the name of an item, press F2, type over the highlighted text, and then press ENTER.

To immediately undo a name change, press ESC.

  • To select a shape in the drawing window, in the Drawing Explorer window, click the plus sign next to the Foreground Pages or Background Pages folder, and then click the shape you want.


About backgrounds for common page elements

Each Microsoft Visio drawing contains at least one foreground page and may also contain one or more backgrounds. A background is a page that appears behind another page. Create a background when you want the same shape to appear on more than one drawing page.

For example, you can place a common graphical element, such as a company logo or a border, on a background. The element will appear on each page to which you assign the background.

Use a background to repeat a common element on several drawings.

You can assign only one background to each foreground, but each background can also have a background, so you can use backgrounds to create a layered effect.

Click to show or hide information. Backgrounds assigned to foreground pages

When you assign a background to a foreground page, the shapes on the background are visible when you display the foreground page, but you cannot edit them from the foreground page.

To edit the shapes on a background, display that background in the drawing window by clicking the background page tab Background page tab, and then edit it the same way you edit a foreground page.

Click to show or hide information. Tip

To selectively view, edit, print, or lock shapes in a drawing, or to have multiple depths of text and shapes within the same page, use layers instead of a background.

Click to show or hide information. New backgrounds

You can create a new page as a background or convert a foreground page to a background. When you create a background, it is added to the list of available backgrounds.

Click to show or hide information. Shape editing on a background

You edit the shapes on a background in the same way you edit the shapes on a foreground page. You can display the background in one window and the page it's assigned to in another window so that you can see how the changes affect the whole drawing. You cannot edit shapes on the background in the window that displays the foreground page.


Add or delete a background design

  1. Open the Backgrounds stencil if it's not already open. (On the File menu, point to Stencils, point to Visio Extras, and then click Backgrounds.)
  2. Drag a shape onto your page.
  3. Click Yes.
  4. To remove the background design, on the background page, select the background design shape, and then press DELETE.

Note Be careful not to remove any other shapes that are on the background page.


Assign a background to another page

  1. For the page to which you want to assign the background, on the File menu, click Page Setup, and then click the Page Properties tab.
  2. In the Background list, click the name of the background that you want to assign.

Note The background appears behind the shapes on the other page.


Display a background so that you can edit it

At the bottom left portion of the window, click the background tab for the background you want to edit Background page tab.

Click to show or hide information. Tip

You can also display a background in a new window so that you can view the background and the pages it's assigned to at the same time.


Convert a foreground page to a background

  1. Display the foreground page you want to convert to a background.
  2. On the File menu, click Page Setup, and then click the Page Properties tab.
  3. Click Background.

Click to show or hide information. Tip

If you don't want review comments to change the original, after you've converted the foreground to a background, assign the background to another foreground page, and then make review comments on the new foreground page.


Create a background

  1. Right-click a page tab Page tab at the bottom left portion of the window, and then click Insert Page.
  2. Click the Page Properties tab, and then click Background.
  3. Click the Drawing Scale tab to change the scale or the Page Size tab to change the page size for the new page.


Cancel a page's background assignment

  1. For the page to which the background is assigned, on the File menu, click Page Setup, and then click the Page Properties tab.
  2. In the Background list, click None.


Delete a background

  1. Cancel the background's page assignment, because a background page assigned to a foreground page cannot be deleted.

Note Because a background may be assigned to many pages, you must repeat this process for each page to which the background is assigned.

  2. Delete the background as you would delete any page.


About multiple-page drawings

For some drawing projects, you may want to create a single drawing file that contains many drawing pages. For example, a drawing file could represent a construction project and have the overall floor plan on one drawing page, interior elevations on another page, and details for walls and doors on a third page. New drawings you open have only one drawing page, but you can add as many new pages as you want.

Drawing that has multiple pages

Each page in a multiple-page drawing can have its own settings. For example, each page can have a different drawing scale. Print settings, however, affect all pages.

When you create a new drawing page, by default it inherits the size, orientation, scale, measurement unit, shadow offset, ruler, and grid settings of the page currently displayed in the drawing window. You can then change the settings for the new page, if necessary.

Here are some reasons to use multiple pages in a drawing:

Click to show or hide information. Keep related drawings in the same file

For example, for an office expansion project, you could keep the pages that contain office layout drawings in one file and drawings of the distribution of office equipment in another.

Click to show or hide information. Keep all revisions of a single drawing in one file on successive pages

Show the progression of the project from beginning to end.

Click to show or hide information. Create a slide show

Present a series of drawings in full-screen view and navigate between them, as in a slide show.

Click to show or hide information. Link pages together

For example, you could use hyperlinks to go from a workflow diagram shape to a detailed procedure on another page.

Click to show or hide information. Place items that you want to appear on every page on backgrounds

For example, place a company logo on a background so that it appears on every page in your drawing.

Click to show or hide information. Rotate pages to make it easier to edit information that is at an angle

For example, rotate a page that contains a room that isn't square or a city street plan where streets aren't perpendicular to each other.


About navigating between pages

Pages are stored in the order in which you create them and displayed one at a time in the drawing window. You can quickly navigate between pages and, if necessary, change page order by using the page tabs Page tab at the bottom left portion of the window. When you change the page order, you can also rename pages so that they reflect the new arrangement.

You can also add navigational links to drawing pages or to shapes that you can use to jump directly from one drawing page to another.


Navigate to a particular page

At the bottom left portion of the window, click the page tab for the page you want to see Page tab.


Navigate between pages in full-screen view

  • To display the previous page, press the LEFT ARROW, PAGE UP, or P keys, or right-click and then click Previous Page.
  • To display the next page, press the RIGHT ARROW, PAGE DOWN, or N keys; click anywhere but over a hyperlink; or right-click and then click Next Page.
  • To display a named page, right-click, point to Go To, and then click the page name.
  • To jump to a linked page or document, click hyperlinked shapes once.


Rearrange page order

Drag the page tabs Page tab into the order that you want.

If you have used the default page names, such as Page–1, when you rearrange the pages, Microsoft Visio renumbers the page names to reflect the new order.

Notes

  • In the page tab area, foreground pages always appear to the left and background pages to the right.
  • You cannot reorder background pages. They always appear in the order in which they were created at the right side of the page tab area.


Display a specific page in its own window

  1. On the Edit menu, point to Go To, and then click Page.
  2. In the Select page list, click the page you want, select the Open page in new window check box, and then click OK.


About text in shapes and drawings

You can add text to any Microsoft Visio shape, including connectors, by selecting the shape and typing.

Click to show or hide information. Text-only shapes

You can also create text-only shapes to add titles and lists to a drawing. In a text-only shape, the shape has no line or fill, so only text that you type in the shape is visible. You can use text-only shapes to add text to an object you import from another program. To do this, position the text-only shape where you want to type text for the imported object.

Click to show or hide information. Text block

The part of the shape in which you type text is called a text block. A text block can differ from its shape in size, angle, and relative location, so you can place text where you want it in relation to a shape. Each shape has only one text block.

Click to show or hide information. Text editing

When you use the Pointer tool [image], the Text Block tool [image], or any tool other than the Text tool [image] to select a shape, you select all of the existing text. As a result, when you start to type, the new text you type replaces the existing text.

  • You can select only a part of the existing text by using the Text tool [image]. When you use the Text tool to select a shape, you open the shape's text block. After you highlight text within a text block, you can delete, cut, copy, or format the selection, or you can type or paste to replace it.
  • You can add new text without replacing any of the existing text by clicking with the Text tool to place an insertion point where you want to type new text.

Click to show or hide information. Copy and move text

  • You can copy or move formatted text within a Visio shape's text block in a number of ways: from one Visio shape to another; from one Visio drawing page to another; from one instance of the Visio program to another; and from Visio to another program and vice versa.
  • You can create a new instance of a text shape that has the same text as another shape by dragging the text from the existing shape onto a drawing page.


Type text in a shape

  1. Select the shape, and then type the text.
  2. When you finish typing, press ESC or click outside the text block.


Create a new text shape from existing text

  1. Select the text in an existing shape that you want to use to create a new text shape.
  2. Make sure no other shapes are selected on the page, and then do one of the following:
  • To create a new text shape and delete the text from the original shape, drag the selected text onto a blank space on the drawing page.
  • To create the new text shape without deleting the text from the existing shape, drag the selected text onto a blank space on the drawing page and press CTRL before you release the mouse button.


Create a text-only shape

  1. Click the Text tool [image].
  2. Double-click anywhere on the drawing page, or click and drag until the text block is the size you want.
  3. Type the text.

When you start typing, Microsoft Visio creates a text-only shape and, depending on your settings and the font size, zooms in on the text block.

  4. When you finish typing, press ESC or click outside the text block.

Note To delete a text-only shape, use the Pointer tool [image] to select the shape, and then press DELETE.


Replace a word or phrase in a drawing

  1. On the Edit menu, click Replace.
  2. In the Find what box, type the word or phrase you're looking for. To specify a special character, such as a tab or a caret, click Special.
  3. In the Replace with box, type the word or phrase you want to use instead of the text in the Find what box. To specify a special character, such as a tab or a caret, click Special.
  4. Under Search and Options, specify the options you want, and then click Find Next or Replace All (to replace all instances of the word or phrase).
  5. When all the text that you specified has been replaced, a message appears. Click OK, and then click Cancel to close the Replace dialog box.


Turn off automatic zooming for editing text

  1. On the Tools menu, click Options.
  2. Click the Drawing tab.
  3. Under Text Options, in the Automatically zoom under points when editing box, enter 0 for the point size.


About tabs

You can use tabs to align text in table form or to create bulleted or numbered lists.

Click to show or hide information. Tab alignment

Tabs can be left-, center-, or right-aligned. You can also align columns of numbers by their decimal points. A text block can have up to 60 tab stops.

(In some languages, you can also use decimal tab alignment to align columns of numbers by their commas.)

Four different tab alignment options

Tab alignment options include left (A), center (B), right (C), and decimal (D).

Click to show or hide information. Tab positions

Tab positions are based on the width of the text block, not the width of the shape or the shape's distance from the edges of the page.

Click to show or hide information. Tabs and scale

If you're working at a scale other than 1:1, such as 2 cm = 1 m, the page rulers are measured in drawing units, and the tabs are measured in page units. Because of this difference, you can get confused if you try to use the page rulers to determine tab positions. You can avoid confusion by using the text ruler to determine tab positions.

Click to show or hide information. Tabs that apply to all or part of a text block

You can set tabs that apply to specific paragraphs within a text block or to the entire text block.

Note You can apply tabs only to an entire paragraph, not to selections within a paragraph.

Setting tabs for part of a text block

Select specific paragraphs to set tabs for part of a text block.

Setting tabs for the entire text block at once

Select a text block or place an insertion point in the text to set tabs for the whole text block at once.


Add, change, or remove tab stops

  1. Select an existing text block or shape.
  2. On the Format menu, click Text, and then click the Paragraph tab. Set Horizontal Alignment to Left and Indentation to zero, and then click OK.
  3. Double-click a shape to add or edit text. If you don't see the text ruler, right-click within the text block, and then choose Text Ruler.
  4. Select the paragraphs to which you want to add tab stops.
  5. Click the tab icon [image] at the left end of the text-editing ruler until you see the type of tab you want: left tab [image], right tab [image], center tab [image], or decimal tab [image].
  6. Click the position on the ruler where you want to add a tab.
  7. To change the position of a tab stop, drag the tab icon to the position you want on the text-editing ruler.

As you drag, a vertical, dotted line through the text block indicates the tab stop position, and the text is reformatted to account for the new tab position.

  8. To remove a tab stop, drag the tab icon off the text-editing ruler.
  9. Click away from the shape to close the text-editing ruler.

Note To set exact measurements for tabs, on the Format menu, click Text, and then click the Tabs tab.

Click to show or hide information. Tip

If you're creating a table, set the tab stops for the table columns before you add text to the table.


Change how text is aligned between the left and right margins within a text block

  1. To open a text block, double-click a shape.
  2. Select the paragraph you want to align.
  3. On the Format menu, click Text, and then click the Paragraph tab.
  4. In the Horizontal alignment list, click a text-alignment option.

Note If you format your text as East Asian vertical text (if you select the Vertical text check box on the Text Block tab of the Text dialog box):

  • Clicking Left or Justified aligns text at the top of the text block. Clicking Centered positions text between the top and bottom of the text block.
  • Clicking Right aligns text at the bottom of the text block.
  • Clicking Force Justified spaces text evenly between the top and bottom of the text block.


Change how text is aligned between the top and bottom margins within a text block

  1. To open a text block, double-click a shape.
  2. Select the paragraph you want to format.
  3. On the Format menu, click Text, and then click the Text Block tab.
  4. In the Vertical Alignment list, click a text-alignment option.

Note If you format your text as East Asian vertical text by selecting the Vertical text check box:

  • Clicking Top positions the text to the right side of the text block.
  • Clicking Middle positions the text in the middle of the text block.
  • Clicking Bottom positions the text to the left side of the text block.


Change the indentation of a paragraph

  1. Double-click a shape.

If you don't see the text-editing ruler, right-click the shape, and then click Text Ruler.

  2. Select all the text in the shape.
  3. On the text-editing ruler, do one or more of the following:
  • To set the overall indentation, drag the rectangle at the bottom of the hourglass Bottom rectangle of text-editing ruler.
  • To set the indentation of the first line, drag the top triangle of the hourglass [image].
  • To set the hanging indentation (all lines in each selected paragraph except the first), drag the bottom triangle of the hourglass [image].
  • To set the right indentation, drag the right triangle [image].
  4. To close the text-editing ruler, click away from the shape.


Edit existing text

  1. Double-click the shape.
  2. Click where you want to add or edit text.

You can move the insertion point by clicking anywhere in the text block or by pressing the arrow keys.

  3. Type to add text or edit the text.
  4. When you finish typing, press ESC or click outside the text block.


Cut, copy, or paste text to or from the Clipboard

  • To cut or copy selected text to the Clipboard, select the text, and then press CTRL+X to cut or CTRL+C to copy.
  • To copy all text in a shape to the Clipboard, double-click the shape to enter text-edit mode and select all the text, and then press CTRL+C.
  • To paste text from the Clipboard into a shape that has no existing text, or to replace existing text in a shape, select the shape, and then press CTRL+V.
  • To paste text from the Clipboard into a shape that has existing text without replacing the existing text, double-click the shape to enter text-edit mode, click to place the insertion point within the existing text, and then press CTRL+V.
  • To repeat pasting text, press F4.

Click to show or hide information. Tip

When you copy and paste text, you copy and paste any text formatting that you have applied along with the text.


Copy or move text within a text block by dragging

  1. Select the text that you want to copy or move.
  2. Do one of the following:
  • To move the selected text, drag it to a new position within the text block.
  • To copy the selected text and leave the original text in position, press CTRL and drag the selected text to the new location.


Copy or move text from one shape to another by dragging

  1. Select the text that you want to copy or move.
  2. Do one of the following:
  • To move the selected text, drag it to the other shape.
  • To copy the selected text and leave the original in position, press CTRL and drag the selected text to the other shape.
  3. Do one of the following:
  • To replace all existing text in the other shape, move the mouse over it until you see a bounding box around the shape, and then release the mouse button.

Shape with bounding box around it.

When you see a bounding box around the shape, you can replace all existing shape text by pasting.

  • To paste the new text without replacing the existing text in the other shape, move the mouse over the shape until the bounding box disappears. Place the insertion point where you want the text to go, and then release the mouse button.
  • To create a new text-only shape to contain the text, move the mouse pointer over a blank spot on the page, and then release the mouse pointer.


Copy or move text from one drawing page to another by dragging

  1. Select the text that you want to copy or move.
  2. Drag the text to the page tab of the page where you want to paste the text.
  3. When the page opens, do one of the following:
  • To move the selected text, drag it to a shape on the page.
  • To copy the selected text and leave the original in position, press CTRL and drag the selected text to the shape.
  4. Do one of the following:
  • To replace all existing text in the other shape, move the mouse over it until you see a bounding box around the shape, and then release the mouse button.

Shape with bounding box around it.

When you see a bounding box around the shape, you can replace all existing shape text by pasting.

  • To paste the new text without replacing the existing text in the other shape, move the mouse over the shape until the bounding box disappears. Place the insertion point where you want the text, and then release the mouse button.
  • To create a new text-only shape to contain the text, move the mouse pointer over a blank spot on the page, and then release the mouse pointer.


Copy and paste text without applied formatting

  1. Select the text you want to copy.
  2. On the Edit menu, click Copy.
  3. Select the shape in which you want to paste the unformatted text.
  4. On the Edit menu, click Paste Special.
  5. Click Unformatted Text or Unformatted Unicode Text, and then click OK.

Note Microsoft Visio does not fully support Unicode text. If you click Unformatted Unicode Text in the Paste Special dialog box As list, supported Unicode text characters are displayed in a font that has a character set to support these characters. Characters that are not supported in that character set will appear as unrecognized characters (as garbage).


Copy only text attributes from one shape to another

  1. Double-click a shape to select its text.
  2. Do one of the following:
  • To format a single shape, click Format Painter [image].
  • To format multiple shapes as you click, double-click Format Painter [image].
  3. Click the shape to which you want to copy the text attributes.


Move text from Microsoft Visio into another program by dragging

  1. Select the text in Microsoft Visio that you want to move into the other program.
  2. Drag the text onto the other program's icon in the taskbar.

Note To copy the text into another program and not delete it from Visio, press CTRL before you release the mouse button.

  3. When the other program's window opens, position the text where you want it and release the mouse button.

Click to show or hide information. Tip

You can use the same method to copy or move text from another program into Visio, or from one instance of Visio into another.


Delete text from a shape

  1. Double-click the shape that contains the text you want to delete.
  2. Select the text you want to delete, or press CTRL+A to select all the text in the text block.
  3. Press DELETE.


Add or edit text in a group

  1. Do one of the following:
  • To edit the main text in a group, click to select the group. (A dashed green line and green selection handles indicate the group).
  • To edit the text in a shape within the group, click to select the group, and then click the shape in the group.

Note If your group doesn't work this way, it may have unique group settings that you should not change.

  2. Click the Text tool [image].
  3. Type to add or edit text.
  4. When you have finished, press ESC or click outside the text block.


About Input Method Editors (IMEs)

An Input Method Editor (IME) is a program that allows you to enter Asian text in documents; it converts your keystrokes into Asian characters. Often the only visual indications that an IME is installed on a computer are a floating toolbar for controlling the conversions and an indicator on the Windows taskbar. Different Asian languages require different IMEs—for example, to enter Japanese text, use the Japanese IME.

Asian versions of Microsoft Visio include one or more IMEs. IMEs cannot be installed or upgraded on a system that doesn't already support IMEs in the same language that you are installing. To enter Asian text on a system that doesn't match the language you want to type, or on a system that doesn't already have an IME for the language you want, use a Global Input Method Editor (Global IME).

Global IMEs can be installed anywhere, but are not supported by all programs, and their conversion capabilities may not be as advanced as standard IMEs. Don't install a Global IME if your operating system language is the same as the language you want to type.


Add a word to the Input Method Editor (IME)

  1. On the IME toolbar, click Register Words/Examples, and then click the Add Word tab.
  2. In the Reading box, enter the reading of the word.
  3. In the Display box, enter the word.
  4. In the Part of Speech box, select the part of speech that describes the word.
  5. Click Register.

Click to show or hide information. Tip

To manually change the interface language of the Input Method Editor (IME), click Properties on the IME toolbar. On the General tab, select a language in the Display menus and dialogs in dropdown box.


Change Input Method Editor (IME) settings

  1. On the Tools menu, click Options, and then click the Regional tab.
  2. Click IME Settings.

Note The IME Settings button is available only if an Asian language is selected in the Language settings for the system list on the General tab of the Regional Options dialog box (accessible from Control Panel).

  3. In the IME Properties dialog box, make the changes you want, and then click OK.


Set the default Input Method Editor (IME)

Before following this procedure, make sure that the language-specific feature is available.

An Input Method Editor (IME) is a program that allows you to enter Asian text in documents; it converts your keystrokes into Asian characters. Different Asian languages require different IMEs.

  1. On the Windows Start menu, point to Settings, and then click Control Panel.
  2. Double-click the Keyboard icon.
  3. Do one of the following:
  • If you are running Microsoft Windows 98 or Windows Millennium Edition, click the Language tab.
  • If you are running Microsoft Windows NT version 4.0 or Windows 2000, click the Input Locales tab.
  4. If you haven't already added the IME, do it now.

Click to show or hide information. How?

  1. Click Add.
  2. In the Input locale list, click the input locale you want to add, and click OK.
  5. Do one of the following:
  • If you are running Windows 98 or Windows Millennium Edition, select the appropriate Microsoft Input Method Editor (IME) in the Language box.
  • If you are running Windows NT 4.0 or Windows 2000, select the appropriate Microsoft IME in the Input language box.
  6. Click Set as Default, and then click OK.
  7. Depending on the IME you selected, you might have to further customize the IME to use Microsoft IME keyboard settings. Right-click the IME toolbar, and then click Properties. If there is a template or settings list, make sure that it is set to the Microsoft IME that you are planning to use.


About text formatting

You can format the text that you associate with shapes in various ways.

You can format text by changing its font, color, size, style, position, and character spacing, and you can designate the language of sections of text. When you designate a section of text as being in a particular language, the Microsoft Visio spelling checker automatically uses the correct language dictionary for that text section.

Shape text always appears within a text block. You can specify the alignment of the text with respect to the text block, and you can set the margins between the text and the text-block boundaries. You can also apply a text background color.

For each paragraph of text within a text block, you can change the alignment, the indentation and the spacing. You can also use tabs and bullets to align text in columns, tables, and bulleted and numbered lists.


Select text

Do one of the following:

  • To select all the text in a text block, double-click the shape.
  • To select part of the text in a text block, double-click the shape, and then drag the insertion point over the portion of text that you want to select. Or to extend a selection, click at an insertion point, and press SHIFT+RIGHT ARROW or SHIFT+LEFT ARROW to select text.

Note When you select text, the drawing is magnified so that you can see what you're typing. To return to the original magnification, press ESC, or click anywhere outside the shape or text block after you type the text.


Format text

  1. To open a text block, double-click a shape, and then select the text that you want to format.
  2. On the Format menu, click Text.
  3. Select the formatting options you want.


Format punctuation marks and symbols

AutoFormat options include automatic changes that Microsoft Visio makes to the look of your text, such as changing fraction characters to a fraction symbol or formatting smiley faces and arrows with special symbols. To set these options:

  1. On the Tools menu, click AutoCorrect Options, and then click the AutoFormat As You Type tab.
  2. Select or clear any of the automatic formatting options you want to turn on or off.


Copy text formatting from one shape to another

  1. Double-click the shape that has text formatting you want to copy.
  2. Click Format Painter [image].
  3. Click the other shape that you want to format.

Note You can also copy all shape formatting to another shape.

Click to show or hide information. Tip

If you can no longer see the other shape you want to format after you click Format Painter [image], press CTRL+W to zoom out and display the entire drawing page in the Microsoft Visio window.


About spelling

You can check the spelling of any text in a drawing either manually or automatically. You can specify whether to search an entire drawing, a particular page, or selected text only. When you check spelling, Microsoft Visio searches all shapes in the way you specify, including text-only shapes and data fields.

If you use industry or company words that aren't in a standard dictionary, you can create a user dictionary that includes these words. Then, when you check spelling, you can check the spelling of those words against the spelling in your dictionary. You can even create different user dictionaries for different purposes and activate each one as you need it.

Click to show or hide information. Automatically correct spelling

To fix spelling errors without having to confirm each correction, use the AutoCorrect feature. For example, if you type "definitley" and then type a space or punctuation, AutoCorrect replaces it with "definitely." AutoCorrect can make corrections that are generated by the spelling checker's main dictionary and from a list of built-in AutoCorrect entries. You can easily add your own AutoCorrect entries or remove unwanted ones.

Click to show or hide information. Automatically check spelling as you type

To check for spelling errors behind the scenes, use automatic spelling checking. As you type, the spelling checker checks the text and then marks possible errors with wavy red underlines. To correct an error, right-click the misspelled word, and then click the correction you want on the shortcut menu.

Click to show or hide information. Check spelling manually

You can check your entire drawing for spelling errors and then confirm each correction. This method is useful if you want to postpone proofing a drawing until after you finish creating it.


Automatically check spelling as you type

  1. Turn on automatic spelling checking.
  2. To start checking spelling, double-click a shape to open its text block.

Once the text block is open, the spelling checker uses wavy red underlines to indicate possible spelling errors. (The wavy red lines appear only in the active text block—they are not visible when the text block is closed or for text in other shapes.)

  3. To choose the error you want to correct, right-click a word that has a wavy red underline.
  4. On the shortcut menu, do one of the following:
  • Click the spelling correction you want.
  • Click AutoCorrect to pick a correction to add to the list of AutoCorrect substitutions.

The next time you misspell that word the same way, AutoCorrect will correct it automatically.

  • Click Set Language to mark selected text as being in another language and to check the spelling of the text against the dictionary of that language.
  • Click Spelling to use additional spelling options.


Turn automatic spelling checking on or off

  1. On the Tools menu, click Options, and then click the Spelling tab.
  2. To turn on or off automatic spelling checking, select or clear the Check spelling as you type check box.

Notes

  • For automatic spelling checking to work, you must have installed the default dictionary during setup of Microsoft Visio.
  • If you mark the text you are checking to be in a language other than the default for your system, the appropriate dictionary for the language in which you mark the text must be installed. For example, if you mark selected text as French, to check the spelling of the text you must have the French dictionary installed.


Check spelling in a drawing manually

  1. On the Tools menu, click Spelling.
  2. In the Spelling dialog box, make any necessary corrections.

A message appears when the spelling check is complete.

Click to show or hide information. Tip

You can specify default spelling checker settings on the Spelling tab of the Options dialog box.


Correct capitalization and spelling

  1. On the Tools menu, click AutoCorrect Options, and then click the AutoCorrect tab.
  2. Do one or more of the following:
  • To turn the capitalization options on or off, select or clear any of these check boxes:
  • Correct TWo INitial CApitals
  • Capitalize first letter of sentences
  • Capitalize names of days
  • Correct accidental use of cAPS LOCK key
  • To turn text entries for misspellings and typos on or off, select or clear the Replace text as you type check box.


Add an AutoCorrect entry to correct a typing error

  1. On the Tools menu, click AutoCorrect Options.
  2. In the Replace box, type a word or phrase that you often mistype or misspell—for example, type "usualy" or another problem word.
  3. In the With box, type the correct spelling of the word—for example, type "usually," or select it from the list.
  4. Click Add.


Create a user dictionary and make it active

  1. On the Tools menu, click Options.
  2. Click the Spelling tab.
  3. Under Spelling, click Add.
  4. In the File name box, type a name for the dictionary, and then click Open.
  5. Click OK to close the Options dialog box.

While you are checking the spelling of a document, click Add in the Spelling dialog box to add a word to the user dictionary.

Click to show or hide information. Tip

You can open and close dictionaries without deleting them from your hard drive or from a shared drive on another computer on your network. To open or close a dictionary, select the dictionary in the Active list, and then click Add or Remove. A dictionary that is closed won't appear in the Add words to list in the Spelling dialog box when you check spelling.


About text background color

In most Microsoft Visio shapes, the area around the text, or the text background, is transparent. You can apply color to a text background to make it opaque so that elements of the shape don't show through and make the text unreadable. For example, you can add a text block background to show a break in a connector line when it crosses through the text.

Two connectors, one with break for text block

Changing the text background to solid white makes the connector line appear to break before and after the text block, ensuring that the text is readable.

Because the background color fills in the area around the text, the color appears only when the shape contains text.


Change the text background color

  1. Select a shape.
  2. On the Format menu, click Text, and then click the Text Block tab.
  3. Under Text background, click Solid color, and then select a color from the list.
  4. To make the background transparent, move the transparency slider to the right.

Note If the selected shape has a fill, to see the transparent effect on the text background, you must make the fill transparent as well.


Select a text block

  1. Click the Text Block tool [image].
  2. Click the shape that contains the text block you want to select.

To select the text block in a shape within a group, click to select the group, and then click to select the shape in the group.


Rotate, move, or resize a text block

  1. Click the Text Block tool [image].
  2. Click the shape to select its text block.

Note If the text in is a group, click to select the group, and then click to select the text in the shape.

  3. Do one of the following:
  • To rotate the shape's text block, drag a corner rotation handle [image].

When the pointer is over a rotation handle, it changes to an arrow that forms a circle [image]. As you drag, the pointer changes to four arrows that form a circle [image]. (If the text block is so small that you don't see rotation handles, zoom in until you can see them.)

Rotating a shape's text block

  • To move the shape's text block, drag the rotation pin [image].

When the pointer is over the rotation pin or the dotted line, it changes to a double rectangle.

The text block remains part of the shape, so you can move the text block completely outside the shape's borders and still move, rotate, and resize it with the shape without changing its new position relative to the shape.

  • To resize the shape's text block, drag a selection handle [image] until the text block is the width or height you want.

Click to show or hide information. Tip

If a shape has a control handle [image], you can use the Pointer tool [image] to easily reposition its text.


Add a field to a shape?s text block

Add a field to a shape's text block

  1. Double-click a shape to open its text block, and then place the pointer where you want to insert a field.
  2. On the Insert menu, click Field, add the field you want, and then click OK.


About numbered and bulleted lists

You can use tabs and hanging indents to create numbered and bulleted lists manually, or you can have Microsoft Visio create these lists automatically.

Click to show or hide information. Bullets with different fonts and font sizes

The bullets used for bulleted lists do not change shape when you apply a different font to the text. For example, if you apply round bullets to a list and then change the text font to Wingdings, the bullets remain round.

However, if you change the font size of the list text, the bullets increase in size with the text.

Six different bullet sizes

Click to show or hide information. Numbered lists in Microsoft Visio versus Microsoft Word

You create a numbered list in Microsoft Visio differently from the way you create a numbered list in other word processing applications, such as Microsoft Word. In Visio, as you type the list, you add numbers, tabs, and indentation manually.


Create a numbered list

  1. Double-click a shape.

If you don't see the text-editing ruler, right-click the shape, and then choose Text Ruler.

  2. Right-click the shape, and then click Format Text. Click the Paragraph tab, and then in the Horizontal alignment list, click the alignment you want.
  3. Type the number for the first list item, press Tab, type the text you want, and then press Enter. Repeat this for each list item you want.
  4. Select all of the list items.
  5. On the text-editing ruler, drag the bottom of the hourglass [image] until it's in the position you want the text (not the numbers) to align.
  6. On the text-editing ruler, drag the top of the hourglass [image] until it's in the position you want the numbers to align.
  7. Click outside the shape to close the text-editing ruler.


Create a bulleted list automatically

  1. Double-click a shape, and then select an existing list. Or type a new list, and then select it.
  2. Right-click the list text, and then click Bullets.

To remove bullets from a paragraph, right-click the text, and then click Bullets.

To change the bullet graphic, on the Format menu, click Text, and then click the Bullets tab. Click the bullet you want or type a custom bullet, and then click OK.


About position and spacing of text

You can change the position of text within a text block, the spacing of lines of text within a text block, and the position of the text block itself with respect to its associated shape.

Click to show or hide information. Paragraph alignment and indentation

The paragraph alignment in shapes is determined in relation to the text block, not to the shape or to the drawing page.

You can change the paragraph alignment and indentation of any paragraph with respect to its text block. For example, to create a bulleted list or a table, you begin by left-aligning the text in the text block. To create a hanging indent for a bulleted list, you set the indentation of the left side and first line of each paragraph. To ensure that there is space after each bulleted item, you set the paragraph spacing.

This list is left aligned, and it has hanging indents and paragraph spacing after each item.

Click to show or hide information. Margins and text alignment in a shape

In most cases, the position of the text in the text block is set to Middle by default, but you can:

  • Change the alignment of any text block.
  • Change the margins of a text block to add or delete space between the text block and the boundary of the shape.

The commands on the Format menu give you more precise control than dragging the borders of the text block. By using the commands, you can set exact margins or start the text at the top of the text block instead of in the middle.

Click to show or hide information. Text alignment buttons

Text alignment buttons

You can click these buttons to change the position of the text in the text block.

Click to show or hide information. Position of text block in a shape

When you rotate, resize, or move a shape, you simultaneously rotate, resize, or move its text block. You can also rotate, resize, and move a text block separately from its shape by using the Text Block tool [image]. This tool moves or rotates only the text block; the Rotation tool [image] and the Pointer tool [image] move or rotate the entire shape.

Microsoft Visio masters often include a control handle that you can use to reposition the text block. However, if you draw your own shape or if you want to change the text block size, you can move or resize a text block manually.


Change character spacing

  1. To open a text block, double-click a shape, and then select the text that you want to format.
  2. On the Format menu, click Text.
  3. Click the Font tab, and under Character spacing, do any of the following:
  • To make the selected characters thinner, in the Scale list, enter a percentage less than 100%.
  • To make the selected characters wider, in the Scale list, enter a percentage greater than 100%.
  • To add space between the selected characters, in the Spacing list, click Expanded, and then in the By box, enter a value.
  • To decrease the amount of space between selected characters, in the Spacing list, click Condensed, and then enter a value in the By box.

Note If you decrease the amount of space between selected characters too much, letters may run together.


Change the line spacing of a paragraph

  1. Double-click a shape.
  2. Select the paragraph that you want to format.
  3. On the Format menu, click Text, and then click the Paragraph tab.
  4. Under Spacing, select the paragraph spacing you want:
  • In the Before box, select the amount of space before the paragraph.
  • In the After box, select the amount of space after the paragraph.
  • In the Line box, select the amount of space between lines in the paragraph.


About text fields

You can add text fields to shapes in Microsoft Visio drawings to provide additional information to users. Fields are organized into categories, such as Date/Time, Document Info, and Custom Properties. Fields are updated automatically when you change the information on which they are based.

Some field categories, such as Date/Time, are useful for providing up-to-the-minute information in final drawings. Other field categories, such as Document Info, which displays file summary information entered in the Drawing Properties dialog box, help you keep track of information as you work on a drawing.

A field is inserted at the insertion point or, if a shape is selected but its text block is not open, the shape's existing text is replaced with the field.


Add a text field to a shape

  1. Select the shape to which you want to add a text field.
  2. On the Insert menu, click Field.
  3. In the Category list, click the category of field you want to insert.
  4. In the Field list, click the field you want to insert.
  5. In the Format list, click the format in which you want the text to appear.


About shape size in text dimension fields

If you want specifications to appear in shapes in a drawing, you can add text fields that display a shape's geometry. A field is a placeholder in text that displays such information as a date, time, or measurement. A text block can contain as many fields as you want. You can use fields from existing categories or create your own formulas for fields, and you can format or delete fields just as you format or delete other text.

After you have added a dimension field, when you resize or rotate a shape, Microsoft Visio automatically calculates and displays a new height, width, angle, or rotation. For example, you can add a rotation-angle dimension field to a shape so that when you rotate the shape, the field displays the rotation angle in positive or negative numbers.

Note When you cut or copy a field and then paste it, the pasted text is no longer a field. The field text becomes static.


Add height and width dimension fields to a shape

  1. Double-click a shape to open its text block, and then move the insertion point to the place in the text block where you want to insert the width field.
  2. On the Insert menu, click Field, and then do the following:
  • In the Category list, click Geometry.
  • In the Field list, click Width.
  • In the Format list, click the format in which you want the field information to appear.
  3. Click OK.
  4. Place the insertion point in the shape's text block after the width number, type a space, and then type x or by. Then type another space.
  5. Repeat steps 2 through 4 above, but click Height instead of Width.
  6. To view these fields in action, resize the shape.


Add a rotation-angle field to a shape

  1. Double-click a shape to open its text block, and then move the insertion point to the place in the text block where you want to insert the rotation-angle field.
  2. On the Insert menu, click Field, and then do the following:
  • In the Category list, click Geometry.
  • In the Field list, click Angle.
  • In the Format list, click the format in which you want the field information to appear.
  3. Click OK.

A shape, and the same shape rotated 25 degrees

As you rotate a shape, its rotation-angle field records the angle of rotation in positive or negative numbers.

Click to show or hide information. Tip

If you display the angle in degrees, you can add the degree symbol (for example, 30°) instead of displaying the label "deg." To display the degree symbol, in step 2 of the procedure above, in the Format list, click General, and then click OK. Make sure the number lock on your keyboard is turned on, and then press Alt+0176.


About Microsoft Visio vertical text

You can display characters vertically, and you can save a shape that has vertical text on a stencil so that you can reuse it in other drawings.

When you format text as vertical text, the following changes occur:

  • The lines of text in the shape are oriented from the top right to the left, and within each line, characters are positioned from top to bottom.
  • The font used in the shape's text changes to the vertical version of the font. If the vertical version is not installed, the Visio program uses the current font.

Some East Asian versions of Microsoft Windows include vertical fonts, which have correctly positioned and rotated punctuation marks. If you have a version of Windows that does not include vertical fonts, you can install them by using the appropriate language pack, available from Microsoft.

  • When you click in the shape, the orientation of the insertion point changes from horizontal to vertical.
  • Vertical text is applied to the entire text block, not to selected characters or paragraphs.

Notes

  • You can format vertical text, but all of the alignment commands work as if rotated 90° clockwise. For example, if on the Format menu, you click Text, and then, on the Paragraph tab, you click Left in the Horizontal alignment list, your vertical text is aligned to the top of the first line, which is where the text starts.
  • Some Visio program shapes that expand to match the amount of text you enter do not adjust properly when the text is vertical.
  • When you apply a non-Asian font (any font that uses only the Latin or Cyrillic alphabet, for example) to East Asian text in a selection where it is mixed with Latin text, the Latin font is applied only to the Latin text. The font of any Asian text remains unchanged.


View Asian text features

  1. On the Tools menu, click Options, and then click the Regional tab.
  2. Under Asian options, in the Vertical Text list, click Show.
  3. In the Kana find and replace list, click Show.
  4. Click Activate IME as default, and then click OK.

Note The next time you start Microsoft Visio, the Input Method Editor (IME) will be activated by default.


Format existing text as vertical text

  1. Select the shape.
  2. Do one of the following:
  • Click the Vertical Text tool [image].
  • Right-click the text, and then click Vertical Text.

The shape's text rotates 90° clockwise and appears in a vertical font.

Note To display the Vertical Text tool, on the Tools menu, click Options, click the Regional tab, and in the Vertical text list, click Show.


Insert western horizontal text (Kumimoji) within vertical text

  1. Select the text you want to format as western horizontal text (letters, numbers, dates, times, and so on).
  2. Right-click, and then click Kumimoji Text.
  3. Click Set, and then click OK.

Note To remove the Kumimoji formatting, select the text, right-click, click Kumimoji Text, and then click Clear.


Create a new vertical text shape

  1. Click the Text tool [image].
  2. Do one of the following:
  • Click where you want to start typing.
  • Click and drag until the text block is the size you want, and then release the mouse button.
  3. Type the text you want.
  4. Do one of the following:
  • Click the Vertical Text tool [image].
  • Right-click the text, and then click Vertical Text.

The text rotates 90° clockwise and appears in a vertical font.

Note To display the Vertical Text tool, on the Tools menu, click Options, click the Regional tab, and in the Vertical text list, click Show.

  5. To add lines of text, simply type.
  6. To format the text, do one of the following:
  • To align the start of each vertical line of text to the top margin of the shape's text block, click Align Left [image].
  • To align the end of each vertical line of text to the bottom margin of the shape's text block, click Align Right [image].
  • To center each line of text between the top and bottom margins, click Center [image].
  • To insert a bullet at the start of each line, click Bullets [image].
  • To decrease the amount that the start of each vertical line is indented from the top margin, click Decrease Indent [image].
  • To increase the amount of indentation from the top margin for the start of each vertical line, click Increase Indent [image].

Click to show or hide information. Tip

To restore the horizontal orientation of text in a shape that has vertical text, select the shape, and then click the Vertical Text tool [image] or right-click the text, and then click Vertical Text. The shape's text rotates counterclockwise 90° and appears in a horizontal font.


About custom properties

A Microsoft Visio drawing is more than a picture—it's a valuable medium for storing data. A shape can act as a visual database field that stores data you can retrieve in a report. For example, a flowchart shape can store data about the cost, duration, and resources involved in the process step the shape represents.

Show me an example

Click to show or hide information. Many shapes already have custom properties

For shapes that already have custom properties, all you have to do is enter the data. For example:

  • Flowchart shapes have custom properties in which you can enter cost, duration, and resources.
  • Office layout shapes have custom properties in which you can enter inventory number and owner.

Click to show or hide information. Add or edit custom properties

You can edit custom properties in existing shapes, add new ones, or delete properties you don't need. You can also add custom properties to new shapes you create. For example, you can add a new custom property to furniture shapes to store the cost of the item.

Where you edit custom properties depends on what you intend to do with the shapes.

  • To edit custom properties for a single shape, edit the shape on the drawing page.
  • To reuse a shape with updated custom properties in several drawings, edit the shape's properties in the stand-alone stencil (either one that came with your Microsoft Visio product or one you created).
  • To apply the updated properties to the current drawing only, edit the shape's properties on the document stencil.

Click to show or hide information. Custom property sets

To add the same custom properties to many shapes on a drawing, create a custom property set. A custom property set contains a group of custom properties that can be quickly added to shapes on a drawing or on a stencil. For example, to add Employee Number, Start Date, and Salary properties to the shapes in an organization chart, you could create a custom property set with those properties and then add it to all of the shapes in an organization chart.

Click to show or hide information. Linking custom properties to a database

You can link the data in custom properties to a database so that changes in the database are reflected in your Visio drawing.

Click to show or hide information. Custom properties in the ShapeSheet spreadsheet

Custom properties are stored in their own section of the shape's ShapeSheet spreadsheet. If you are developing your own shapes, you can add or edit custom properties in the ShapeSheet window.

Show me an example

You can also use a shape's custom properties to control a shape's behavior. For example, you can develop a bolt shape that changes appearance when you choose a bolt type in the Custom Properties dialog box.


About property reports

You can generate a property report from the data entered into shape custom properties. For example, you can generate an inventory report from the data stored with furniture and equipment shapes in an office layout. Or you can generate a list of the people represented in an organization chart, including their names and departments.

You can generate reports as a Web page (HTML file), a Microsoft Excel worksheet (.xls), or an XML file. You can also generate reports that are saved in a report shape that appears on your drawing: either a table shape or an embedded Microsoft Excel object.

Click to show or hide information. Report definitions

All of the information needed to generate a report is saved in a report definition. A report definition determines which shapes and properties are included in the report and how the report is formatted. You can save a report definition in a file or directly in a drawing. To use the same report definition to generate reports from multiple drawings, save your definitions in a file. To generate a report only in one drawing and easily distribute that drawing, save your definition in the drawing.

When you generate a report, the Report dialog box shows all report definitions that have been saved in Samples\Visio Extras (in the installation folder) and in your Visio drawing folder. To find out where your drawing folder is, on the Tools menu, click Options. Click the File Paths tab, and the Drawings box shows the folder location.

Click to show or hide information. Formatting reports

You can set up report definitions to summarize data by including subtotals and grand totals in the generated report. You can also sort your report by columns and rows.


Enter data in a shape's custom properties

  1. Select the shape to which you want to add data.
  2. Do one of the following:
  • On the Shape menu, click Custom Properties.
  • On the View menu, click Custom Properties Window.

If the shape has no custom properties, a message appears to that effect.

  3. Click in each custom property field and type or select a value.

Click to show or hide information. Tip

To enter the same value into the custom properties of multiple shapes, select the shapes, open the Custom Properties dialog box or Custom Properties Window, and enter the value. Only custom properties that are shared by all the shapes appear in the dialog box or window.


Enter data in a page's custom properties

  1. Make sure that nothing is selected on the page.
  2. Do one of the following:
  • On the Shape menu, click Custom Properties.
  • On the View menu, click Custom Properties Window.

If the page has no custom properties, a message appears to that effect.

  3. Click in each custom property field and type or select a value.


Edit, add, or delete custom properties

  1. Select a shape on the drawing page.

Click to show or hide information. How do I add properties to a master?

  • To change a master on a stencil, right-click the stencil's title bar, and then click Edit. Right-click the master, and then click Edit Master. Select the shape in the master window.
  • To change a master on the document stencil, on the File menu, point to Stencils, and then click Document Stencil. Right-click the master, and then click Edit Master. Select the shape in the master window.
  2. On the Shape menu, click Custom Properties.
  3. Do one of the following:
  • If a message appears asking if you want to define custom properties, click Yes.
  • If the shape already has some custom properties, and the Custom Properties dialog box appears, click Define.
  4. Enter values in the Label, Type, Format, Value, Prompt, and boxes.
  5. To add another property, click New, and then repeat step 4.
  6. To delete a property, select it in the Properties list at the bottom of the dialog box, and then click Delete.

Click to show or hide information. Tips

  • Many shapes have custom properties already assigned. It's best not to delete these custom properties, because they can affect other aspects of shape behavior.
  • You can also define custom properties by right-clicking the Custom Property window and clicking Define.


Add custom property sets to shapes

  1. Create the custom property set.

Click to show or hide information. How?

  1. On the Tools menu, point to Macros, then point to Visio Extras, and then click Edit Custom Property Sets.
  2. Click Add, and then type a name for the custom property set.
  3. Choose whether to create a new custom property set, a set based on the currently selected shape, or a set based on an existing custom property set, and then click OK.
  4. To add or modify custom properties, select the custom property set, and then click Define.
  5. Edit, add, or delete custom properties.
  6. Click OK twice.
  2. Do one of the following:
  • To add the custom properties to shapes on a drawing, select the shapes.
  • To add the custom properties to shapes on a stencil, open the stencil.
  3. On the Tools menu, point to Macros, then point to Visio Extras, and then click Apply Custom Property Set.
  4. Specify the shapes to which you want to apply the custom property set:
  • If you are adding custom properties to shapes on a page, click Apply to shapes selected in drawing
  • If you are adding custom properties to shapes on a stencil, click Apply to shapes in a stencil, and then click Choose Shapes. Under Document, select the stencil, and then select the shapes you want.


Generate a property report

  1. On the Tools menu, click Report.
  2. In the Report Definitions list, click the name of the report definition you want to use.
  3. Click Run, and then in the Run Report dialog box, choose the report format you want.

Click to show or hide information. How?

  • To save your report as a Web page, click HTML.
  • To save your report as a Microsoft Excel spreadsheet, click Microsoft Excel (file).
  • To save your report as a Microsoft Excel spreadsheet embedded in a shape in your drawing, click Microsoft Excel (shape).
  • To save your report as a table that is placed on your drawing, click Visio Table Shape.
  • To save your report as an XML file, click XML.
  4. Do one of the following:
  • If you are saving your report as a shape on the drawing, choose whether to save a copy of the report definition with the shape or link to a report definition.
  • If you are saving your report as a file, type a name for the report definition.
  5. To generate the report, click OK.


Create a new property report definition

  1. On the Tools menu, click Report.
  2. Click New.
  3. Follow the wizard pages to create a report definition.
  4. When you return to the Report dialog box, click OK to save your definition.

Click to show or hide information. Tips

  • To create a new report definition based on an existing one, in the Report dialog box, select the existing definition, and then click Modify. Save the modified report definition with a new name.
  • To appear in the Report dialog box, report definitions must be stored in Samples\Visio Extras (in your Microsoft Visio installation folder) or in your Visio drawing folder.


Modify a property report definition

  1. On the Tools menu, click Report.
  2. Select a report definition, and then click Modify.
  3. Follow the wizard pages to modify the report definition.
  4. When you return to the Report dialog box, click OK to save your changes.


Update a report

Click to show or hide information. Update a report stored in a file

  1. On the Tools menu, click Report.
  2. Select the report definition for the report you want to update, and then click Run.
  3. Select the output format for the report.
  4. Click Browse and locate the file that contains the report you want to update.
  5. To regenerate the report, click OK.

Click to show or hide information. Update a report stored in a report shape

Right-click the shape, and then click Run Report.

Click to show or hide information. Change the report definition associated with a report shape

  1. Right-click the shape, and then click Update Report.
  2. In the Report Definition list, click a report definition.
  3. To update the report using the new report definition, click Run.
  4. To save the association between the shape and the new report definition, click OK.


About exporting data to databases

You can export data from shape custom properties to an external database by using the Database Export Wizard or the Export to Database command.

For example, you can create an inventory report for shapes in an office layout or a network diagram. When exporting to a database, you can select the custom properties from which you want data exported.

You can generate a new database, overwrite data in an existing database table, or insert a new table into an existing database. You can export to any ODBC-compliant database program.

Click to show or hide information. How shapes, records, tables, and fields relate in a database

Each shape in a drawing is represented by a record (or row) in a database table, and each custom property or other type of ShapeSheet cell is represented by a field (or column). Data you enter in custom properties or in ShapeSheet cells appear as values in the database table cells.

Shape custom properties and cells represented in a database table


About linking shapes to databases

By establishing connections between shapes and database records, you can create Microsoft Visio drawings that function as visual representations of data. You can also generate new shapes from database records. After you've established a shape-record connection, you can keep the data in your Visio drawing synchronized with the database. If you have write access to your database, you can also update the database from your Visio drawing.

Click to show or hide information. What can you do?

  • Link shapes to a database record.

For example, if you have an employee database that contains employee names, phone extensions, and titles, you could link a record in the database to a business card shape.

Or if you have a company database, in a floor plan, you could represent each department with a shape, and then link each shape to the department's record in your database.

  • Create a linked drawing that represents a database table.

For example, if you have a table in a database that tracks occupancy in your hotel, you could create a diagram that shows a physical representation of all of the hotel rooms and their occupancy.

  • Generate new masters (shapes) from an existing database.

For example, if you have a database cataloging all of the bolts your company makes and their dimensions (width and height), you could have Visio automatically create masters on a stencil that represent every bolt in that database.

  • Add update commands to a page.

If you have a number of linked shapes, and you want to be able to refresh them all at once, you could add commands to the page's shortcut (right-click) menu to update the page or update the database. You could also add update commands to a linked shape's shortcut menu.

Click to show or hide information. What is ODBC (Open Database Connectivity)?

ODBC (Open Database Connectivity) is a standard interface with which programs can access, view, and modify data from databases.

To link Microsoft Visio shapes and drawings to a database, the database must be an ODBC-compliant data source.

Before you link Visio shapes and drawings to database records, you must have the appropriate ODBC components and database drivers installed on your computer. To find out if your database program is ODBC-compliant, check the program's documentation.

Click to show or hide information. How is data stored in shapes?

When you link a shape to a database, you actually link cells in the shape's ShapeSheet spreadsheet to fields in a database table. You choose which ShapeSheet cells are linked to fields in the database. Generally, you are linking shape custom properties to database fields. However, you can also link other ShapeSheet cells to database fields.

If no appropriate ShapeSheet cells exist, the Database Wizard or the Link to Database command creates new cells in the Custom Properties section of the ShapeSheet spreadsheet. The values in these cells appear in the Custom Properties window.

For example, if you have a database for colored blocks that includes fields for Block Name, Color, Height, and Width:

  • In the Shape Transform section, the ShapeSheet spreadsheet includes cells for Height and Width.
  • In the Fill Format section, the ShapeSheet spreadsheet includes a cell called FillForegnd.

In the process of linking a master to the colored blocks database (using the Database Wizard), you can choose to connect the Height, Width, and FillForegnd cells in the ShapeSheet spreadsheet to the Height, Width, and Color fields in the database. Because the ShapeSheet spreadsheet contains no cells that correspond to Block Name, you can have the wizard create such a cell in the Custom Properties section of the ShapeSheet spreadsheet.

Values in ShapeSheet cells match values in the database records to which the cells are connected. If you change the shape, you can pass the new values to the database. If you change the database, you can pass the new values to the shape's ShapeSheet spreadsheet.

Click to show or hide information. User-Defined Cells section in the ShapeSheet

When Microsoft Visio links a shape to a database, it also creates a User-Defined Cells section in the ShapeSheet spreadsheet, if that section doesn't already exist for the shape. In this section, Visio stores information about:

  • The primary key for the database table.
  • Which database fields are associated with which ShapeSheet cells.
  • The last valid data retrieved from the database.

The new cells use the following format:

<Datasource> |<Qualifier> | <Table> | <Keycount> | <KeyField1 = KeyCell1> |..| <KeyFieldN = KeyCellN> | <LinkedFieldCount> | <FieldName1> = <CellName1> = <EvaluateAs1> |..| <FieldNameN> = <CellNameN> = <EvaluateAsN>

  • <Datasource> Specifies the name of the data source to which the shape is connected.
  • <Qualifier> Specifies additional information about the connection.
  • <Table> Specifies the table to which the shape is connected.
  • <Keycount> Specifies the number of primary keys in the table.
  • <KeyField1>|<KeyFieldn> Specifies the primary key fields in the table.
  • <KeyCell1>|<KeyCelln> Specifies the names of the cells in which the key field values are stored.
  • <LinkedFieldCount> Specifies the number of non-key fields that are linked to the shape.
  • <FieldName1>=<CellName1>=<EvaluateAs1> Specifies a field in the database table and a Visio ShapeSheet cell and how to treat the information being transferred between the two. Values for "Evaluate" are:
  • 0 = string value
  • 1 = formula
  • Values 32 and greater correspond to units of measure as defined in VisUnitCodes. For additional information about units of measure, search the ShapeSheet Reference in the Microsoft Visio Developer Reference (on the Help menu, click Developer Reference).

This information will be repeated for each database field to which the shape is linked.


About monitoring drawings that represent database tables

When you create a drawing with one-to-one links between shapes and database records, you can start the Drawing Monitor to manage the connections between the shapes and database records.

  • If you delete a shape, the Drawing Monitor informs the database table, which deletes the corresponding record.
  • If you add a shape, the Drawing Monitor informs the database table and a record is added.
  • If you change a shape, the Drawing Monitor passes on the changes, and values in the database table are updated.

Click to show or hide information. Drawing Monitor for refreshing shapes

With a global setting that affects all ODBC database-drawing connections, you can set the Drawing Monitor to refresh shapes (that is, pass any changes made in the database to the shapes' ShapeSheet cells) at regular intervals (the interval you set depends on how frequently you want to update the drawing).

In the Database Wizard, you can set an option for opening the Drawing Monitor automatically each time you open a drawing connected to a database. You can also add a command to launch the Drawing Monitor to the page's shortcut menu.


About updating shapes linked to database records

When you link a shape to a database, you can add commands to the shortcut menu for a shape or the drawing page to update shapes and database records. You can also specify what happens when a shape is dropped on a page or copied.

You can add commands to:

  • Select the database record to which a shape is linked.
  • Refresh a linked shape with the values in the database.
  • Update the database record with the values stored in the shape.
  • Delete the shape and the database record to which a shape is linked.


Automatically monitor a linked database drawing

You can start the Drawing Monitor to synchronize a drawing that represents a database table with the database.

  1. On the Tools menu, point to Macros, then point to Visio Extras, and then click Database Wizard.
  2. On the first wizard page, click Next.
  3. Click Create a linked drawing or modify an existing one, and then click Next.
  4. Click Open an existing database drawing, and then click Next.
  5. Follow the remaining wizard pages until you start the Drawing Monitor.

Changes you make to shapes are automatically reflected in the database table.

  6. If you want, change settings that control how the Drawing Monitor contacts the database.

Click to show or hide information. How?

  1. On the Tools menu, point to Macros, point to Visio Extras, and then click Database Settings.
  2. Choose the number of retries, retry interval, or time-out interval you want.
  3. To set a global refresh interval, select Automatically Refresh Drawing Page, and then type the number of seconds in the interval.
  4. Click Save.


Link a shape to a database record

Click to show or hide information. Using the Database Wizard

  1. On the Tools menu, point to Macros, then point to Visio Extras, and then click Database Wizard.
  2. On the first wizard page, click Next.
  3. Click Link shapes to database records, and then click Next.
  4. Follow the remaining wizard pages until you've completed the link.

Click to show or hide information. Using the Link To Database command

  1. Select the shapes you want to connect to a database.

You can link shapes on the drawing page or masters on a stencil.

  2. On the Tools menu, point to Macros, point to Visio Extras, and then click Link to Database.
  3. Select the database table or view you want to use.

Click to show or hide information. How?

  1. From the Name list, click the data source that represents the database you're using.
  2. If your database supports qualifiers and owners, choose a qualifier and owner.
  3. From the Table/View list, click the database table or view that contains the data you want to link to.
  4. If you want, change the mapping between database fields and ShapeSheet cells.

Click to show or hide information. Add a link between a field and a cell

  1. Click Add.
  2. Specify the database field and ShapeSheet cell that you want linked.
  3. In the Evaluate As box, select the Visio data type for the value stored in the database field.

Click to show or hide information. Modify the link between a field and a cell

  1. Select a field and click Modify.
  2. Change the link between the database field and ShapeSheet cell.

Click to show or hide information. Delete the link between a field and a cell

Select a field name and click Delete.


Define a database as an ODBC data source

  1. From the Start menu, point to Settings, and then click Control Panel.
  2. Start the ODBC Data Source Administrator:

Click to show or hide information. On Windows 2000

In the Control Panel, double-click Administrative Tools, and then double-click Data Sources (ODBC).

Click to show or hide information. On Windows 98, Windows NT, or Windows ME

In the Control Panel, double-click the ODBC icon. The icon may be called Data Sources (ODBC) or ODBC Data Sources.

  3. In the ODBC Data Source Administrator dialog box, select the type of data source you want to create.

Click to show or hide information. How?

  • If you will be the only one using the database, click the User DSN tab, and then click Add.
  • If you want the database to be available to everyone who uses the current computer, click the System DSN tab, and then click Add.
  • If you want the database to be available to other people on other computers , click the File DSN tab, and then click Add.
  4. In the Create New Data Source dialog box, select the driver for the program in which you created your database, and then click Finish (for system or user data sources) or Next (for file data sources).
  5. If you are creating a file data source, type a name for the file, click Next, and then click Finish.
  6. In the ODBC Setup dialog box, do one of the following:
  • To create a new, blank database, click Create. In the New Database dialog box, type a name for the new database, choose a location, and then click OK.
  • To use an existing database, click Select. Locate the database you want, and then click OK.
  7. In the ODBC Setup dialog box for the driver, type a source name and a description, and then click OK.

The source name can be any name that you'll remember, such as My Visio Shapes.

  8. In the ODBC Data Source Administrator dialog box, select the data source you just created, and then click OK.


Create a database from shape custom properties

Click to show or hide information. Using the Database Export Wizard

  1. On the Tools menu, point to Macros, then point to Visio Extras, and then click Database Export Wizard.
  2. Follow the instructions on the wizard pages.

Click to show or hide information. Tips

  • Custom properties appear in the list preceded by Prop, such as Prop.Cost.
  • When you run the Database Export Wizard to export shape data, the wizard stores export-related information with the drawing page. If you make changes to the shapes and want to re-export the data, right-click the drawing page, and then choose Database Table Export.

Click to show or hide information. Using the Export to Database command

  1. Select the shapes containing data you want to export to a database.
  2. On the Tools menu, click Export to Database.
  3. Select the database table you want to use.

Click to show or hide information. How?

  1. In the Name list, click the data source that represents the database you want to use.
  2. If your database gives you access to multiple databases, in the Qualifier list, click the database you want to use.
  3. If your database supports owners, in the Owner list, click an owner name to filter the list of the table owners. The database table is created using the name you logged on to the database with.
  4. In the Table list, click the database table you want to use. To create a new table, type a name for it.
  4. If you want, change how data will be exported from ShapeSheet cells.

Click to show or hide information. Add a ShapeSheet cell to the export list

  1. Click Add.
  2. Select the ShapeSheet cell you want to export.
  3. In the Evaluate As box, select the data type for the value stored in the database field.
  4. Select the database field into which shape data will be copied.
  5. Specify the database data type, field length, and decimal precision of the database field.

Click to show or hide information. Modify how data in a ShapeSheet cell is exported

  1. Select a cell name and click Modify.
  2. Change how data will be exported.

Click to show or hide information. Delete a ShapeSheet cell from the export list

Select a cell name and click Delete.


Create a drawing that represents a database table

  1. Create a master that is linked to a database table.

Click to show or hide information. How?

  1. On the Tools menu, point to Macros, point to Visio Extras, and then click Database Wizard.
  2. On the first wizard page, click Next.
  3. Click Link shapes to database records, and then click Next.
  4. Follow the remaining wizard pages until you've linked a master to a database table. Make sure that each database field is linked to a ShapeSheet cell.
  2. Create a drawing that represents a database table.

Click to show or hide information. How?

  1. On the Tools menu, point to Macros, point to Visio Extras, and then click Database Wizard.
  2. On the first wizard page, click Next.
  3. Click Create a linked drawing or modify an existing one, and then click Next.
  4. Click Create a drawing which represents a database table, and then click Next.
  5. Follow the remaining wizard pages until you've created a drawing that represents a database table.


Generate new masters from a database table

  1. On the Tools menu, point to Macros, point to Visio Extras, and then click Database Wizard.
  2. On the first wizard page, click Next.
  3. Click Generate new masters from a database, and then click Next.
  4. Follow the wizard pages to create the masters.


About custom shape behavior

Microsoft Visio shapes have smart behavior built in. In addition, you can customize shape behavior in a number of ways.

Click to show or hide information. Smart behavior built into Visio shapes

If you have used Visio shapes, you already know that they're smart—that is, they're programmed to act the way you expect them to in particular contexts. For example, the desks on the Office Furniture stencil are built to standard industry sizes and locked against resizing so that you can't accidentally stretch them inappropriately.

Click to show or hide information. Add smart behavior to a shape

You can program a shape to behave the way you want it to behave. For example, you can define the actions that affect the way a shape appears on the screen, how a shape responds when you double-click it, and how its text behaves.

Click to show or hide information. Customize shape behavior

You can:

  • Modify behavior options.
  • Modify formulas in a shape's ShapeSheet spreadsheet.
  • Add a command to a shape's or drawing page's shortcut (right-click) menu.
  • Associate an event with a shape.
  • Write a program that uses Automation to control your Visio product or its shapes.

Click to show or hide information. The ShapeSheet spreadsheet

ShapeSheet spreadsheets are representations of shapes. As you make changes to a shape on the drawing page, your Visio product updates mathematical formulas in the ShapeSheet spreadsheet.

The ShapeSheet spreadsheet stores the shape's attributes, such as:

  • The shape's width and height.
  • The shape's angle and center of rotation.
  • The formatting attributes that determine the shape's appearance.
  • The x- and y-coordinates of each vertex relative to the shape's origin.

Click to show or hide information. When to associate an event with a shape

By associating an event with a shape, you can define how the shape responds to a particular action. An event is an occurrence, such as when you double-click or when you drag a shape onto a page, that the shape detects and to which it responds. You can quickly associate a number of actions with a double-click event so that when you double-click a shape, it performs that action.

For example, you can define a double-click event that causes a shape to:

  • Start an add-on.
  • Display its ShapeSheet spreadsheet.
  • Jump to another page in the drawing file.

Click to show or hide information. When to convert a shape to a master

To use a shape that you have customized in many drawings, you can convert the shape to a master and save it on a stencil.


About shape comments

You can add comments to one or more shapes or to a page.

  • If the comment is for a shape, it appears as a ScreenTip that you can see by pausing the mouse pointer over the shape.
  • If the shape contains a hyperlink, when you pause the pointer over the shape, the hyperlink appears instead of the shape comment. For that reason, you cannot see comments that you add to a shape that contains a hyperlink.
  • If the comment is for a page, you can see the comment by clicking Edit Comment on the Insert menu.


Add, edit, or delete a comment

  1. Do one of the following:
  • To add a comment to one or more shapes, select the shapes for which you want to add a comment.
  • To add a comment to a page, display the page you want, and then make sure that nothing is selected by clicking an area of the page where there are no shapes.
  2. On the Insert menu, click Comment.
  3. Type a comment of any length, and then click OK.
  4. To edit a comment, select the shape or shapes or click the page, and then on the Insert menu, click Edit Comment.
  5. To delete a comment, select the shape or shapes or click the page and then on the Edit menu, point to Delete, and then click Comment.

Note You cannot format the text of a comment.


Change 1-D or 2-D shape behavior

  1. Right-click the shape whose behavior you want to change, point to Format, and then click Behavior.
  2. Under Interaction style, click Line (1-dimensional) or Box (2-dimensional), and then click OK.

Note Changing a shape's behavior from 1-D to 2-D or vice versa changes the underlying structure of the shape and can produce unexpected results. For example, if a 1-D shape is glued to another shape, changing the 1-D shape to a 2-D shape breaks the glue. If you are not sure of the results of changing a shape's behavior, make a copy of the shape first, and then change the behavior of the copy.


Show or hide shape-selection indicators

  1. Right-click a shape, point to Format, and then click Behavior.
  2. Under Selection highlighting, clear the items that you do not want to appear for the selected shape, and then click OK.

Note If you clear all the Selection highlighting options, you will not be able to determine when the shape is selected.


Specify a shape's double-click behavior

By default, double-clicking a shape opens the shape's text block so that you can edit its text. However, you can change this double-click behavior to display a different page in the same drawing, for example, or to open a shape's ShapeSheet spreadsheet.

  1. Right-click the shape whose double-click behavior you want to change, point to Format, and then click Behavior.
  2. Click the Double-Click tab, click a double-click action for the shape, and then click OK.


About formats for pasted data

Most OLE -compatible programs place data on the Windows Clipboard in more than one format to make the data usable to more programs. When you paste another program's data into a Microsoft Visio drawing, by default it is embedded into the Visio drawing in its original format. That way, you can open the embedded data in its native program from within the Visio drawing.

You may want to use a different format. For example, if you typed text in a Microsoft Word document, and want it to appear within a Visio shape's text block, you can copy the text in Microsoft Word, and then paste it into the text block as ANSI text rather than embed it as a Microsoft Word document. The text is formatted according to the styles set for the shape's text block.


About linked and embedded objects

You can use a linked object or an embedded object to add all or part of a file created in a Microsoft Office program, or in any program that supports linked and embedded objects, to another file. You can create a new embedded object, or you can create a linked or embedded object from an existing file.

If the file you want to use was created in a program that does not support linked and embedded objects, you can still copy and paste information from the file to share the information between programs.

The main differences between linked objects and embedded objects are where the data is stored and how it is updated after you place it in the destination file.

Click to show or hide information. Linked objects

With a linked object, information is updated only if you modify the source file. Linked data is stored in the source file. The destination file stores only the location of the source file and displays a representation of the linked data.

Use linked objects when you want to update data that is included in more than one file. For example, if you created your company logo in Microsoft PhotoDraw, and you want to include the logo in every Microsoft Visio flowchart, organization chart, and network diagram you create, you can link the logo to each Visio drawing. When you change your original logo in the drawing program, the Visio drawings update automatically.

Click to show or hide information. Embedded objects

With an embedded object, information in a destination file does not change if you modify the source file. Embedded objects become part of the destination file and, once inserted, are no longer part of the source file. Double-click the embedded object to open it in the source program.

Use embedded objects to keep all the data you work with in one file, or to transfer the file to other computers. For example, if you want to distribute data about a department's computer equipment along with a Visio network diagram, you can quickly embed a Microsoft Excel spreadsheet into the network diagram.


About updating linked objects

By default, linked objects are set for automatic updating. This means that the Microsoft Visio product updates the linked information every time you open the destination file or any time the source file changes when the destination file is open. You can change the linked object's setting to manual updating. That way, the linked object is updated only when you choose to manually update it.

To prevent updates, you can permanently break the connection between a linked object and its source file.


Create a linked or embedded object

Click to show or hide information. Create an object from part of a file

  1. Select the information from which you want to create a linked object or an embedded object.
  2. On the Edit menu, click Copy.
  3. Switch to the Visio drawing, and then on the Edit menu, click Paste Special.
  4. Do one of the following:
  • To create a linked object, click Paste link.
  • To create an embedded object, click Paste. In the As box, click the entry with the name of the other program. For example, if you copied the information from a Word document, click Microsoft Word Document.

Click to show or hide information. Create an object from an entire file

  1. Display the drawing where you want to place the linked object or the embedded object.
  2. On the Insert menu, click Object.
  3. Click Create from file.
  4. In the File name box, type the name of the file, or click Browse to locate the file.
  5. Do one of the following:
  • To create a linked object, select the Link to file check box.
  • To create an embedded object, clear the Link to file check box.
  6. To display the object as an icon, select the Display as icon check box.


Create a new embedded object

  1. Display the drawing where you want to place the embedded object.
  2. On the Insert menu, click Object.
  3. Click Create New.
  4. In the Object type box, click the type of object you want to create.

The program for creating that object opens. If the program is compatible with OLE, it opens in place in the Microsoft Visio drawing; otherwise, the program opens in its own window.

  5. Create the object in the other program.
  6. Do one of the following:
  • If the program is running in place, click anywhere outside the embedded object to close the program.
  • If it's running in its own window, on the other program's File menu, click Exit.


Edit an embedded or linked object

In the Microsoft Visio drawing, double-click the object.

If the object is embedded and the program in which you created the object supports in-place editing, the object opens in place.

If the object is linked, or its program does not support in-place editing, the other program opens in its own window and displays the object.

Click to show or hide information. Tip

To open an object in its full program window, even if it supports in-place editing, select the object, and then on the Edit menu, point to <Object Name>, and then click Open.


Manually update a linked object

  1. On the Edit menu, click Links.

If your file does not contain a linked object, the Links command is unavailable.

  2. Click the linked object, and then click Update Now.


Change a linked object's setting to automatic or manual updating

  1. On the Edit menu, click Links.

If your file does not contain a linked object, the Links command is unavailable.

  2. Click the linked object you want to update.
  3. Do one of the following:
  • To update a linked object every time you open the file that contains the object or any time the linked object changes while the file is open, click Automatic.
  • To update a linked object only when you click Update Now, click Manual.


Break a connection to a linked object

  1. On the Edit menu, click Links.
  2. Click the linked object whose connection you want to break.
  3. Click Break Link.

The object is converted to a metafile in the drawing, and you can no longer edit it in its original program.


Crop an imported object

You can crop an inserted picture, a linked or embedded object, or an inserted CAD drawing.

  1. Select the imported object.
  2. Click the Crop tool.
  3. Drag a selection handle [image] to crop the object.
  4. To see a different portion of the object, place your pointer over the object until it becomes a hand symbol, and then drag until you see the part of the object you want.

When you change the size of an object's border with the Crop tool, the object itself is not sized, but the amount of the object that is visible is reduced or enlarged.


Insert a picture

Click to show or hide information. Insert a picture from a graphic image file

  1. On the Insert menu, point to Picture, and then click From File.
  2. Locate the folder that contains the picture you want to insert, and then click the picture file.
  3. Click Open.

Click to show or hide information. Tips

  • You can also open graphic image files from the File menu. On the File menu, click Open. In the Files of type list, click the graphic image file format you want, and then locate the file. Click Open.
  • Most files that you import into Visio drawings as graphic images appear as metafiles. However, bitmap files, such as .dib, .bmp, .pcx, and so on, remain bitmaps in the Visio drawing.

Click to show or hide information. Insert a picture directly from a scanner or digital camera

For this procedure, make sure that your scanner or camera is TWAIN - or WIA -compatible and is connected to your computer. Also make sure that you have installed the device software that supports TWAIN or WIA.

  1. Set up the picture in the scanner or digital camera.
  2. On the Insert menu, point to Picture, and then click From Scanner or Camera.
  3. If you have more than one scanner or camera attached to your computer, under Device select the one you want to use.
  4. Do one of the following:
  • If you're using a scanner and you want to use default settings to scan your picture, click Web Quality (for on-screen drawings) or Print Quality (for printed drawings), and then click Insert.
  • If you're using a digital camera or if you want to change scanner settings, click Custom Insert. Follow the instructions for the camera or scanner you're using.

Note The Insert button might be unavailable with some scanners, because the scanner software doesn't support automatic scanning. Use the Custom Insert button instead.


Insert a clip

If you have installed Microsoft Clip Gallery or Microsoft Clip Organizer, you can find and insert media clips into your Visio drawing.

Click to show or hide information. Using Clip Gallery

  1. On the Insert menu, point to Picture, and then click Clip Art.
  2. Click the category you want.
  3. Click the clip you want, and then click Insert clip on the menu that appears.
  4. When you are finished using the Clip Gallery, click the Close button [image] on the Clip Gallery title bar.

Click to show or hide information. Using Clip Organizer

  1. On the Insert menu, point to Picture, and then click Clip Art.
  2. In the Insert Clip Art task pane, in the Search text box, type a word or phrase that describes the clip you want, or type in all or some of the file name of the clip.
  3. To narrow your search, do one or both of the following:
  • To limit search results to a specific collection of clips, in the Search in box, click the arrow and select the collection you want to search.
  • To limit search results to a specific type of media file, in the Results should be box, click the arrow and select the check box next to the types of clips you want.
  4. Click Search.
  5. In the Results list, click the clip to insert it.
  6. To start a new search, click Modify.


Convert a metafile to Visio groups or shapes

You can convert a metafile into Visio objects so that you can modify them in your Visio drawing.

  1. Select the metafile you want to convert.
  2. To convert the metafile to a group, on the Shape menu, point to Grouping, and then click Convert to Group.
  3. To edit individual components of the object after you convert them (such as adding a formula to one of the components), on the Shape menu, point to Grouping, and then click Ungroup.

Notes

  • If a linked or embedded object is represented by a metafile, you can also convert the object; however, doing so breaks the object's link to its original file, so you can no longer edit it in its original program.
  • A metafile may contain a bitmap as a component or may consist solely of a bitmap. Bitmaps cannot be converted to Visio shapes because, in a bitmap, Visio cannot determine what part of the object is a line, what is text, and so on.


Paste data into a drawing in a particular format

  1. In the other program, on the Edit menu, click Copy.
  2. Display the Visio drawing into which you want to paste the data.
  3. On the Edit menu, click Paste Special.
  4. From the list, click the format you want.


Troubleshoot scanners and digital cameras

The following situations are common for both scanners and digital cameras.

Click to show or hide information. When I select a scanner or camera, the Insert button is dimmed.

The Insert button might be unavailable because the scanner software does not support automatic scanning. Use the Custom Insert button instead.

Click to show or hide information. When I click the Custom Insert button, nothing happens.

The scanner or camera software window might not be on top. If there is a button for the scanner or camera software on the Windows taskbar, click it to display the window.

Click to show or hide information. I get an error message when I try to scan or download a picture.

All of the scanner or camera software might not be installed When you plug in and install your scanner or camera, be sure to follow the manufacturer's instructions and install all of the software.

Your scanner or camera might not support TWAIN or WIA Make sure that your scanner or camera is TWAIN - or WIA -compatible and that it came with software supporting TWAIN or WIA, which you installed. If you are not sure whether your device supports TWAIN, refer to the device documentation or contact the device manufacturer.

You might need to use Custom Insert If you installed new software and still can't scan, try using Custom Insert in the Insert Picture from Scanner or Camera dialog box.

Click to show or hide information. I don't like the way my picture looks

Do one or more of the following:

  • Use Custom Insert in the Insert Picture from Scanner or Camera dialog box to change picture properties and preview the picture before you insert it.
  • Check the scanner or camera documentation for instructions about changing the picture options.
  • To change the contrast, brightness, or sharpness, on the Format menu, click Picture. To resize the picture, click it and drag a selection handle. .

Situations specific to scanners

Click to show or hide information. The scan took a long time.

Select a lower resolution Selecting a high resolution results in a longer scan time.

Scan the picture only once If you are using a multiple-pass scanner to scan a color picture, and you select Custom Insert in the Insert Picture from Scanner or Camera dialog box, it will take longer to scan, because the scanner makes multiple passes over the picture. To scan the picture only once, use Insert instead.

Click to show or hide information. My computer stopped working when I tried to scan a picture.

Do one or both of the following:

  • If you selected Insert in the Insert Picture from Scanner or Camera dialog box to scan your picture, try selecting Custom Insert instead.
  • If you're still having problems, call your scanner manufacturer (or go to the manufacturer's Web site), and check for updated information about the scanner.

Click to show or hide information. The scanner scanned too much or too little of my picture.

Do one or both of the following:

  • Use Custom Insert in the Insert Picture from Scanner or Camera dialog box to change picture properties and preview the picture before you scan.
  • Check the scanner documentation for instructions about changing picture options.

Situations specific to digital cameras

Click to show or hide information. I get a message indicating that no digital cameras were found.

You must install your camera's hardware and software before you try to insert a picture from a camera.

Click to show or hide information. When I try to download a picture, nothing happens.

The camera or its software may not be fully compatible with your program. Try one or both of the following:

  • If you selected Insert in the Insert Picture from Scanner or Camera dialog box to scan your picture, try selecting Custom Insert instead.
  • If you're still having problems, call your camera manufacturer (or go to the manufacturer's Web site), and check for updated information about the camera.


Troubleshoot working with pictures

Click to show or hide information. I can't convert an inserted picture to Visio shapes.

Many inserted pictures, such as bitmaps, GIFs, and JPEGs, can't be converted into Visio shapes. Only metafiles can be converted.

Click to show or hide information. I can't ungroup an inserted picture.

Some pictures have too many components to be converted. Try simplifying the original drawing.


About exported shapes and drawings

When you export Microsoft Visio data, it is directed through a filter that converts the data to an independent, non-Visio file. You then open that file or import it as a picture in the other program. Use exporting to include Visio data in a document that is not compatible with OLE 2, or to include a Visio drawing in an HTML document to publish to the Web.

After you export a Visio drawing to another format and insert it in another document, it is a static picture. You can edit it only in the document; you cannot open the Visio program from within the other program.

For example:

  • By exporting a Visio drawing in .ai format, you can open it in Adobe Illustrator and use that program's tools to edit it.
  • By exporting a Visio shape as a Windows bitmap, you can open the bitmap in any program that supports the .bmp format.

Visio drawings exported in other file formats

Exporting translates a file into a format that other programs can import.

Because your Visio file can go through up to two translations before it appears in the other program—one when you export it from Visio, and the other if you import into the other program—the graphic image may not look exactly the way it does in the Visio drawing.

Click to show or hide information. Tip

If the other program in which you want to include Visio data supports OLE, it's best to link or embed the Visio data instead of exporting it. OLE produces more consistent results and allows you to edit the data after you include it in the other program.


About embedded shapes in drawings

When you embed Microsoft Visio data in another program, it becomes part of the other program's file. When you edit it, you edit only the version that is embedded in the other program.

Embedding is useful when you don't want to keep a separate Visio file for the data you include in the other document. Or, if you want to transfer the file to other computers, you can transfer all the data in one file. Embedded objects, however, increase the file size.

Visio data embedded in another program

When you embed Visio data in another program, it becomes part of the other program's document.


About linked shapes in drawings

When you link a Microsoft Visio shape or drawing to another document, the other document contains a reference to the Visio drawing file, not the drawing itself. You link data from a saved Visio file so that the other program can find the data and display it.

Linking works well when you want to include the same Visio data in more than one document. When you update the data, you need only update it in one location. The versions that are linked to other documents incorporate the changes automatically.

Linking a Visio file to another document does not increase the file size the way that embedding a Visio object does, but links require more maintenance. If you want to transport the data, you must make sure to transfer all linked files to the other computer.

Linked Visio drawing

When you make changes to a drawing that is linked to another document, the changes appear in both documents simultaneously.


About Microsoft Visio shapes, drawings, and drag-and-drop functionality

If another program in which you want to include Microsoft Visio data is compatible with OLE, you can drag shapes from a Visio drawing or stencil into the other document. Dragging shapes does not use the Clipboard, so data on the Clipboard is not affected.

You can drag shapes from the drawing page or drag masters from stencils. When you drag a master, an instance of the master appears in the document, and the master is not removed from the stencil. If you drag multiple shapes from a drawing page into another document, they are treated as one object in the other document.

Click to show or hide information. Tip

Position both program's windows so that you can see both the shapes and the document into which you want to drag them.


About EPS files

Encapsulated PostScript (EPS) files have two parts:

  • The PostScript code used to print the image.
  • An optional screen image used to display the image on the screen.

When exporting EPS files, most graphics programs either automatically include a screen image or give you the option to include one. If you are given the option and you plan to use the EPS file in a Microsoft Visio drawing, include the screen image (which is sometimes referred to as the TIFF preview). Otherwise, the EPS image may not be correctly displayed in or printed from Microsoft Visio.


About exporting gradient fill patterns

Gradient fill patterns use graphics algorithms native to the Microsoft Visio drawing engine that may not be similarly defined in many standard and proprietary Windows graphic formats. As a result, gradient fill patterns in a Visio drawing may not be adequately reproduced when saved in a non-Visio graphics format.


About Microsoft Visio data in other programs' documents

You can use any of the following methods to include Visio data in a document created in another program:

  • Embedding
  • Linking
  • Exporting

The method you choose depends on the capabilities of the other program and how you want to work with the Visio data after you place it in the other document.

Note Every method except exporting uses OLE to integrate data from different programs. When you use OLE, you can open the Visio program from within the other program to modify Visio shapes and drawings.


About space around embedded or linked Microsoft Visio objects

You may want to change the space that appears around a Microsoft Visio object in these situations:

  • Sometimes when you embed or link an entire drawing, extra white space appears around the Visio object in the program that contains it. This space corresponds to the areas of the original Visio drawing page that do not have shapes, but that are included when you copy a drawing.
  • Sometimes when you embed or link selected shapes, there may not be enough white space around the Visio object in the program that contains it.

You can easily adjust the amount of white space that appears around a Visio object, either by changing settings in the Page Setup dialog box or by more carefully defining the object before you embed or link it.


Create a drawing in another document

  1. In the other document, on the Insert menu, click Object (or the appropriate command for that program).
  2. In the dialog box that appears, click the options for creating a new file. Then, under Object Type, click Microsoft Visio Drawing, and then click OK.
  3. In the Choose Drawing Type dialog box, open the folder that contains the drawing type you want, select a drawing type, and then click Open.
  4. Create a Visio drawing.
  5. When you have finished, if Visio is running in its own window, on the File menu, click Exit. If it is running within the other document, click somewhere in the document outside the Visio drawing to close the Visio program.
  6. To edit the Visio drawing later from within the document, double-click the drawing.

Click to show or hide information. Tip

You can also embed an existing Visio drawing from within another document. Follow step 1 above, and then in the dialog box, click to create an object from an existing file.


Define space around shapes you want to link or embed

  1. Click the Rectangle tool [image].
  2. Draw a rectangle that encloses the area you want to link or embed. Size and position the area to reflect the amount of space you want on each side of the drawing when it's linked or embedded.
  3. To move the rectangle behind the shapes it encloses, on the Shape menu, click Send to Back.
  4. To make the border transparent, on the Format menu, click Line, and then in the Pattern list, click 0:None.
  5. On the Edit menu, click Select All, and then on the Edit menu, click Copy.
  6. Embed or link the drawing into the other program's document.


Drag shapes and link them to another document

  1. Select the shapes you want.
  2. After you select the last shape, hold down the left mouse button, and then press CTRL+SHIFT and drag the shapes into another document.

Note If you press CTRL+SHIFT before you press the left mouse button to drag the shapes, the pointer becomes a magnifying glass for zooming in on the drawing, and you will not be able to drag the shapes.


Edit an embedded object in place

  1. In the program that contains the embedded Microsoft Visio object, double-click the object.
  2. Edit the Visio drawing.

While you edit the Visio object, a set of Visio menus and toolbars temporarily replaces most of the menus and controls in the active window.

  3. To exit the in-place editing controls, click anywhere outside the drawing window.


Eliminate space around an embedded or linked drawing

  1. In the program that contains the embedded or linked drawing, open the drawing in the full Microsoft Visio window.

In Microsoft Office programs, on the Edit menu, point to Visio Object, and then click Open

  2. In the Visio program, on the File menu, click Page Setup.
  3. Click the Page Size tab, click Size to fit drawing contents, and then click OK.
  4. On the File menu, click Exit & Return To <file name>.


Embed an entire page

  1. In your Microsoft Visio drawing, make sure that nothing is selected.
  2. On the Edit menu, click Copy Drawing.

This command copies the entire drawing, including shapes on other drawing pages and on backgrounds.

  3. Open the document in which you want to embed the drawing, and then on the Edit menu, click Paste (or the equivalent command).

When you embed a multiple-page Visio drawing, only the page displayed at the time you click Copy Drawing appears.


Embed selected shapes

  1. Select the Microsoft Visio shapes that you want to embed.
  2. On the Edit menu, click Copy.
  3. Open the document in which you want to embed the shapes, and then on the Edit menu, click Paste (or the equivalent command).


Embed shapes into another document

  1. Select the shapes.
  2. Do one of the following:
  • To copy the shapes, press CTRL and drag the shapes into another document.
  • To move the shapes (so that they no longer appear on the drawing page), drag the shapes. (Do not press CTRL as you drag.)


Export shapes or drawings to another file format

  1. Do one of the following:
  • To export all the shapes on a page, display the page you want to export.
  • To export specific shapes, select the shapes you want to export. (Press SHIFT+CLICK to select more than one shape.)
  2. On the File menu, click Save As.
  3. In the Save as type list, click the format you want.
  4. In the File name box, type a name for the file.
  5. Click Save.

The page or shapes are exported in the format you specify. You can use the file in any program that can read files in that format.

  6. If necessary, in the Filter Setup or Output Options dialog box for a particular format, specify the export settings you want, and then click OK.


Formats in which you can export Microsoft Visio shapes and drawings

You can export Microsoft Visio shapes and drawings in these formats:

  • Adobe Illustrator File Format (.ai)
  • AutoCAD Drawing (.dwg)
  • AutoCAD Interchange (.dxf)
  • Compressed Enhanced Metafile (.emz)
  • Computer Graphics Metafile (.cgm)
  • Encapsulated PostScript (.eps)
  • Enhanced Metafile (.emf)
  • Graphics Interchange Format (.gif)
  • Initial Graphics Exchange Specification (.igs)
  • Joint Photographic Experts Group (.jpg, .jpeg)
  • Macintosh Picture File Format (.pct)
  • MicroStation Drawing (.dgn)
  • Portable Network Graphics (.png)
  • PostScript File (.ps)
  • Tag Image File Format (.tif, .tiff)
  • Web Page (.htm, .html)
  • Windows Bitmap (.bmp, .dib)
  • Windows Metafile (.wmf)
  • ZSoft PC PaintBrush Bitmap (.pcx)

When you export a shape or drawing, an Output Options or Filter Setup dialog box may appear, in which you can specify settings for the exported file. Because each file type has its own settings, the dialog box you see depends on the format in which you export the drawing. Following are some of the most common settings:

Click to show or hide information. Profiles

Lists the preset setting profiles for the file format you are exporting.

  • To create a new profile that has the settings you select, click New, and then enter a profile name.
  • To remove a profile from the list, select the profile, and then click Delete.
  • To return to the default settings, click Defaults.

Click to show or hide information. Color Translation

Controls how colors are translated

  • Normal Translates colors exactly as specified in the original file.
  • Inverse Inverts all colors to their opposite values. For example, white becomes black and blue becomes yellow.
  • Inverse Grays Only Inverts only white, black, and grays.
  • Gray Scale Converts all colors to shades of gray.
  • Inverse Gray Scale Converts all colors to shades of gray, and then inverts them.

Click to show or hide information. Line Cap Mode

Controls the appearance of line ends.

  • Device Bases line ends on those the file format supports directly.
  • Stroked Bases line ends on those the program offers or the file format can emulate.
  • Device Supports fewer line ends but results in faster screen redraw.

General

Click to show or hide information. Data compression

Reduces the amount of space or bandwidth needed to store file data.

  • None Use no data compression.
  • Group 3 Use Group 3 compression, designed specifically for bi-level, black-and-white images for data telecommunications devices, such as FAX machines.
  • Packbits Use Packbits compression, which seeks repeated data values. Packbits is considered to be an RLE (Run-Length Encoding) compression scheme, which is not a good compression scheme for images that contain large color ranges, because these images tend to have few runs of the same color.
  • Group 4 Use Group 4 compression, which is similar to Group 3 compression, but more efficient. It is especially good for images scanned from textual documents.
  • RLE Use RLE (Run-Length Encoding) compression, a fast and highly efficient method of storing data in which patterns in the bits representing information are translated into codes rather than being stored literally bit by bit and character by character. RLE compression works best with simple, black-and-white or flat-color graphics.
  • LZW Use LZW (Lempel-Ziv-Welch) compression, the most commonly used method for compressing almost any type of data. LZW compression works by finding patterns of data to which it assigns codes. It works best on highly patterned images. Images that have irregular patterning, or noise, are not good candidates for this type of compression. LZW compression is commonly used in the Graphics Interchange Format (GIF) image format and the Tag Image File Format (TIFF) image format. LZW compression is also suitable for compressing text files.
  • Modified Huffman Use Modified Huffman compression, a method of compressing a given set of data based on the relative frequency of the individual elements.

Click to show or hide information. Data Format

  • Non-interlace Refresh all video image lines with every sweep of the screen, each line in succession.
  • Interlace Refresh video image lines in alternate sweeps of the screen, first the odd-numbered lines, and then the even-numbered lines.

Click to show or hide information. Color Reduction

  • None Uses no color reduction.
  • Adaptive Creates a palette by sampling the colors from the spectrum appearing most commonly in the image.
  • Diffusion Converts an image by using an error-diffusion process, starting at the pixel in the upper left corner of the image. If the pixel's value is above middle gray (128), the pixel is changed to white; if below, to black. Because the original pixel is rarely pure white or pure black, error is inevitably introduced. This error is transferred to surrounding pixels and diffused throughout the image, resulting in a grainy, film-like texture. This option is useful for viewing images on a black-and-white screen.
  • Halftone Uses evenly spaced spots of varying diameter to produce apparent shades of gray. The darker the shade at a particular point in the image, the larger the corresponding spot in the halftone. Varying the size and density of the spots creates the illusion of variations of gray or continuous color. For a process color image, four halftone screens are used: cyan, magenta, yellow, and black—one for each ink used in the printing process.

Click to show or hide information. Operation

  • Baseline A simple or "baseline" JPEG file is stored as one top-to-bottom scan of the image.
  • Progressive JPEG divides the file into a series of scans. The first scan shows the image at the equivalent of a low-quality setting, and therefore it takes little space. Following scans gradually improve the quality. Each scan adds to the data already provided so that the total storage requirement is roughly the same as for a baseline JPEG image of the same quality as the final scan.

Click to show or hide information. Color Format

Controls the color depth of the exported file.

  • Bi-Level The exported image will use a maximum of two colors (black and white.)
  • RGB color The exported image will use RGB (red, blue, green) color. RGB color describes color by three values from 0 (none) to 255 (full). A value of 0,0,0 equals black and 255,255,255 is white. Similarly, 255,0,0 is red.
  • YCC color The exported image will use YCC color, which is composed of a black-and-white signal and two color signals. YCC color can easily be converted to RGB or CMYK color.
  • Grayscale The exported image will use shades of gray—a sequence of shades ranging from black through white.
  • CMYK color The exported image will use CMYK (cyan-magenta-yellow-black.) color.
  • 16 color The exported image will use a maximum of 16 colors.
  • 16 color grayscale The exported image will use a maximum of 16 shades of gray.
  • 256 color The exported image will use a maximum of 256 colors.
  • 256 color grayscale The exported image will use a maximum of 256 shades of gray.
  • 16-bit color The exported image will use a maximum of 65,656 colors.
  • 24-bit color The exported image will use a maximum of 16 million colors.

Click to show or hide information. Background Color

Select a background color from the drop-down palette. The default color is white.

Click to show or hide information. Transparency Color

Select the Transparency Color check box, and then select a transparent color from the drop-down palette. If the check box is selected, the default color is white.

Click to show or hide information. Quality

Sets the image quality from 0 to 100 percent, with quality increasing as the percentage increases.

Transformation

Controls the orientation of shapes and images in the exported file.

Click to show or hide information. Rotation

  • None Exports the shape or drawing without any rotation.
  • Rotate Left Rotates the shape or drawing 90 degrees counterclockwise.
  • Rotate Right Rotates the shape or drawing 90 degrees clockwise.

Click to show or hide information. Flip Horizontal

Reverses the shape or drawing horizontally (around the y-axis) to produce a mirror image.

Click to show or hide information. Flip Vertical

Reverses the shape or drawing vertically (around the x-axis) to produce an upside-down image.

Resolution

Click to show or hide information. Screen

Bases the exported file's resolution on the current screen resolution.

Click to show or hide information. Printer

Bases the resolution on the current printer resolution and gives optimum printout results.

Click to show or hide information. Source

Allows the source program to determine the resolution.

Click to show or hide information. Custom

Specifies a custom resolution. (Width x height dimensions should be somewhere between 32 and 400 pixels per inch.)

Size

Click to show or hide information. Screen

Bases the exported file's size on the screen size and places the largest possible image within the dimensions of the screen while maintaining the aspect ratio of the original drawing or shape.

Click to show or hide information. Printer

Bases the exported file's size on the currently selected printer paper size, and places the largest possible image within the dimensions of the paper size while maintaining the aspect ratio of the original drawing or shape.

Click to show or hide information. Source

Bases the size of the exported file on the size of the source.

Click to show or hide information. Custom

Bases the exported file's size on the custom size (width x height) you enter and places the largest possible image within the custom dimensions while maintaining the aspect ratio of the original drawing or shape.


How the mouse pointer changes appearance while you drag

To | Do this | Pointer appearance
Move selected shapes to another document | Drag | Mouse pointer indicates moving shape to another document
Copy selected shapes to another document | Hold down CTRL and drag | Mouse pointer indicates copying shape to another document
— | Cannot drag shapes into that document. | Mouse pointer indicates you cannot drag shape into document


Link a Microsoft Visio file to another document

  1. Open the Visio drawing you want to link. If it's a multiple-page drawing, display the page that you want to appear in the other document, and then save the drawing to a specific location.

Only the page you display appears in the other document.

  2. Make sure that nothing on the drawing is selected, and then on the Edit menu, click Copy Drawing.

This command copies the entire drawing, including shapes on other drawing pages and on backgrounds.

  3. With the Visio program still open, open the document in the program in which you want to include the Visio drawing.
  4. Click that program's command for linking objects. (In Microsoft Office programs, for example, on the Edit menu, click Paste Special.)
  5. Make sure that Microsoft Visio Drawing Object is selected, click Paste Link, and then click OK.

The drawing you copied appears in the document, linked to the original Visio file.


Move shapes easily from Microsoft Visio to another program

  1. Open the Visio drawing or stencil that contains the shapes you want to drag into another document, and then open the other program.
  2. Right-click the Windows taskbar, and then click Tile Windows Vertically.


About drawings sent by e-mail

You can send a Microsoft Visio drawing to another user by e-mail. Visio is compatible with e-mail programs that support the Messaging Application Programming Interface (MAPI) protocol.

Visio also lets you take advantage of Microsoft Office routing features, including sending drawings to Microsoft Exchange folders, adding routing slips to drawings you send by e-mail, and adding journal entries to Microsoft Outlook.


Include a drawing file in an e-mail message

  1. In the drawing file you want to send, on the File menu, point to Send To, and then click Mail Recipient.
  2. Address the message, type any accompanying data, and then send the e-mail message as you would any other message.


View a Microsoft Visio file sent by e-mail

Open the e-mail message, and then double-click the Visio icon.

Note To open drawings you receive in e-mail, you must have the Microsoft Visio program installed on your computer.


Send a drawing to routing recipients

  1. In the drawing you want to send, on the File menu, point to Send To, and then click Routing Recipient.
  2. Click Address to open your address list, select the individuals or groups to whom you want to route the drawing, and then click OK.
  3. To route the drawing to people in a particular order, select a name, and then click the Move up or down arrow to order the names on the list.
  4. Under Route to recipients, click whether to route the drawing to one person at a time or to all at once.
  • To send the drawing to one group member at a time, list each person's name rather than the group alias. The first person on the list views or updates the drawing and then routes the drawing to the next person, and so on.
  • If you route a drawing to a group alias, everyone in the group will receive the drawing at the same time.
  5. Either to receive an update as each person on the list passes the drawing to the next person or to have the drawing sent back to you after everyone has seen it, select the Track status or Return when done check box, respectively.
  6. In the Message text box, type the text that you want in the e-mail message, and then click Add Slip.
  7. On the File menu, point to Send To, and then click Next Routing Recipient to send the drawing to the first person on the routing list.

Note You can send the drawing (step 7) later. If you try to close the file before you send the drawing, a message appears to remind you that the drawing contains a routing slip. You can then route the drawing, send it without the routing slip (its status will not be tracked and it will not be returned to you automatically), or not send it at all.

Click to show or hide information. Tip

If you receive a routed drawing and want to route it to the next person, on the File menu, point to Send To, and then click Next Routing Recipient. If you want to route the drawing to someone who is not on the list, on the File menu, point to Send To, click Other Routing Recipient, and then follow steps 2–7 above.


Send a drawing directly to a Microsoft Exchange folder

  1. In the Microsoft Visio drawing you want to send, on the File menu, point to Send To, and then click Exchange Folder.
  2. Select the folder in which you want to place the drawing, and then click OK.

The drawing is saved in the Microsoft Exchange folder as an embedded object, so you can open the drawing from within Microsoft Exchange.


About hyperlinks

You can add hyperlinks to each Microsoft Visio shape and drawing page. The hyperlink can go to:

  • Another page in the same Visio drawing.

For example, from a Process shape in a flowchart, you can go to a drawing page that shows the detailed steps the process involves.

  • Another Visio drawing.
  • A document other than a Visio drawing.
  • A Web site.

In a Web browser, the linked shapes will be "hot." (Links to other Visio drawing pages remain active in the HTML file only if you save both the page that the shape is linked to and the page the linked shape is on in HTML format.)

You can also paste objects created in other programs into Visio drawings as hyperlinks and paste Visio shapes and drawings into other documents as hyperlinks.


About relative versus absolute paths to hyperlinks

When you link a shape or page to a file, you can determine whether the path to the link will be relative or absolute.

Click to show or hide information. Relative path

A relative path describes the location of the linked file in relation to a Microsoft Visio drawing or to another path that you can specify on the Summary tab of the Properties dialog box. You can move the Visio drawing and the linked file together (that is, move the entire path structure) without breaking the link, but if you move the drawing or file separately, you break the link.

Click to show or hide information. Absolute path

An absolute path spells out the exact location of the linked file in terms of drive, folder, and file name. You can move a Visio drawing file without affecting the link, but if you move the linked file, you must reset the path.


Add a hyperlink navigation shape

  1. If the Borders and Titles stencil is not already open, on the File menu, point to Stencils, point to Visio Extras, and then click Borders and Titles.
  2. Drag a hyperlink navigation shape (Hyperlink button, Hyperlink circle 1, or Hyperlink circle 2) onto your page.
  3. In the Custom Properties dialog box, in the Icon type list, click the icon you want, and then click OK.
  4. In the Hyperlinks dialog box, add a hyperlink to the shape.


Follow hyperlinks

  • If you are not in full-screen view, right-click the shape or drawing page, and then click the hyperlink.
  • If you are in full-screen view, click the shape or page.

Note For Web site (URL) links to function properly, you must have a Web browser installed on your computer.


Link a shape or page to another Microsoft Visio drawing page, a Web URL, or a file in another program

  1. If you are linking to a Microsoft Visio drawing, make sure that you have saved the drawing.
  2. Do one of the following:
  • To add a link to a page, display the page with nothing selected.
  • To add a link to a shape, select the shape.
  3. On the Insert menu, click Hyperlinks.
  4. Do one of the following:
  • To link to a Web site, in the Address box, type the Web site's URL.

If you don't know the URL, click Browse, and then click Internet Address. Navigate to the Web site you want. Select the Web site's URL, and press CTRL+C to copy it. Close your Web browser, click in the Address box, and then press CTRL+V to paste the Web site's URL.

  • To link to a file, in the Address box, click Browse, and then click Local File. Navigate to the file you want, and then click Open. (If necessary, change the type of file in the Files of type list.)
  5. If you are linking to a Visio drawing and want to display a particular page, next to the Sub-address box, click the Browse button. In the Page list, click the page you want. To link to a particular shape, in the Shape box, type the name of the shape. If you want to zoom in on the page, in the Zoom list, click a percentage. Click OK.

Click to show or hide information. Tip

To find a shape name, right-click the shape, point to Format, and then click Special.

  6. Do one of the following:
  • To specify an absolute path, clear the Use relative path for hyperlink check box.
  • To specify a relative path, select Use relative path for hyperlink.

Click to show or hide information. Tip

To specify a path that is not based on the location of the Visio drawing, on the File menu, click Properties. In the Hyperlink base box, type the base path that you want.

  7. To add another hyperlink for the selected shape or page, click New, and then repeat steps 4–6.


Modify or delete a hyperlink

  1. Do one of the following:
  • To modify a link on a page, display the page with nothing selected.
  • To modify a link on a shape, select the shape.
  2. On the Insert menu, click Hyperlinks.
  3. Do one of the following:
  • Make the changes you want, and then click OK.
  • To delete a hyperlink, from the list, click the hyperlink you want to remove, click DELETE, and then click OK.


Paste a hyperlinked shape into another document as a hyperlink

  1. Right-click the hyperlinked shape, and then click Copy.
  2. Do one of the following:
  • To paste the entire shape and its hyperlink, on the Edit menu, click Paste.
  • To add the hyperlink to a different shape, select the shape, and then on the Edit menu, click Paste as Hyperlink.

Note Some older programs do not support the Paste as Hyperlink command.


About drawings saved as Web pages

Click to show or hide information. Saving Microsoft Visio drawings as Web pages

You can save a drawing as a Web page. Whether your drawing contains a single page or multiple pages, by default Microsoft Visio creates an HTML frames page and a frame for the drawing pages. It also creates HTML source code and adds page tabs to each page so that you can switch between pages.

You can immediately view the Web pages in a Web browser.

Visio drawing saved as Web page with page tabs

When you save a multiple-page Visio drawing as a Web page, Visio adds a page tab to each page.

Click to show or hide information. Embedding Microsoft Visio drawings in Web pages

You can use the Save as Web Page command to embed a Visio drawing as an inline frame (an <IFRAME> tag) in a Web page that contains other elements, such as company logos, navigation bars, and additional text or graphics.

For example, if your company uses a standard Web page design template for all of its pages, you can create a page that includes all the standard design elements and a Visio drawing as well.

In Visio, such Web page design templates are called themes. To create a theme page that includes a Visio drawing, create an HTML file and include the following HTML tag:

<IFRAME src="%%VIS_SAW_FILE%%">

You can customize this tag to control the width, height, border, and other attributes of the inline frame. By including this tag, you make reference to the HTML output file that Visio creates for your drawing, thus embedding the drawing into the page. You can customize the remainder of the HTML file to create your own theme.

If you do not already have a standard theme page, or if you want to create a new one, Visio supplies a default HTML file (Basic.htm, in the Visio Extras folder) that includes a default version of this <IFRAME> tag and that you can customize, rename, and use as the basis for your theme page.


Save a drawing as a Web page

  1. On the File menu, click Save as Web Page.
  2. In the Save in list, open the folder where you want to save the file.
  3. In the File name box, type a name for the Web page file.
  4. To specify the title that will appear in the title bar when the page is displayed in a browser, click Change Title. In the Page title box, type a title, and then click OK.
  5. To specify the attributes of the Web page more precisely, click Publish. In the Save as Web Page dialog box, click the General tab, and specify which drawing pages to publish, whether to display the custom property viewer, and whether to use page tabs for navigation. Click the Appearance tab, and specify the target monitor and which theme to apply. Click the Files tab, and specify whether to use long file names and how to save supporting files.
  6. If your Web page contains new functionality that older browsers don't support, click the General tab, and then click Format Options. Select the Provide alternate format for older browsers check box, and click OK.
  7. Click OK to open your Web browser and view the Web page.


About converting shapes and drawings to Web pages

You can easily prepare Microsoft Visio drawings so that they can be viewed in an Internet browser. You can prepare drawings in two ways:

  • Save them as Web pages.

For example, you may have a new organization chart that you want everyone in the company to see. To immediately make the chart available on the intranet, save it as a Web page.

  • Save Visio drawings in .jpg, .gif, or .png format.

For example, you may have a Web page on the intranet where you have explained the complex process your department uses to handle customer inquiries. Recently, you created a block diagram that makes the process easier to understand. To include the graphic on your Web page, save it as a .gif, and add an <IMG> tag to your Web-page HTML code.

Save drawings as Web pages when:

  • You want to simultaneously export more than one page of a multiple-page drawing.
  • Shapes in your drawing include navigational links (hyperlinks), and you want to maintain those links on the Web page.
  • You want the Visio program to create an HTML-coded page and convert a drawing to a format Web browsers can use.

Save drawings in .jpg, .gif, or .png format when:

  • You already have an HTML-coded page in which you want to insert a Visio drawing.
  • You want to export only a portion of a drawing.


About displaying shape custom properties on Web pages

When you save a Microsoft Visio drawing as a Web page, you can include additional information contained in the drawing.

For example, if shapes in the drawing have custom properties assigned to them, you can display those properties on the Web page. When you move your mouse over a shape on the Web page that has custom properties assigned to it, the properties are displayed in a table on the left side of the browser window.

If you want to copy the information in the table, and if many shapes in your drawing have custom properties assigned to them, you can press CTRL while you move your mouse to keep the custom property information from a particular shape in the table as you move your mouse over other shapes.

Shape custom properties table on Web page

When you save a Visio drawing as a Web page in Microsoft Internet Explorer 5.0 or later, by default shape custom properties appear in a table on the page.


Display shape custom properties on a Web page

  1. On the File menu, click Save as Web Page.
  2. In the Save in list, open the folder where you want to save the file.
  3. In the File name box, type a name for the Web page file.
  4. Click Publish.
  5. Click the General tab, and under Choose Functionality, select the Property Viewer check box, and then click OK.

Note The custom property viewer is available only in Microsoft Internet Explorer 5.0 or later.


View multiple hyperlinks in a shape on a Web page

  1. In the browser window, move your mouse over the shapes on the page to determine which shapes have multiple hyperlinks.

Note When you move the mouse over a shape that contains a hyperlink, the mouse pointer changes to a hand, and if the shape contains more than one hyperlink, the hyperlinks are listed in the ScreenTip that appears.

Shape that has multiple hyperlinks

You can view multiple hyperlinks in a shape on a Web page by moving your mouse over the shape.

  2. Click a shape that has multiple hyperlinks.

The available links appear in a list next to the shape.

Shape with multiple hyperlinks after it's been clicked.

Once you've clicked the shape, you can click the hyperlink you want to follow.

  3. Click the hyperlink you want to follow.

Note The multiple hyperlinks feature is available only in Microsoft Internet Explorer 5.0 or later.


About files created by saving a drawing as a Web page

When you save a drawing as a Web page, several files are created and saved in the location you specify. Following are some of the saved files:

  • A main HTML file with the name you assigned it. (The default name is Drawing<number>.htm.)
  • A graphics file for the Microsoft Visio drawing on each page (for example, Drawing1_gif_1.gif or Drawing1_gif_2.gif).
  • An .htm file for the frame that contains the page tabs for each page.

All the files other than the main HTML file will be stored in a subfolder by default. You can customize the HTML files by opening them in Notepad or any other HTML editor. If you modify or move some of the .htm files, remember to update pointers to the graphics files.


Browser compatibility table

The following table shows the compatibility of several browsers with various graphic file types and features:

 | Microsoft Internet Explorer 5.0 or later | Internet Explorer 4.0 or earlier | Netscape
VML (Vector Markup Language) | X |  |
XML Support | X |  |
Page tabs | X |  |
Navigation bar |  | X | X
PNG | X | X | (In Netscape 6 only)
GIF | X | X | X
JPEG | X | X | X


About online meetings

The integration of Windows NetMeeting with Microsoft Visio allows you to share and make changes to a drawing with people at different sites in real time. When you start an online meeting from within Visio, NetMeeting automatically starts in the background and allows you to begin sharing the contents of your drawing. When you are in an online meeting, you can share applications, drawings, and other documents, send text messages in Chat, transfer files, and work on the Whiteboard.

You can either host an online meeting or be invited to participate in one. The host of an online meeting and all participants must have NetMeeting installed on their computers, but the host is the only person who must have the shared drawing and Microsoft Visio installed. Also, it is the host's responsibility to confirm that all participants know which server will be used for the meeting and can access it.

Click to show or hide information. Online meeting host

As the host, you can either schedule the meeting in advance by using Microsoft Outlook or start an unscheduled online meeting from within the drawing you want to share. If participants are available and accept your invitation, the online meeting begins. You can invite participants to join an online meeting at any time.

When you start an online meeting, you are the only person who has control of the shared drawing, although all participants can see it on their screens. You can allow participants to make changes at any time. When you are making changes to the drawing, the other participants can no longer make changes, but they can watch you work. When another participant is making changes to the drawing, you will not have the use of your pointer—not only in the drawing, but also for any other purpose.

Click to show or hide information. Online meeting participant

When you're invited to participate in an online meeting, you receive a message requesting that you join an upcoming online meeting or one that's ongoing. When you accept an invitation to join an online meeting, the Online Meeting toolbar and the document that is being shared appear on your screen.

When a host shares a drawing, participants can review and make changes to it. During an online meeting, only one person at a time can make changes to the drawing, but multiple users can work in Chat or the Whiteboard simultaneously.


Accept a request for an online meeting

You must have Windows NetMeeting running on your computer to receive an online meeting call.

Do one of the following:

  • When you receive an online meeting reminder for a meeting, click Start NetMeeting to accept the meeting request, or click Dismiss to decline the request.
  • When you receive an online meeting call, click Accept in the Join Meeting dialog box, or click Ignore to decline the call.


Start an unscheduled online meeting

All participants must have Windows NetMeeting running on their computers to receive an invitation to an unscheduled online meeting.

The first time you start an online meeting, you will be prompted to select any of the directory servers from the list in the Server name box under Directory. If you are a corporate user, ask your system administrator for the name of a directory server to which you can connect.

  1. Open the file you want to share.
  2. On the Tools menu, point to Online Collaboration, and then click Meet Now.
  3. Do one of the following:
  • If this is the first time you have worked in an online meeting, the NetMeeting dialog box appears, and you must enter information in the My Information and Directory boxes, or contact your system administrator.
  • If you have worked in an online meeting before, proceed to step 4.
  4. In the Find Someone dialog box, type or select the name of the person you want to invite, and then click Call. Repeat this step for each additional person you want to invite.
  5. Close the Find Someone dialog box to view the list of participants who have accepted your meeting request.

Click to show or hide information. Tip

If the name of the person you want to invite doesn't appear in the list, select another directory from the Select a directory list.


Add a participant to an online meeting

The host of an online meeting is the only person who can invite other participants to a meeting started from within Microsoft Office.

  1. On the Online Meeting toolbar, click Call Participant [image].
  2. In the Find Someone dialog box, select the name of the person you want to invite from the list, and then click Call. Repeat this step for each person you want to invite.

Click to show or hide information. Tip

To view a list of participants during an online meeting, click the participant list on the Online Meeting toolbar.


Open Chat in an online meeting

Only the host of an online meeting can open Chat when Windows NetMeeting is used from within Microsoft Visio.

  • On the Online Meeting toolbar, click Display Chat Window [image].

Click to show or hide information. Tip

To prevent participants from changing the shared document but allow them to send messages to each other in Chat, on the Online Meeting toolbar, click Stop others from editing [image].


Open the Whiteboard in an online meeting

Only the host of an online meeting can open the Whiteboard when Windows NetMeeting is used from within Microsoft Visio.

  • On the Online Meeting toolbar, click Display Whiteboard [image].

Click to show or hide information. Tip

To prevent participants from changing the shared document but allow them to draw or type simultaneously on the Whiteboard, on the Online Meeting toolbar, click Stop others from editing [image].


Change a file in an online meeting

The host controls the shared document when the meeting starts and determines when participants can make changes to the drawing.

Click to show or hide information. To control and make changes to the shared drawing as the host

  • Click anywhere in the document at any time during the meeting.

Click to show or hide information. To allow participants to control and make changes to the shared drawing

  1. On the Online Meeting toolbar, click Allow others to edit [image], and then click Accept when the NetMeeting dialog box appears.
  2. Notify the participants to click Request Control on the Control menu.

Click to show or hide information. Tips

  • If a participant wants to cancel a request to make changes to the shared drawing, notify the participant to click Cancel Requesting Control on the Control menu.
  • If a participant wants to allow another participant to make changes to the shared drawing, notify the participant to click Release Control on the Control menu.
  • To prevent participants from changing the shared drawing but allow them to draw or type simultaneously on the Whiteboard, on the Online Meeting toolbar, click Stop others from editing [image].


View a list of participants in an online meeting

  • On the Online Meeting toolbar, point to the Participant List, and then click the arrow.

Note The participant list is updated as participants join and leave an online meeting.


Remove a participant from an online meeting

The host of an online meeting is the only person who can remove a participant from a meeting.

  1. On the Online Meeting toolbar, select the name of the person you want to remove from the participant list.
  2. Click Remove Participants [image].


End an online meeting

The host of the online meeting is the only person who can end an online meeting for the entire group. Participants in an online meeting can disconnect at any time by clicking the NetMeeting icon on the taskbar, and then clicking End Call.

  • On the Online Meeting toolbar, click End Meeting [image].


Troubleshoot online meetings

Click to show or hide information. Unable to print or save a file opened from an online meeting to a local printer or hard disk

You can print or save only to the printer or hard disk connected to where the file was opened. When you click Print, you print the file on the printer of the person hosting the online meeting. When you click Save, you save the file to the host's hard disk or server, not your own.

To receive a copy of the file you're sharing, ask the online meeting host to send you a copy of the file, or copy the drawing contents to a file on your computer during those times when you are allowed to make changes to the file.

Click to show or hide information. Participants in an online meeting see a crosshatch pattern on the screen

Make sure no windows are covering your drawing; quit programs you are not using; and minimize other windows on your desktop.

Click to show or hide information. Cannot see some items that other participants in the online meeting see

Make sure your screen resolution settings match the settings of the other online meeting participants.

Click to show or hide information. Someone I want to invite to an online meeting is not on the list

In the Find Someone dialog box, select another directory in the Directory list, or simply notify the person you want to invite by e-mail or telephone.


About Microsoft Visio drawings and Microsoft Office

Microsoft Visio products are fully compatible with Microsoft Office programs, so you won't have to get used to a new environment.

Full Microsoft Office compatibility means that Visio toolbars, menu commands, and shortcut keys are similar to those you find in Microsoft Office programs. It also means you can easily exchange shapes, text, and other objects between Microsoft Visio drawings and documents created in Microsoft Office programs.

Following are some of the new Visio program features that provide improved Microsoft Office compatibility:

  • Prevent loss of work and recover lost drawings.

By using the AutoRecover feature, you can automatically recover unsaved changes to drawings if Microsoft Visio stops responding or if there is a power failure. When you turn on AutoRecover, the changes you make are saved at set intervals in a separate, temporary recovery file. Then, if you have to restart Visio or your computer without saving your work, Visio automatically opens the recovery file. The recovery file contains your changes up until the last time AutoRecover saved the drawing.

  • Check spelling as you type.

To check for spelling errors behind the scenes, use the automatic spelling checker. As you type, the spelling checker checks the text and then marks possible errors with wavy underlines. To correct an error, display a shortcut menu and select the correction you want. If you find the wavy underlines distracting, you can temporarily hide the underlines until you're ready to make corrections by clearing the Check spelling as you type checkbox on the Spelling tab of the Options dialog box.

  • Automatically correct spelling.

To fix spelling errors without having to confirm each correction, use the AutoCorrect feature. For example, if you type definitely and then type a space or other punctuation, AutoCorrect replaces it with definitely. AutoCorrect can make corrections that are generated by the spelling checker's main dictionary and by a list of built-in AutoCorrect entries. You can easily add your own AutoCorrect entries or remove unwanted ones.


About Microsoft Visio drawings and Microsoft Office Binder reports

You can use Microsoft Office Binder to include a full-page or multiple-page Microsoft Visio drawing in a larger report.

Suppose you've prepared a report for a bid on a building project that includes a Microsoft Word narrative, a Microsoft Excel budget, and a Visio floor plan and project timeline. By including the Word, Excel, and Visio documents in a binder in the order you want them to appear in the report, you can save, move, print, and distribute them as a single file. You can also add consecutive headers and footers to each binder page.

By gathering documents into a binder, rather than working with them separately, you can:

  • Add headers, footers, and other elements from within the binder to ensure a consistent look across documents.
  • Paginate the entire binder at one time.
  • Preview the entire binder before printing it.
  • Print the entire binder at one time.

To use the Microsoft Office Binder, you must have Microsoft Office 95 or later. For details about the binder, see the Microsoft Office Binder online Help.


Include a Microsoft Visio drawing in a Microsoft Office binder

  1. On the Start menu, point to Programs, and click Microsoft Binder.

Note If you don't see Microsoft Binder on your Programs menu, you may need to add it to your Microsoft Office installation.

  2. Drag the Visio drawing that you want to include from the desktop or from Windows Explorer into the left pane of the Microsoft Office Binder window.
  3. In Microsoft Office Binder, on the File menu, click Save Binder As.

Click to show or hide information. Tip

Although you can create a Visio drawing from within Microsoft Office Binder, it is more efficient to use the binder to assemble finished documents.


About Microsoft Visio drawings and Microsoft PowerPoint

You can include Microsoft Visio drawings in your Microsoft PowerPoint presentations to strengthen and clarify your ideas, as well as to take advantage of the PowerPoint slide features.

  • Use OLE to embed or link Visio shapes and drawings into PowerPoint slides.
  • Open your Visio product from within PowerPoint to create new drawings.
  • Copy and paste or drag existing shapes and drawings into your PowerPoint presentation.

You can also include PowerPoint shapes and clip art in your Visio drawings by importing them as graphic images.


About Microsoft Visio drawings and Microsoft Internet Explorer

From Microsoft Internet Explorer, you can open and work on your Microsoft Visio drawings without leaving the Internet environment. You can open a Visio drawing file within Internet Explorer?the same way you open an HTML or Microsoft Office program file. When you open a drawing from within Internet Explorer, the Visio program provides the same tools that are available when you work with it as a stand-alone program.

After the Visio drawing is open within Internet Explorer, you can navigate between the drawing and other Microsoft Office documents or Web pages by clicking the Forward and Back buttons on the Internet Explorer toolbar or by typing URLs in the Address box.


Open a Microsoft Visio drawing from within Microsoft Internet Explorer

  1. In Internet Explorer, on the File menu, click Open.
  2. Click Browse.
  3. In the Files of type list, click All Files to display Microsoft Visio files in the list.
  4. Find the file you want, select it, click Open, and then click OK.
  5. Click the Tools button on the Internet Explorer toolbar to display the Visio toolbar and menus.

Click to show or hide information. Tip

You can navigate between the Visio drawing, other documents, and Web pages by clicking the Forward and Back buttons on the Internet Explorer toolbar, or by typing URLs in the Address box.


About printing

You can print an entire drawing, only the pages you specify, or only a page's background. You can also define shapes or layers as nonprinting, so they show up on the screen but not on the printed page.

Click to show or hide information. Drawing page and printed page

You may want to change the size and orientation of the page as you create your drawing. If so, keep the following terms in mind as you set up your drawing for printing:

  • The drawing page—the white page you see on the screen.
  • The printed page—the paper in the printer on which you print your Microsoft Visio drawing.
  • The printed drawing—the image you create on your drawing page printed onto one or more sheets of paper.

If you change drawing page settings, you may need to change the printer paper settings to make sure that the drawing prints correctly. For example, if you base a new drawing on a flowchart solution with a portrait Tall page drawing page orientation, but you create a left-to-right flowchart, you must change the drawing page orientation to landscape Wide page so the drawing fits on the printed page.

Click to show or hide information. Preview a drawing before you print

Before you print a drawing, you can preview it to see whether the shapes on the drawing page fit on the printed page. In the print preview window, gray lines indicate where the drawing continues onto multiple pages, or "tiles."

After you see the print preview, you may want to make changes to the drawing page or printer settings, such as orientation, size, margins, and so on.

Click to show or hide information. Large drawings

You can have a drawing page that is larger than the printed page. For example, you may want to create a large network diagram on a large drawing page.

If you choose a drawing page size that is larger than your printer paper, your drawing is "tiled," or printed, across several sheets of paper. Drawings are not cropped to fit within the margins.

Large drawing that gets printed across multiple pages

A drawing on a large drawing page prints by tiling across several sheets of printer paper.

When a drawing is tiled, you can set the amount of overlap between pages, and you can specify the number of tiles to create.

If you do not want the drawing to tile, you can reduce the drawing to fit on a single page when you print it.

Click to show or hide information. Color drawings

When you print a color drawing, Microsoft Visio automatically sets the colors in your drawing to match your printer's capabilities. For example, if you print to a black-and-white printer, your drawing is printed in shades of gray (grayscale).


Print a drawing

  1. On the File menu, click Print.
  2. In the Name list, click a printer.
  3. Under Page range, click the range of pages you want to print.

If a foreground page is displayed, clicking Current page prints the foreground page, its background, and any backgrounds assigned to the background page.

  4. For Number of copies, type or select the number of copies you want.


Preview a drawing before printing

  1. On the File menu, click Print Preview.
  2. To close the preview and return to the drawing page, click Close.

Click to show or hide information. Tip

While working with your drawing, you can quickly determine whether it fits within the printable area by clicking Page Breaks on the View menu.


View page breaks

On the View menu, click Page Breaks.

Gray lines appear on the drawing page, indicating the printed page size and margins.


Add headers and footers to a drawing

  1. On the View menu, click Header and Footer.
  2. For Left, Center, or Right, click the arrow to the right of the box, and then choose the information that you want to appear in that area of the header or footer. Or, type the text you want to appear in that area of the header or footer.
  3. For Margin, type a value to specify how far the header or footer prints from the top or bottom of the page.
  4. To change the header or footer font, size, and other font effects, click Choose Font.

Click to show or hide information. Tip

You can also create headers and footers by creating backgrounds that have shapes that you want to repeat on each page, such as a company logo, a border, or a title block.


Print a drawing on a specified number of pages

  1. On the File menu, click Page Setup.
  2. Click the Print Setup tab, and under Print zoom (all pages), click Fit to, and then type the number of sheets across and down.


Reduce or enlarge a drawing when you print it

  1. On the File menu, click Page Setup.
  2. Click the Print Setup tab, and under Print zoom (all pages), do one of the following:
  • To reduce the drawing, click Adjust to, and then type a number less than 100.
  • To enlarge the drawing, click Adjust to, and then type a number greater than 100.
  • To reduce the drawing to print on one page, click Fit to, and then type 1 in the sheet(s) across and sheet(s) down boxes.
  • To enlarge the drawing to print across multiple sheets of paper, click Fit to, and then type the number of pages across and down.

Look at the preview to see if your drawing page and printer paper are the way you want.


Center a drawing

Click to show or hide information. Center a drawing on the drawing page

  1. On the Shape menu, click Center Drawing.

If the drawing page and printer paper are the same size, the drawing is centered on the printed page as well.

  2. If the drawing is not centered on the printed page, you can widen the page margins to center the drawing.

Click to show or hide information. Center a drawing on the printed page

If the drawing page is smaller than the printer paper, you can center a small drawing when you print it.

  1. On the File menu, click Page Setup.
  2. Click the Page Size tab, and click Size to fit drawing contents.
  3. Click the Print Setup tab, and click Setup.
  4. Under Small drawings, click the Center horizontally check box, the Center vertically check box, or both, and then click OK twice.
  5. To preview the drawing as it will appear on the printed page, on the File menu, click Print Preview.

Small drawing positioned in different parts of a printed page.

You can control where the image on a small drawing prints on a printed page.


Print a background separately

  1. Click the page tab of the background you want to print.
  2. On the File menu, click Print.
  3. Under Page range, click Current page.

The background and any backgrounds assigned to it print.


Print a page without its background

  1. Click the page tab of the page you want to print.
  2. On the File menu, click Page Setup.
  3. Click the Page Properties tab, and under Background, click None, and then click OK.
  4. On the File menu, click Print, and then click OK.
  5. On the File menu, click Page Setup, click the Page Properties tab, and then under Background, click Background to reassign the background to the page.


Print a drawing to a PostScript file

  1. On the File menu, click Print.
  2. In the Name list, click a PostScript printer.
  3. Select the Print to file check box, and then click OK.
  4. In the Print to File dialog box, select a location, type the name of the file, and then click Save.


Set page margins

  1. On the File menu, click Page Setup.
  2. Click the Print Setup tab, and then click Setup.
  3. In the Left, Right, Top, and Bottom boxes, type the margin sizes you want.

Click to show or hide information. Tip

To see how margins affect the printed drawing, click Print Preview on the File menu.


Set the page orientation

  1. On the File menu, click Page Setup.
  2. Click the Page Size tab, and under Page orientation, click either Portrait or Landscape.

The drawing page orientation is set for the current page.

  3. If the preview shows that your drawing page orientation doesn't match your printer paper orientation, click the Print Setup tab, and under Orientation, click either Portrait or Landscape.

The printer paper orientation is set for the entire drawing.

Page Setup preview window showing drawing page and printer paper with different orientation

If the preview shows that the drawing page and printed page orientations don't match, set them to match.


Set the page size

In Microsoft Visio, the drawing page size and printer paper size are set separately. You can set a drawing page size that is larger than the printer paper.

Click to show or hide information. Set the drawing page size

  1. Click the page tab of the foreground or background page you want to resize.
  2. On the File menu, click Page Setup.
  3. Click the Page Size tab, and under Page size, click the drawing page size you want.

The drawing page size is set for the page that is currently displayed. If the page has any background pages assigned, you must set the background page size separately.

Click to show or hide information. Tip

Check the preview to see how your drawing fits on the printer paper. If your drawing page size is larger than your printer paper size, your drawing is printed, or tiled, across multiple pages. To make a drawing fit on smaller printer paper, reduce the drawing when you print.

Click to show or hide information. Resize the drawing page by dragging the page edges

  1. Click the Pointer tool [image].
  2. Position the pointer at the edge of the page, and then press the CTRL key.

The pointer changes to a double-headed arrow [image].

  3. Drag the page edge to where you want it.

Click to show or hide information. Automatically resize the drawing page to fit the shapes on the page

  1. On the File menu, click Page Setup.
  2. Click the Page Size tab, and click Size to fit drawing contents.

The drawing page size changes to fit the drawing without any surrounding white space. On the screen, it may appear as though you zoomed in on the drawing.

Click to show or hide information. Set the printer paper size

  1. On the File menu, click Page Setup.
  2. Click the Print Setup tab, and under Paper size, click the paper size you want.

The printer paper size is set for the entire drawing.


Set a shape so it does not print

  1. Select the shape that you don't want to print, and then on the Format menu, click Behavior.
  2. Click the Behavior tab, and under Miscellaneous, select the Non-printing shape check box.

Click to show or hide information. Tip

To set all shapes on a layer to nonprinting, on the View menu, click Layer Properties and clear the checkmark under Print.


Troubleshoot printing

You can prevent most unexpected printing results by previewing the printed drawing before you print it. To preview a drawing, on the File menu, click Print Preview.

If the print preview does not look the way you expect, you can reposition shapes or adjust drawing settings to make sure that it prints correctly.

Click to show or hide information. When I print, I get a message telling me that my drawing page orientation is different from the printed page orientation.

The drawing page and printed page orientation are separate elements. If you change the drawing page orientation but not the printed page orientation, an alert appears telling you that the drawing page is oriented differently from the printed page.

When you see this alert, do one of the following:

  • Click OK to continue printing. The drawing will require additional printed pages.
  • Click Cancel, and then set the drawing page and printer paper orientation so that they match.

How?

Click to show or hide information. My drawing prints on multiple pages, and I want it to fit on one page.

To keep a drawing on a single page, try one or more of these methods:

  • Change the drawing page orientation to see if your drawing fits.

How?

  • Reduce the drawing when you print.

How?

  • Set a drawing scale that represents larger real-world dimensions in a smaller scaled space.

How?

  • Set a larger printed page size.

How?

Click to show or hide information. I want to see whether my drawing page and printed page match before I print my drawing.

The preview in the Page Setup dialog box shows how your drawing page and your printed page settings work together.

  • Your drawing page and printer paper match in size and orientation.

Page Setup preview window showing matching drawing page and printer paper

  • Your drawing page and printer paper do not have the same orientation.

Page Setup preview window showing drawing page and printer paper with different orientation

You can set the orientation so that they match.

How?

  • Your drawing page is smaller than your printer paper.

Page Setup preview window showing drawing page smaller than printer paper

You can center the drawing on the printed page or enlarge the drawing to fit the printer paper.

Center the drawing

Enlarge the drawing

  • Your drawing page is slightly taller or wider than the printer paper.

Page Setup preview window showing drawing page wider than printer paper

You can reduce the drawing to fit on one page or change the number of pages on which the drawing will print.

Reduce the drawing

Specify the number of pages to print on

  • Your drawing page is larger than the printer paper and will print across multiple pages.

Page Setup preview window showing large drawing tiled across printer pages

You can reduce the drawing to fit on one page or change the number of pages on which the drawing will print.

Reduce the drawing

Specify the number of pages to print on

Click to show or hide information. Enlarging a drawing causes unnecessary blank printed pages.

You can reduce or enlarge your drawing on the printed page. If your drawing is small, enlarging it can make it easier to see on the printed page. However, if you enlarge a drawing, a number of blank pages may be printed in addition to the drawing.

To avoid this problem, do one of the following:

  • Set the drawing page size to fit the drawing contents. (On the File menu, click Page Setup, click the Page Size tab, and click Size to fit drawing contents.)
  • Adjust the drawing page larger or smaller.

How?

Click to show or hide information. Some shapes don't appear in the printed drawing.

  • The printer driver may have translated the color of the shape's line and fill as white. On the File menu, click Print, and then select the Color as black check box.

The lines and fills of all shapes are converted to black before sending them to the printer, so shapes are visible in the printed drawing. This is helpful if you can't determine which shapes are missing from the printed drawing.

  • The shape might be set as a nonprinting shape, or it might be on a nonprinting layer. Select the shape, and then on the Format menu, click Behavior. If a check mark appears for Non-printing shape, clear it. To find out what layer a shape is on, select the shape, and then on the Format menu, click Layer. To check the layer, on the View menu, click Layer Properties. Make sure that the Print column is checked for that layer.

Click to show or hide information. Text in my drawing looks different than it did in previous versions of Visio.

You may have opened a drawing created in a previous version of Visio that uses printer fonts, which are not supported in this release of Visio. Visio substitutes the closest font supplied by Microsoft Windows. Try changing the font in your drawing to an available TrueType, OpenType, or PostScript font.

Click to show or hide information. Text that I print looks different from text on the screen.

  • If your document contains TrueType fonts, try downloading them as a bitmap font. This option is often available in the Advanced Options dialog box for the printer driver. For example, on Windows 2000, on the File menu, click Print, and then click Properties. Click the Advanced button, and for the TrueType font option, click Download as Softfont.
  • If your printer supports font substitution, try turning it off.
  • Make sure you have the latest printer driver for your printer. Check with your printer vendor to see if they have released a newer version.
  • If the printer driver is set to emulate another printer, try turning off emulation.

Click to show or hide information. I can't make text in my document transparent.

PostScript fonts cannot be made transparent. Try changing the font in your drawing to a TrueType or OpenType font.


About arcs

Every arc that you draw by using the Arc tool follows the perimeter of an invisible ellipse. You can perform these actions:

  • Change the bow of an arc so that the arc becomes a larger or smaller portion of the circle or ellipse. You can even flatten an arc to make it a line.
  • Edit an arc by dragging its eccentricity handles [image] to reshape the ellipse on which the arc is based. You can change the way the arc leans (the angle of eccentricity) or its flatness (the magnitude of eccentricity).


About merged shapes

The easiest way to create a complex shape is to draw its simple parts and then merge the parts into one complex whole. To merge shapes, click the Shape menu, point to Operations, and then click a command.

Click to show or hide information. Union command

Use the Union command to create a new shape from the perimeter of two or more overlapping shapes. The new shape is a set of all the points that were either in one original or another.

Three triangles merged into one shape with the Union command.

Click to show or hide information. Combine command

Use the Combine command to create a new shape from selected shapes. If the selected shapes overlap, the area where they overlap is cut out, or discarded. This creates holes in the new shape that make the drawing page grid visible through the shape.

A rectangle cut out from a surrounding rectangle.

For example, you can use Combine to create a picture frame shape (a rectangle that has a hole in the middle through which you can see what's beneath) using the following method. Place a small rectangle in the middle of a larger one. Select the larger rectangle first, then the smaller one, and then on the Shape menu, point to Operations, and click Combine.

Click to show or hide information. Fragment command

Use the Fragment command to break a shape into smaller parts or create new shapes from intersecting lines or from shapes that overlap. The Fragment command provides an ideal way to create Venn diagrams (diagrams that use overlapping circles to indicate inclusion, exclusion, and intersection of information) and marketing pyramids. You can use the Fragment command to:

  • Divide selected shapes into smaller shapes.

A shape divided into two shapes with the Fragment command.

  • Create a new closed shape where two or more closed shapes overlap.

Three circles divided into smaller shapes.

  • Create new shapes from the enclosed spaces of three or more intersecting lines.

A square shape created from four intersecting lines.

Click to show or hide information. Intersect command

Use the Intersect command to form a new closed shape from the area where selected shapes overlap, eliminating non-overlapping areas.

Because Microsoft Visio doesn't define specific points on a line, nothing is left if you make two overlapping lines intersect.

A new shape created from the overlap of a rectangle and a triangle.

Click to show or hide information. Subtract command

Use the Subtract command to create a new shape by subtracting from the primary selection the areas where subsequent selections overlap. For example, if you overlap a polygon and a triangle and select the polygon and then the triangle, using Subtract will remove the overlapping segment of the triangle from the polygon, creating a unique shape.

Heptagon overlapped by triangle showing result of subtract command

Click to show or hide information. Join command

Use the Join command to assemble individual segments into one or more continuous paths. The number of paths depends on the configuration of the selected shapes. For example, if the segments lie along a straight line, the new shape will have one path. If the segments are in the form of a 2-D shape such as a rectangle, the new shape will become a closed 2-D shape that you can fill.

Individual line segments formed into a closed shape.

Click to show or hide information. Trim command

Use the Trim command to split selected shapes at their intersections. When a shape intersects itself, using Trim creates a new shape for each piece, preserving the styles. If closed shapes are split open, they lose their fill.

The Trim command is similar to the trim operation in Autodesk AutoCAD, although you can trim more than two shapes.

Two lines split at their intersection.

Click to show or hide information. Offset command

Use the Offset command to create a set of parallel lines and curves to the right and left of the original shape. For example, you can create a representation of a two-way road by offsetting a line. You can delete any line or curve you want, even the original, which is always positioned between the offset lines or curves.

Offset shapes inherit line styles from the original shapes. They do not inherit any fill patterns or text from the original shapes.

Two offset diagonal lines positioned on either side of the original line.

Offset shapes are positioned on either side of the original shape, at a distance that you specify.

Offset lines extended to create the same angle as the original shape.

Offset lines trimmed to prevent them from crossing.

When you create an offset shape such as the one to the left of the original angle (A), the duplicated lines are extended to make them meet.

When you create an offset shape such as the one to the right of the original angle (B), a portion of the duplicated lines are deleted to prevent them from crossing.

An offset line and arc that don't intersect.

A wide offset that doesn't look like the original shape.

In this example (A), extending the arc and the line doesn't result in an intersection, so Visio creates offset duplicates of each shape and leaves them unconnected.

If the offset is wide, especially inside curves, the offset might not look like the original (B).

Click to show or hide information. Fit Curve command

Use the Fit Curve command to create a freeform curve (spline) from a polyline. The freeform curve goes exactly through the polyline's vertices. If the polyline is closed, the result is a periodic (seamless) spline.

A polyline converted to a freeform curve.

Click to show or hide information. How Union, Group, and Combine differ

Union, Group, and Combine do not create the same results.

A square inside another square.

Original shape: a square inside another square.

Two nested squares after a Merge command.

Union merges the perimeter of the two shapes.

Two nested squares after a Group command.

Group treats the two shapes as one shape, but you can still manipulate the individual shapes in the group.

Two nested squares after a Combine command.

Combine deletes areas where shapes overlap.

Click to show or hide information. Selection order

The result of a merge operation depends partly on the shape you select first (the primary shape). The primary shape's formatting is used in the resulting shape, and, in some cases, it even determines the shape of the new shape (when you use the Subtract command, for example).

Click to show or hide information. A new shape gets its own ShapeSheet spreadsheet

Merging operations create new shapes. The old shapes, including ShapeSheet spreadsheets that define smart behavior, are discarded. The new shape gets its own ShapeSheet spreadsheet.


Break a shape into smaller parts

  1. Do one of the following:
  • Draw lines through the shape where you want to break it.
  • Overlap two or more closed shapes.
  2. Select the shape and the lines or the overlapped shapes.
  3. On the Shape menu, point to Operations, and then click Fragment.

A shape divided into two shapes with the Fragment command.

Draw a line through a shape to break it into smaller parts.

Three circles divided into smaller shapes.

Overlap shapes to create smaller shapes from the overlapped areas.


Combine shapes

  1. Arrange the shapes that you want to combine on the drawing page.
  2. Select the shapes.

The new shape will inherit the formatting of the first shape you select.

  3. On the Shape menu, point to Operations, and then click Combine.

A rectangle cut out from a surrounding rectangle.

If selected shapes overlap, the overlap area is cut out from the final shape.


Convert an imported object into an editable format

  1. Select the imported object. If the imported object is a group, ungroup it (on the Shape menu, point to Grouping, and then click Ungroup).
  2. On the Shape menu, point to Operations, and then click Custom Fit.
  3. Choose the options you want.


Create an offset shape

  1. Select a line or curve from which you want to create two additional lines or curves that are equidistant from the original.
  2. On the Shape menu, point to Operations, and then click Offset.
  3. Type a value for the offset.

Offsets are generated on both sides for all the paths in the selected shape. The original is in the center. You can delete any offsets you don't want.

Two offset diagonal lines positioned on either side of the original line.

Two offset diagonal lines positioned on either side of the original line.


Draw a freeform curve

  1. Click the Freeform tool [image].
  2. Drag in various directions to draw a freeform shape.

Click to show or hide information. Tip

For smoother curves, turn snapping off before you draw. On the Tools menu, click Snap & Glue. Click the General tab, and under Currently active, clear the Snap check box.


Draw a line tangent to an ellipse, circle, arc, or freeform curve

  1. Click the Line tool [image].
  2. Click and drag along the edge of the ellipse, circle, arc, or freeform curve until you see the tangent shape extension, and then drag along that line until you see the line turn red.

As you drag the pointer around the shape, the tangent line moves with you.

As you drag the line tool along a circle, a dotted line shows the tangent to the circle.

  3. To draw a line tangent to a second shape, drag the line toward another shape. When the line turns blue, release the mouse button.

If you don't want to snap a tangent line to a second shape, press the CTRL key when your pointer is near the second shape.

Note If you don't see the tangent shape extension, you may need to turn the Curve interior tangent option on. On the Tools menu, click Snap & Glue. Click the Advanced tab, and select the Curve interior tangent check box.


Draw a rectangle or square

  1. Click the Rectangle tool [image].
  2. Point to where you want a corner of the shape.
  3. Drag until the shape is the size you want.

To draw a square, hold down the SHIFT key as you drag.


Draw a shape that has multiple segments

  1. Click one of the following tools:
  • Pencil tool
  • Line tool
  • Arc tool
  • Freeform tool
  2. To draw the first segment, point to where you want to start the shape, and then drag until the segment is the size you want.
  3. To draw the second segment, point to the endpoint [image] of the first segment (the pointer will look like a plus sign), and then drag.

After you draw the second segment, the shape displays vertices [image] instead of endpoints [image] [image].

  4. To draw additional segments, point to the vertex at the end of the last segment you added, and then drag to draw the next segment.
  5. To close the shape, drag the endpoint of the last segment you create over the vertex at the beginning of the first segment.

The shape becomes opaque, because it's a closed shape.

Click to show or hide information. Tips

  • To undo a segment, on the Edit menu, click Undo Add Segment. Segments are deleted in the reverse order in which they were drawn.
  • If you resize an existing segment instead of drawing a new segment, you have accidentally selected the vertex of the previous segment. On the Edit menu, click Undo Edit Segment, then click away from the shape to clear its selection. Point to the vertex and drag to draw the next segment.


Draw an arc

  1. Click one of the following drawing tools:
  • To draw an arc that looks like part of a circle, click the Pencil tool [image].
  • To draw an arc that looks like part of an ellipse, click the Arc tool [image].
  2. Point to where you want to start the arc.
  3. Drag to draw the arc.


Draw an ellipse or circle

  1. Click the Ellipse tool [image].
  2. Point to where you want to start drawing the shape.
  3. Drag until the shape is the size you want.

To draw a circle, hold down the SHIFT key as you drag.


Intersect shapes

  1. Arrange the shapes that you want to intersect on the drawing page.
  2. Select the shapes.

The new shape will inherit the text and formatting of the first shape you select.

  3. On the Shape menu, point to Operations, and then click Intersect.

A new shape created from the overlap of a rectangle and a triangle.

A new shape is created from the overlap of two shapes.


Join shapes

  1. Select the shapes or segments you want to join.
  2. On the Shape menu, point to Operations, and then click Join.

Individual line segments formed into a closed shape.

Individual line segments are formed into a closed shape.


Subtract shapes

  1. Arrange the shapes that you want to subtract so that they overlap the way you want.
  2. Select the shapes.

Shapes are subtracted from the first shape you select.

  3. On the Shape menu, point to Operations, and then click Subtract.

Heptagon overlapped by triangle showing result of subtract command

The overlap between shapes is subtracted from the primary selection.


Turn on shape extensions

  1. On the Tools menu, click Snap & Glue.
  2. Click the General tab, and under Currently active, select the Drawing aids check box.
  3. Under Snap to, select the Shape extensions check box.
  4. Click the Advanced tab, and under Shape extension options, select the shape extension check boxes that you want.
  5. Click OK.
  6. While using a drawing tool, move the tool toward or along the shape to see a shape extension.

Shape extensions work with these drawing tools:

  • Line tool
  • Arc tool
  • Freeform tool
  • Pencil tool
  • Ellipse tool
  • Rectangle tool
  • Connector tool

Shape extensions appear as faint lines on the drawing page. A drawing tool snaps to and follows a shape extension. A shape can have multiple shape extensions.


Trim shapes

  1. Select the shapes you want to trim.
  2. On the Shape menu, point to Operations, and then click Trim.

Two lines split at their intersection.

Two shapes are split at their intersection.


Unite shapes

  1. Arrange the shapes that you want to unite so that they overlap they way you want.
  2. Select the shapes.

The new shape you create will inherit the text and formatting of the first shape you select.

  3. On the Shape menu, point to Operations, and then click Union.

Note If the shapes do not overlap, Union creates one new shape, but the existing shapes appear unchanged.

Three triangles merged into one shape with the Union command.

Three triangles merged into one shape.


Copy a master from one stencil to another

  1. Open both stencils.
  2. Right-click the title bar of the stencil to which you want to copy a master, and then click Edit.
  3. Drag a master from one stencil onto the title bar of the other stencil.
  4. To save your changes, right-click the stencil title bar, and then click Save.
  5. Type a name for your stencil, and then click Save.

Note If you will be using the master in more than one stencil, you may want to create a shortcut to it instead of copying it, so that you can make revisions to it and have the changes appear in all of your stencils.


Develop a new master from scratch

  1. Right-click the stencil title bar, and then choose Edit.
  2. Right-click the stencil window, and then choose New Master.
  3. In the New Master dialog box, specify characteristics for the master.
  4. Click OK.

A blank master icon appears in the stencil window. (You may need to scroll to see it.)

  5. Right-click the new master, and then choose Edit Master.
  6. Create the master.

You create the master just as you would create a shape in a regular drawing page by using shapes from different stencils, drawing the shape with the drawing tools, or pasting an object from another application.

  7. Close the master drawing window. When you are prompted to update the master, click Yes.
  8. To save your changes, right-click the stencil title bar, and then click Save.


Delete a master

  1. Right-click the stencil title bar, and then click Edit.
  2. Right-click the master you want to delete, and then click Delete.
  3. To save the stencil, right-click the stencil title bar, and then click Save.
  4. To switch from edit mode, right-click the stencil title bar, and then click Edit.


Edit a master icon

  1. Right-click the stencil title bar, and then click Edit.
  2. Right-click the master, and then click Edit Icon.

The icon editing window opens, and the icon appears in the window. The icon editing tools appear on the toolbar.

  3. Change the colors of the master icon.

Click to show or hide information. How?

  1. To assign a color to the left mouse button, click Left Button Color, and then click the color you want for the left mouse button.

To assign a color to the right mouse button, click Right Button Color, and then click the color you want for the right mouse button.

To create icons that allow the background to show through, click Transparent.

  2. Click the drawing tool you want to use.

To change a single pixel, click the Pencil tool [image].

To change an area of color, click the Bucket tool [image].

  3. Point to the pixel you want to change, and then click the mouse button that is assigned the color you want.

If you're using the Pencil tool, only the pixel you click changes color.

If you're using the Bucket tool, all of the pixels contiguous to the pixel you clicked change color.

  4. Move or delete pixels.

Click to show or hide information. How?

  1. In the icon editing window, click either the Lasso tool [image] or the Selection Net tool [image].
  2. Drag the tool around the area you want to move or delete.
  3. Do one of the following:
  • To move the selection, drag it to where you want it.
  • To delete the selection, press DELETE.

The stencil background color appears in the area from which pixels were moved or deleted.

  5. When you have finished, close the editing window.
  6. Change the size of the icon.

Click to show or hide information. How?

  1. Right-click the master, and then click Master Properties.
  2. In the Icon size list, click a new size.
  3. Click OK.
  7. To save your changes, right-click the stencil title bar, and then click Save.

Note You cannot cancel changes you make to an icon after you close the icon editing window. However, you can undo changes to the icon while the icon editing window is still open by clicking Undo on the Edit menu.


Revise a master

  1. Right-click a stencil title bar, and then click Edit.
  2. Right-click the master that you want to change, and then click Edit Master.
  3. In the master drawing window, revise the master.
  4. When you have finished, close the master drawing window. When you are prompted to update the master, click Yes.

The instances of the shape are updated to show the changes.

  5. To save your changes, right-click the stencil title bar, and then click Save.

Note The masters supplied by Microsoft Corporation are copyrighted. You may copy and reorganize them for your own use, modify them for your own use and distribute drawings that contain them. You may not sell or distribute original or modified Microsoft Visio masters.


Create a shortcut to a master

If you will be using a master in more than one stencil, you can create a shortcut to the master so that you can make revisions once and have changes appear in all of your stencils.

  1. Right-click the title bar of the master's stencil, and then click Edit.
  2. Right-click the title bar of the stencil where you want to put the shortcut, and then click Edit.
  3. Press CTRL+SHIFT while you drag the master to the title bar of the new stencil.
  4. To save your changes, right-click the stencil title bar, and then click Save.


About the document stencil

When you start a drawing, Microsoft Visio creates a stencil specific to that drawing file called the document stencil. Each time you drag a shape from a stencil or from Find Shape to the drawing page, the shape's master is copied to the document stencil, and an instance of the master is created on the drawing page. Instances inherit formatting and other properties from masters on the document stencil.

On the document stencil, you can do the following:

  • Keep track of which shapes you've used in your drawing.
  • Revise all instances of a shape on all pages in a drawing file by revising the master on the document stencil. For example, in an organization chart, to change the text color in all the Position shapes to blue, simply modify the Position master on the document stencil. All instances of the Position shape in the drawing inherit the changes.
  • Add shapes to the document stencil directly to make them easier to reuse. For example, if you have drawn your own shape and you only want to use it in your current drawing, add it to the document stencil.

You cannot save the document stencil to use in other drawings—it is simply a component of the active drawing.

Click to show or hide information. Shape instances are linked to their masters

Shape instances in the drawing are linked to their masters in the document stencil. Certain actions may sever the link:

  • If you ungroup a shape, the instances lose their links to their masters.
  • In some cases, applying local formatting to a shape instance on the drawing page might break the link with regard to one or more particular formatting attributes. For example, if you resize an instance on the drawing page, and then, in the document stencil, you resize its master, all instances except the one you resized manually inherit the new size.

Instances are not linked to masters on the regular stencils. If you have copied a master from a stencil file to the document stencil, and you modify the master on the document stencil, the original master is not changed.


Add a shape to a stencil

  1. On a drawing page, select the shape that you want to add to a stencil.
  2. Right-click the stencil title bar, and then click Edit.
  3. Do one of the following:
  • To move the shape from the drawing to the stencil, drag the shape from the drawing page to the stencil title bar.
  • To copy the shape, press the CTRL key while you drag the shape to the stencil title bar.

The shape is now a master on the stencil. The master appears as an icon, labeled "Master.x," where x is a number.

  4. To rename the master, right-click the master icon and click Master Properties. Type a name in the Name box.
  5. To save your changes, right-click the stencil title bar, and then click Save.


Add a shape to the document stencil

  1. On the File menu, point to Stencils, and then click Document Stencil.
  2. Press CTRL, and then drag a shape from a drawing page or from another stencil onto the document stencil title bar.

Note If you want to use the shape in another drawing, create a new stencil.


Base a new stencil on an existing stencil

  1. On the File menu, point to Stencils, and then click Open Stencil.
  2. Open the folder that contains the stencil on which you want to base the new stencil, and then click the stencil name.
  3. On the Open button, click the arrow, and then click Copy.
  4. Click Open.
  5. Make any changes you want to the stencil.
  6. To save your changes, right-click the stencil title bar, and then click Save.
  7. Type a name for your stencil, and then click Save.


Create a new stencil

  1. On the File menu, point to Stencils, and then click New Stencil.
  2. Drag shapes from other stencils or from an existing drawing onto the new stencil title bar.
  3. To save your changes, right-click the stencil title bar, and then click Save.
  4. Type a name for your stencil, and then click Save.


Open the document stencil

On the File menu, point to Stencils, and then click Document Stencil.


Save a stencil

  • To save the changes you made to a stencil, right-click the stencil title bar, and then click Save.
  • To create a new stencil with a new name, right-click a stencil title bar, click Save As, type a name for the new stencil, and then click Save.


Keyboard shortcuts

Click to show or hide information. Menu commands

CTRL+SHIFT+I

Actual Size

F8

Align Shapes

CTRL+SHIFT+F

Bring to Front

ALT+F7

Cascade

CTRL+C

Copy

CTRL+X

Cut

CTRL+BACKSPACE

Delete previous word

CTRL+D

Duplicate

CTRL+F9

Field

F3

Fill

CTRL+H

Flip Horizontal

CTRL+J

Flip Vertical

F11

Display Text dialog box, Font tab

F9

Toggle Glue on or off

CTRL+G

Group

CTRL+SHIFT+G

Group

F1

Display Help

CTRL+K

Insert hyperlink

SHIFT+F3

Line

ALT+F8

Macros

CTRL+N

Open new drawing based on open drawing

CTRL+O

Open

CTRL+F4

Close drawing file

ALT+F5

Restore the size of the program window.

ALT+F10

Maximize program window

F5

Full Screen view

SHIFT+F4

Go To Page

SHIFT+F11

Display Text dialog box, Paragraph tab

CTRL+V

Paste

CTRL+P

Print

CTRL+F2

Print Preview

SHIFT+F5

Display Page Setup dialog box, Print Setup tab

CTRL+ALT+P

Display Reorder Pages dialog box

ALT+SHIFT+BACKSPACE

Redo

CTRL+Y

Redo

F4

Repeat

CTRL+F

Find

CTRL+L

Rotate Left

CTRL+R

Rotate Right

CTRL+S

Save

F12

Save As

ALT+F12

Save Workspace

CTRL+A

Select All

CTRL+SHIFT+B

Send to Back

SHIFT+F9

Toggle Snap on or off

ALT+F9

Snap & Glue

F7

Spelling checker

CTRL+F11

Display Text dialog box, Tabs tab

SHIFT+F7

Tile Horizontally

CTRL+SHIFT+F7

Tile Vertically

CTRL+Z

Undo

ALT+BACKSPACE

Undo

CTRL+SHIFT+U

Ungroup

ALT+F11

Open Microsoft Visual Basic Editor

ALT+Q

Close Microsoft Visual Basic Editor and Return to Visio

CTRL+W

Display entire page

F6

Zoom

Click to show or hide information. Tip

To activate the menu bar, press ALT or F10.

Click to show or hide information. Page Navigation

TAB

Navigate shapes

SHIFT+TAB

Navigate shapes in reverse order

CTRL+ALT+F6

Cycle focus from the drawing window through all anchored windows and back to the document window

CTRL+TAB

Cycle focus through merged windows

SHIFT+CTRL+TAB

Cycle focus through merged windows in reverse order

Click to show or hide information. Shapes in a stencil

ARROW KEYS

Move from shape to shape to the end of a row or column

HOME

Move to first shape in a stencil

END

Move to last shape in a stencil

PAGE UP

Move to top shape in a column

PAGE DOWN

Move to bottom shape in a column

CTRL+C

Copy shape(s) to the Clipboard

CTRL+V

Paste Clipboard contents into the drawing

CTRL+A

Select all shapes in the stencil

ESC

Deselect all shapes in the stencil

CTRL+ENTER

Insert selected shape(s) into drawing

Click to show or hide information. Stencil in edit mode

DELETE

Delete master(s) from stencil

CTRL+X

Cut master(s) to the Clipboard

F2

Rename master

Click to show or hide information. Fields in text

CTRL+SHIFT+H

Height field

CTRL+SHIFT+W

Width field

Click to show or hide information. Tip

To toggle between text edit and shape selection mode, press F2.

Click to show or hide information. Formatting text

These shortcuts toggle formatting on and off.

CTRL+B

Bold

CTRL+I

Italic

CTRL+U

Underline

CTRL+SHIFT+D

Double underline

CTRL+SHIFT+A

All caps

CTRL+SHIFT+K

Small caps

CTRL+SHIFT+,

Decrease font size

CTRL+SHIFT+.

Increase font size

CTRL+=

Subscript

CTRL+SHIFT+=

Superscript

Click to show or hide information. Aligning text

CTRL+SHIFT+L

Align text left

CTRL+SHIFT+C

Center text horizontally

CTRL+SHIFT+R

Align text right

CTRL+SHIFT+J

Justify text horizontally

CTRL+SHIFT+T

Top-align text

CTRL+SHIFT+M

Center text vertically

CTRL+SHIFT+V

Bottom-align text

Click to show or hide information. Drawing tools

CTRL+7

Arc tool

CTRL+SHIFT+1

Connection Point tool

CTRL+3

Connector tool

CTRL+SHIFT+2

Crop tool

CTRL+9

Ellipse tool

CTRL+5

Freeform tool

CTRL+6

Line tool

CTRL+4

Pencil tool

CTRL+1

Pointer tool

CTRL+8

Rectangle tool

CTRL+0 (zero)

Rotation tool

CTRL+SHIFT+3

Stamp tool

CTRL+2

Text tool

CTRL+SHIFT+4

Text Block tool

Click to show or hide information. Zooming

CTRL+SHIFT+click

Zoom in

CTRL+SHIFT+right-click

Zoom out

CTRL+SHIFT+drag a rectangle

Zoom in on a selected area

CTRL+SHIFT, right-click, and drag the page

Pan

ARROW KEYS

Nudge a selected shape (Scroll Lock must be turned off.)

Click to show or hide information. Hyperlink navigation in full-screen view

After you add hyperlinks to shapes or pages, use these keyboard shortcuts to navigate between Microsoft Visio and another program or page when you are in full-screen view.

CTRL+RIGHT ARROW

Forward

CTRL+LEFT ARROW

Back

CTRL+PAGE DOWN (Not on the numeric keypad.)

Next Page

CTRL+PAGE UP (Not on the numeric keypad.)

Previous Page

Click to show or hide information. Special text characters

CTRL+LEFT BRACKET

Beginning single-quote

CTRL+RIGHT BRACKET

Ending single-quote

CTRL+SHIFT+LEFT BRACKET

Beginning double-quote

CTRL+SHIFT+RIGHT BRACKET

Ending double-quote

CTRL+SHIFT+8

Bullet

CTRL+ALT+=

En dash

CTRL+SHIFT+ALT+=

Em dash

CTRL+HYPHEN

Discretionary hyphen

CTRL+SHIFT+HYPHEN

Nonbreaking hyphen

CTRL+SHIFT+FORWARD SLASH

Nonbreaking slash

CTRL+SHIFT+BACKSLASH

Nonbreaking backslash

CTRL+SHIFT+6

Section marker

CTRL+SHIFT+7

Paragraph marker

CTRL+SHIFT+ALT+C

Copyright symbol

CTRL+SHIFT+ALT+R

Registered trademark

Click to show or hide information. ANSI extended characters

The ANSI character set consists of 256 characters established by the American National Standards Institute. How ANSI characters look on the screen depends on what font you are using.

To type ANSI characters, make sure that you have NUM LOCK on. Hold down the ALT key, and, using the keys on the numeric keypad, type the ANSI code for the character you want. For example, to type an em dash (—), press ALT+0151.

0130

‚

0131

ƒ

0132

„

0133

…

0134

†

0135

‡

0136

ˆ

0137

‰

0138

Š

0139

‹

0140

Œ

0141

0142

Ž

0143

0144

0145

‘

0146

'

0147

"

0148

"

0149

•

0150

–

0151

—

0152

˜

0153

™

0154

š

0155

›

0156

œ

0157

0158

ž

0159

Ÿ

0160

0161

¡

0162

¢

0163

£

0164

¤

0165

¥

0166

¦

0167

§

0168

¨

0169

©

0170

ª

0171

«

0172

¬

0173

0174

®

0175

¯

0176

°

0177

±

0178

²

0179

³

0180

´

0181

µ

0182

¶

0183

·

0184

¸

0185

¹

0186

º

0187

»

0188

1/4

0189

1/2

0190

3/4

0191

¿

0192

À

0193

Á

0194

Â

0195

Ã

0196

Ä

0197

Å

0198

Æ

0199

Ç

0200

È

0201

É

0202

Ê

0203

Ë

0204

Ì

0205

Í

0206

Î

0207

Ï

0208

Ð

0209

Ñ

0210

Ò

0211

Ó

0212

Ô

0213

Õ

0214

Ö

0215

×

0216

Ø

0217

Ù

0218

Ú

0219

Û

0220

Ü

0221

Ý

0222

Þ

0223

ß

0224

à

0225

á

0226

â

0227

ã

0228

ä

0229

å

0230

æ

0231

ç

0232

è

0233

é

0234

ê

0235

ë

0236

ì

0237

í

0238

î

0239

ï

0240

ð

0241

ñ

0242

ò

0243

ó

0244

ô

0245

õ

0246

ö

0247

÷

0248

ø

0249

ù

0250

ú

0251

û

0252

ü

0253

ý

0254

þ

0255

ÿ


Use keyboard shortcuts

Work with the Help window

Click to show or hide information. Display and use the Help window

F1

Display the Help window.

F6

Switch between the Help topic and the Contents, Answer Wizard, or Index pane.

TAB

Select the next hidden text or hyperlink.

SHIFT+TAB

Select the next or previous Show All or Hide All at the top of a topic, or the previous hidden text or hyperlink.

ENTER

Perform the action for the selected Show All, Hide All, hidden text, or hyperlink.

ALT+O

Display the Options menu to access any Help toolbar command.

ALT+O, and then press T

Hide or show the pane with the Contents, Answer Wizard, and Index tabs.

ALT+O, and then press B

Display the previously viewed topic.

ALT+O, and then press F

Display the next topic in a previously displayed sequence of topics.

ALT+O, and then press H

Return to the specified home page.

ALT+O, and then press S

Stop the Help window from opening a Help topic (useful if you want to stop a Web page from downloading).

ALT+O, and then press I

Open the Internet Options dialog box for Microsoft Internet Explorer, where you can change accessibility settings.

ALT+O, and then press R

Refresh the topic (useful if you have linked to a Web page).

ALT+O, and then press P

Print all topics in a book or a selected topic only.

ALT+F4

Close the Help window.

Note If you use a screen-review utility or other accessibility aid, you'll get the best results with Help if you enter questions on the Answer Wizard tab in the Help window rather than in the Ask a Question box.

Click to show or hide information. Use the Contents, Index, and Answer Wizard pane

Press F6 to switch from the Help topic to the Contents, Answer Wizard, or Index pane.

CTRL+TAB

Switch to the next tab.

ALT+C

Switch to the Contents tab.

ALT+A

Switch to the Answer Wizard tab.

ALT+I

Switch to the Index tab.

ENTER

Open a selected book or Help topic.

DOWN ARROW

Select the next book or Help topic.

UP ARROW

Select the previous book or Help topic.

SHIFT+F10

Display a shortcut menu.

Note If you use a screen-review utility or other accessibility aid, you'll get the best results with Help if you enter questions on the Answer Wizard tab in the Help window rather than in the Ask a Question box.

Click to show or hide information. Use the topic pane

Press F6 to switch from the Contents, Answer Wizard, or Index pane to the open Help topic.

ALT+RIGHT ARROW

Go to the next Help topic.

ALT+LEFT ARROW

Go to the previous Help topic.

TAB

Select the next hidden text or hyperlink.

SHIFT+TAB

Select the next or previous Show All or Hide All at the top of a topic or the previous hidden text or hyperlink.

ENTER

Perform the action for the selected Show All, Hide All, hidden text, or hyperlink.

UP ARROW or DOWN ARROW

Scroll toward the beginning or end of a Help topic.

PAGE UP or PAGE DOWN

Scroll toward the beginning or end of a Help topic in large increments.

HOME or END

Go to the beginning or end of a Help topic.

CTRL+P

Print the current Help topic.

CTRL+A

Select the entire Help topic.

CTRL+C

Copy the selected items to the Clipboard.

SHIFT+F10

Display a shortcut menu.

Use the Microsoft Visio interface

Click to show or hide information. Use menus and toolbars

ALT

Select the menu bar, or close an open menu and submenu at the same time.

SHIFT+F10

Select the menu bar. When a menu in the menu bar is selected, displays the selected menu.

TAB or SHIFT+TAB

When a toolbar is selected, select the next or previous button or menu on the toolbar.

CTRL+TAB or CTRL+SHIFT+TAB

When a toolbar is selected, select the next or previous toolbar.

ENTER

Open the selected menu, or perform the action for the selected button or command.

ALT+SPACEBAR

Display the window shortcut menu (Control menu).

DOWN ARROW or UP ARROW

When a menu or submenu is open, select the next or previous command.

LEFT ARROW or RIGHT ARROW

Select the menu to the left or right. When a submenu is open, switch between the main menu and the submenu.

HOME or END

Select the first or last command on the menu or submenu.

ESC

Close an open menu. When a submenu is open, close only the submenu.

SHIFT+DOWN ARROW

When a menu is selected, display the list of commands.

CTRL+DOWN ARROW

When a personalized menu is open, display the full set of commands.

Note You can use the keyboard to select any menu command on the menu bar. Press ALT to select the menu bar. Press the letter that is underlined in the menu name that contains the command you want. In the menu that appears, press the letter underlined in the command name that you want.

Click to show or hide information. Use dialog boxes

TAB

Move to the next option or option group.

SHIFT+TAB

Move to the previous option or option group.

CTRL+TAB

Switch to the next tab in a dialog box.

CTRL+SHIFT+TAB

Switch to the previous tab in a dialog box.

Arrow keys

Move between options in an open drop-down list or between options in a group of options.

SPACEBAR

Perform the action assigned to the selected button; check or clear the selected check box.

First letter of an option in a drop-down list

Open the list if it is closed, and move to that option in the list.

ALT+ the letter underlined in an option

Select an option; select or clear a check box.

ALT+DOWN ARROW

Open a selected drop-down list.

ESC

Close a selected drop-down list; cancel a command, and close a dialog box.

ENTER

Perform the action assigned to a default button in a dialog box.

Click to show or hide information. Use edit boxes within dialog boxes

An edit box is a blank in which you type or paste an entry, such as your user name or the path to a folder.

HOME

Move to the beginning of the entry.

END

Move to the end of the entry.

LEFT ARROW or RIGHT ARROW

Move one character to the left or right.

CTRL+LEFT ARROW

Move one word to the left.

CTRL+RIGHT ARROW

Move one word to the right.

SHIFT+LEFT ARROW

Select or deselect one character to the left.

SHIFT+RIGHT ARROW

Select or deselect one character to the right.

CTRL+SHIFT+LEFT ARROW

Select or deselect one word to the left.

CTRL+SHIFT+RIGHT ARROW

Select or deselect one word to the right.

SHIFT+HOME

Select from the insertion point to the beginning of the entry.

SHIFT+END

Select from the insertion point to the end of the entry.

Click to show or hide information. Use the Open, Save As, and Insert Picture dialog boxes

The Open, Insert Picture, and Save As dialog boxes support standard dialog box keyboard shortcuts. (To view standard shortcuts for dialog boxes, refer to the Use Dialog Boxes and Use Edit Boxes Within Dialog Boxes sections in this topic.) These dialog boxes also support the shortcuts below.

ALT+1

Go to the previous folder.

ALT+2

Open the folder one level above the open folder.

ALT+3

Close the dialog box and open your Web search page.

ALT+4

Delete the selected folder or file.

ALT+5

Create a new folder.

ALT+6

Switch among available folder views.

ALT+7 or ALT+L

Show the Tools menu.

SHIFT+F10

Display a shortcut menu for a selected item such as a folder or file.

TAB

Move between options or areas in the dialog box.

F4

Open the Look In, File Name, or Files Of Type list, depending on where the insertion point is.

F5

Refresh the file list.

ALT+I

Open the Look In list.

Click to show or hide information. Use program and document windows

ALT+F5

Restore the size of the program window.

ALT+F10

Maximize the program window.

ALT+TAB

Switch to the next window.

ALT+SHIFT+TAB

Switch to the previous window.

CTRL+F4

Close the active window.

CTRL+F5

Restore the size of the active drawing window after you've maximized it.

CTRL+F6

When more than one window is open, switch to the next window.

CTRL+F10

Maximize the active drawing window.

CTRL+SHIFT+F6

Switch to the previous window.

PRINT SCREEN

Copy a picture of the screen to the Clipboard.

ALT+PRINT SCREEN

Copy a picture of the selected window to the Clipboard.

Use Microsoft Visio shortcuts

Click to show or hide information. Menu commands

CTRL+SHIFT+I

Actual Size

F8

Align Shapes

CTRL+SHIFT+F

Bring to Front

ALT+F7

Cascade

CTRL+C

Copy

CTRL+X

Cut

CTRL+D

Duplicate

CTRL+F9

Field

F3

Fill

CTRL+H

Flip Horizontal

CTRL+J

Flip Vertical

F11

Display Text dialog box, Font tab

F9

Toggle Glue on or off

CTRL+G

Group

CTRL+SHIFT+G

Group

F1

Display Help

CTRL+K

Insert hyperlink

SHIFT+F3

Line

ALT+F8

Macros

CTRL+N

Open new drawing based on open drawing

CTRL+O

Open

CTRL+F4

Close drawing file

ALT+F5

Restore the size of the program window.

ALT+F10

Maximize program window

F5

Page

SHIFT+F11

Display Text dialog box, Paragraph tab

CTRL+V

Paste

CTRL+SHIFT+P

Toggle Format Painter on and off

CTRL+P

Print

CTRL+F2

Print Preview

CTRL+BACKSPACE

Delete previous word

SHIFT+F5

Display Page Setup dialog box, Print Setup tab

ALT+SHIFT+BACKSPACE

Redo

CTRL+Y

Redo

F4

Repeat

CTRL+F

Find

CTRL+L

Rotate Left

CTRL+R

Rotate Right

CTRL+S

Save

F12

Save As

ALT+F12

Save Workspace

CTRL+A

Select All

CTRL+SHIFT+B

Send To Back

SHIFT+F9

Toggle Snap on or off

ALT+F9

Snap & Glue

F7

Spelling checker

CTRL+F11

Display Text dialog box, Tabs tab

SHIFT+F7

Tile Horizontally

CTRL+SHIFT+F7

Tile Vertically

ALT+BACKSPACE

Undo

CTRL+Z

Undo

CTRL+SHIFT+U

Ungroup

ALT+F11

Open [Microsoft Visual Basic Editor]

ALT+Q

Close [Microsoft Visual Basic Editor] and Return to Visio

CTRL+W

View entire page

F6

Zoom

Click to show or hide information. Tip

To activate the menu bar, press ALT or F10

Click to show or hide information. Page Navigation

TAB

Navigate shapes.

SHIFT+TAB

Navigate shapes in reverse order.

CTRL+ALT+F6

Cycle focus from the drawing window through all anchored windows and back to the document window.

CTRL+TAB

Cycle focus through merged windows.

SHIFT+CTRL+TAB

Cycle focus through merged windows in reverse order.

ALT+ENTER

For any window with an icon in its title bar (for example, a stencil window), displays the window shortcut menu.

Click to show or hide information. Shapes in a stencil

ARROW KEYS

Move from shape to shape to the end of a row or column.

HOME

Move to first shape in a stencil.

END

Move to last shape in a stencil.

PAGE UP

Move to top shape in a column.

PAGE DOWN

Move to bottom shape in a column.

CTRL+C

Copy shape(s) to the Clipboard.

CTRL+V

Paste Clipboard contents into the drawing.

CTRL+A

Select all shapes in the stencil.

ESC

Deselect all shapes in the stencil.

CTRL+ENTER

Insert selected shape(s) into drawing.

Click to show or hide information. Stencil in edit mode

DELETE

Delete master(s) from stencil.

CTRL+X

Cut master(s) to the Clipboard.

F2

Rename master

Click to show or hide information. Fields in text

CTRL+SHIFT+H

Height field

CTRL+SHIFT+W

Width field

Click to show or hide information. Tip

To toggle between text edit and shape selection mode, press F2.

Click to show or hide information. Formatting text

These shortcuts toggle formatting on and off.

CTRL+B

Bold

CTRL+I

Italic

CTRL+U

Underline

CTRL+SHIFT+D

Double underline

CTRL+SHIFT+A

All caps

CTRL+SHIFT+K

Small caps

CTRL+SHIFT+,

Decrease font size

CTRL+SHIFT+.

Increase font size

CTRL+=

Subscript

CTRL+SHIFT+=

Superscript

Click to show or hide information. Aligning text

CTRL+SHIFT+L

Align text left

CTRL+SHIFT+C

Center text horizontally

CTRL+SHIFT+R

Align text right

CTRL+SHIFT+J

Justify text horizontally

CTRL+SHIFT+T

Top-align text

CTRL+SHIFT+M

Center text vertically

CTRL+SHIFT+V

Bottom-align text

Click to show or hide information. Drawing tools

CTRL+7

Arc tool

CTRL+SHIFT+1

Connection Point tool

CTRL+3

Connector tool

CTRL+SHIFT+2

Crop tool

CTRL+9

Ellipse tool

CTRL+5

Freeform tool

CTRL+6

Line tool

CTRL+4

Pencil tool

CTRL+1

Pointer tool

CTRL+8

Rectangle tool

CTRL+0 (zero)

Rotation tool

CTRL+SHIFT+3

Stamp tool

CTRL+2

Text tool

CTRL+SHIFT+4

Text Block tool

Click to show or hide information. Zooming

CTRL+SHIFT+click

Zoom in

CTRL+SHIFT+right-click

Zoom out

CTRL+SHIFT+drag a rectangle

Zoom in on a selected area

CTRL+SHIFT, right-click, and drag the page

Pan

ARROW KEYS

Nudge a selected shape (Scroll Lock must be turned off.)

Click to show or hide information. Hyperlink navigation in full-screen view

After you add hyperlinks to shapes or pages, use these keyboard shortcuts to navigate between Microsoft Visio and another program or page when you are in full-screen view.

CTRL+RIGHT ARROW

Forward

CTRL+LEFT ARROW

Back

CTRL+PAGE DOWN (Not on the numeric keypad.)

Next Page

CTRL+PAGE UP (Not on the numeric keypad.)

Previous Page

Click to show or hide information. Special text characters

CTRL+LEFT BRACKET

Beginning single-quote

CTRL+RIGHT BRACKET

Ending single-quote

CTRL+SHIFT+LEFT BRACKET

Beginning double-quote

CTRL+SHIFT+RIGHT BRACKET

Ending double-quote

CTRL+SHIFT+8

Bullet

CTRL+HYPHEN

Discretionary hyphen

CTRL+SHIFT+HYPHEN

Nonbreaking hyphen

CTRL+SHIFT+FORWARD SLASH

Nonbreaking slash

CTRL+SHIFT+BACKSLASH

Nonbreaking backslash

CTRL+SHIFT+6

Section marker

CTRL+SHIFT+7

Paragraph marker

CTRL+SHIFT+ALT+C

Copyright symbol

CTRL+SHIFT+ALT+R

Registered trademark

CTRL+ALT+=

En dash

CTRL+SHIFT+ALT+=

Em dash

Click to show or hide information. ANSI extended characters

The ANSI character set consists of 256 characters established by the American National Standards Institute. How ANSI characters look on the screen depends on what font you are using.

To type ANSI characters, make sure that you have NUM LOCK on. Hold down the ALT key, and, using the keys on the numeric keypad, type the ANSI code for the character you want. For example, to type an em dash (—), press ALT+0151.

0130

‚

0131

ƒ

0132

„

0133

…

0134

†

0135

‡

0136

ˆ

0137

‰

0138

Š

0139

‹

0140

Œ

0141

0142

Ž

0143

0144

0145

‘

0146

'

0147

"

0148

"

0149

•

0150

–

0151

—

0152

˜

0153

™

0154

š

0155

›

0156

œ

0157

0158

ž

0159

Ÿ

0160

0161

¡

0162

¢

0163

£

0164

¤

0165

¥

0166

¦

0167

§

0168

¨

0169

©

0170

ª

0171

«

0172

¬

0173

0174

®

0175

¯

0176

°

0177

±

0178

²

0179

³

0180

´

0181

µ

0182

¶

0183

·

0184

¸

0185

¹

0186

º

0187

»

0188

1/4

0189

1/2

0190

3/4

0191

¿

0192

À

0193

Á

0194

Â

0195

Ã

0196

Ä

0197

Å

0198

Æ

0199

Ç

0200

È

0201

É

0202

Ê

0203

Ë

0204

Ì

0205

Í

0206

Î

0207

Ï

0208

Ð

0209

Ñ

0210

Ò

0211

Ó

0212

Ô

0213

Õ

0214

Ö

0215

×

0216

Ø

0217

Ù

0218

Ú

0219

Û

0220

Ü

0221

Ý

0222

Þ

0223

ß

0224

à

0225

á

0226

â

0227

ã

0228

ä

0229

å

0230

æ

0231

ç

0232

è

0233

é

0234

ê

0235

ë

0236

ì

0237

í

0238

î

0239

ï

0240

ð

0241

ñ

0242

ò

0243

ó

0244

ô

0245

õ

0246

ö

0247

÷

0248

ø

0249

ù

0250

ú

0251

û

0252

ü

0253

ý

0254

þ

0255

ÿ


Use keyboard shortcuts to navigate shapes on the drawing page

  • To move through shapes from left to right, press TAB.
  • To move through shapes from right to left, press SHIFT+TAB.

A dotted rectangle indicates the shape that has the focus. Once a shape has the focus:

  • To select the shape, deselecting all other shapes on the page, press ENTER.
  • To toggle selection of the shape that has the focus on and off, press SHIFT+ENTER. Other selected shapes on the page remain selected.

Note You cannot navigate to shapes that are protected against selection or on a locked layer.


Use keyboard shortcuts to navigate shapes in a stencil

  • To move up, down, left, or right, use the ARROW keys.

Note If you reach the end of a row or column, you must use the opposite ARROW key to reverse direction.

  • To move to the first (top left) shape in a stencil, press HOME.
  • To move to the last (bottom right) shape in a stencil, press END.
  • To move to the top shape in a column, press PAGE UP.
  • To move to the bottom shape in a column, press PAGE DOWN.
  • To select multiple shapes, hold down SHIFT while you press the ARROW keys. When the focus rectangle is over the name of the shape you want, press ENTER to select that shape. Repeat for each shape you want to select.
  • To toggle selection of a shape that has the focus on and off, press SHIFT+ENTER.


Use keyboard shortcuts to copy a shape from an anchored stencil onto the drawing page

  1. Use the keyboard to navigate to the shape you want to copy.
  2. Press CTRL+ENTER.


Move the focus from the drawing window through anchored windows

  • Press CTRL+ALT+F6.

Anchored window that has focus

When an anchored window has the focus, its border changes color.


Move the focus through merged anchored windows

Once a merged collection of anchored windows has the focus:

  • To move the focus through the collection, press CTRL+TAB.
  • To move the focus through the collection in reverse, press SHIFT+CTRL+TAB.

Merged anchored window that has the focus

When a merged, anchored window has the focus, its border changes color.


About custom solutions

A Microsoft Visio solution is a combination of Visio shapes and programs that model the real world and solve drawing problems. A Visio solution usually includes shapes that the user can drag and drop onto the drawing page to quickly create a drawing, templates for new drawings that predefine the drawing size and drawing scale, and programs that help create the drawing, analyze the drawing, or transfer information between the drawing and external data sources.

To help you create solutions, the Microsoft Visio development environment provides the following:

  • The ShapeSheet spreadsheet, which lets you create formulas for specific shape appearance and behavior.
  • Microsoft Visual Basic for Applications (VBA) with which you can create macros and control Visio using Automation. If you have ever used VBA in another Microsoft Office program, you'll be familiar with the environment in Visio.
  • The Visio type library, which describes the objects, properties, methods, events, and constants that Visio exposes to Automation clients.

About writing Visio programs

About programming shapes


About programming shapes

Using SmartShapes technology, you can develop shapes that behave like the objects they represent in the real world. You do this by defining formulas that represent the shapes attributes, such as width and height, and its behavior, such as what the shape does when a user right-clicks it.

Everything in Visio—every shape, group, style, page, or document—has a ShapeSheet spreadsheet where information about that object is stored. This spreadsheet contains information such as height, width, angle, color, and other attributes that determine the shape's appearance and behavior.

You can view the spreadsheet in the ShapeSheet window and add or modify a shape's formulas.

The ShapeSheet spreadsheet for a chair shape

The ShapeSheet spreadsheet contains information, such as height and width, that determine a shape's size, appearance, and behavior.

Click to show or hide information. Displaying the ShapeSheet spreadsheet

To display the ShapeSheet spreadsheet for a shape, select a shape in the drawing window, and then on the Window menu, click Show ShapeSheet.

Click to show or hide information. Getting help in the ShapeSheet window

Reference help about the ShapeSheet spreadsheet is available in the Developer Reference (on the Help menu, click Developer Reference). For help on a specific cell, click the cell, and then click F1.

Click to show or hide information. Examples of actions you can program into shapes

You could add a command to a shape's shortcut menu that goes to another page in the drawing. To do this, select the shape, and then click Show ShapeSheet on the Window menu. On the Insert menu, click Section, click Actions, and then click OK. Select a cell in the Actions section, and then on the Edit menu, click Action. Fill in the Menu box, and then choose an action (for this command, click the Go to page option).

For more information, see the ShapeSheet Reference in the Developer Reference (on the Help menu, click Developer Reference).


About writing Visio programs

Some solutions require more than shapes and templates. For example, you might need to create drawings based on data that changes from day to day, such as an organization chart that is generated from a list of names and titles in a database. You can automate repetitive tasks and modify the Microsoft Visio user interface by writing programs that incorporate the functionality of Microsoft Visio simply by using its objects.

A program in a Microsoft Visio solution can be written in any programming language that supports Automation, such as Microsoft Visual Basic for Applications (VBA), Microsoft Visual Basic, or C++.

Click to show or hide information. About Automation

The way that objects in an application such as Visio are related to each other, along with each object's properties (data), methods (behavior), and events, is called the program's object hierarchy or object model. In the Visio object model, most objects correspond to items that you can see and select in the Visio user interface. For example, a Shape object represents a shape in a drawing.

Using Automation, a program can control Visio drawings by accessing its objects and then using their properties, methods, and events. Following is a brief overview of Automation:

  • Objects represent items you work with, such as documents, drawing pages, shapes, and cells that contain formulas.
  • Properties are attributes that determine the appearance or behavior of objects. For example, a Shape object has a Name property, which represents the name of that shape.
  • Methods are actions that are associated with an object. For example, a program can use the Copy method of a Selection object to copy a selected shape to the Clipboard. Using this method is equivalent to selecting a shape on the drawing page and then clicking the Copy command on the Edit menu.
  • Events are occurrences or notifications that can trigger responses. For example, you can programmatically trigger code when a document is opened, or you can trigger a program by double-clicking a shape.

Click to show or hide information. Using the Visual Basic Editor

You build your VBA programs in the Visual Basic Editor. To open the editor, on the Tools menu, point to Macros, and then click Visual Basic Editor (or press ALT+F11).

For detailed information about using the VBA development environment and writing VBA code, in the Visual Basic Editor, click Microsoft Visual Basic Help on the Help menu.


About ActiveX controls

Microsoft ActiveX controls are programmable objects that you can use to add functionality to a drawing. For example, you might insert standard Windows dialog box controls, such as single-click buttons, check boxes, or list boxes; or custom controls that provide more complex functionality, such as animation. To program a control, you typically write event procedures in the drawing's Microsoft Visual Basic for Applications (VBA) project to handle the control's events, and you can get or set the control's properties or invoke its methods in other procedures.


Insert an ActiveX control in a drawing

Before you insert a control, the control must be installed on your computer. You might also need a design license to insert a control in your drawing.

  1. On the Insert menu, click Control.
  2. In the Controls list, click a control, and then click OK.
  3. Move and size the control as needed.
  4. To edit the control, double-click it.

A control activated for in-place editing looks the same in a Microsoft Visio drawing as in any ActiveX container.

  5. To set control properties, right-click the control, point to <Object Name> Object, and then click Properties.


Load or unload a COM add-in program

If you are not a developer, you probably will not need to load or unload a Component Object Model (COM) add-in because most COM add-ins include an install program that loads it for you.

Click to show or hide information. Load a COM add-in

  1. On the Tools menu, point to Macros, and then click COM Add-Ins.
  2. Select the check box next to the add-in name, and then click OK.

If the add-in you want isn't in the Add-Ins available list, click Add, locate the add-in, and then click OK.

Click to show or hide information. Unload a COM add-in

  1. On the Tools menu, point to Macros, and then click COM Add-Ins.
  2. Do one of the following:
  • To remove an add-in from memory but keep its name in the list, clear the check box next to the add-in name.
  • To remove an add-in from the list and from the registry, select its name and then click Remove.

NOTE Unloading an add-in doesn't remove the add-in file from your computer. It just removes the add-in from memory and from the registry.


Review and recover disabled add-ins and resource files

Items that appear on the Disable Items dialog box were disabled because they caused a problem in Microsoft Visio.

  1. On the Help menu, click About Microsoft Visio.
  2. Click Disabled Items.
  3. Select one or more of the items you want to enable.
  4. Click Enable.


About writing Hebrew characters in Microsoft Visio

Microsoft Visio 2002 provides limited support for writing Hebrew characters. To write Hebrew characters, you must already have installed Hebrew fonts and Hebrew keyboard layout on your computer.

Note For more information about installing Hebrew fonts and Hebrew keyboard layout, search Microsoft Windows Help.

When you type Hebrew characters in Visio 2002, they will appear from right to left on the line. Characters other than Hebrew will appear from left to right.

Because there is only limited support for Hebrew in this version of Visio, the following limitations apply:

  • Accents and other character marks that appear above or below other characters are not displayed correctly.
  • Visio 2002 supports mixed Hebrew and Latin text in the left-to-right paragraph direction. However, it does not support other Hebrew text-formatting features, such as mixed Hebrew and Latin text in the right-to-left paragraph direction, mirrored characters, and nested bidirectionality.
  • In mixed text (part Hebrew and part English), movement of the insertion mark and extending a selection (making a selection bigger) may not work as expected.
  • In mixed text, the insertion pointer may not always show the correct location for the next character to be inserted.
  • Right-to-left text may not be displayed correctly if scale or spacing is set to other than their default settings on the Font tab of the Text dialog box.
  • Visio 2002 does not support the reversing codes LRE, LRM, LRO, PDF, RLE, RLM, and RLO.
  • Visio 2002 supports only the Unicode Hebrew characters that appear on the standard Windows Hebrew character set code page (1255 Windows Hebrew).
  • Right-to-left insertion of Hebrew characters is supported only in shape text, not in some places in the user interface, the ShapeSheet, or in shape custom properties.
  • Hebrew text created in Visio 2002 may not be displayed correctly in metafiles or in earlier versions of Visio.


Write Hebrew characters

Note To write Hebrew characters, you must already have installed Hebrew fonts and Hebrew keyboard layout on your computer. For more information about installing Hebrew fonts and Hebrew keyboard layout, search Microsoft Windows Help.

  1. In Microsoft Visio, use a CTRL key shortcut or click the input language icon in the system tray to switch to Hebrew input.
  2. If the current font is not a Hebrew font, select a Hebrew font.

Click to show or hide information. How?

  1. On the Format menu, click Text.
  2. In the Font list, select a font that supports the Hebrew character set (for example, Arial or Times New Roman).
  3. Click the << button to display a drop-down list of supported character sets.
  4. In the list, click Hebrew.

Note If Hebrew does not appear in the drop-down list, the selected font does not support Hebrew characters, and you must select another font. You can also identify fonts that support Hebrew characters in the Font list on the Formatting toolbar, where fonts that support Hebrew display a sample of Hebrew letters next to them.

  3. Select a shape and type.


Manually change the dynamic connector path

You can change how a dynamic connector bends by dragging vertexes and midpoints.

  • To move a connector line segment, drag a midpoint.

Dragging a midpoint on a dynamic connector

  • To create a new vertex, CTRL+drag a midpoint.

CTRL+dragging a midpoint on a dynamic connector

  • To create a bridge in a line segment, SHIFT+drag a midpoint.

SHIFT+dragging a midpoint on a dynamic connector

  • To move a vertex while maintaining the angles of the line segments, drag the vertex.

Dragging a vertex on a dynamic connector

  • To reposition a vertex without maintaining angles of the line segments, CTRL+drag the vertex.

CTRL+dragging a vertex on a dynamic connector

  • To change the curvature of a curved connector, drag an eccentricity handle.

A curved dynamic connector showing eccentricity handles.

  • To add a new control point [image] to a curved connector, click the Pencil tool [image], and then CTRL+click the connector.

Note Before you change the path of a dynamic connector, make sure that it is connected to each shape the way you want. If you move one of its endpoints after you edit it, the connector automatically reroutes with a new path.


Allow connectors to route around a shape

  1. Select a shape.
  2. On the Format menu, click Behavior, and then click the Placement tab.
  3. In the Placement Behavior list, click one of the following:
  • To let Microsoft Visio determine when to route connectors around the shape, click Let Visio decide. Routing depends on the type of connector.
  • To allow the connector to route around the shape, click Layout and route around. The shape is now placeable.
  • To prevent the connector from routing around the shape, click Do not layout and route around. The shape is now unplaceable.


Change the direction of a connector

  1. Select a connector.
  2. On the Shape menu, point to Operations, and then click Reverse Ends.


Add commands to update shapes linked to databases

  1. Select the shapes to which you want to add update commands.
  2. On the Tools menu, point to Macros, point to Visio Extras, and then click Link to Database.
  3. Click Advanced.
  4. Select the update options you want. For more information about the options, click the Help button.


Paste Special dialog box

Pastes an object on the Clipboard into a Microsoft Visio drawing in the format you choose.

Click to show or hide information. Source

Identifies the program used to create information on the Clipboard. If the program is unknown, displays Unknown Source.

Click to show or hide information. As

Lists the default format and other formats that you can use in a Microsoft Visio drawing. Choose a format from this list.

Click to show or hide information. Paste

Pastes the Clipboard contents onto the page in the specified format. Depending on the program that created the object, pasting might embed the object in your Microsoft Visio drawing.

Click to show or hide information. Paste Link

Pastes the Clipboard contents onto the page in the specified format and establishes a link to the original file.

Click to show or hide information. Display As Icon

Displays the embedded or linked object as an icon in a drawing.

Click to show or hide information. Result

Describes the result you'll get by clicking OK.


Select By Type dialog box

Choose one or more types of items to select.

Click to show or hide information. Shape Type

Lists the types of items you can select at one time. Select any combination of these types: Shapes, Groups, Guides, OLE Objects, Metafiles, and Bitmaps.

Click to show or hide information. Layer

Lists the available layers from which you can select.

Click to show or hide information. All

Click this button to select all types in the Shape type or Layer list, depending on the option you've selected.

Click to show or hide information. None

Click this button to clear the check boxes for all types in the Shape type or Layer list.


Delete Pages dialog box

Click to show or hide information. Page

Lists the pages in the drawing file. Select the page that you want to delete from the list.

Click to show or hide information. Update Page Names

Select this check box to renumber the remaining pages after you delete one or more pages. (Applies only to pages that use default names, such as Page-1.)


Reorder Pages dialog box

Click to show or hide information. Page Order

Lists all foreground pages by name in the order in which they're stored in the drawing file. Select a page to move it.

Click to show or hide information. Update Page Names

Select this check box to renumber the pages after you've reordered them. (Applies only to pages that use default names, such as Page-1.)

Click to show or hide information. Move Up

Moves the selected page closer to the beginning of the file.

Click to show or hide information. Move Down

Moves the selected page closer to the end of the file.


Find dialog box

Searches for specified text in shapes and data fields in the active drawing.

Click to show or hide information. Find What

Specifies the text you want to find. You can type or paste text into this field.

To search using text you previously searched for, click the down arrow and then choose the text from the list.

Click to show or hide information. Special

Displays a list of special characters for which you can search.

Search In

Click to show or hide information. Selection

Searches only the current selection.

Click to show or hide information. Current Page

Searches only the current page.

Click to show or hide information. All Pages

Searches all pages in the open drawing.

Click to show or hide information. Custom Property

Searches text stored in the custom properties of shapes in the values field. When the Find command finds a match, it selects the shape on the drawing page and displays the name of the custom property in the dialog box. When you click Find Next, the remaining custom properties in that shape are searched. The Find command then searches for the next shape with matching text in a custom property. Find repeats the process until no more matches are found. The Find command does not search a custom property for multiple occurrences of the same text.

Click to show or hide information. Shape Name

Searches for text in shape names (the name you see under a shape in a stencil). When the Find command finds a match, it selects the shape on the drawing page and displays the shape name in the dialog box. When you click Find Next, the next shape with matching text is selected.

Click to show or hide information. User-Defined Cell

Searches text stored in user-defined cells in the ShapeSheet spreadsheet. When the Find command finds a match, it selects the shape on the drawing page and displays the cell name in the dialog box. Each time you click Find Next, the remaining user-defined cells for that shape are searched. The Find command then searches for the next shape with matching text in a user-defined cell. Find repeats the process until no more matches are found. The Find command does not search a user-defined cell for multiple occurrences of the same text.

Options

Click to show or hide information. Match Case

Finds only those occurrences that have the exact combination of uppercase and lowercase letters specified in the Find what box.

Matches the case of letters used in your drawing as they were originally typed, regardless of whether the text was subsequently formatted using Small Caps or All Caps formatting.

Click to show or hide information. Match Character Width

Finds only those occurrences that have the exact character width specified in the Find what box. For example, the Katakana alphabet can be represented with a narrow character or a wide character.

Click to show or hide information. Find Whole Words Only

Finds occurrences that are complete words and not parts of larger words. For example, if you type for in the Find what box, all instances of for are found but forest is ignored.

Click to show or hide information. Found In

Shows the name of the shape, custom property, or user-defined cell in which matching text is found.

Click to show or hide information. Find Next

Finds and selects the next occurrence of the text in the Find what box.


Replace dialog box

Searches for and replaces specified text in shapes in the active drawing.

Click to show or hide information. Find What

Specifies the text you want to find. You can type or paste text into this field.

To search using text you previously searched for, click the down arrow and then choose the text from the list.

Click to show or hide information. Replace With

Specifies the text that you want to use as replacement text. You can type or paste text into this field.

To replace with text you previously used, click the down arrow and then choose the text from the list.

Click to show or hide information. Special

Displays a list of special characters for which you can search.

Click to show or hide information. Search

Selection Searches only the current selection.

Current page Searches only the current page.

All pages Searches all pages in the open drawing.

Click to show or hide information. Options

Match case Finds only those occurrences that have the exact combination of uppercase and lowercase letters specified in the Find what box.

Matches the case of letters as they were originally typed, regardless of whether the text has been formatted using Small Caps or All Caps formatting.

Match character width Finds only those occurrences that have the exact character width specified in the Find what box. For example, the Katakana alphabet can be represented with a narrow character or a wide character.

Find whole words only Finds occurrences that are complete words and not parts of larger words. For example, if you type for in the Find what box, all instances of for are found but forest is ignored.

Click to show or hide information. Replace

Replaces the Find what text with the Replace with text, and then finds the next occurrence.

Click to show or hide information. Replace All

Replaces all occurrences of the Find what text with the Replace with text.

Click to show or hide information. Find Next

Finds and selects the next occurrence of the text in the Find what box.


Page dialog box (Go To submenu)

Click to show or hide information. Select Page

Displays a list of background and foreground pages in the drawing file. The current page appears in the list, but is unavailable.

Click to show or hide information. Open Page In New Window

Select this check box to display the selected page in a new window.

Click to show or hide information. New

Click to display the Page Properties tab of the Page Setup dialog box so that you can create and then go to a new page.


Links dialog box

This dialog box manages the connection between linked objects and their source files.

Click to show or hide information. Links

Lists the path of the object, the source program used to create the linked object, and the Update option you specified.

To change information for a linked object, choose it from the list. You can then change its Update option, or you can click the Change Source button to change the file reference.

Click to show or hide information. Source

Lists the path of the object.

Click to show or hide information. Type

Lists either the source program used to create the linked object or the format of the object.

Click to show or hide information. Update

Specifies when to check the source file and update the information in the linked object.

Automatic The linked object is updated whenever you open the Visio drawing that contains it or whenever the source file is updated while you have the Visio drawing open.

Manual. The linked object is updated only when you click the Update Now button in this dialog box.

Click to show or hide information. Open Source

Opens the source program used to create the linked object.

Click to show or hide information. Change Source

Opens the Change Source dialog box, where you can change the source file of the linked object.

Click to show or hide information. Break Link

Breaks the link between the object and the source file. The object on the drawing page is changed to a Windows metafile; future changes to the original file will not affect the object. As a result, you can distribute the drawing containing the object without including the original file.

Click to show or hide information. Update Now

Checks the original file. If changes have been made since you last updated, those changes are applied to the object.


Convert dialog box

Click to show or hide information. Convert

Convert to Converts the embedded object from the current type of object to the type selected under Object type.

Activate as When you double-click the embedded object in the drawing, opens the object as the type selected under Object type.

Object type Lists the types of objects to which you can convert the embedded object.

Click to show or hide information. Result

Displays a message detailing the result you'll get by clicking OK.

Click to show or hide information. Display As Icon

Displays the object as an icon instead of displaying the object contents. When selected, the Change Icon button is displayed.


Page Setup dialog box (Drawing Scale tab)

Note Changes you make to options on this tab apply to the currently displayed drawing page only, not to the entire file.

Click to show or hide information. No Scale (1:1)

Click to specify that you are not creating a scaled drawing. If you select No scale on this tab and Same as printer paper size on the Page Size tab, the drawing page and printed drawing will match perfectly.

Note Changing the scale of a drawing page does not change the scale of a background page assigned to it.

Click to show or hide information. Pre-Defined Scale

Click to set the size of the drawing page to a predefined scale.

Architectural Changes the list to include measurements in US units, such as 3/32" = 1' 0".

Civil Engineering Changes the list to include measurements in US units, such as 1" = 10' 0".

Metric Changes the list to include standard metric scales such as 1:100.

Mechanical Engineering Changes the list to include standard engineering scales, such as 1/32:1.

Click to show or hide information. Custom Scale

Click to set a custom ratio of drawing page size to physical dimensions. For example, at 2 cm = 1 m, a shape that measures 2 centimeters on the printed page (when printed at 100 percent) measures 1 meter on the Visio rulers, and represents a real world object that is 1 meter long.

Click to show or hide information. Page Size (In Measurement Units)

Sets the real world size of the drawing page. Enter the physical dimensions of the area you're drawing; for example for a large room or for an entire floor you might enter 20 feet x 50 feet.

Click to show or hide information. Preview

Displays a thumbnail of how the printer paper and drawing page currently are set to work together.

In many cases, you want the printer paper and drawing page to exactly match. To do this, on the Page Size tab, choose Same as printer paper size.

Click to show or hide information. Printer Paper

Lists the current printer paper settings, including paper size and paper orientation.

Click to show or hide information. Drawing Page

Lists the current drawing page settings, including page size and page orientation. If these aren't the settings you want, you can change them on the Page Size tab.

Click to show or hide information. Print Zoom

Lists any reduction or enlargement that you have chosen.

This option only affects your printout; your actual drawing size is unchanged. However, if you reduced or enlarged a scaled drawing, you cannot use the printout to accurately measure real-world objects.


Page Setup dialog box (Page Properties tab)

Note Changes you make to settings on this tab apply to the currently displayed drawing page only, not to the entire file.

Click to show or hide information. Type

Lists properties for either the drawing page (the foreground page) or the background page.

Click to show or hide information. Name

To change the name of the drawing page, type a name containing up to 31 characters.

Click to show or hide information. Background

Lists the name of the background page in the drawing.

If you haven't created a background page, none will appear in the list.

Click to show or hide information. Measurement Units

Choose the measurement unit the Visio rulers should display on the page. Unless you specify different units here, the ruler units will be those specified in the drawing scale (on the Drawing Scale tab).

Click to show or hide information. Shape Shadow Offset

Specifies the position of shadows in relation to shapes. The shadow offset is the same for all shapes on a page that are formatted with shadows. To change the shadow offset, type new distances in the Right and Down boxes.

To position shadows above or to the left of a shape, type negative numbers in the Right and Down boxes.


Page Setup dialog box (Page Size tab)

Note Changes you make to options on this tab apply to the currently displayed drawing page only, not to the entire file.

Click to show or hide information. Same As Printer Paper Size

Click to match the drawing page size to the printer paper size, which is specified on the Print Setup tab.

Click to show or hide information. Pre-Defined Size

Sets the dimensions of the drawing page to a predefined paper type and size. When you select a different predefined paper type (Standard, Metric, and so on), the list below is updated to show the available sizes. If the Page orientation is Portrait, the width is listed first and then the height; if it's Landscape, the height is first, followed by the width.

Standard Changes the list to include standard paper sizes in US units, such as letter, legal, and so on.

Metric (ISO) Changes the list to include standard paper sizes in metric units, such as 210 mm x 149 mm.

ANSI Engineering Changes the list to include ANSI Engineering standard paper sizes in US units, such as 8.5 in x 11 in.

ANSI Architectural Changes the list to include ANSI Architectural standard paper sizes in US units, such as 9 in x 12 in.

Click to show or hide information. Custom Size

Sets the drawing page to a custom size. The default units used for the width and height (inches, millimeters, and so on) are based on the previous size setting. For example, if the previous size was 8.5in. x 11in., if you enter 2 x 2, Microsoft Visio sets the page size to 2 in. x 2 in.

For scaled drawing pages, the size shown is calculated using the scaled size and drawing scale, and shown in the appropriate units.

Click to show or hide information. Size To Fit Drawing Contents

Sets the drawing page to be just large enough to contain the shapes on the current page.

Click to show or hide information. Page Orientation

Specifies the drawing page orientation as either portrait Tall page or landscape Wide page. However, if Same as printer paper size is selected, this option is unavailable, but indicates the current paper orientation.

Changing the orientation of the drawing page does not change the paper orientation of the paper you print on. Look at the preview to see if your drawing page and printer paper are both the way you want.

Click to show or hide information. Preview

Displays a thumbnail of how the printer paper and drawing page are currently set to work together.

In many cases, you want the printer paper and drawing page to match exactly. To make this happen, on the Page Size tab, select Same as printer paper size.

Click to show or hide information. Printer Paper

Lists the current printer paper settings, including paper size and paper orientation.

Click to show or hide information. Drawing Page

Lists the current drawing page settings, including page size and page orientation. If these aren't the settings you want, you can change them on the Page Size tab.

Click to show or hide information. Print Zoom

Lists any reduction or enlargement that you have chosen.

This option only affects your printout; your actual drawing size is unchanged. However, if you reduced or enlarged a scaled drawing, you cannot use the printout to accurately measure real-world objects.


Page Setup dialog box (Print Setup tab)

Note Changes you make to options on this tab apply to all pages in the current file.

Click to show or hide information. Paper Size

Lists the paper sizes supported by the current printer. If you select Same as printer paper size on the Page Size tab, changing the paper size also changes the drawing page size.

Look at the preview to see if your drawing page and printer paper are both the way you want.

Click to show or hide information. Paper Orientation

Specifies the paper orientation as either portrait Tall page or landscape Wide page. If you select Same as printer paper size on the Page Size tab, changing the paper orientation also changes the drawing page orientation.

Look at the preview to see if your drawing page and printer paper are both the way you want.

Click to show or hide information. Setup

Opens the Print Setup dialog box, where you can select printing options, such as the margins, centering, printer, paper source, and so on.

Click to show or hide information. Adjust To

Reduces or enlarges the drawing page to a specified percentage of normal size for printing only; your actual drawing page size is unchanged. For example, to reduce a drawing to three quarters of its original size, type 75.

Look at the preview to see if your drawing page and printer paper are both the way you want.

Click to show or hide information. Fit To (Sheets Across By Sheets Down)

Fits each drawing in the print job on the specified number of sheets across and down. Depending on the number of pages and the margins you specify, the drawing is enlarged or reduced. If the pages across and down are not proportional to the drawing's dimensions, only those sheets needed to maintain the drawing's proportions are used.

Look at the preview to see if your drawing page and printer paper are both the way you want.

Click to show or hide information. Preview

Displays a thumbnail of how the printer paper and drawing page are currently set to work together.

In many cases, you want the printer paper and drawing page to match exactly. To make this happen, on the Page Size tab, click Same as printer paper size.

Click to show or hide information. Printer Paper

Lists the current printer paper settings, including paper size and paper orientation.

Click to show or hide information. Drawing Page

Lists the current drawing page settings, including page size and page orientation. If this isn't what you want, change options on the Page Size tab.

Click to show or hide information. Print Zoom

Lists any reduction or enlargement that you have chosen. To change this, choose a different option under Print zoom (all pages).

This option only affects your printout; your actual drawing size is unchanged. However, if you reduced or enlarged a scaled drawing, you cannot use the printout to accurately measure real-world objects.


Send To Exchange Folder dialog box

Click to show or hide information. Select A Folder

Specify a Microsoft Exchange or Microsoft Outlook folder to which to send your drawing. The drawing becomes an embedded object in that folder, after which you can open and edit it by double-clicking it.

Click to show or hide information. New Folder

Opens a dialog box where you can name a new folder.


Properties dialog box (General tab)

Displays details about the open file. The information is stored with the file and cannot be edited.

Click to show or hide information. Type

Indicates the kind of Microsoft Visio file that is open, such as Visio Drawing File.

Click to show or hide information. Location

Identifies the path to the folder where the open file is stored.

Click to show or hide information. Size

Indicates how many bytes the open file occupies on the drive.

Click to show or hide information. Based On

Lists the template on which the open file is based.


Properties dialog box (Summary tab)

Click to show or hide information. Title

Displays a descriptive title for the file. You can type up to 63 characters.

Click to show or hide information. Subject

Describes the contents of the file. You can type up to 63 characters.

Click to show or hide information. Author

Identifies the person who created or last updated the file. You can type up to 63 characters.

Click to show or hide information. Manager

Identifies the person in charge of the project or department. You can type up to 63 characters.

Click to show or hide information. Company

Identifies the company creating the drawing or the company that the drawing is for. You can type up to 63 characters.

Click to show or hide information. Category

Describes the drawing type, such as flowchart or office layout. You can type up to 63 characters.

Click to show or hide information. Keywords

Displays words (up to a total of 63 characters) that identify topics or other important information about the file, such as project name, client name, or version number.

Click to show or hide information. Description

Displays important information (up to 191 characters) about the file, such as its purpose, recent changes, pending changes, and so on.

Click to show or hide information. Hyperlink Base

Type the path that you want to use for relative hyperlinks (hyperlinks for which the linked file location is described in relation to the Microsoft Visio drawing). By default, a hyperlink's path is relative to the current document unless you type a different base path here. You can type up to 259 characters.

Click to show or hide information. Preview

Specifies to save a preview picture of one or all of the pages in the file. A preview of the first page appears when you use choose Preview from the Views menu in the Open dialog box and in Windows Quick View. Previews of all the pages appear in Quick View. Note, however, that Quick View is not available in Microsoft Windows 2000.

  • None Saves the file without a preview picture.
  • First page Saves a preview of the first page in the file.
  • All pages Saves a preview of all pages in the drawing.
  • If this option is not available, it means that Preview is checked in the Protect Document dialog box.

Click to show or hide information. Quality

Specifies the quality of the preview saved with the file.

  • Draft Saves the file with a preview picture of Microsoft Visio shapes only (does not show embedded objects, text, or gradient fills).
  • Detailed Saves the file with a preview picture of all objects.
  • If this option is not available, it means that Preview is checked in the Protect Document dialog box.


Properties dialog box (Contents tab)

Click to show or hide information. Document Contents

Displays a list of the contents of the file, including each page and the master shapes on it.


Page Setup dialog box (Layout And Routing tab)

Note Changes you make to settings on this tab apply to the currently displayed page only, not to the entire file.

Click to show or hide information. Style

Sets the default connector routing style for the page. Look at the preview for each style to see which style you want.

Click to show or hide information. Direction

For Flowchart, Tree, Organization Chart, or Simple connector routing styles you can set a direction or flow for your diagram. Look at the preview to see which direction you want.

Click to show or hide information. Separate

Specifies whether connector lines that are overlapped should be separated.

Unrelated Lines Specifies that if connector lines are currently overlapping, if the connectors do not connect to common shapes, they should be separated.

All Lines Specifies that if connector lines are overlapping, separate them.

No Lines Specifies that connector lines will not be separated.

Using Routing Style The routing style for a particular connector specifies how overlapping lines are separated.

Overlapped connectors that have been separated.

  1. Separate Unrelated Lines
  2. Separate All Lines
  3. Separate No Lines

Click to show or hide information. Overlap

Specifies whether connector lines that are separated should be overlapped.

Related Lines Specifies that if connector lines are currently not overlapping, if the connectors are connected to common shapes, they should overlap.

All Lines Specifies that if connector lines are near each other, overlap them.

No Lines Specifies that no connector lines should be overlapped.

Using Routing Style The routing style for a particular connector specifies how separated lines are overlapped.

Separated connectors that have been overlapped.

  1. Overlap Related Lines
  2. Overlap All Lines
  3. Overlap No Lines

Click to show or hide information. Add Line Jumps To

Specifies how line jumps are added to connectors on the page. A line jump is a small, uneditable symbol that appears on one of two crossing lines, indicating that the lines are crossed rather than connected.

None Specifies that the page use no line jumps.

Horizontal Lines Specifies that line jumps appear only on horizontal connector lines.

Vertical Lines Specifies that line jumps appear only on vertical connector lines.

Last Routed Line Specifies that line jumps appear on the connector you added or adjusted most recently.

Last Displayed Line Specifes that line jumps appear on the connector that is at the top of the stacking order.

First Displayed Line Specifies that line jumps appear on the connector that is at the bottom of the stacking order.

If you change this setting, you change line jumps on connectors that already exist on the page, as well as those on connectors you add later.

Click to show or hide information. Line Jump Style

Specifies what line jumps on this page look like.

Arc Arc style line jump

Gap Gap style line jump

Square Square style line jump

2 Sides 2 sides style line jump

3 Sides 3 sides style line jump

4 Sides 4 sides style line jump

5 Sides 5 sides style line jump

6 Sides 6 sides style line jump

7 Sides 7 sides style line jump

Click to show or hide information. Horizontal Size

Specifies how wide the line jumps on horizontal line segments are.

Click to show or hide information. Vertical Size

Specifies how tall the line jumps on vertical line segments are.

Click to show or hide information. Preview

Shows you what your current selections for routing style will look like when they are used in an appropriate drawing situation.

Click to show or hide information. Spacing

Opens the Layout & Routing Spacing dialog box in which you can specify the space between shapes, average shape size, space between connectors, and space between connectors and shapes.

Click to show or hide information. Move Other Shapes Away On Drop

Specifies that shapes on the page automatically move to allow placement of a shape that is dragged onto the page or moved or resized on the page.


Print dialog box (Ctrl+P)

Click to show or hide information. Name

Displays the name of the current printer. To change the printer, select another printer from the list.

Click to show or hide information. Properties

Opens a dialog box where you can specify printer properties such as paper size and orientation and print resolution. The options available depend on your printer. For details, see your printer's documentation.

Click to show or hide information. Status

Specifies whether the printer is busy or available, and whether the printer is or isn't the default printer.

Click to show or hide information. Type

Specifies the type of printer you will be printing to.

Click to show or hide information. Where

Specifies the location of the printer (its port or network location).

Click to show or hide information. Comment

Specifies additional information about the printer.

Click to show or hide information. Color As Black

Prints all colors as black to ensure that all shapes are visible in the printed drawing. This is useful if a monochrome printer translates very light colors in a drawing to white rather than a shade of gray.

Click to show or hide information. Print To File

Sends the information for printing to a file on disk, rather than to the printer. When you click OK, the Print To File dialog box opens in which you name the print file and specify where it should be saved. You can send the resulting print file from any computer connected to the printer specified for the drawing file, even if the Microsoft Visio product is not installed on that computer.

Click to show or hide information. All

Prints every page in the drawing file in the order in which the pages are stored in the file. This is the default setting.

Click to show or hide information. Current Page

Prints the currently displayed drawing page.

  • If the page is a foreground page, prints the entire drawing.
  • If the page is a background page, prints the background and the backgrounds on lower layers in the drawing, but does not print the foreground and backgrounds on higher layers in the drawing.
  • If you are in Print Preview mode, specifies to print the current tile.

Click to show or hide information. Pages (From To)

Prints only the specific range of pages identified by the values you type in the From and To boxes.

Click to show or hide information. Selection

Prints the currently selected shapes.

Click to show or hide information. Number Of Copies

Specifies how many copies to print (default is 1).


Print Setup dialog box

Click to show or hide information. Size

Lists the paper sizes supported by the current printer.

If you select Same as printer paper size on the Page Size tab of the Page Setup dialog box, changing the paper size also changes the drawing page size.

Click to show or hide information. Source

Lists paper trays, cassettes, manual feed, and other paper sources specific to the target printer.

Click to show or hide information. Orientation

Specifies the paper orientation as either Portrait Tall page or Landscape Wide page. If you select Same as printer paper size on the Page Size tab of the Page Setup dialog box, changing the paper orientation also changes the drawing page orientation.

Click to show or hide information. Left

Specifies the distance from the left edge of the paper to the left margin.

Click to show or hide information. Top

Specifies the distance from the top edge of the paper to the top margin.

Click to show or hide information. Right

Specifies the distance from the right edge of the paper to the right margin.

Click to show or hide information. Bottom

Specifies the distance from the bottom edge of the paper to the bottom margin.

Click to show or hide information. Center Horizontally

Centers a drawing that is smaller than the height of the paper between the left and right margins.

If the preview doesn't look the way you want, you might also want to use this option with the Size to fit drawing contents option on the Page Size tab.

Click to show or hide information. Center Vertically

Centers a drawing that is smaller than the height of the paper between the top and bottom margins or edges of the paper.

If the preview doesn't look the way you want, you might also want to use this option with the Size to fit drawing contents option on the Page Size tab.

Click to show or hide information. Adjust To

Reduces or enlarges the drawing to a specified percentage. For example, to reduce a drawing to three quarters of its original size, type 75.

Click to show or hide information. Fit To (Sheets Across By Sheets Down)

Fits each drawing in the print job on the number of sheets you specify across and down. Depending on the number of pages and the margins you specify, the drawing is enlarged or reduced. If the pages across and down are not proportional to the drawing's dimensions, only those sheets needed to maintain the drawing's proportions are used.

Click to show or hide information. Printer

Opens a dialog box where you can select the printer you want to use.


Routing Slip dialog box

Click to show or hide information. From

Displays your e-mail name, indicating that you are the one routing the drawing.

Click to show or hide information. To

Specifies the people (e-mail addresses) to whom you want to route the drawing. To add people, click Address to view your e-mail address book.

Click to show or hide information. Move

Rearranges the routing order. The first person on the list is the first person to whom the drawing will be routed. To rearrange the routing order, click an e-mail address, and then click the up or down Move arrow buttons.

Click to show or hide information. Address

Click to view your e-mail address book to add people to the To list.

Click to show or hide information. Remove

Click to remove the currently selected e-mail address from the To list.

Click to show or hide information. Subject

Identifies the text that will appear in the e-mail subject line.

Click to show or hide information. Message Text

Displays the text that will appear in the e-mail body.

Route To Recipients

Click to show or hide information. One After Another

Specifies to send the drawing to recipients one at a time.

Click to show or hide information. All At Once

Specifies to send the drawing to all recipients at the same time.

Click to show or hide information. Return When Done

Specifies that when the drawing has been routed to all people on the To list, the drawing will be returned to your e-mail address.

Click to show or hide information. Track Status

Specifies to track the routing status of the drawing—who received it, when it was received, and when it was routed to the next person.

Click to show or hide information. Clear

Specifies to delete everything in the To and Message text boxes.


Visio File Converter dialog box

Separators

Click to show or hide information. Field Separator

Select the character your text file uses to separate fields within records. The text import filter recognizes a comma, tab, or semicolon as valid field separators.

Click to show or hide information. Text Delimiter

Select whether your text file uses single or double quotation marks to enclose text strings.

Click to show or hide information. Comment Character

Select the character that marks a comment line that the filter can ignore during the conversion process. Valid comment characters are: semicolon (; [default]), number sign (#), exclamation point (!), forward slash (/), and backward slash (\).

Click to show or hide information. Merge Into Current Drawing

Select this check box to incorporate the text file into an existing drawing. To start a new drawing file, leave this box unchecked.


About Microsoft Visio dialog box

Specifies the version of Microsoft Visio you are using. Also includes copyright and trademark information, as well as system information and a disabled items list.


Show Drawing Page dialog box

Click to show or hide information. Select Page

Lists the drawing pages you can display.


Save as Web Page dialog box (General tab)

Pages to Publish

Click to show or hide information. Complete Visio Document

Saves all pages in a Visio drawing file.

Click to show or hide information. Page Number__Through__

Saves only the pages you specify.

Choose Functionality

Determines what features to include on the Web page.

Click to show or hide information. Property Viewer

Select to display custom properties of shapes you point to on the Web page.

Click to show or hide information. Page Tabs

Select to display page tabs for navigation between Web pages.

Click to show or hide information. Open Web Page In Browser

Select to open the saved Web page in your browser after you click OK.

Click to show or hide information. Format Options

Displays the Format Options dialog box, where you can specify the primary file output type and an alternate format in which to display graphics in older browsers.


Save as Web Page dialog box (Appearance tab)

Target Monitor

Click to show or hide information. Screen Size

Specifies the screen resolution of the monitor on which you expect the majority of your users to view the Web page.

Themes

Click to show or hide information. HTML Templates

Lists Web page themes provided by Microsoft Visio and those that you have created and stored in the …\Solutions\Visio Extras folder. You must select Custom in the HTML Templates list to make the Browse button available.

Click to show or hide information. Browse For Additional Themes

Displays the Open dialog box so that you can search your hard drives or local network for more themes.


Save as Web Page dialog box (Files tab)

File names and locations

Click to show or hide information. Use Long File Names Whenever Possible

Specifies to use file names longer than 8 characters for Web page files whenever the operating system permits.

Click to show or hide information. Organize Supporting Files In A Folder

Creates a subfolder that has the same name as the root HTML file folder in which to store supporting files for the Web page.


Format Options dialog box

Primary output type

Click to show or hide information. Output type list

Lists all file output types supported by your browser. If you select a format, such as VML, that requires a relatively new browser, the Provide alternate format for older browsers check box is made available.

Click to show or hide information. Provide Alternate Format For Older Browsers

If this check box is selected, output formats that are supported by all browsers supported by Microsoft Visio will be listed in the drop-down list box. When users who have older browsers view your Web page, the selected alternate output format is used.


BMP Output Options dialog box

General

Click to show or hide information. Data Compression

Reduces the amount of space or bandwidth needed to store file data.

  • None Uses no data compression.
  • RLE Uses RLE (Run-Length Encoding) compression, a fast and highly efficient method of storing data in which patterns in the bits representing information are translated into codes rather than being stored literally bit by bit and character by character. RLE compression works best with simple, black-and-white or flat-color graphics.

Click to show or hide information. Color Format

Controls the color depth of the exported file.

  • Bi-level The exported image will use a maximum of two colors (black and white).
  • 16 color The exported image will use a maximum of 16 colors.
  • 256 color The exported image will use a maximum of 256 colors.
  • 16-bit color The exported image will use a maximum of 65,656 colors.
  • 24-bit color The exported image will use a maximum of 16 million colors.

Click to show or hide information. Color Reduction

  • None Uses no color reduction.
  • Adaptive Creates a palette by sampling the colors from the spectrum appearing most commonly in the image.
  • Diffusion Converts an image by using an error-diffusion process, starting at the pixel in the upper left corner of the image. If the pixel's value is above middle gray (128), the pixel is changed to white—if below, to black. Because the original pixel is rarely pure white or pure black, error is inevitably introduced. This error is transferred to surrounding pixels and diffused throughout the image, resulting in a grainy, film-like texture. This option is useful for viewing images on a black-and-white screen.
  • Halftone Uses evenly spaced spots of varying diameter to produce apparent shades of gray. The darker the shade at a particular point in the image, the larger the corresponding spot in the halftone. Varying the size and density of the spots creates the illusion of variations of gray or continuous color. For a process color image, four halftone screens are used: cyan, magenta, yellow, and black—one for each ink used in the printing process.

Click to show or hide information. Background Color

Select a background color from the drop-down palette. The default is white.

Transformation

Click to show or hide information. Rotation

  • None Exports the shape or drawing without any rotation.
  • Rotate left Rotates the shape or drawing 90 degrees counter-clockwise.
  • Rotate right Rotates the shape or drawing 90 degrees clockwise.

Click to show or hide information. Flip Horizontal

Reverses the shape or drawing horizontally (around the y-axis) to produce a mirror image.

Click to show or hide information. Flip Vertical

Reverses the shape or drawing vertically (around the x-axis) to produce an upside-down image.

Resolution

Click to show or hide information. Screen

Bases the exported file's resolution on current screen resolution.

Click to show or hide information. Printer

Bases the resolution on current printer resolution and gives optimum printout results.

Click to show or hide information. Source

Specifies that the source program determine the resolution.

Click to show or hide information. Custom

Specifies a custom resolution. (Width x height dimensions should be somewhere between 32 and 400 pixels per inch.)

Size

Click to show or hide information. Screen

Bases the exported file's size on the screen size and places the largest possible image within the dimensions of the screen while maintaining the aspect ratio of the original drawing or shape.

Click to show or hide information. Printer

Bases the exported file's size on the currently selected printer paper size, and places the largest possible image within the dimensions of the paper size while maintaining the aspect ratio of the original drawing or shape.

Click to show or hide information. Source

Bases the exported file's size on the size of the source.

Click to show or hide information. Custom

Bases the exported file's size on the custom size (width x height) you enter and places the largest possible image within the custom dimensions while maintaining the aspect ratio of the original drawing or shape.


GIF Output Options dialog box

General

Click to show or hide information. Data Format

  • Non-interlace Refresh all video image lines with every sweep of the screen, each line in succession.
  • Interlace Refresh video image lines in alternate sweeps of the screen, first the odd-numbered lines, and then the even-numbered lines.

Click to show or hide information. Color Reduction

  • None Uses no color reduction.
  • Adaptive Creates a palette by sampling the colors from the spectrum appearing most commonly in the image.
  • Diffusion Converts an image by using an error-diffusion process, starting at the pixel in the upper left corner of the image. If the pixel's value is above middle gray (128), the pixel is changed to white—if below, to black. Because the original pixel is rarely pure white or pure black, error is inevitably introduced. This error is transferred to surrounding pixels and diffused throughout the image, resulting in a grainy, film-like texture. This option is useful for viewing images on a black-and-white screen.
  • Halftone Uses evenly spaced spots of varying diameter to produce apparent shades of gray. The darker the shade at a particular point in the image, the larger the corresponding spot in the halftone. Varying the size and density of the spots creates the illusion of variations of gray or continuous color. For a process color image, four halftone screens are used: cyan, magenta, yellow, and black—one for each ink used in the printing process.

Click to show or hide information. Background Color

Select a background color from the drop-down palette. The default color is white.

Click to show or hide information. Transparency Color

Select the Transparency color check box, and then select a transparent color from the drop-down palette. If the check box is selected, the default color is white.

Transformation

Click to show or hide information. Rotation

  • None Exports the shape or drawing without any rotation.
  • Rotate left Rotates the shape or drawing 90 degrees counterclockwise.
  • Rotate right Rotates the shape or drawing 90 degrees clockwise.

Click to show or hide information. Flip Horizontal

Reverses the shape or drawing horizontally (around the y-axis) to produce a mirror image.

Click to show or hide information. Flip Vertical

Reverses the shape or drawing vertically (around the x-axis) to produce an upside-down image.

Resolution

Click to show or hide information. Screen

Bases the exported file's resolution on current screen resolution.

Click to show or hide information. Printer

Bases the resolution on current printer resolution and gives optimum printout results.

Click to show or hide information. Source

Specifies that the source program determine the resolution.

Click to show or hide information. Custom

Specifies a custom resolution. (Width x height dimensions should be somewhere between 32 and 400 pixels per inch.)

Size

Click to show or hide information. Screen

Bases the exported file's size on the screen size and places the largest possible image within the dimensions of the screen while maintaining the aspect ratio of the original drawing or shape.

Click to show or hide information. Printer

Bases the exported file's size on the currently selected printer paper size, and places the largest possible image within the dimensions of the paper size while maintaining the aspect ratio of the original drawing or shape.

Click to show or hide information. Source

Bases the exported file's size on the size of the source.

Click to show or hide information. Custom

Bases the exported file's size on the custom size (width x height) you enter and places the largest possible image within the custom dimensions while maintaining the aspect ratio of the original drawing or shape.


JPG Output Options dialog box

General

Click to show or hide information. Operation

  • Baseline A simple or "baseline" JPEG file is stored as one top-to-bottom scan of the image.
  • Progressive JPEG divides the file into a series of scans. The first scan shows the image at the equivalent of a very low-quality setting, and therefore it takes very little space. Following scans gradually improve the quality. Each scan adds to the data already provided so that the total storage requirement is roughly the same as for a baseline JPEG image of the same quality as the final scan.

Click to show or hide information. Color Format

Controls the color depth of the exported file.

  • RGB color The exported image will use RGB (red, blue, green) color. RGB color describes color by three values from 0 (none) to 255 (full). A value of 0,0,0 equals black and 255,255,255 is white. Similarly, 255,0,0 is red.
  • YCC color The exported image will use YCC color, which is composed of a black-and-white signal and two color signals. YCC color can easily be converted to RGB or CMYK color.
  • Grayscale The exported image will use shades of gray—a sequence of shades ranging from black through white.
  • CMYK color The exported image will use CMYK (cyan-magenta-yellow-black.) color.

Click to show or hide information. Background Color

Select a background color from the drop-down palette. The default color is white.

Click to show or hide information. Quality

Sets the image quality from 0 to 100 percent, with quality increasing as the percentage increases.

Transformation

Click to show or hide information. Rotation

  • None Exports the shape or drawing without any rotation.
  • Rotate left Rotates the shape or drawing 90 degrees counterclockwise.
  • Rotate right Rotates the shape or drawing 90 degrees clockwise.

Click to show or hide information. Flip Horizontal

Reverses the shape or drawing horizontally (around the y-axis) to produce a mirror image.

Click to show or hide information. Flip Vertical

Reverses the shape or drawing vertically (around the x-axis) to produce an upside-down image.

Resolution

Click to show or hide information. Screen

Bases the exported file's resolution on current screen resolution.

Click to show or hide information. Printer

Bases the resolution on current printer resolution and gives optimum printout results.

Click to show or hide information. Source

Specifies that the source program determine the resolution.

Click to show or hide information. Custom

Specifies a custom resolution. (Width x height dimensions should be somewhere between 32 and 400 pixels per inch.)

Size

Click to show or hide information. Screen

Bases the exported file's size on the screen size and places the largest possible image within the dimensions of the screen while maintaining the aspect ratio of the original drawing or shape.

Click to show or hide information. Printer

Bases the exported file's size on the currently selected printer paper size, and places the largest possible image within the dimensions of the paper size while maintaining the aspect ratio of the original drawing or shape.

Click to show or hide information. Source

Bases the exported file's size on the size of the source.

Click to show or hide information. Custom

Bases the exported file's size on the custom size (width x height) you enter and places the largest possible image within the custom dimensions while maintaining the aspect ratio of the original drawing or shape.


PNG Output Options dialog box

General

Click to show or hide information. Data Format

  • Non-interlace Refresh all video image lines with every sweep of the screen, each line in succession.
  • Interlace Refresh video image lines in alternate sweeps of the screen, first the odd-numbered lines, and then the even-numbered lines.

Click to show or hide information. Color Format

Controls the color depth of the exported file.

  • Bi-level The exported image will use a maximum of two colors (black and white).
  • 16 color The exported image will use a maximum of 16 colors.
  • 256 color The exported image will use a maximum of 256 colors.
  • 24-bit color The exported image will use a maximum of 16 million colors.

Click to show or hide information. Color Reduction

  • None Uses no color reduction.
  • Adaptive Creates a palette by sampling the colors from the spectrum appearing most commonly in the image.
  • Diffusion Converts an image by using an error-diffusion process, starting at the pixel in the upper left corner of the image. If the pixel's value is above middle gray (128), the pixel is changed to white—if below, to black. Because the original pixel is rarely pure white or pure black, error is inevitably introduced. This error is transferred to surrounding pixels and diffused throughout the image, resulting in a grainy, film-like texture. This option is useful for viewing images on a black-and-white screen.
  • Halftone Uses evenly spaced spots of varying diameter to produce apparent shades of gray. The darker the shade at a particular point in the image, the larger the corresponding spot in the halftone. Varying the size and density of the spots creates the illusion of variations of gray or continuous color. For a process color image, four halftone screens are used: cyan, magenta, yellow, and black—one for each ink used in the printing process.

Click to show or hide information. Background Color

Select a background color from the drop-down palette. The default color is white.

Click to show or hide information. Transparency Color

Select the Transparency color check box, and then select a transparent color from the drop-down palette. If the check box is selected, the default color is white.

Transformation

Click to show or hide information. Rotation

  • None Exports the shape or drawing without any rotation.
  • Rotate left Rotates the shape or drawing 90 degrees counterclockwise.
  • Rotate right Rotates the shape or drawing 90 degrees clockwise.

Click to show or hide information. Flip Horizontal

Reverses the shape or drawing horizontally (around the y-axis) to produce a mirror image.

Click to show or hide information. Flip Vertical

Reverses the shape or drawing vertically (around the x-axis) to produce an upside-down image.

Resolution

Click to show or hide information. Screen

Bases the exported file's resolution on current screen resolution.

Click to show or hide information. Printer

Bases the resolution on current printer resolution and gives optimum printout results.

Click to show or hide information. Source

Specifies that the source program determine the resolution.

Click to show or hide information. Custom

Specifies a custom resolution. (Width x height dimensions should be somewhere between 32 and 400 pixels per inch.)

Size

Click to show or hide information. Screen

Bases the exported file's size on the screen size and places the largest possible image within the dimensions of the screen while maintaining the aspect ratio of the original drawing or shape.

Click to show or hide information. Printer

Bases the exported file's size on the currently selected printer paper size, and places the largest possible image within the dimensions of the paper size while maintaining the aspect ratio of the original drawing or shape.

Click to show or hide information. Source

Bases the exported file's size on the size of the source.

Click to show or hide information. Custom

Bases the exported file's size on the custom size (width x height) you enter and places the largest possible image within the custom dimensions while maintaining the aspect ratio of the original drawing or shape.


TIFF Output Options dialog box

General

Click to show or hide information. Data compression

Reduces the amount of space or bandwidth needed to store file data.

  • None Use no data compression.
  • Group 3 Use Group 3 compression, designed specifically for bi-level, black-and-white images for data telecommunications devices, such as FAX machines.
  • Packbits Use Packbits compression, which seeks repeated data values. Packbits is considered to be an RLE (Run-Length Encoding) compression scheme, which is not a good compression scheme for images that contain large color ranges, because these images will tend to have few runs of the same color.
  • Group 4 Use Group 4 compression, which is similar to Group 3 compression, but much more efficient. It is especially good for images scanned from textual documents.
  • LZW Use LZW (Lempel-Ziv-Welch) compression, the most commonly used method for compressing almost any type of data. LZW compression works by finding patterns of data to which it assigns codes. It works best on highly patterned images. Images that have irregular patterning, or noise, are not good candidates for this type of compression. LZW compression is commonly used in the Graphics Interchange Format (GIF) image format and the Tag Image File Format (TIFF) image format. LZW compression is also suitable for compressing text files.
  • Modified Huffman Use Modified Huffman compression, a method of compressing a given set of data based on the relative frequency of the individual elements.

Click to show or hide information. Color Format

Controls the color depth of the exported file.

  • Bi-level The exported image will be converted to a maximum of two colors (black-and-white).
  • 24-bit color The exported image will use a maximum of 16 million colors.
  • 16 color The exported image will use a maximum of 16 colors.
  • 16 color grayscale The exported image will use a maximum of 16 shades of gray.
  • 256 color The exported image will use a maximum of 256 colors.
  • 256 color grayscale The exported image will use a maximum of 256 shades of gray.

Click to show or hide information. Color Reduction

  • None Uses no color reduction.
  • Adaptive Creates a palette by sampling the colors from the spectrum appearing most commonly in the image.
  • Diffusion Converts an image by using an error-diffusion process, starting at the pixel in the upper left corner of the image. If the pixel's value is above middle gray (128), the pixel is changed to white—if below, to black. Because the original pixel is rarely pure white or pure black, error is inevitably introduced. This error is transferred to surrounding pixels and diffused throughout the image, resulting in a grainy, film-like texture. This option is useful for viewing images on a black-and-white screen.
  • Halftone Uses evenly spaced spots of varying diameter to produce apparent shades of gray. The darker the shade at a particular point in the image, the larger the corresponding spot in the halftone. Varying the size and density of the spots creates the illusion of variations of gray or continuous color. For a process color image, four halftone screens are used: cyan, magenta, yellow, and black—one for each ink used in the printing process.

Click to show or hide information. Background Color

Select a background color from the drop-down palette. The default color is white.

Transformation

Click to show or hide information. Rotation

  • None Exports the shape or drawing without any rotation.
  • Rotate left Rotates the shape or drawing 90 degrees counterclockwise.
  • Rotate right Rotates the shape or drawing 90 degrees clockwise.

Click to show or hide information. Flip Horizontal

Reverses the shape or drawing horizontally (around the y-axis) to produce a mirror image.

Click to show or hide information. Flip Vertical

Reverses the shape or drawing vertically (around the x-axis) to produce an upside-down image.

Resolution

Click to show or hide information. Screen

Bases the exported file's resolution on current screen resolution.

Click to show or hide information. Printer

Bases the resolution on current printer resolution and gives optimum printout results.

Click to show or hide information. Source

Specifies that the source program determine the resolution.

Click to show or hide information. Custom

Specifies a custom resolution. (Width x height dimensions should be somewhere between 32 and 400 pixels per inch.)

Size

Click to show or hide information. Screen

Bases the exported file's size on the screen size and places the largest possible image within the dimensions of the screen while maintaining the aspect ratio of the original drawing or shape.

Click to show or hide information. Printer

Bases the exported file's size on the currently selected printer paper size, and places the largest possible image within the dimensions of the paper size while maintaining the aspect ratio of the original drawing or shape.

Click to show or hide information. Source

Bases the exported file's size on the size of the source.

Click to show or hide information. Custom

Bases the exported file's size on the custom size (width x height) you enter and places the largest possible image within the custom dimensions while maintaining the aspect ratio of the original drawing or shape.


New Folder dialog box

Click to show or hide information. Folder name

Type the name for the new folder.


Open XML dialog box

Click to show or hide information. Do Not Show XML File Open Warnings In The Future

Select to avoid seeing this dialog box when you attempt to open XML files that contain unknown data.

Click to show or hide information. Show Log File

Opens a text file listing the errors in the XML file you attempted to open in Visio.


Save XML dialog box

Click to show or hide information. Do Not Show XML File Save Warnings In The Future

Select to avoid seeing this dialog box when you attempt to save XML files that contain unknown data.

Click to show or hide information. Show Log File

Opens a text file listing the errors in the XML file you attempted to save in Visio.


Send dialog box

Click to show or hide information. Route Drawing To <Next Routing Recipient>

Click to send the drawing to the next person on the routing slip (or back to the sender if you are the last recipient).

Click to show or hide information. Send Copy Of Drawing Without Using The Routing Slip

Click to forward a copy of the drawing to another person.


Choose Drawing Type dialog box

Click to show or hide information. Category

Click the category of drawing you want to create.

Click to show or hide information. Drawing Type

Illustrates the drawing types (called templates) available in the selected category. Double-click the picture of the drawing type you want to open.

Click to show or hide information. Tip

Pause the pointer over a preview to see a more detailed description of the drawing type.

Click to show or hide information. Browse Templates

Opens the Choose a Drawing Template dialog box, in which you can search for the template that you want.


Layer dialog box

Assigns the selected shape to one or more layers or removes a shape's layer assignment.

Click to show or hide information. On Layer(s)

Shows the layers to which the selected shape is assigned. The shape is assigned to the highlighted layers. To change the layer assignment, click a different layer name. To assign the shape to additional layers, press CTRL and click the layer names.

Click to show or hide information. Preserve Group Member Layers

Specifies that individual shapes in a group retain their current layer assignments.

For example, you might assign a desk to the furniture layer and a computer to the electronics layer and then group them. If you then assign the group to the den layer, the desk and computer retain their previous layer assignments.

If this option is not checked and you assign a group to a layer, all of the group members become members of the new layer. Their previous layer assignments are canceled.

Click to show or hide information. All

Assigns the selected shape to all layers.

Click to show or hide information. None

Assigns the selected shape to no layers.

Click to show or hide information. New

Opens the New Layer dialog box, in which you can type a name to create a new layer.


Text dialog box (Font tab)

Specifies font and style characteristics for selected text or for the selected shape's entire text block.

Click to show or hide information. Font

Displays a list of all the enabled fonts installed on your computer and in Microsoft Windows. To change a font, select from the list.

The symbol TT precedes TrueType fonts. A printer icon precedes printer fonts that are not TrueType fonts. Fonts that have neither icon are Windows fonts but are not TrueType. Microsoft Visio might not be able to scale or render Windows fonts as well as it does TrueType fonts. It will render printer fonts by using the closest TrueType font, which will always be Courier.

Click to show or hide information. <<

Displays a drop-down list box that lets you select the character set. Choices include ANSI (the default), Arabic, Baltic, Central European, Greek, Hebrew, Russian, Turkish, and Vietnamese.

Click to show or hide information. Size

Sets the point size of selected text. A point is a traditional measure used by typesetters and is equal to 1/72 of an inch.

Click to show or hide information. Color

Sets text color.

To assign a custom color, click More Colors. In the Colors dialog box, define the new color.

Click to show or hide information. Language

Sets the language you want. After you select a language (such as French), when you click the Spelling command, the appropriate dictionary (such as the French dictionary) is used to check the spelling of text.

Click to show or hide information. Case

Sets the way text appears.

Normal Displays text the way you type it—uppercase, lowercase, or a mixture of characters.

All Caps Displays all text characters as uppercase, regardless of how you type them.

Initial Caps Displays the first character of every word as an uppercase letter and all other characters lowercase, regardless of how you type them.

Small Caps Displays all lowercase characters as small capital letters (smaller than the specified point size), leaving uppercase characters full size.

Click to show or hide information. Position

Sets the text position.

Normal Aligns selected text horizontally on the baseline.

Superscript Raises selected text slightly above the baseline and reduces its point size.

Subscript Drops selected text slightly below the baseline and reduces its point size.

Click to show or hide information. Underline

Draws a line under selected text.

(none) Removes any underline from selected text.

Single Draws a single line under selected text.

Double Draws a double line under selected text.

Click to show or hide information. Transparency

Determines how opaque or transparent the text is. Zero percent is completely opaque, and 100 percent is completely transparent.

Style

Determines the style that is applied to text you type, or to selected text.

Click to show or hide information. Bold

Makes text heavier.

Click to show or hide information. Italic

Makes text slanted.

Click to show or hide information. Strikethrough

Draws a line through the center of the text.

Character Spacing

Sets the amount of space between two or more characters, and narrows or widens the characters themselves.

Click to show or hide information. Scale

Makes selected characters narrower when you specify a percentage that is less than 100 percent or wider when you specify a percentage greater than 100 percent. You can select from the list or enter a value from 1 percent to 600 percent.

Click to show or hide information. Spacing

Determines how to apply space between selected characters. Normal is the default. Expanded spreads the letters apart by the number of points specified in the By box. Condensed moves the letters closer together by the number of points specified in the By box.

Click to show or hide information. By

Sets the amount of space to expand or condense between selected characters. Enter a value in points from +1638 (expanded) to –1638 (condensed). A large negative number can cause letters to overlap. A point is a traditional measure used by typesetters and is equal to 1/72 of an inch.


Text dialog box (Paragraph tab)

Specifies alignment, indentation, and spacing for selected paragraphs of text or for the selected shape's entire text block.

Click to show or hide information. Horizontal Alignment

Displays the horizontal alignment of the text in relation to the text block margin. Select Left, Centered, Right, Justified, or Force Justified.

Left Starts each line of text at the left margin. The right side of the text is ragged.

Centered Centers each line of text between the left and right margins.

Right Positions the last character in each line at the right margin. The left side of the text is ragged.

Justified Adjusts the spacing between words and characters so that each line of text (except the last line of the paragraph) fills the space between the left and right margins.

Force Justified Adjusts the spacing between words and characters so that each line of text (including the last line of the paragraph) fills the space between the left and right margins.

Indentation

If you do not select any text in the text block, setting paragraph indentation indents all text in the text block. If you select a single paragraph, setting paragraph indentation indents just that paragraph.

Click to show or hide information. Left

Sets indentation of paragraph(s) from left margin.

Click to show or hide information. Right

Sets indentation of paragraph(s) from right margin.

Click to show or hide information. First

Sets indentation of first line of text relative to other lines in the same paragraph(s).

Spacing

Displays the paragraph and line spacing of a selected paragraph, or of the entire text block if no paragraph is selected.

Click to show or hide information. Before

Specifies the space inserted before a paragraph (except for the first paragraph in the text block). Traditionally, vertical spacing is measured in points. One point (abbreviated as pt.) equals 1/72 inch. If you prefer, you can type in another unit of measure.

Click to show or hide information. After

Specifies the space inserted after a paragraph (except for the last paragraph in the text block). If you specified a value for Before, the amount of space between paragraphs will equal the sum of the Before and After values. Traditionally, vertical spacing is measured in points. One point (abbreviated as pt.) equals 1/72 inch. If you prefer, you can type in another unit of measure.

Click to show or hide information. Line

Specifies the space between lines within a paragraph. You can specify a percentage of the type size; the default setting of 120 percent ensures that characters do not touch the line below. Alternatively, you can type an absolute size. (For example, if the font size is 12 points, and you want two points between lines, set line spacing to 14 points.)


Text dialog box (Text Block tab)

Sets the vertical alignment, margins, and background color for the selected text block.

Alignment

Click to show or hide information. Vertical

Specifies the vertical position of the text in relation to the top and bottom margins of the text block.

Top Aligns the top line of text with the top margin.

Middle Centers the text between the top and bottom margins so that the distance from the top line to the top margin equals the distance from the bottom line to the bottom margin.

Bottom Aligns the bottom line of text with the bottom margin.

Margins

Click to show or hide information. Top

Specifies the minimum distance between the text and the top edge of the text block.

Click to show or hide information. Bottom

Specifies the minimum distance between the text and the bottom edge of the text block.

Click to show or hide information. Left

Specifies the minimum distance between the text and the left edge of the text block.

Click to show or hide information. Right

Specifies the minimum distance between the text and the right edge of the text block.

Text Background

Specifies the characteristics of the text block background.

Click to show or hide information. None

Specifies an invisible (transparent) background that reveals shapes behind the text.

Click to show or hide information. Solid Color

Specifies the background color. Select More Colors to open the Colors dialog box and specify a custom background color.

Click to show or hide information. Transparency

Determines how opaque or transparent the background color is. Zero percent is completely opaque, and 100 percent is completely transparent.


Text dialog box (Tabs tab)

Adds, deletes, and adjusts tab stops for selected paragraphs or for a selected shape's entire text block.

You can add up to 60 tab stops, and you can delete tabs you no longer want.

Click to show or hide information. Tab Stops

Lists the current tab stops. The left side of the box lists tab positions, and the right side lists tab alignment.

Click to show or hide information. Tab Stop Position

Specifies the position of the particular tab stop selected in the Tab stops list.

Alignment

Sets the relationship of text to the tab stop itself.

Click to show or hide information. Left

Aligns text to the left of the tab stop.

Click to show or hide information. Right

Aligns text to the right of the tab stop.

Click to show or hide information. Center

Aligns text at the center of the tab stop.

Click to show or hide information. Decimal

Aligns the decimal point of numbers at the decimal point of the tab stop. (Aligns text to the left of the decimal point of the tab stop.)

Click to show or hide information. Default Tab Stops

Sets the distance between default tab stops for the selected shape. If you press TAB when the insertion point is past the previous tab stop, the new text is positioned at the next multiple of the default tab stop.

Click to show or hide information. Add

Adds a new tab stop that is separated from the previous one by the amount specified in the Default tab stops box.

Click to show or hide information. Modify

Sets the tab stop selected in the Tab stops list to the value you specify in the Tab stop position box.

Click to show or hide information. Remove

Clears the tab stop selected in the Tab stops list.

Click to show or hide information. Remove All

Clears all tab stops in the selected shape.


Text dialog box (Bullets tab)

Specifies bullet options for selected paragraphs in a text block or for the entire text block of a selected shape.

Click to show or hide information. None

Removes bullet formatting from text.

Click to show or hide information. Other options

Apply bullet formatting as indicated by the icons.

Click to show or hide information. Custom

Type a custom bullet character or characters.


Corner Rounding dialog box

Displays buttons that apply different degrees of corner roundness to a selected shape or shapes. You can click a predesigned rounded corner or type a value (up to 1) to specify a custom corner.

When you perform operations such as fragmenting and intersecting on shapes that have round corners, round corners are replaced by arcs.

Click to show or hide information. Rounding

Rounds the corners of the selected shape or shapes—the higher the number, the rounder the corners. You can enter a value (up to 1).


Fill dialog box (F3)

Applies fills and shadows to selected shapes. Closed shapes can have fills and shadows. Open shapes can have shadows but no fill.

Fill

Click to show or hide information. Color

Displays the current background color (the color that will appear behind the dots and lines that make up the pattern for the selected shape's fill.) Select a new background color from the list, or click More Colors to select a custom color in the Colors dialog box.

Click to show or hide information. Pattern

Displays the current pattern for the selected shape's fill. Select a new pattern, which can be blank or transparent (None or pattern 0), solid (pattern 1), a bitmap pattern (patterns 2 through 24), or a gradient pattern (patterns 25 through 40).

Click to show or hide information. Pattern color

Displays the foreground color (the color applied to the dots and lines that make up the pattern) for the selected shape's fill. Select a new foreground color from the list, or click More Colors to select a custom color in the Colors dialog box.

Click to show or hide information. Transparency

To set the transparency of the fill from 0 percent to 100 percent, move the slider. If you set the transparency of the shape's fill, line, text, text block, and shadow to 100 percent, you can create a transparent shape.

Shadow

Displays the foreground and background colors for the shadow of the selected shape.

Your choice of shadow options is affected by your choice of fill options—for example, if you choose None for Pattern, any shadow you apply will appear as a line instead of solid.

Click to show or hide information. Color

Displays the background color that will appear behind the dots and lines that make up the shadow of the selected shape. Select a new background color from the list, or click More Colors to select a custom color in the Colors dialog box.

Click to show or hide information. Pattern

Displays the pattern for the shadow of the selected shape. Select a new pattern, which can be blank or transparent (None or pattern 0), solid (pattern 1), or a bitmap pattern (patterns 2 through 24). If you select None in the Pattern list, you will delete an existing shadow. If you select None, you cannot apply Color or Pattern Color options.

Click to show or hide information. Pattern Color

Displays the foreground color for the dots and lines that make up the shadow of the selected shape. Select a new foreground color from the list, or click More Colors to define a custom color in the Colors dialog box.

Click to show or hide information. Transparency

To set the transparency of the shadow from 0 percent to 100 percent, move the slider.

Preview

Displays a preview of your Fill and Shadow selections.


Shadow dialog box

Applies or changes the shadow for selected shapes.

Shadow

Click to show or hide information. Color

Determines the shadow background color of the selected shape. For example, in a grid pattern, the spaces between the grid show the color. Select a new background color from the list, or click More Colors to define a custom color in the Colors dialog box.

Click to show or hide information. Pattern

Determines the shadow pattern. Select None to delete an existing shadow.

Click to show or hide information. Pattern Color

Determines the shadow pattern (foreground) color. For example, in a grid pattern, the grid displays the pattern color. Select a new foreground color from the list, or click More Colors to define a custom color in the Colors dialog box.

Click to show or hide information. Transparency

Move the slider to set the transparency of the shadow from 0 percent to 100 percent.

Preview

Displays a preview of your Shadow selections.


Style dialog box

Applies styles to selected shapes. The styles listed in the dialog box are the same as those listed in the style lists on the Format Text toolbar and Format Shape toolbar.

Click to show or hide information. Text Style

Lists styles that contain text formats.

Click to show or hide information. Line Style

Lists styles that contain line formats.

Click to show or hide information. Fill Style

Lists styles that contain fill formats.

Click to show or hide information. Preserve Local Formatting

If you check this box, when you select a style from the Text style, Line style, or Fill style lists, the formatting you've previously applied to the selected shapes will not be overwritten. For example, if a text style specifies italic text, and you click the Bold button to make the text bold, the text is formatted as both bold and italic.


Define Styles dialog box

Creates, edits, renames, or deletes styles.

Style

Click to show or hide information. Name

Displays a list of existing styles, as well as any new styles you create. If a shape is selected, the style for that shape appears in the Name box.

Click to show or hide information. Based On

Displays the style on which the selected style (in the Name box) is based.

Click to show or hide information. Add/Change

When you finish defining a new style or revising an existing style, click this button to add the new or revised style to the Name list but keep the dialog box open so that you can continue to create and edit styles.

Click to show or hide information. Delete

Deletes the style selected in the Name list. If a shape was formatted with the deleted style, it is reformatted with the Based on style, and as a result, its appearance might change. Any local formatting previously applied to the shape is preserved.

Click to show or hide information. Rename

Opens the Rename Style dialog box, which displays the name of the style selected in the Name list.

Includes

Click to show or hide information. Text

Indicates whether the selected style includes attributes for text.

Click to show or hide information. Line

Indicates whether the selected style includes attributes for lines.

Click to show or hide information. Fill

Indicates whether the selected style includes attributes for fills.

Change

Click to show or hide information. Text

Opens the Text dialog box, in which you can define text attributes for the style.

Click to show or hide information. Line

Opens the Line dialog box, in which you can define line attributes for the style.

Click to show or hide information. Fill

Opens the Fill dialog box, in which you can define fill attributes for the style.

If a style is selected in the Name box, the Text, Line, and Fill dialog boxes display the current style's attributes; if no style is selected, the dialog boxes display either default attributes or attributes for the style in the Based on box.

Click to show or hide information. Hidden Style

Select this check box to hide the selected style. The style name will not appear in the styles list; it will only be available from the Define Styles dialog box and in the Drawing Explorer window.

Click to show or hide information. Preserve Local Formatting On Apply

If you select this check box and you click the Apply button, your Microsoft Visio product applies the style to the selected shapes but keeps any formatting you've already applied, such as making text bold.

If you clear this check box and you click the Apply button, Visio applies the style to the selected shapes and removes any local formatting the shapes contained. For example, if you made a shape's text bold and then selected a style that didn't specify bold text, the bold formatting would be removed.


Protection dialog box

Protect

Specifies the characteristics of a selected shape that you want to lock.

Click to show or hide information. Width

Locks the selected shape's width to prevent resizing. To lock a 1-D shape against rotation, you must lock its width.

Click to show or hide information. Height

Locks the selected shape's height to prevent resizing.

Click to show or hide information. Aspect Ratio

Locks the ratio between a shape's height and width so that its proportions won't change when you resize it.

Click to show or hide information. X Position

Locks the x (horizontal) position of a shape so that it can't be moved.

Click to show or hide information. Y Position

Locks the y (vertical) position of a shape so that it can't be moved.

Click to show or hide information. Begin Point

Locks the begin point of a 1-D shape to a specific location so that it can't be moved.

Click to show or hide information. End Point

Locks the end point of a 1-D shape to a specific location so that it can't be moved.

Click to show or hide information. Rotation

Locks a shape so that you can't rotate it by using the rotation tool. You can still rotate a 1-D shape by dragging its endpoints. To lock a 1-D shape against rotation, you must lock its width.

Click to show or hide information. From Selection

Locks the shape so it cannot be selected. For this setting to take effect, you must also check Shapes in the Protect Document dialog box.

Click to show or hide information. From Deletion

Locks the shape so it cannot be deleted.

Click to show or hide information. All

Locks all options under Protect.

Note The Protection section in the ShapeSheet spreadsheet includes protection options not available in the Protection dialog box, such as locking against cropping, editing with any drawing tool, text editing and formatting, group editing, and recalculation of height and width when you size the shape.

Click to show or hide information. None

Unlocks all options under Protect.


Behavior dialog box (Double-Click tab)

Specifies what happens when a shape is double-clicked.

Click to show or hide information. Perform Default Action

Specifies that double-clicking the shape activates the default action for the shape, such as opening the text block so you can edit the text.

Click to show or hide information. Perform No Action

Specifies that double-clicking the shape results in no action.

Click to show or hide information. Edit Shape's Text

Specifies that double-clicking the shape opens the shape's text block.

Click to show or hide information. Open Group In New Window

Only available when a group is selected. Specifies that double-clicking a group opens it in a new group window.

Click to show or hide information. Open Shape's ShapeSheet

Specifies that double-clicking a shape opens its ShapeSheet spreadsheet.

Click to show or hide information. Custom

Indicates whether double-clicking a shape performs custom behavior that has been entered in the ShapeSheet spreadsheet, in the Events section, in the EventDblClick cell.

Click to show or hide information. Display Help

Specifies that double-clicking the shape displays a Help topic for the shape. This topic can differ from the one that appears when you right-click the shape, and then choose Help. The syntax you must use is as follows:

FILENAME!keyword or FILENAME!#Number

filename is the Windows help file (either an .hlp or a .chm file).

keyword is the index term associated with the help topic.

number is a numeric ID that is referenced in the MAP section of the help project file.

Click to show or hide information. OLE Verb

Specifies that double-clicking an OLE object activates OLE options, such as opening the source program so that you can edit the object.

Click to show or hide information. Run Macro

Specifies that double-clicking the shape runs the macro you select from the list.

Click to show or hide information. Go To Page

Specifies that double-clicking the shape displays a specific drawing page.

Click to show or hide information. Open In New Window

Specifies that double-clicking the shape displays the drawing page in a new window.


Behavior dialog box (Behavior tab)

Specifies shape behavior.

Click to show or hide information. Interaction Style

Specifies whether a shape behaves like a line (1-D) shape or like a box (2-D) shape.

Click to show or hide information. Selection Highlighting

Specifies whether shape handles, control handles, and an alignment box are displayed when a shape is selected.

Click to show or hide information. Resize Behavior

Determines how a shape or other object within a group is resized when you resize the group.

Click to show or hide information. Miscellaneous

When Non-printing shape is selected, the shape still appears on the screen, but when you print the drawing, it does not appear on the printed drawing.

When Add Shape To Groups On Drop is selected, when you drag the shape onto an existing group, the shape becomes part of the group. You must also select the Accept Dropped Shapes option under Group behavior.

Click to show or hide information. Group Behavior

When Snap to member shapes is selected, specifies that you can snap and glue to shapes within a group.

When Edit text of group is selected, specifies that you can edit the text of a group.

When Accept Dropped Shapes is selected, specifies that the group will accept shapes that are dragged onto it, incorporating the dragged shapes into the group. You must also select the Add shape to groups on drop option under Miscellaneous for the individual shapes.

Click to show or hide information. Selection

Specifies what happens when you select a group.

Group only specifies that when you click a group, only the group is selected; you cannot select the individual shapes within a group.

Group only selection behavior

When a shape in the group is selected, the entire group is selected. Individual shapes cannot be selected.

Group first specifies that when you click a group, the group is selected first. If you click again, you can select an individual shape.

Group first selection behavior

When a shape in a group is selected, the entire group is selected.

Selecting a shape in a group that has group first selection behavior

When a shape in a group is clicked twice, the individual shape is selected.

Members first specifies that when you click a group, you select the individual shape that you're pointing to. You must click the bounding box around the group to select the group itself.

Individual shape selected first with members first selection behavior

When a shape in the group is selected, the individual shape is selected first.

Entire group selected with members first selection behavior

When a shape in the group is clicked twice, the entire group is selected.

Click to show or hide information. Group Data

Sets the group display order for text or shapes you've created with the drawing tools.

Hide specifies to hide the group's text or shapes that you've created by using the drawing tools except for a group's connection points or control handles.

Behind member shapes specifies to place the group's components behind the shapes within the group. For example, if the group contains text, the text will be displayed behind the grouped shapes.

In front of member shapes specifies to place the group's components in front of the shapes in the group. For example, if the group contains text, the text will be displayed in front of the grouped shapes.


Special dialog box

Identifies the selected shape and includes several text boxes where you can type information about the shape.

Click to show or hide information. ID

Specifies the sequential ID number assigned to the selected shape. The number is based on the order in which you created the shapes: the first shape you create in the drawing is 1, the second is 2, and so on.

Click to show or hide information. Master

If the shape is an instance of a master, displays the name of the master.

Click to show or hide information. Type

Identifies the type of shape or other object.

Click to show or hide information. Name

Identifies the shape by its default Microsoft Visio name or by a name you assign. You can type up to 31 characters for the name.

Note You cannot use the open rounded bracket ( { ) as the first character of a shape name.

Click to show or hide information. Help

Makes the Help command on the shape's shortcut (right-click) menu available by associating the selected shape with a help keyword. Use the following syntax:

FILENAME!keyword or FILENAME!#Number

filename is the Windows help file (either an .hlp or a .chm file).

keyword is the index term associated with the help topic.

number is a numeric ID that is referenced in the MAP section of the help project file.

Note The default folder for shape and stencil Help files is the Help folder. You can change the default folder on the File Paths tab of the Options dialog box. That folder remains the default until you change it again.

Click to show or hide information. Copyright

Displays copyright information for the selected shape.

Click to show or hide information. Data 1, Data 2, and Data 3

Type information about the shape. You can type up to 64 KB of data in each box.

Note If you create a text field in a shape, one option under Category is Object Info. The information you enter in the Special dialog box appears in the Object Info fields (Data 1, Data 2, Data 3, ID, Master, Name, and Type).


Line dialog box (SHIFT+F3)

Applies formatting such as pattern, weight, color, ends, and corner rounding to lines and arcs in the selected shape.

Line

Click to show or hide information. Pattern

From the list, select none, solid lines, dashed lines, or a mixed pattern.

Click to show or hide information. Weight

From the list, select the line thickness you want, or specify a custom line thickness.

Click to show or hide information. Color

Select from among the colors available in the Microsoft Visio color palette.

To add a new color to the color palette, click More Colors, and then, in the Colors dialog box, define the new color.

Click to show or hide information. Cap

Select round or square line caps to have the end of a line appear rounded or squared. You can see this setting only if the line weight is very thick.

Click to show or hide information. Transparency

To set the transparency of the selected line from 0 percent to 100 percent, move the slider.

Line Ends

Click to show or hide information. Begin

Select the line end you want for the begin point of the selected shape.

Click to show or hide information. End

Select the line end you want for the end point of the selected shape.

Click to show or hide information. Begin Size

Specify the size of the begin point of the selected shape.

Click to show or hide information. End Size

Specify the size of the end point of the selected shape.

Round Corners

Click to show or hide information. Rounding

Rounds the corners of the selected shape or shapes—the higher the number, the rounder the corners. You can click a predesigned rounded corner or type a value (up to 1) to specify a custom corner.

Preview

Displays a preview of your selections.


Behavior dialog box (Connector tab)

Specifies the behavior of a dynamic connector.

Line Routing

Click to show or hide information. Style

Sets the routing style for the selected connector. Look at the preview to see which style you want.

Click to show or hide information. Direction

For some connector routing styles (Flowchart, Tree, Organization Chart, and Simple), you can set the direction or flow of the routing style. Look at the preview to see which direction you want.

Click to show or hide information. Reroute

Specifies when the selected connector is rerouted.

Freely The connector is rerouted whenever needed. This is the default setting for a dynamic connector.

As Needed The connector is rerouted when a placeable shape is moved onto its path or when a leg of the connector would cross through a shape to which it is connected.

On Crossover The connector is rerouted when a leg of the connector would cross through a shape to which it is connected. When you manually change the path of a connector, the connector is assigned this setting.

Never The connector will never reroute, even when a leg of the connector crosses through a shape to which it is connected.

Click to show or hide information. Appearance

Specifies whether connectors are straight or curved. Look at the preview to see which style you want.

Line Jumps

Click to show or hide information. Add

Specifies when to add line jumps to the selected connector. This setting interacts with the Add line jumps to option on the Layout and Routing tab of the Page Setup dialog box.

As page specifies Adds a line jump to the selected connector as specified by the page setting. For example, if the selected connector is a horizontal connector and the page setting is Horizontal Lines, the selected connector will have a line jump when it crosses a vertical connector.

Never Prevents line jumps on the selected connector, even if the connector would normally receive one. For example, if the selected connector is a horizontal connector and the page setting is Horizontal Lines, the selected connector will never have a line jump, even when it crosses a vertical connector.

Always Adds a line jump to the selected connector, even if the connector normally would not have one. For example, if the selected connector is a horizontal connector and the page setting is Vertical Lines, the selected connector will have a line jump when it crosses a vertical connector.

Always to other Prevents line jumps on the selected connector and adds line jumps to the crossed connector. For example, if the selected connector is a horizontal connector and the page setting is Horizontal Lines, the selected connector will not have a line jump when it crosses a vertical connector, but will force the vertical connector to have a line jump.

To neither Prevents line jumps on both the selected connector and any connector it crosses.

Click to show or hide information. Style

Specifies the appearance of line jumps for the selected connector.

Arc Arc style line jump

Gap Gap style line jump

Square Square style line jump

2 Sides 2 sides style line jump

3 Sides 3 sides style line jump

4 Sides 4 sides style line jump

5 Sides 5 sides style line jump

6 Sides 6 sides style line jump

7 Sides 7 sides style line jump


Behavior dialog box (Placement tab)

Specifies the behavior of 2-D shapes during automatic layout.

Click to show or hide information. Placement Behavior

Determines how a 2-D shape interacts with a dynamic connector, and whether it's included in an automatic layout. You can specify that a dynamic connector can detect the 2-D shape and route around it rather than cross through it. A 2-D shape that's included in automatic layout and that a dynamic connector can detect is called a placeable shape.

Let Visio decide Allows your Microsoft Visio product to determine when to make the shape placeable, based on the type of connector you glue to the shape. The shape becomes placeable if you glue a dynamic connector to it.

Layout and route around Makes a 2-D shape placeable in all cases. A dynamic connector always detects it, and it is always included in an automatic layout.

Do not layout and route around Sets a 2-D shape so that it's never placeable. A dynamic connector cannot detect it, and it is not included in an automatic layout.

Click to show or hide information. Placement

Do Not Move During Placement Specifies that the shape should not be moved during automatic layout.

Allow Other Shapes To Be Placed On Top Specifies that other shapes can be placed on top of the selected shape during automatic layout.

Click to show or hide information. Move Shapes On Drop

Move other shapes away on drop Specifies whether the shape moves other shapes out of the way as it is moved on the page. This option can override the Move other shapes away on drop option on the Layout and Routing tab in the Page Setup dialog box.

Plow as page specifies means the shape follows the page settings.

Plow no shapes means the shape never moves other shapes away, even if the Move other shapes away on drop option is selected on the Layout and Routing tab.

Plow every shape means the shape always moves other shapes away, even if the Move other shapes away on drop option is not selected on the Layout and Routing tab.

Do not allow other shapes to move this shape away on drop Specifies that the selected shape not be moved when other shapes are dragged onto the page regardless of which Move other shapes away on drop option is selected.

Click to show or hide information. Interaction With Connectors

Route through horizontally Specifies that a dynamic connector can route through the 2-D shape (a line through the middle) horizontally.

Route through vertically Specifies that a dynamic connector can route through the 2-D shape (a line through the middle) vertically.


Kumimoji dialog box

Click to show or hide information. Kumimoji Text

Specifies the western text (letters, numbers, dates, times, and so on) that you want to format as horizontal within Japanese, Chinese, or Korean vertical text.

Click to show or hide information. Set

Sets the selected text as Kumimoji horizontal text.

Click to show or hide information. Clear

Removes the Kumimoji horizontal text formatting and makes the text vertical again.


Rename Style dialog box

Click to show or hide information. Style Name

Type a new name for the selected style.


Custom Line Weight dialog box

Click to show or hide information. Line Weight

Specifies the custom line weight in points. A point is a traditional measure used by typesetters and is equal to 1/72 of an inch.


Transparency dialog box

Click to show or hide information. Shape Transparency


Picture dialog box

Click to show or hide information. Contrast

Drag the slider to set the contrast (the degree of difference between the lightest and darkest parts of the picture) or type a percentage in the box. The higher the percentage, the more intense the colors in the picture. The lower the percentage, the more similar the colors.

Click to show or hide information. Brightness

Drag the slider to set the brightness (amount of black or white added to the colors) or type a percentage in the box. The higher the percentage, the lighter (more white) the colors in the picture. The lower the percentage, the darker (more black) the colors.

Click to show or hide information. Gamma

Drag the slider to adjust the gray levels (midtones), or type a number in the box. The higher the number, the lighter the midtones. Adjusting the gamma setting produces an effect that is similar to adjusting the brightness, but it tends to bring out more detail in the shadows. Some devices, such as scanners and digital cameras, have a characteristic device gamma that you can adjust using this option.

Click to show or hide information. AutoBalance

Automatically adjusts the brightness, contrast, and gamma settings for the selected picture. This button is dimmed for bitmap images that are not photographs (for example, screenshots).

Click to show or hide information. Transparency

Drag the slider to set the transparency, or type a percentage in the box. Zero percent is completely opaque, and 100 percent is completely transparent.

Click to show or hide information. Blur

Drag the slider to soften hard edges or areas to reduce detail, or type a percentage in the box. The higher the percentage, the softer the picture.

Click to show or hide information. Sharpen

Drag the slider to focus soft edges to increase clarity or focus, or type a percentage in the box. The higher the percentage, the sharper the picture.

Click to show or hide information. Denoise

Drag the slider to remove noise (speckling), or type a percentage in the box. Removing noise tends to blend areas of the picture. The higher the percentage, the less noise in the picture. Use this option to reduce the noise that might appear in scanned images or images received through wireless transmissions.

Click to show or hide information. Live Preview Updates

Updates the preview image as you drag the sliders.


Insert Object dialog box

Inserts objects from other programs into a Microsoft Visio drawing. You can either open another program from within Visio and create a new object or insert an existing file into Visio.

Click to show or hide information. Object Type

Lists the types of objects that you can link or embed from an OLE-compatible program. The items in the list depend on which OLE-compatible applications are installed on your computer.

Click to show or hide information. Create New

Opens the corresponding program and creates the object you want to insert.

Click to show or hide information. Create From File

Inserts an existing file. To link the object to your Visio drawing, select the Link to file check box.

Click to show or hide information. Display As Icon

Displays the linked or embedded object as an icon instead of inserting the content. Also displays the Change Icon button.

Click to show or hide information. Change Icon

Appears when Display as icon is checked. Opens the Change Icon dialog box where you can choose between the current icon, a default icon, or an icon from a bitmap file. You can also change the Label for the icon.


Hyperlinks dialog box

Creates a link between a shape or drawing page and another drawing page, another file, or a World Wide Web site.

Click to show or hide information. Address

Indicates the full path to the file or URL.

Click to show or hide information. Browse

Click Internet Address to open your browser or Local File to open the Link to File dialog box to locate the path to the URL or file to which you want to link.

Click to show or hide information. Sub-Address

Specifies the location in a file or Web site to which you want to link, such as a specific page or anchor. If you are linking to a Visio drawing, click Browse to open the Hyperlink dialog box, and select a drawing page from the list.

Click to show or hide information. Browse

Click to open the Hyperlink dialog box to link to a particular page and shape in a Visio drawing.

Click to show or hide information. Description

Specifies a name for the link that appears when the link is displayed in the shortcut (right-click) menu of the shape or page. For example, "Link to our pricing Web site."

Click to show or hide information. Use Relative Path For Hyperlink

A relative path describes the location of the linked file in relation to the Microsoft Visio drawing. You can move the Visio drawing and the linked file together (that is, move the entire path structure) without breaking the link. An absolute path spells out the exact location of the linked file in terms of drives and folders. You can move the Visio drawing file without affecting an absolute path, but if you move the linked file, you must reset the path. To specify an absolute path, clear the Use relative path for hyperlink check box.

Click to show or hide information. Hyperlink List

Lists all hyperlinks found in the current selection.

Click to show or hide information. New

Adds a new hyperlink to the current selection based on the information you entered in the Address, Sub-Address, and Description boxes.

New links are always added to the end of the list; you cannot sort or rearrange the links in the list.

Click to show or hide information. Delete

Deletes the selected hyperlink.

Click to show or hide information. Default

Makes the selected hyperlink the default link. Use this option primarily when you are linking between Visio and another program that supports only a single hyperlink.


Field dialog box

Inserts a text field into a text block.

Click to show or hide information. Category

Lists the field categories. Insert a text field to display information in drawings.

Custom Formula Enter ShapeSheet functions to create a formula.

Date/Time Uses system information to track the Creation Date, Creation Time, Current Date, Current Time, Last Edit Date, Last Edit Time, Print Date, and Print Time.

Document Info Uses information entered in the Properties dialog box to track Creator, Description, Directory, Filename, Keywords, Subject, Title, and Manager.

Geometry Uses the shape's width, height, and angle information. Use the Width field for dimension lines or the Angle field to show how far a shape is rotated from its original position. Use any Geometry field to automatically update technical specifications in a drawing.

Object Info Uses information entered in the Special dialog box to track Data 1, Data 2, Data 3, ID, Master, Name, and Type.

Page Info Uses information entered in the Properties or Page Properties tab of the Page Setup dialog box to track Background, Name, Number of Pages, and Page Number.

Custom Properties Uses custom properties stored in the Custom Property section of the selected shape's ShapeSheet spreadsheet. You define Custom Properties to associate the type of information you want with a shape. For example, you can associate a serial number with a piece of equipment.

User-Defined Cells Uses information entered in the Value cell of the User-defined Cells section in the shape's ShapeSheet spreadsheet.

Click to show or hide information. Field

Lists the fields within the selected category. For example, if you select Geometry, the Field list displays options for Height, Width, and Angle.

Click to show or hide information. Format

Determines the format of the selected field. For example, if you select Angle in the Field list, you can select General, Radians, or Degrees.

Click to show or hide information. Custom Formula

If you select Custom Formula as the category, enter the formula in the formula box. To create a formula, use the same functions you use in the ShapeSheet spreadsheet.


Comment dialog box

Click to show or hide information. Comment

Specifies the comment (ScreenTip) to display for the selected shape or page.


Hyperlink dialog box

Click to show or hide information. Page

Specifies the page in the file to which you want to link.

Click to show or hide information. Shape

Specifies the shape on the page to which you want to link. This is optional.

Click to show or hide information. Zoom

Specifies whether you want to zoom in on the shape. This is optional.


New Master dialog box

Creates a new master.

Click to show or hide information. Name

Specifies the name that appears under the master icon in the stencil window. Master names can contain up to 31 characters.

Click to show or hide information. Prompt

Specifies the text that appears when you point to the master icon in the stencil window. To change the text, type new text in the Prompt box.

Click to show or hide information. Icon Size

Choose Normal, Tall, Wide, or Double. The default icon size is Normal.

Tall is the same width as Normal, but twice the height.

Wide is the same height as Normal, but twice the width.

Double is twice as wide and twice as tall as Normal.

Click to show or hide information. Align Master Name

Specifies how the master's name is aligned below the icon; select Left, Center, or Right.

Click to show or hide information. Keywords

Keywords that are used when you search for shapes using the Find Shape command on the File menu. You must have a shape stored in the master to type keywords into this field.

Click to show or hide information. Match Master By Name On Drop

If you've created a stencil, preserves the formatting you've applied to the stencil's masters. For example, suppose you've modified the shapes in the Office Furniture stencil and created a new stencil called My Office Furniture, and then you drag a shape from the Office Furniture stencil onto the drawing.

  • If Match master by name on drop is selected for the shapes on the My Office Furniture stencil, when you drag a shape onto the drawing, Visio checks to see if the shape you're dragging matches any of the masters in the My Office Furniture stencil. If a match is found, the shape is formatted with the changes you made to the My Office Furniture master.
  • If Match master by name on drop is not selected for the shapes on the My Office Furniture stencil, when you drag a shape from the Office Furniture stencil the shape is added to the drawing file with the default Office Furniture formatting.

Click to show or hide information. Generate Icon Automatically From Shape Data

Updates the master icon each time you edit the drawing of the master.


Master Properties dialog box

Changes the name of the selected master and how it's aligned, the size of the master's icon and how the icon is updated, how instances of the master are formatted, and the master prompt.

Available only when you are editing a stencil.

Click to show or hide information. Name

Specifies the name that appears under the master icon in the stencil window. Master names can contain up to 31 characters.

Click to show or hide information. Prompt

Specifies the text that appears when you point to the master icon in the stencil window. To change the text, type new text in the Prompt box.

Click to show or hide information. Icon Size

Choose Normal, Tall, Wide, or Double. The default icon size is Normal.

Tall is the same width as Normal, but twice the height.

Wide is the same height as Normal, but twice the width.

Double is twice as wide and twice as tall as Normal.

Click to show or hide information. Align Master Name

Specifies how the master's name is aligned below the icon; select Left, Center, or Right.

Click to show or hide information. Keywords

Keywords that are used when you search for shapes using the Find Shape command on the File menu. You must have a shape stored in the master to type keywords into this field.

Click to show or hide information. Match Master By Name On Drop

If you've created a stencil, preserves the formatting you've applied to the stencil's masters. For example, suppose you've modified the shapes in the Office Furniture stencil and created a new stencil called My Office Furniture, and then you drag a shape from the Office Furniture stencil onto the drawing.

  • If Match master by name on drop is selected for the shapes on the My Office Furniture stencil, when you drag a shape onto the drawing, Visio checks to see if the shape you're dragging matches any of the masters in the My Office Furniture stencil. If a match is found, the shape is formatted with the changes you made to the My Office Furniture master.
  • If Match master by name on drop is not selected for the shapes on the My Office Furniture stencil, when you drag a shape from the Office Furniture stencil the shape is added to the drawing file with the default Office Furniture formatting.

Click to show or hide information. Generate Icon Automatically From Shape Data

Updates the master icon each time you edit the drawing of the master.


Master Shortcut Properties dialog box

Click to show or hide information. Name

Specifies the name that appears under the master icon in the stencil window. Master names can contain up to 31 characters.

Click to show or hide information. Prompt

Specifies the text that appears when you point to the master icon in the stencil window. To change the text, type new text in the Prompt box.

Click to show or hide information. Icon Size

Choose Normal, Tall, Wide, or Double. The default icon size is Normal.

Tall is the same width as Normal, but twice the height.

Wide is the same height as Normal, but twice the width.

Double is twice as wide and twice as tall as Normal.

Click to show or hide information. Align Shortcut Name

Specifies how the name is aligned.

Click to show or hide information. Master

Specifies the master from which the shortcut was created.

Click to show or hide information. Stencil

Specifies the stencil to which the shortcut's master belongs.

Click to show or hide information. Drop Actions

Specifies ShapeSheet cell values to set after dropping the shortcut on the page. For example, to apply a red fill color to a shape when it is dropped on the drawing page, enter the following:

FillForegnd = 2

Click to show or hide information. Shape Help

What you enter in this field depends on what help you want the shortcut to use.

  • To use the master's help, leave the field blank.

To set the master's help, right-click the master, choose Edit Master, select the master in the editing window, and then choose the Special command. Use the syntax listed below.

  • To have the shortcut use its own help, use the following syntax:

FILENAME!keyword or FILENAME!#Number

filename is the Windows help file (either an .hlp or a .chm file).

keyword is the index term associated with the help topic.

number is a numeric ID which is referenced in the MAP section of the help project file.


New Pattern / Pattern Properties dialog box

Click to show or hide information. Name

Specifies the name of the pattern.

Click to show or hide information. Type

Specifies the pattern. Click Fill pattern, Line pattern, or Line end.

Click to show or hide information. Behavior

This option varies, depending on the Type you've selected.

Fill Pattern Behavior Specifies whether the pattern is repeated (tiled), centered, or maximized in the available space, and whether the pattern can be scaled.

A star used as a fill pattern

You can use a shape like a star to create a fill pattern.

A fill pattern that has been repeated, centered, and maximized

The fill pattern's properties affect how the shape is applied to a line.

Line Pattern Behavior Specifies how the pattern you draw should be used when the line curves, and whether the pattern can be scaled.

Line End Behavior Specifies whether the line end should be rotated with the line, and whether the line end can be scaled.

Click to show or hide information. Scaled

Scales the pattern as the drawing page scale changes.


Pattern Shortcut Properties dialog box

Click to show or hide information. Name

Specifies the name of the pattern shortcut.

Click to show or hide information. Pattern

Shows the name of the actual pattern to which the pattern shortcut is connected.

Click to show or hide information. Stencil

Shows the name of the stencil on which the actual pattern is stored (not the pattern shortcut).


Offset dialog box

Creates a set of parallel lines and curves on either side of the original shape, making three shapes.

Click to show or hide information. Offset Distance

Specifies the offset distance you want from the original line or curve.


Fit Curve dialog box

Converts a polyline into a combination of lines, arcs, and splines.

Click to show or hide information. Periodic Splines

Check to create a periodic (seamless) spline if the original shape is closed and smooth. If you uncheck Cusps and bumps, the original shape need not be smooth.

Click to show or hide information. Circular Arcs

Check to replace polyline vertices with either line segments or circular arcs. For this option to work, the vertices must be close to a line segment or circular arc.

Click to show or hide information. Cusps And Bumps

Check to preserve sharp angles and other features in the original shape.

Click to show or hide information. Error Tolerance

Type a tolerance value. The looser the tolerance (that is, the higher the amount of error you will tolerate), the simpler the arc or spline (the fewer points on the resulting arc or spline). Type 0 to create a spline that goes exactly through the polyline's vertices. Type a higher tolerance value to allow the spline to approximate the polyline's vertices.


Custom Properties dialog box

Click an option in the dialog box and then read the prompt at the bottom of the dialog box.


Define Custom Properties dialog box

If you turn on Developer Mode, additional options are displayed in this dialog box. (To turn on Developer Mode, on the Tools menu, click Options. On the Advanced tab, select Run In Developer Mode.)

Click to show or hide information. Label

Specifies a name for the custom property. The label will appear next to the field where the user enters data. A label consists of alphanumeric characters, including the underscore (_) character.

Click to show or hide information. Name (Only in Developer Mode)

Specifies the name of the custom property's row in the ShapeSheet spreadsheet. For example, if you use the name Location, the ShapeSheet spreadsheet will show the row name Prop.Location. This option provides solution developers with control over row naming for writing formulas, code, and so on.

Click to show or hide information. Type

Specifies a data type for the custom property value.

String Sets the custom property value to text.

Number Sets the custom property value to a number, which could represent a date, time, duration, currency, scalar, dimension, or angle. To specify how the data is displayed, choose a setting from the Format list.

Fixed List Displays a drop-down list of items in the Custom Properties dialog box. To specify how the data is displayed, choose a setting from the Format list.

Variable List Displays a drop-down list of items in the Custom Properties dialog box. To specify how the data is displayed, choose a setting from the Format list.

Boolean Displays FALSE and TRUE as items users can select in the Custom Properties dialog box.

Currency Uses the system's current Regional Settings. To specify how the data is displayed, choose a setting from the Format list.

Date Displays days, months, and years, or seconds, minutes, and hours, or a combined date and time value. To specify how the data is displayed, choose a setting from the Format list.

Duration Displays elapsed time. To specify how the data is displayed, choose a setting from the Format list.

Click to show or hide information. Format

Depending on what data type you choose, specifies how you want to format the custom properties data. For example, you can display a number as a floating-point decimal (0.5) or as a fraction (1/2).

String If the Type is set to String, sets the field to use the text format you select from the Format list: normal (which means uppercase and lowercase), all uppercase, or all lowercase.

Number If the Type is set to Number, sets the field to use the number format you select from the Format list.

General The user can enter any number, but not units (such as cm).

General Units The user can enter any number followed by a unit (such as cm).

Whole Number (1) The user can enter whole numbers, but not fractions, decimals, or units (such as cm).

Whole Number With Units (1 cm) The user can enter whole numbers followed by a unit (such as cm), but not fractions or decimals.

Floating Point Number (1.23) The user can enter whole numbers and decimal numbers, but not fractions.

Fraction (15/16) The user can enter whole numbers and fractions, but not decimal numbers.

Fraction With Units (15/16 in.) The user can enter whole numbers and fractions followed by a unit (such as cm), but not decimal numbers.

Currency If the Type is set to Currency, sets the field to use the currency format you select from the Format list.

Date If the Type is set to Date, sets the field to use the date or time format you select from the Format list.

Duration If the Type is set to Duration, sets the field to use the unit of time format you select from the Format list.

Click to show or hide information. Value

Contains the property's initial value. You can enter a formula in this cell, but its value will be overwritten by the value entered in the Custom Properties dialog box, even if you use the GUARD function to protect the formula.

Click to show or hide information. Prompt

Specifies descriptive or instructional text that appears when the property is selected.

Click to show or hide information. Sort Key (Only in Developer Mode)

Specifies the order in which properties appear in the Custom Properties dialog box. For example, enter a 1 for the property that you want the user to see first in the Custom Properties dialog box.

Within this dialog box, the properties appear in the order in which they were created.

Click to show or hide information. Ask On Drop (Only in Developer Mode)

Prompts users to enter custom property information for a shape when they create instances of the shape or when they duplicate or copy a shape.

Click to show or hide information. Hidden (Only in Developer Mode)

Hides the property from the user. The property is visible only when you are running in Developer Mode. This option is useful for solution developers who need to store properties for certain operations, but don't want users to be aware of this information.

Click to show or hide information. Properties list

Lists all the properties defined for the current shape. Select a property to edit or delete.

Click to show or hide information. New

Adds a new property to the list of properties using the current information entered in the dialog box.

Click to show or hide information. Delete

Deletes the selected property.


Control dialog box

Inserts Microsoft ActiveX controls, which are programmable objects that you can use to add functionality to a drawing.

Click to show or hide information. Controls

Lists the controls installed on your system, including those installed by programs that contain the controls. You might need a design license to insert such controls in your own drawings. For details, contact the control vendor.

Click to show or hide information. <control name>

Displays the location of the file that contains the control selected in the Controls list.


Function dialog box

Specifies a function to paste into a formula for a ShapeSheet cell. (The command remains dimmed until you place an insertion point by clicking in the formula bar.)

Click to show or hide information. Select Function

Lists functions you can paste into a formula. When you select a function, the function and its arguments appear below the Select function list.

Click to show or hide information. Insert Arguments Into Formula Bar

Pastes placeholders for a function's arguments. Clear this option to paste only the function.


Section dialog box

Lists the sections you can add to a ShapeSheet spreadsheet. Sections included in the ShapeSheet spreadsheet of the selected shape and sections that are not available for the selected shape are dimmed.

Click to show or hide information. User-Defined Cells

Inserts an area of nameable cells for entering formulas and constants that are referred to by other cells and add-on tools. Unlike Scratch formulas, user-defined cells are portable—for example, if a shape that refers to a user-defined cell in the page sheet is copied to another page that does not have the same user-defined cell, the cell is added to the page. If the page already has such a user-defined cell, the shape simply refers to that cell for its value.

Click to show or hide information. Custom Properties

Inserts a section for user-defined data associated with the shape, group, page, or document.

Click to show or hide information. Hyperlinks

Inserts a section for links between a shape or drawing page and another drawing page, another file, or a World Wide Web site.

Click to show or hide information. Connection Points

Inserts a section for connection points for the shape or group.

Click to show or hide information. Actions

Inserts a section for custom command names that appear on a shape's or page's shortcut (right-click) menu and specifies the actions that the commands take.

Click to show or hide information. Controls

Inserts a section for x- and y-coordinates and behavior of each control handle for a shape or group.

Click to show or hide information. Geometry

Inserts a section for coordinates of the vertices for the lines and arcs that make up the shape. If the shape has more than one path, it has a Geometry section for each path.

Click to show or hide information. Ellipse

Inserts an Ellipse row in the Geometry section that contains the x- and y-coordinates of the ellipse's center point and two points on the ellipse. The X and Y cells represent the x- and y-coordinates of the center point. The A and B cells represent the x/y of one point on the ellipse and the C and D cells represent the x/y of the other point.

A geometry section that contains an Ellipse or an InfiniteLine row should not contain any other rows.

Click to show or hide information. Infinite Line

Inserts an InfiniteLine row in the Geometry section that contains x- and y-coordinates of two points on an infinite line, represented in the X, Y, A, and B cells. The X and Y cells represent the first point, and the A and B cells represent the second point.

A geometry section that contains an Ellipse or an InfiniteLine row should not contain any other rows.

Click to show or hide information. Scratch

Inserts a section that's a work area for entering and testing formulas that are referred to by other cells.

Click to show or hide information. Text Transform

Inserts a section for positioning information about a shape's text block.

Click to show or hide information. Layer Membership

Inserts a section for layers to which the shape is assigned.

Click to show or hide information. Layers

Inserts a section for layers defined from the page and the properties set for each layer.


View Sections dialog box

Specifies which ShapeSheet sections are displayed for the selected shape or object.

Click to show or hide information. Section

Indicates the sections you want to display. Select an option to show a section. (Sections not available for the selected shape are dimmed.) When you open the ShapeSheet window, all the selected sections included in the ShapeSheet window are visible.

Click to show or hide information. All

Shows all sections.

Click to show or hide information. None

Hides all sections.

Note If a section is dimmed, it is not available because it does not exist for the selected shape or object.


Change Row Type dialog box

Changes the type of the selected row in the Geometry section of a ShapeSheet spreadsheet. Changing the row type changes the type of the segment the row refers to.

If you select a Controls row, clicking the Change Row Type command toggles between showing and hiding the control handle tip.

Click to show or hide information. MoveTo

If the MoveTo row is the first row in the section, the MoveTo row contains the x- and y-coordinates of the first vertex of the shape. Usually this is the first vertex that was placed when the shape was drawn, and it does not necessarily correspond to the begin point of a 1-D shape.

You can also use the MoveTo row to move to another point without drawing a line between the two points. This causes a break in the shape's path. To do this, insert a row between two rows and change the row type to MoveTo. If the MoveTo row is between two rows, it contains the x- and y-coordinates of the first vertex of the line after the break in the shape's path.

The x- and y-coordinates in this row are represented by X and Y cells.

Click to show or hide information. LineTo

Changes the segment into a line. The endpoints of the line are defined by the X and Y cells in the Geometry section row.

Click to show or hide information. ArcTo

Changes the segment into a circular arc. The endpoints of the arc are defined by the X and Y cells, and the bow is defined by the A cell in the Geometry section row.

Click to show or hide information. EllipticalArcTo

Changes the segment into an elliptical arc. The X and Y cells define the endpoints of the arc; the A and B cells contain the coordinates of the segment's control point; the C cell specifies an angle between 0 and 180 degrees for orientation; and the D cell specifies the ratio of the major to minor axis, which is usually 1 or greater (it must be greater than 0).

Click to show or hide information. PolyLineTo

Changes the segment into a polyline. The PolylineTo row contains x- and y-coordinates for a polyline in the X and Y cells respectively, and it contains a polyline formula in the A cell.

Click to show or hide information. NURBSTo

Changes the segment into a NURBS (non-uniform rational B-spline). The NURBSTo row contains the x- and y-coordinates, the position of the second to last knot, the position of the last weight, the position of the first knot, the position of the first weight, and the formula for a NURBS. This information is contained in the X, Y, A, B, C, D, and E cells respectively.

You can create a NURBS by using the Freeform tool [image].

Click to show or hide information. SplineStart

Changes the segment into a spline start. The X and Y cells define the second control point of the spline. (The first control point of the spline is defined by the X and Y cells in the row preceding the SplineStart row.) The A, B, and C cells specify the spline's first, second, and last knot, respectively. The D cell specifies the degree of the spline, which controls the curvature of the spline with respect to its control polygon.

Click to show or hide information. SplineKnot

Changes the segment into a spline knot. The X and Y cells define the control point for the row. The A cell indicates a spline knot.

Click to show or hide information. InfiniteLine

The InfiniteLine row contains the x- and y-coordinates of two points on an infinite line.

Click to show or hide information. Ellipse

Changes the segment to an ellipse. The Ellipse row contains the x- and y-coordinate of the ellipse's center point and two other points on the ellipse. The X and Y cells contain the x- and y-coordinates of the center point. The A and B cells contain the coordinates of the first additional point, and the C and D cells contain the coordinates of the second additional point.


Action dialog box

Assigns an action to a shape. The action appears on the shape's shortcut (right-click) menu. The command is unavailable unless you have inserted an Actions section in the ShapeSheet spreadsheet and selected a cell.

Click to show or hide information. Menu

Specifies the menu command to add to the shape's shortcut menu.

Click to show or hide information. Edit Shape's Text

Opens the shape's text block.

Click to show or hide information. Open Group In New Window

Opens a group in the group window.

Click to show or hide information. Show ShapeSheet

Opens the ShapeSheet spreadsheet.

Click to show or hide information. Custom

Performs the custom action. You enter the formula for this action directly in the Action section of the ShapeSheet spreadsheet.

Click to show or hide information. Display Help

Opens a Help topic. Uses the same syntax as described in the Special dialog box.

Click to show or hide information. OLE Verb

Activates OLE options, such as Edit, when an OLE object is double-clicked.

Click to show or hide information. Run Macro

Activates the macro or wizard selected from the list.

Click to show or hide information. Go To Page

Displays a specific drawing page.

Click to show or hide information. Open In New Window

Displays a specific drawing page in a new window.


Name dialog box

Specifies a cell name to paste into a formula for a ShapeSheet cell. The cell name is pasted at the insertion point in the formula bar. (The command remains dimmed until you place an insertion point by clicking in the formula bar.)

Click to show or hide information. Select Name

Lists the names of cells in the open ShapeSheet spreadsheet.

Click to show or hide information. Insert

Pastes the selected cell name into the formula. You can paste one cell name after another at the insertion point.

Click to show or hide information. Close

Exits the dialog box.


Color Schemes dialog box

Click to show or hide information. Choose A Color Scheme

Lists all available color schemes. The schemes are applied to underlying styles in your drawing, so any shapes that use styles based on those underlying styles will change color.

Click to show or hide information. Preserve My Shape Color Changes

If checked, when the color scheme is applied, preserves any changes you previously made to the color of individual shapes.

Click to show or hide information. New

Displays the New Color Scheme dialog box, where you can create a new color scheme from scratch or based on the current styles and colors in your drawing.

Click to show or hide information. Edit

Displays the Color Scheme Details dialog box, where you can modify the styles and colors in the selected custom color scheme. You cannot modify the built-in color schemes Visio provides.

Click to show or hide information. Delete

Deletes the selected custom color scheme. You cannot delete the built-in color schemes Visio provides.

Click to show or hide information. Templates in which you can use color schemes

  • Audit Diagram
  • Basic Diagram
  • Basic Flowchart
  • Basic Network
  • Block Diagram
  • Block Diagram with Perspective
  • Calendar
  • Cause and Effect Diagram
  • Charts and Graphs
  • Cross-Functional Flowchart
  • Data Flow Diagram (Professional edition only)
  • Form Design
  • Gantt Chart
  • IDEF0 Diagram (Professional edition only)
  • Marketing Charts and Diagrams
  • Mind Mapping Diagram
  • Organization Chart
  • Organization Chart Wizard
  • PERT Chart
  • SDL Diagram (Professional edition only)
  • Timeline
  • TQM Diagram
  • Work Flow Diagram


Spelling dialog box (F7)

Checks the spelling of text in shapes, summary information, and data fields in the active drawing file.

Click to show or hide information. Not In Dictionary

Displays the misspelled word.

Click to show or hide information. Change To

Provides a word to replace the misspelled word.

Click to show or hide information. Suggestions

Lists replacement words from the open dictionaries.

Click to show or hide information. Add Words To

Select the dictionary to which you want to add a word. For example, a person's name might not be in the dictionary.

Click to show or hide information. Ignore

Ignores the word and continues checking.

Click to show or hide information. Ignore All

Ignores all instances of the word and continues checking.

Click to show or hide information. Add

Adds the word to the dictionary selected in the Add words to box.

Click to show or hide information. Change

Changes the word to the one in the Change to box.

Click to show or hide information. Change All

Changes all instances of the word to the one in the Change to box.

Click to show or hide information. Options

Displays the Spelling tab from the Options dialog box, where you can specify settings for the Spelling command.

Click to show or hide information. Cancel

Closes the Spelling dialog box, but does not undo any changes you have made.


Align Shapes dialog box (F8)

Aligns selected shapes with the primary shape (indicated by green selection handles).

Click to show or hide information. Up/Down Alignment

Determines horizontal alignment.

Aligns the tops of shapes.

Aligns shapes along their horizontal centers.

Aligns the bottoms of shapes.

Applies no horizontal alignment (default).

Click to show or hide information. Left/Right Alignment

Determines vertical alignment.

Aligns the left sides of shapes.

Aligns shapes along their vertical centers.

Aligns the right sides of shapes.

Applies no vertical alignment (default).

Click to show or hide information. Create Guide And Glue Shapes To It

Creates a guide and glues selected shapes to the guide to retain the alignment. When you move the guide, the shapes move with it.


Distribute Shapes dialog box

Places three or more selected shapes at regular intervals on the drawing page. When you distribute shapes, the order in which you select the shapes is not relevant.

Click to show or hide information. Left/Right

Displays options for distributing shapes horizontally.

Distributes shapes so there is a uniform space between shapes.

Distributes shapes so their left edges are uniformly spaced.

Distributes shapes so their centers are uniformly spaced.

Distributes shapes so their right edges are uniformly spaced.

Click to show or hide information. Up/Down

Displays options for distributing shapes vertically.

Distributes shapes so there is a uniform space between shapes.

Distributes shapes so their top edges are uniformly spaced.

Distributes shapes so their centers are uniformly spaced.

Distributes shapes so their bottom edges are uniformly spaced.

Click to show or hide information. Create Guides And Glue Shapes To Them

Creates guides to retain the distribution of the shapes. Select and move the outermost guides to move the shapes without changing their distribution.


Layout And Routing Spacing dialog box

Contains space, size, and connector settings that determine how the Lay Out Shapes command moves your shapes and routes the connectors.

Click to show or hide information. Space Between Shapes

Specifies the amount of space between placeable shapes when you use the Lay Out Shapes command.

Click to show or hide information. Average Shape Size

Specifies the average size of the shapes in your drawing. Also sets the average shape size used by the dynamic grid.

If your drawing contains shapes of various sizes, you might need to experiment with the average shape size. If your shapes vary significantly, try using a smaller average shape size.

Click to show or hide information. Connector To Connector

Specifies the minimum amount of space between connectors when you use the Lay Out Shapes command or when you drag connectors.

Click to show or hide information. Connector To Shape

Specifies the minimum amount of space between connectors and shapes when you use the Lay Out Shapes command or when you drag connectors.


Lay Out Shapes dialog box

Determines how the Lay Out Shapes command places shapes and routes connectors between the shapes.

Click to show or hide information. Apply Settings To

Determines whether Microsoft Visio lays out only the selected shapes or all of the shapes on the current page.

Click to show or hide information. Placement

Style Sets the style for how the shapes will be laid out. Look at the preview to see if that's what you want. Click Radial for drawings with no direction, such as network drawings.

Direction When shapes are automatically laid out, specifies the direction used to place shapes. Look at the preview to see if that's what you want. Typically, the Placement Direction and Connectors Direction should match.

Depth Determines how much space to leave between shapes so that all the shapes fit.

In many drawings you must compromise between how shapes are visually grouped and how space efficient the drawing is.

  • Shallow isn't space efficient, but it groups things well visually.
  • Deep is more space efficient than Shallow, but it doesn't group things as well visually as Shallow.
  • Medium is a compromise between Shallow and Deep.

Click to show or hide information. Connectors

Style Sets the type of drawing path, or route, that is used to connect shapes.

Direction Specifies the direction of the routing style. Typically, the Placement Direction and Connectors Direction settings match.

Apply routing style to connectors Specifies to apply the routing style you selected to all connectors on the current page.

Click to show or hide information. Align Shapes To Grid When Possible

Specifies to align shapes to an interval based on the Space between shapes and Average shape size options in the Layout and Routing Spacing dialog box.

To change these options, click Spacing.

Click to show or hide information. Enlarge Page To Fit Drawing

When shapes are automatically laid out, enlarges the drawing page to accommodate the drawing.

Click to show or hide information. Spacing

Opens the Layout and Routing Spacing dialog box, in which you can specify the space between shapes, average shape size, space between connectors, and space between connectors and shapes.


Run Add-on dialog box

Runs a special program (add-on) to perform specific tasks and operations in your Microsoft Visio product.

Click to show or hide information. Select Add-on

Lists all add-ons available in your Visio product. Select the add-on you want to use.

Click to show or hide information. About

Displays information (if available) about the selected add-on in a separate dialog box.


Color Palette dialog box

Click to show or hide information. Color | Solid

Displays the 24 colors in the Microsoft Visio color palette. If your display driver supports only 16 colors, you will see dithered color. If it supports 256 colors or more, you may not see any dithered colors. The left side of each color bar shows the color when dithered; the right side shows the closest solid color.

Click to show or hide information. Copy Colors From

Displays a list of open drawing files and predefined color palettes. By selecting from the list, you can copy a new color palette to the active drawing file.

Click to show or hide information. Edit

Select a color in the Color Palette dialog box, and then click Edit to open the Colors dialog box to edit the color.


Ruler & Grid dialog box

Specifies the settings for the rulers and grid lines. You can have separate settings for the horizontal and vertical rulers and grid lines.

Click to show or hide information. Subdivisions

Specifies how many tick marks are on the vertical and horizontal rulers. You can choose Fine, Normal, or Coarse.

Click to show or hide information. Ruler Zero

Specifies the location of zero on the horizontal and vertical ruler. By default, the horizontal ruler's zero point is the left edge of the page, and the vertical ruler's zero point is the bottom edge of the page. For example, if you specify 3 inches for both rulers, the ruler zero is positioned to the right (for the horizontal ruler) and 3 inches toward the top (for the vertical ruler).

Click to show or hide information. Grid Spacing

Specifies how far apart the grid lines are. You can choose Fine, Normal, Coarse, or Fixed.

Fine, Normal, and Coarse set the grid to a variable grid; the grid spacing changes as you zoom in and out. Fixed sets the grid to a fixed grid; when you zoom in or out, the spacing between grid lines does not change.

Click to show or hide information. Minimum Spacing

For Fine, Normal, or Coarse, specifies the minimum grid lines.

For Fixed, specifies how far apart the grid lines are.

Click to show or hide information. Grid Origin

Specifies where to place the grid origin. For example, you could move the grid in increments different from the ruler to align the grid with a shape or part of the drawing. By default, the grid origin is in the lower-left corner.


Options dialog box (Advanced tab)

User Settings

Click to show or hide information. Record Actions In Microsoft Outlook Journal

Specifies that your actions, such as editing a file, be recorded in Microsoft Outlook Journal.

Click to show or hide information. Put All Settings In Windows Registry

Adds all possible application settings in the Windows registry. By default, only certain settings are added (non-default settings and very few others, such as file paths, import and export filters, and last files) to keep the registry settings simple.

Developer Settings

Click to show or hide information. Enable Microsoft Visual Basic For Applications

Enables Microsoft Visual Basic for Applications (VBA). If cleared, disables VBA.

Click to show or hide information. Enable Visual Basic For Applications Project Creation

Enables creation of VBA projects when you open (or create) a document that is not already associated with a project. If you clear this check box, you will not be able to create a macro in a document that is not already associated with a project.

Click to show or hide information. Load Visual Basic For Applications Projects From Text

If you want to be able to have your VBA project work in drawings created in other versions of Visio, select this option so that your VBA project is compiled when the file is loaded, but the compiled project is never saved.

If you don't need your VBA project to work in drawings created in other versions of Visio, clear this option so that drawings that contain the VBA project load more quickly.

Click to show or hide information. Enable COM Add-Ins

Loads COM add-ins when your Visio product is loaded.

Click to show or hide information. Enable Automation Events

Enables Visio events to be sent to Visio add-ons and VBA macros. If cleared, disables all Visio events.

Click to show or hide information. Run In Developer Mode

Enables certain user interface functions for the development environment. If this option is selected, the Show ShapeSheet command is added to a shape's shortcut (right-click) menu. In addition, you can see which connection points are Inward, Outward, or Inward and Outward.

Freeform Drawing

Click to show or hide information. Precision

Controls the margin of error allowed while the Freeform tool is drawing a straight line before it switches to drawing a spline.

Click to show or hide information. Smoothing

Controls how precisely the mouse movements are smoothed while drawing a spline.


Options dialog box (Regional tab)

Default Units

Specifies the default units of measure for your drawings.

Click to show or hide information. Page

Specifies the unit of measure for a page's dimensions, margins, drawing size, scale, and other features. This option also determines whether new, blank drawings open with metric or US units.

Click to show or hide information. Text

Specifies the unit of measure for indents, line spacing, and other text measurements. The default unit for type size is points (1 point = 1/72 in.). You can enter type size in another unit of measure (for example, 1 ft. or 12 in.), but you can't change the default unit for type size.

Click to show or hide information. Angle

Specifies the unit of measure for the angle of rotation.

Click to show or hide information. Duration

Specifies the unit of measure for duration, which is elapsed time as compared to a specific date or a given hour.

Asian Options

Click to show or hide information. Vertical Text

Specifies whether the vertical text options are shown, shown only on Asian systems, or hidden (by default) in your Microsoft Visio drawings. Vertical text shapes will always be shown.

The vertical text options include:

  • Vertical text button [image] on the Formatting toolbar.
  • Vertical text check box on the Text Block tab in the Format dialog box.
  • Kumimoji text command on the text block right-click menu.

Click to show or hide information. Kana Find And Replace

In the Japanese version of Visio, the Find and Replace dialog boxes include additional options specific to Japanese. This option specifies whether these options are shown, shown only on Asian systems, or hidden (by default).

Click to show or hide information. Active IME As Default

Enables the Input Method Editor (IME) dialog box on Asian systems. This dialog box is used for adding characters from large character sets as a sequence of keystrokes.

Click to show or hide information. IME Settings

Opens the Properties for Microsoft IME 2000 dialog box, where you can specify IME (Input Method Editor) settings. This button is available when an Asian language is set as the default input language on the Input Locales tab of the Keyboard Properties dialog box, which you can access from the Control Panel by clicking the Keyboard icon.

Document Base Font

Click to show or hide information. Always Use The System Default Font

If checked, specifies that the character set of the drawing be the default system font (font-0).

If cleared, for a drawing created with a different character set than the one in use on the current computer, the original character set will be preserved, as long as that character set is available on the current computer.


Options dialog box (File Paths tab)

Specifies the default file paths for Microsoft Visio files. To change the default path, select an option to change and type a new path.

Click to show or hide information. Drawings

Displays the default drawings folder on your C drive.

Click to show or hide information. Templates

Displays the default templates folder: Solutions.

Click to show or hide information. Stencils

Displays the default stencil folder: Solutions.

Click to show or hide information. Help

Displays the default help files folders: Help.

Click to show or hide information. Add-Ons

Displays the default folders for macros and add-ons: Solutions.

Click to show or hide information. Start-Up

Displays the folder for macros and add-ons opened when you start your Visio product: Startup.

Click to show or hide information. Filters

Displays the default filters folder: Filters.


Options dialog box (General tab)

Sets the user name and other options.

User Information

Click to show or hide information. User Name

Identifies the name of the person working on the file. This name appears in the Properties dialog box after you save the file for the first time.

General Options

Click to show or hide information. Zoom On Roll With IntelliMouse

If selected, lets you zoom in or out from a drawing by rolling the wheel of the Microsoft Intellimouse.

Click to show or hide information. Open Each ShapeSheet In The Same Window

If selected, Visio displays only one ShapeSheet window at a time.

Click to show or hide information. Undo Levels

Specifies the number of consecutive actions you can undo. The higher the number, the more memory required to store the actions.

Click to show or hide information. Recently Used File List x Entries

Specifies the number of recently used files to list on the File menu and in the New Drawing task pane (which appears when you start your Microsoft Visio product). You can specify up to 9 files. You can then click the names of the files on the File menu or in the New Drawing task pane to reopen them quickly.

Drawing Window Options

Click to show or hide information. Enable Live Dynamics

When you resize or rotate a shape, you can see the shape as it is being transformed, instead of just seeing the bounding box until the action is complete.

Click to show or hide information. Enable Page Rotation

Enables dynamic page rotation so that you can use the Rotation tool [image] to grab the corner of a page and rotate it.

Click to show or hide information. Center Selection On Zoom

Specifies that when you zoom in, whatever shape was selected appears in the center of the window.

Click to show or hide information. Select Shapes Partially Within Area

If you select shapes by using a selection net (dragging a box around shapes on the drawing page), you can change the selection settings to also include shapes that are partially within the selection net.

Click to show or hide information. Automatically Zoom Under x Points When Editing Text

Specifies that if text is set to the specified point size, Microsoft Visio automatically zooms in on the shape when you are editing its text.


Options dialog box (Spelling tab)

Specifies default settings for the Spelling command.

Search

Click to show or hide information. Selection

Checks the spelling of only the current selection.

Click to show or hide information. Page

Checks the spelling of only the current page.

Click to show or hide information. All Pages

Checks the spelling of the entire drawing file.

Spelling

Click to show or hide information. Check Spelling As You Type

Select this option to turn on automatic spelling checker, so misspelled words will be marked with wavy red underlines in text-edit mode.

Click to show or hide information. Ignore Words With Numbers

Select this option if you want the spelling checker to ignore words that have numbers in them.

Click to show or hide information. Custom Dictionary

Lists the dictionaries that Microsoft Visio is currently using to check the spelling of text.

Click to show or hide information. Add

Opens the Add User Dictionary dialog box, in which you can add a new dictionary to the list of active dictionaries.

Click to show or hide information. Remove

Removes a dictionary from the list of active dictionaries.


Snap & Glue dialog box (General tab)

Specifies whether snap and glue are active and what items shapes will snap and glue to. You can change these settings at any time without affecting shapes that are already positioned or glued.

Currently Active

Specifies whether snap and glue are currently turned on.

Click to show or hide information. Snap

Activates snapping so shapes snap to items selected in the Snap to section.

Click to show or hide information. Glue

Activates glue so shapes glue to items selected in the Glue to section.

Click to show or hide information. Dynamic Grid

Activates dotted lines that show the most desirable location for the center of the next shape you drop on the page, based on where previous shapes have been placed.

Click to show or hide information. Drawing Aids

Turns on dotted lines that show the correct position to draw a circle, a square, or a line at a particular angle.

When you draw a shape with the Ellipse [image] or Rectangle tool [image], indicates where you can end the shape along a 45, 135, 225, or 315 degree line to create a circle or square.

When you draw a shape with the Line tool [image], lines are extended at 45-degree increments (0, 45, 90, 135, 180, 225, 270, 315). If you are editing a line segment, Microsoft Visio represents the line extended at 45-degree increments as well as the line's original angle. A line segment can include line shapes and lines used to create the sides of a polygon.

Snap To

When selected, you can snap to these items.

Click to show or hide information. Ruler Subdivisions

Snaps the pointer to tick marks on the ruler.

Click to show or hide information. Grid

Snaps to the grid.

Click to show or hide information. Alignment Box

Snaps to a shape's alignment box. This may be different from the shape's visible edge, because the alignment box is always square, even if your shape is round.

Click to show or hide information. Shape Extensions

Specifies whether you can snap to the selected options under Shape extension options on the Advanced tab. Shape extensions are dotted lines that extend out from a shape to show how to draw a line at a particular relationship to a geometric point.

Shape extensions work with the Line [image], Arc [image], Freeform [image], Pencil [image], Ellipse [image], Rectangle [image], and Connection Point [image] tools.

Click to show or hide information. Shape Geometry

Snaps the pointer to the visible edges of the shape.

Click to show or hide information. Guides

Snaps to guides.

Click to show or hide information. Shape Intersections

Snaps to the location where:

  • Two shapes intersect.
  • Shape extensions and shapes intersect.
  • Shape edges and the grid are perpendicular.

Click to show or hide information. Shape Handles

Snaps to shape selection handles [image].

Click to show or hide information. Shape Vertices

Snaps to shape vertices [image].

Click to show or hide information. Connection Points

Snaps to shape connection points [image].

You can snap to Inward and Inward & Outward connection points, but you cannot snap to Outward connection points.

Glue To

When selected, you can glue to these items.

Click to show or hide information. Shape Geometry

Glues to the visible edge of the shape.

Click to show or hide information. Guides

Glues to guides.

Click to show or hide information. Shape Handles

Glues to shape selection handles [image].

Click to show or hide information. Shape Vertices

Glues to shape vertices [image].

Click to show or hide information. Connection Points

Glues to shape connection points [image].

You can glue to Inward and Inward & Outward connection points, but you cannot glue to Outward connection points.


Macros dialog box (ALT+F8)

Displays macros and add-ons that you can run to automate a specific task.

Click to show or hide information. Macro Name

Specifies the name of the macro or add-on to step into, edit, create, delete, or run.

Click to show or hide information. Macro list

Lists all macros available. You can change what appears here using the Macros in option.

Click to show or hide information. Step Into

Begins running the selected macro in the Microsoft Visual Basic Editor, and allows you to step through its execution.

Click to show or hide information. Edit

Opens the selected macro in the Microsoft Visual Basic Editor so you can edit its code.

Click to show or hide information. Create

Creates a macro with the given name, and opens it in the Microsoft Visual Basic Editor.

Click to show or hide information. Delete

Deletes the selected macro.

Click to show or hide information. Macros In

Determines the set of macros and add-ons that are listed in the dialog box. You can list:

  • Macros in the active drawing (but not all open drawings) and all available add-ons.
  • Available add-ons only.
  • Macros in a specific module in any Microsoft Visio file that is currently open with read/write access.

Click to show or hide information. Description

Displays information about the selected macro.

Click to show or hide information. Run

Runs the selected macro.


Snap & Glue dialog box (Advanced tab)

Shape Extension Options

Specifies additional snap-to points. Shape extensions work with the Line [image], Arc [image], Freeform [image], Pencil [image], Ellipse [image], Rectangle [image], and Connection Point [image] tools.

Click to show or hide information. Alignment Box Extension

Snaps the pointer to a line extended from a shape's alignment box.

Click to show or hide information. Center Alignment Axes

Snaps the pointer to a line extended from the center of a shape's alignment box.

Click to show or hide information. Curve Interior Tangent

Snaps the pointer to a line tangent to a curve. Drag the pointer over an arc segment until you see a dotted line showing the tangent. Drag the pointer along the dotted line until the line you are drawing turns red.

Click to show or hide information. Segment Endpoint

Snaps the pointer to the endpoint of a line segment or arc segment. A line segment can include line shapes and lines used to create the sides of a polygon.

Click to show or hide information. Segment Midpoint

Snaps the pointer to the midpoint of a line segment or an arc segment. A line segment can include line shapes and lines used to create the sides of a polygon.

Click to show or hide information. Linear Extension

Snaps the pointer to a line extended from the endpoint of a line segment. Move the pointer over a line segment until you see a dotted line extending from the nearest endpoint, and then drag along the dotted line. A line segment can include line shapes and lines used to create the sides of a polygon.

Click to show or hide information. Curved Extension

Snaps the pointer to a curved line extended from the endpoint of an arc segment or freeform curve. Move the pointer over an arc segment until you see a dotted line that shows what the arc would look like as an ellipse, and then drag along the line. For freeform shapes, extends the curve at the endpoint that you're near.

Click to show or hide information. Endpoint Perpendicular

Snaps the pointer to a line that is perpendicular to a line segment or arc segment endpoint. Move the pointer over a line segment or arc segment until you see a dotted line extending from the nearest endpoint, and then drag along the line. A line segment can include line shapes and lines used to create the sides of a polygon.

Click to show or hide information. Midpoint Perpendicular

Snaps the pointer to a line that is perpendicular to the midpoint of a line segment or arc segment. Move the pointer over a line segment or arc segment until you see a dotted line extending from the midpoint, and then drag along the line. A line segment can include line shapes and lines used to create the sides of a polygon.

Click to show or hide information. Horz Line At Endpoint

Snaps the pointer to a line that is horizontal to the endpoint of a line segment or an arc segment. Move the pointer over a line segment or arc segment until you see a dotted line extending from the endpoint, and then drag along the line. The dotted line is horizontal to the screen, not to the page, so it is not affected by page rotation. A line segment can include line shapes and lines used to create the sides of a polygon.

Click to show or hide information. Vert Line At Endpoint

Snaps the pointer to a line that is vertical to the endpoint of a line segment or an arc segment. Move the pointer over a line segment or arc segment until you see a vertical line extending from the endpoint, and then drag along the line. The dotted line is vertical to the screen, not to the page, so it is not affected by page rotation. A line segment can include line shapes and lines used to create the sides of a polygon.

Click to show or hide information. Ellipse Center Point

Snaps the pointer to the center of an ellipse.

Click to show or hide information. Isometric Angle Lines

Snaps the pointer to lines extended from the endpoint of a line segment or arc segment at the isometric angles specified in the Isometric Angles (Deg.) box. Move the pointer over an endpoint until you see a dotted line extending from the vertex, and then drag along the dotted line. This option is most useful if you are creating an isometric drawing.

Click to show or hide information. Isometric Angles (Deg.)

If Isometric angle lines is selected under Shape extension options, specifies the angles for which shape extension lines appear, such as 30, 60, and 90 degrees. You can enter up to 10 angles (in degrees), separated by commas. This option is most useful if you are creating an isometric drawing. A line segment can include line shapes and lines used to create the sides of a polygon.

Snap Strength

Specifies the distance in pixels that the rulers, grid, guides, rulers, points (connection points, shape vertices, shape handles), shape geometry, or shape extension lines pull when snapping is on.


Color Scheme Details dialog box

The different parts of a shape that you can format with a color or shadow are listed under Color scheme styles. (The term style is used differently in style lists on toolbars and in the Style dialog box.)

Click to show or hide information. Name

Type the name of the custom color scheme.

Color Scheme Styles

Click to show or hide information. Style

Specifies the style you want to modify. Click an option under the style name to modify the style.

Click to show or hide information. Foreground Color

Specifies the color used for solid fills or patterns.

Click to show or hide information. Background Color

Specifies the color that appears behind patterns.

Click to show or hide information. Shadow

Specifies the color used for the shadow.

Click to show or hide information. Line Color

Specifies the color used for the line style.

Click to show or hide information. Text Color

Specifies the color of the text.

Click to show or hide information. Use Current Document Style Colors

Specifies to use the current document as a model for how the styles in the new color scheme should be mapped.


Number Shapes dialog box (General tab)

Starts shape numbering on a drawing page and sets the starting number and numbering method.

Operation

Click to show or hide information. Manually By Clicking

Allows you to add numbers to shapes on a page by clicking the shapes with the Pointer tool. Opens the Manual Numbering dialog box, which stays open on the screen while you click shapes and drag new shapes from a stencil onto the drawing page.

Click to show or hide information. Auto Number

Sets your Microsoft Visio product to automatically number the shapes on a page. By default, shapes are numbered from left to right and then top to bottom. To change the automatic numbering sequence, click the Advanced tab in this dialog box.

Click to show or hide information. Renumber Maintaining Sequence

Renumbers the shapes on a page and maintains the existing numbering sequence. By default, renumbering allows duplicates in the sequence. To change the default, click the Advanced tab in this dialog box.

Apply To

Click to show or hide information. All Shapes

Numbers all the shapes on a drawing page.

Click to show or hide information. Selected Shapes

Numbers only the shapes on the drawing page that you selected before you opened this dialog box.

Click to show or hide information. Continue Numbering Shapes As Dropped On Page

Continues to number shapes as you drag them onto the drawing page. After you save the drawing, you can turn off this option by right-clicking the drawing page and then clearing the Number Shapes on Drop check box.

Number Assigned

Click to show or hide information. Start With

Specify the whole number with which you want to start numbering the shapes on the page.

Click to show or hide information. Interval

Specify the interval between two shape numbers. You can use a negative value if you want the shape numbers to decrement.

Click to show or hide information. Preceding Text

Click the text or number that you want to precede each shape number. For example, click A to number shapes with A.1, A.2, A.3, and so on.

Click to show or hide information. Preview

Displays the results of your selection for Start with, Interval, and Preceding Text.


Number Shapes dialog box (Advanced tab)

Sets options for numbering and renumbering shapes.

Place Number

Click to show or hide information. Before Shape Text

Displays the number on the shape before any text you add.

Click to show or hide information. After Shape Text

Displays the number on the shape after any text you add.

Apply To Options

Click to show or hide information. All Layers

Applies shape numbering to all shapes on the drawing page regardless of the layer the shapes are on.

Click to show or hide information. Selected Layers

Applies shape numbering only to shapes on the layers you select from the list below.

Auto Numbering Sequence

Click to show or hide information. Left-Right, Top-Bottom

Numbers shapes according to how they appear on the drawing page. The sequence is from left to right and then from the top to the bottom of the page.

Click to show or hide information. Top-Bottom, Left-Right

Numbers shapes according to how they appear on the drawing page. The sequence is from top to bottom and then from left to right on the page.

Click to show or hide information. Back To Front

Numbers shapes according to the order in which they were added to the drawing page. To change the order for a particular shape, select the shape, and then click the Bring Forward, Bring to Front, Send Backward, or Send to Back command.

Click to show or hide information. Selection Order

Numbers shapes according to the order in which you selected them before you opened this dialog box. To select multiple shapes, hold down the SHIFT key while you select.

Renumbering Options

Click to show or hide information. Allow Duplicates In Sequence

Indicates that when shapes are renumbered, the original sequence will be preserved, even if the sequence includes duplicate numbers.

Click to show or hide information. Strict Sequence

Indicate that when shapes are renumbered, any duplicate numbers will be eliminated.

Click to show or hide information. Hide Shape Numbers

Hides the numbers on shapes. When selected, the numbers do not appear either on the drawing page or on the printed page.

Click to show or hide information. Exclude Connectors

By default, connector shapes in a connected drawing, such as a flowchart or network diagram, do not receive numbers. Clear this check box if you want connector shapes to be numbered.


Manual Numbering dialog box

This dialog box is open because you specified to number shapes manually by clicking them.

Leave the dialog box open while you:

  • Click a shape on a drawing page to add a number to it.
  • Drag a shape from a stencil onto a drawing page, click the drawing page, and then click the shape to add a number to it.

When you have finished numbering shapes, click Close.


New Color Scheme dialog box

The Style box in the New Color Scheme dialog box lists the different parts of a shape that you can format with a color or shadow. (The term style is used differently in style lists on toolbars and in the Style dialog box.)

Click to show or hide information. Name

Type the name of the custom color scheme.

Color Scheme Styles

Click to show or hide information. Style

Specifies the style you want to modify.

Click to show or hide information. Foreground Color

Specifies the color used for solid fills or patterns.

Click to show or hide information. Background Color

Specifies the color that appears behind patterns.

Click to show or hide information. Shadow

Specifies the color used for the shadow.

Click to show or hide information. Line Color

Specifies the color used for the line style.

Click to show or hide information. Text Color

Specifies the color of the text.

Click to show or hide information. Use Current Document Style Colors

Specifies to use the current document as a model for how the styles in the new color scheme should be mapped.


Options dialog box (View tab)

Sets text and display options.

Show

Click to show or hide information. Startup Task Pane

Specifies whether the New Drawing task pane appears when you open Microsoft Visio.

Click to show or hide information. Status Bar

Specifies whether the status bar appears at the bottom of the Microsoft Visio program window.

Click to show or hide information. Command Bar ScreenTips

Specifies whether ScreenTips appear in Microsoft Visio to help you identify toolbar buttons.

Click to show or hide information. Stencil Window ScreenTips

Specifies whether ScreenTips appear in Microsoft Visio to help you identify shapes in the stencil window.

Click to show or hide information. Other ScreenTips

Specifies whether other ScreenTips appear in Microsoft Visio to help you identify and use various features, including drawing window rulers, control handles, and ShapeSheet cells.

Text Quality

Click to show or hide information. ClearType Text Display (Anti-Aliased, LCD Displays)

If selected, Microsoft Visio uses ClearType text display to improve text readability. ClearType looks best on LCD displays (for example, flat panel monitors and notebook screens). This option is available only on computers running Microsoft Windows XP.

Click to show or hide information. Higher Quality Text Display (Anti-Aliased)

If selected, Microsoft Visio sharpens the display of text. To improve readability, select this option.

Click to show or hide information. Faster Text Display (Aliased)

If selected, speeds up display of text.

Display Options

Click to show or hide information. Smooth Drawing

If checked, when you stretch a bitmap or another non-Visio object, you will not see a flicker.

Click to show or hide information. Display Greek Text Under x Points

Specifies that when the text on the screen is smaller than the specified point size, text is greeked (text is approximated with a wavy line). If set to 0, text is never greeked.

Stencil Spacing

Click to show or hide information. Characters Per Line

For a shape on a stencil, specifies approximately how many characters of the shape's name can appear on each line before the text wraps. This option affects the overall spacing of shapes on a stencil, which affects how many shapes you can see without scrolling.

Click to show or hide information. Lines Per Master

For a shape on a stencil, specifies how many lines of text of the shape's name can appear below the shape before the text is truncated and "…" is appended. This option affects the overall spacing of shapes on a stencil, which affects how many shapes you can see without scrolling.

Color Settings

Specifies the colors that appear by default for the drawing page, drawing page background, stencil text, stencil background, print preview background, and full screen background. You can specify two colors each for the drawing background and stencil background. If your screen resolution is adequate, one of the colors will grade into the other from the top to the bottom of the screen. To use this feature, you must set your monitor to display 32-bit color.


Options dialog box (Save tab)

Specifies how Microsoft Visio files are saved.

Save Options

Click to show or hide information. Prompt For Document Properties

Specifies to display the Properties dialog box for the file when you save. File properties include author name and information such as the status of the file, preview settings, and other properties.

Click to show or hide information. Save Preview With File

Specifies whether a preview is automatically saved when you save a file.

Click to show or hide information. Save AutoRecover Info Every x Minutes

Automatically makes a document recovery file at the interval you enter in the Minutes box (enter a number from 1 to 120). If your computer stops responding or you lose power unexpectedly, Microsoft Visio opens the AutoRecover file the next time you start Visio. The AutoRecover file might contain unsaved information that would otherwise be lost from your original document. If your original document was damaged, you might be able to recover information from the AutoRecover file.

AutoRecover does not replace the Save command. You must still save your document periodically and when you finish working on it.

XML Options

Click to show or hide information. Show XML File Save Warnings

Displays warning messages when you attempt to save in XML format drawings that contain errors or that are password protected.

Click to show or hide information. Show XML File Open Warnings

Displays warning messages when you attempt to open files in XML format that contain errors, such as invalid XML code.

Default Format

Click to show or hide information. Save Visio Files As

From the list, select the default file format in which to save Visio files.


New dialog box

Click to show or hide information. ODBC Data Source

Shows the data source you selected in the Link to Database dialog box.

Click to show or hide information. Table Name

Type the name of the new table you want to define.

Click to show or hide information. Name

Type the name of a field you want to add to the new table.

Click to show or hide information. Type

Select a data type for the field specified in Name. The data types you can choose depend on the database driver associated with the database to which you are linking.

Click to show or hide information. Length

Type the size in bytes of a variable-length field.

Click to show or hide information. Decimal

Type the number of decimal places supported by the field. This applies only to numeric fields that are not integers.

Click to show or hide information. Fields

Lists the fields in the new table you are defining.

Click to show or hide information. Primary Key

Select if the field specified in Name is part of the primary key (a field or fields that uniquely identify each record) for the database table.

Click to show or hide information. Unique

Select if the field specified in Name cannot have duplicate values.

Click to show or hide information. Required

Select if the field specified in Name cannot have a null value.

Click to show or hide information. Add

Click to add the field specified in Name to the table you are defining.

Click to show or hide information. Delete

Click to remove the selected field from the table you are defining.


Link to Database dialog box

Click to show or hide information. Name

Click the ODBC data source to which you want to connect. Click Create to define a new ODBC data source. Click Browse to locate a file data source (.dsn file).

Click to show or hide information. Qualifier

Click the database containing the records to which you want to link. This option is available only for database programs, such as Microsoft SQL Server, where connecting to a data source gives you access to multiple databases.

Click to show or hide information. Owner

Click All Users or the name of an object creator from the drop-down list. Choosing a specific creator limits the number of tables displayed in the Table/View list. This option is available only for database programs, such as Microsoft SQL Server, where you can specify an object creator.

Click to show or hide information. Table/View

Click the table or view that contains the record to which you want to link. Click New to add a new table to the database.

Click to show or hide information. Field Links

Shows how database fields are linked to ShapeSheet cells.

Field The name of the database field.

Key Specifies whether this field is part of the primary key (a field or fields that uniquely identify each record) for the database table.

Cell The name of the ShapeSheet cell into which the field data will be copied.

Evaluate As Determines how data is evaluated when it is copied from the field to the cell.

Value A default value for a field in the primary key or an actual record value for a non-key field when all the key fields are assigned values.

Click to show or hide information. Add

Click to add one of the existing database fields to the list of fields to be linked.

Click to show or hide information. Modify

Click to modify the link between the selected database field and a ShapeSheet cell.

Click to show or hide information. Delete

Click to delete the selected database field from the list of linked fields. You cannot delete the last field in the list or the last key field.


Add dialog box

Click to show or hide information. Field

Click the name of a database field.

Click to show or hide information. Key

If this field is part of the primary key (a field or fields that uniquely identify each record for the database), click Yes.

Click to show or hide information. Cell

Click the ShapeSheet cell into which field data will be copied.

Click to show or hide information. Evaluate As

Specify how data is evaluated when it is copied from the database field to the cell:

  • If the data in the field is a string, select either Value or Formula. When you select Value, the string is placed in the ShapeSheet cell as text with quotation marks around it. When you select Formula, the string is treated as a formula and is evaluated.
  • If the data in the field is numeric, select either Number or a measurement unit.

Click to show or hide information. Value

Click a default value for the field. This option is only available if the field is part of the primary key. When you enter values for each primary key, you associate shapes with specific records in the database. When you choose None, you do not associate the shape with a specific record, but the shape is still linked to the database field.


Modify dialog box

Click to show or hide information. Field

Click the name of a database field.

Click to show or hide information. Key

If this field is part of the primary key (a field or fields that uniquely identify each record for the database), click Yes.

Click to show or hide information. Cell

Click the ShapeSheet cell into which field data will be copied.

Click to show or hide information. Evaluate As

Specify how data is evaluated when it is copied from the database field to the cell:

  • If the data in the field is a string, select either Value or Formula. When you select Value, the string is placed in the ShapeSheet cell as text with quotation marks around it. When you select Formula, the string is treated as a formula and is evaluated.
  • If the data in the field is numeric, select either Number or a measurement unit.

Click to show or hide information. Value

Click a default value for the field. This option is only available if the field is part of the primary key. When you enter values for each primary key, you associate shapes with specific records in the database. When you choose None, you do not associate the shape with a specific record, but the shape is still linked to the database field.


Advanced dialog box

Click to show or hide information. Link To

Specifies the type of information to which you want to link: a database table, a database view (query), a system table, or an alias name for a table. This option changes the list of names that is displayed in the Link to Database dialog box.

Click to show or hide information. Shape Actions

Shape actions are commands that are added to the shape's shortcut menu.

Select Record Adds a command to select the database record to which you want to link a shape.

Refresh Shape Adds a command to refresh the values in the shape's linked ShapeSheet cells to match the values in the database.

Update Record Adds a command to update the values in the database to match the values in the shape's linked ShapeSheet cells.

Delete Shape And Record Adds a command to delete the shape and the database record to which the shape is linked.

Click to show or hide information. Shape Drop Event

None No action is taken when you drop a master or copy a shape.

Select Record When you drop a master or copy a shape, you're prompted to select the database record that links to the shape instance.

Refresh Shape When you drop a master or copy a shape, the values in the linked ShapeSheet cells for that shape (or instance) are automatically refreshed to match values in the database.


Export to Database dialog box

ODBC Data Source

Click to show or hide information. Name

Click the ODBC data source to which you want to export data. Click Create to define a new ODBC data source. Click Browse to locate a file data source (.dsn file).

Click to show or hide information. Qualifier

Click the database containing the record to which you want to link. This option is available only for database programs, such as Microsoft SQL Server, where connecting to a data source gives you access to multiple databases.

Click to show or hide information. Owner

Click All Users or the name of an object creator from the drop-down list. Choosing a specific creator limits the number of tables displayed in the Table list. This option is available only for database programs, such as Microsoft SQL Server, where you can specify an object creator.

Click to show or hide information. Table

Click the table to which you want to export data. To create a new table and export data to it, type a name for the new table.

Key Field Details

Click to show or hide information. Field

Creates a key field in the database table called ShapeKey. A key field uniquely identifies each shape.

You can type a new name for the field.

Click to show or hide information. Type

Specifies the data type for the key field. Click either ShapeID or GUID.

  • ShapeID is a number assigned to a shape by the Microsoft Visio program according to the order in which the shape was created on the page.
  • GUID is a unique null-terminated, 128-bit number assigned to each shape when you export its data.

No two shapes in the same document will have the same GUID.

Click to show or hide information. Make Key Field The Primary Key For Table

By making the key field a primary key field, you can increase the speed with which your database program can access the field. Not all ODBC data sources can mark fields as primary key fields.

Cells To Export

Click to show or hide information. Cells to Export

Shows the list of cells that will be exported to the database.

Cell The name of the ShapeSheet cell to be exported.

Evaluate As Determines how data is evaluated when it is copied from the cell to the database field.

Field The name of the database field into which the shape data will be exported.

Type The data type for the database field.

Length Type the size in bytes of a variable length field.

Decimal Type the number of decimal places supported by the field. Available only when the selected type supports a variable number of decimal places.

Click to show or hide information. Add

Click to add a new ShapeSheet cell to the list of exported cells.

Click to show or hide information. Modify

Click to modify the link between the selected ShapeSheet cell and a database field.

Click to show or hide information. Delete

Click to remove the selected ShapeSheet cell from the list of exported cells.


Add dialog box

Click to show or hide information. Cell Details

Name Click the name of a ShapeSheet cell containing data you want to export.

Evaluate as Specify how data is evaluated when it is exported from the ShapeSheet cell to the database field.

Click to show or hide information. Field Details

Name Click the database field into which ShapeSheet data will be exported.

Type Click the data type for the database field.

Length Type the size in bytes of a variable length field.

Decimal Type the number of decimal places supported by the field. Available only when the selected type supports a variable number of decimal places.


Modify dialog box

Click to show or hide information. Cell Details

Name Shows the name of a ShapeSheet cell containing data you want to export.

Evaluate as Specify how data is evaluated when it is exported from the ShapeSheet cell to the database field.

Click to show or hide information. Field Details

Name Click the database field into which ShapeSheet data will be exported.

Type Click the data type for the database field.

Length Type the size in bytes of a variable length field.

Decimal Type the number of decimal places supported by the field. Available only when the selected type supports a variable number of decimal places.


Language dialog box

Click to show or hide information. Mark Selected Text As

Specifies the language dictionary the spelling checker uses to check the spelling of the selection.


Detect and Repair dialog box

Click to show or hide information. Restore My Shortcuts While Repairing

Restores program shortcuts to the Windows Start menu.

Click to show or hide information. Discard My Customized Settings And Restore Default Settings

Discards many of your personalized settings and restores default settings. Clear this check box if you want to discard potentially corrupt personalized settings, such as user name.


Select Database Record

Click to show or hide information. Data Source

Shows the ODBC data source to which the shape is connected.

Click to show or hide information. Table

Shows the name of the database table containing the records to which you can link the shape.

Click to show or hide information. Primary Key Field/Field

Shows the database field or fields used to identify records.

Click to show or hide information. Key Value/Value

For each database field, select a record to link to the shape.


Header And Footer dialog box

The header and footer only appear on the printed drawing, not on the screen. They appear on all printed pages within a file.

Click to show or hide information. Header

Left Specifies text that appears in the left portion of the header. You can type up to 128 characters.

To add special information, such as the page number or current date, click the arrow to the right of the box, and then click an option.

Center Specifies text that appears in the center portion of the header. You can type up to 128 characters.

To add special information, such as the page number or current date, click the arrow to the right of the box, and then click an option.

Right Specifies text that appears in the right portion of the header. You can type up to 128 characters.

To add special information, such as the page number or current date, click the arrow to the right of the box, and then click an option.

Margin Specifies the distance from the text to the edge of the page. For a header, the distance is measured from the top of the header text to the upper edge of the page.

Click to show or hide information. Formatting

Font Shows the current font and font size. Click Choose Font to change these settings.

Choose Font Click to open the Choose Font dialog box, where you can set font type, font style, font size, and other text formatting options.

Click to show or hide information. Footer

Left Specifies text that appears in the left portion of the footer. You can type up to 128 characters.

To add special information, such as the page number or current date, click the arrow to the right of the box, and then click an option.

Center Specifies text that appears in the center portion of the footer. You can type up to 128 characters.

To add special information, such as the page number or current date, click the arrow to the right of the box, and then click an option.

Right Specifies text that appears in the right portion of the footer. You can type up to 128 characters.

To add special information, such as the page number or current date, click the arrow to the right of the box, and then click an option.

Margin Specifies the distance from the text to the edge of the page. For a footer, the distance is measured from the bottom of the footer text to the lower edge of the page.

Click to show or hide information. Target Printer Information

Paper size Shows the current paper size and orientation. Click Print Setup to change these settings.

Print Setup Click to open the Print Setup dialog box, where you can set printing options, such as the orientation and size of the paper, the margins, whether to reduce or enlarge, and the targeted printer.

Using formatting codes

Click to show or hide information. Formatting codes

Instead of choosing options in this dialog box, you can type in formatting codes.

For | Type
Page number | &p
Page name | &n
Total printed pages | &P
Current time | &t or &T
Current date | &d (short) or &D (long)
File name | &f
File name extension | &e
File name and extension | &f&e
Ampersand | &&


Zoom dialog box

Adjusts the view of a page.

Magnification

Click to show or hide information. <Percentage>

Click to display a page in proportion to its actual size, which corresponds to the 100% option.

Click to show or hide information. Page width

Click to see the entire width of the page, but not necessarily the length.

Click to show or hide information. Whole page

Click to display the entire page and part of the surrounding pasteboard.

Click to show or hide information. Percentage

Click and then type a percentage from 1 to 3098 percent.


Layer Properties dialog box

Click to show or hide information. Name

Specifies layer names in the drawing. Selecting a layer and clicking Rename opens the Rename Layer dialog box, in which you can change the name of the selected layer.

Click to show or hide information. #

Click to display the number of shapes assigned to each layer.

Click to show or hide information. Visible

Specifies whether shapes on a layer are visible or hidden. Select to show the layer or uncheck to hide the layer.

Click to show or hide information. Print

Specifies whether to print shapes on a layer. Select to have the layer be printed.

Click to show or hide information. Active

Specifies the active layer to which shapes that haven't been preassigned to a layer are assigned. Select to make the layer active or uncheck to deactivate the layer. The active layer cannot be locked.

Click to show or hide information. Lock

Prevents shapes on a layer from being selected or altered. Select to lock the layer or uncheck to unlock the layer. If a layer is locked, it cannot be the active layer, and its Visible, Print, Snap, Glue, and Color properties cannot be changed until it is unlocked.

Click to show or hide information. Snap

Specifies whether other shapes can snap to shapes assigned to the layer. A shape on a layer that has Snap unchecked can still snap to other shapes on the same or different layer, but other shapes cannot snap to it.

Click to show or hide information. Glue

Specifies whether other shapes can glue to shapes assigned to the layer. A shape on a layer that has Glue unchecked can still glue to other shapes on the same or different layer, but other shapes cannot glue to it.

Click to show or hide information. Color

Specifies that all shapes assigned to the layer appear in the specified color; this option does not permanently change the color of the shapes. Select to override each shape's original color in favor of the layer color. Clear the selection to return shapes to their original colors.

Click to show or hide information. New

Adds a new layer and opens the New Layer dialog box, in which you can type the name for a new layer.

Click to show or hide information. Remove

Deletes the selected layer. Only shapes that are assigned to the selected layer are deleted.

Click to show or hide information. Rename

Opens the Rename Layer dialog box, in which you can rename the selected layer.

Click to show or hide information. Remove Unreferenced Layers

Removes all layers that do not have shapes on them.

Click to show or hide information. Layer Color

Specifies the layer color.

Click to show or hide information. Transparency

Specifies whether the layer color is transparent. A value of 100 percent makes the color invisible; a value of 0 percent makes the color opaque.


Protect Document / Unprotect Document dialog box

Protects document features from unauthorized changes.

Click to show or hide information. Password

Provides a text box where you can type a password. After you do, the Protect Document command changes to Unprotect Document. To turn off protection, in the Drawing Explorer window, right-click the drawing, click Unprotect Document, and then enter the password. Be sure to make a note of your password; your Microsoft Visio product will not track it.

Protect

Click to show or hide information. Styles

Prevents users from creating and editing styles, although they can still apply styles.

Click to show or hide information. Shapes

If From Selection is also checked in the Protection dialog box, prevents users from selecting shapes.

Click to show or hide information. Preview

Protects the file's preview image. If this box is checked and you make changes to your pages, the file's preview will not be updated. If you open a copy of a file, the preview will not be protected in the copy.

Click to show or hide information. Backgrounds

Prevents users from deleting or editing background pages.

Click to show or hide information. Master Shapes

Prevents users from creating, editing, or deleting masters, although they can still create instances of masters.


Attach Toolbars dialog box

Click to show or hide information. Custom Toolbars

Lists all Microsoft Visio toolbars that have been customized on this computer.

Click to show or hide information. Copy >>

Moves the selected toolbar into the Toolbars in drawing list, where it will be copied into the drawing file.

Click to show or hide information. Toolbars In Drawing

Lists all customized toolbars that will be copied into the drawing file.


New Layer / Rename Layer dialog boxes

Click to show or hide information. Layer Name

Type a name for the layer.


Choose Font dialog box

Specifies font and style characteristics for text in a header or footer.

Click to show or hide information. Font

Displays a list of all the enabled fonts installed on your computer. To change the font, select from the list.

The symbol TT precedes TrueType or OpenType fonts. Fonts with no icon are Windows system fonts.

Click to show or hide information. Font Style

Specifies whether the text is regular, italic, bold, or bold and italic.

Click to show or hide information. Size

Determines the point size of selected text. A point is a traditional measure used by typesetters and is equal to 1/72 of an inch.

Click to show or hide information. Color

Determines text color.

Click to show or hide information. Script

Specifies the type of fonts that are available.

Click to show or hide information. Strikeout

Draws a line through the center of the text.

Click to show or hide information. Underline

Draws a line under selected text.


About Document Management Systems (DMS)

Microsoft Visio supports the Open Document Management Architecture (ODMA) standard so that if you work with a Document Management System (DMS), you can include Visio drawings within it.

When Microsoft Visio detects the presence of an ODMA 1.5-compliant management system on your computer, it passes the open and save file-management operations to the DMS program. As a result:

  • When you open a file in Visio, the DMS Open dialog box appears so that you can open files stored within your DMS.
  • When you save a file in Visio, the DMS Save dialog box appears so that you can save Visio drawings and store them within your DMS.

To take advantage of the Visio ODMA compatibility, you must open and save files by clicking the Open and Save commands on the File menu (rather than by using keyboard alternatives or by clicking a file in the list of recently opened files on the File menu).

You may need to register your Microsoft Visio product with your DMS program before you can open and save Visio drawing files. For details, see your DMS program documentation.


Duplicate a shape by stamping

  1. Click the Stamp tool [image].
  2. In a stencil, click the shape you want to duplicate.
  3. Click the drawing page to add an instance of the shape.

Continue clicking the page to add as many copies of the stamped shape as you want.

  4. When you have finished, click the Stamp tool again, or click the Pointer tool [image].

Click to show or hide information. Tip

Drag the Stamp tool inside the drawing window to determine the size of the duplicated shape.


Display help for a particular shape

  • Right-click a shape, and then click Help.


Merge or separate anchored windows

  • To merge anchored windows, click the title bar of one anchored window and drag it onto another.
  • To separate an anchored window from a group of merged windows, drag its page tab out of the window.

Note To position one anchored window over another without merging the windows, hold down the CTRL key as you drag.

Click to show or hide information. Tip

You can dock merged anchored windows by dragging them over an edge of the application window.


Search tips

To help you get the best results in finding files, here are some tips about using basic searching from the Search task pane.

Click to show or hide information. Specifying the search text

In the Search text field, enter one or more words. Basic searching returns Office files containing these words, whether they are in the body of the file, in keywords, or in other file properties. It returns Visio drawings containing these words in the document properties (Properties on the File menu). By entering more words in the Search text field, you make your search more specific and limit the number of documents found.

Basic searching finds files containing various forms of the words you enter in the Search text field. For instance, searching for "swim" finds any documents containing "swim," "swimming," or "swam."

Note Basic searching uses word forms only if you are searching in English, French, Spanish, German, Dutch, Italian, or Swedish documents.

You can use wildcard characters in basic searching:

  • The asterisk character (*) represents any group of one or more characters. For instance, entering "s*nd" finds any documents containing "sand," "sound," or "send."
  • The question mark character (?) represents any single character. For instance, entering "f?nd" finds any documents containing "find" or "fund," but would not find documents containing "friend."

If you are searching your Outlook mailbox, you can use natural language in your search text. In natural language searching, you formulate searches using conversational phrases such as "Find all messages sent yesterday." You can use natural language searching to find e-mail messages, calendar items, contacts, tasks, journal entries, and notes. Natural language searching is supported only in English versions of Microsoft Office XP.

Click to show or hide information. Specifying where to search

Before searching, you must specify at least one place to search in the Search in field. If you know the exact folder you want to search, you can type its name directly.

To search across multiple folders or network places, use the Search in list to specify where to search:

  • My Computer contains all the drives and folders on your computer. Selecting a folder automatically selects all subfolders.
  • My Network Places (Web Folders on Windows 98 and Windows NT 4.0) contains all the network places that you use. Note that some network places do not support searching, and some only support searching of document libraries.
  • Outlook contains all your messages, appointments, contacts, tasks and other information.

Click the plus sign (+) next to a folder in the Search in field to expand the display of that folder to include any folders within it. Click a folder in its expanded view to select it. Double-click a folder in its expanded view to select the folder and all folders within it. Click the folder again to clear its selection. Click it again to clear the selection of folders within it.

Click to show or hide information. Specifying the types of documents to find

Specify the types of files to find in the Results should be field. You cannot enter a file type directly into this field. Use the Results should be list to specify the types of files to search for:

  • Anything specifies the broadest set of file types, including file types unfamiliar to Office.
  • Office Files specifies Microsoft Office documents. You can narrow the search by selecting specific Office applications.
  • Outlook Items specifies e-mail messages, calendar items, contacts, tasks, notes, and journal entries.
  • Web Pages specifies Web page (.htm or .html), Web archive (.mht or .mhtml), and other Web page-related formats (.mht and .asp).


Troubleshoot toolbars and menus

Click to show or hide information. I can't find a menu command, toolbar button, or dialog box option

The item you want may be temporarily hidden. Try the following methods to make the item appear. If the item doesn't appear, you may need to run the setup program to install an additional component.

Click to show or hide information. You may need to expand the menu

If arrows [image] appear at the bottom of the menu, the menu item may be available on the expanded menu. Click the arrows, and then click the command you want. You can also double-click the menu to expand it.

Click to show or hide information. There may not be enough room to display all the buttons

If the toolbar is on the same row as another toolbar, there may not be enough room to display all the buttons. Click Toolbar Options [image], and then click the button you want.

Click to show or hide information. You may have a different language setting

The command or control doesn't appear if you don't have editing enabled for the language to which the command or control applies. You must enable editing for the language you want to work with.

Click to show or hide information. Microsoft Visio may not be maximized

Some toolbar buttons may be hidden if your program window is not maximized. Click the Maximize button [image] to enlarge the program window to its fullest.

Click to show or hide information. I created a custom toolbar and shared it with another person, but it looks different on the other computer.

The buttons and commands that you share with another person are always available, but whether they appear on the short version of the menu or on the toolbar when there isn't enough room to display all the buttons depends on the individual menu and toolbar settings for that person's computer.

Microsoft Visio stores the commands and buttons you've used frequently and recently as your personal menu and toolbar settings. When you clear the Always show full menus check box (on the Tools menu, click Customize, and then click the Options tab), these personalized settings affect the commands that appear on each menu. Additionally, if there isn't enough room on a toolbar to display all the buttons (such as when you position a toolbar on the same row as another toolbar), personalized settings affect which buttons do appear.


Solutions that include the Borders and Titles stencil

The following solutions include the Borders and Titles stencil:

  • Audit Diagram
  • Basic Diagram
  • Basic Network
  • Block Diagram
  • Calendar
  • Cause and Effect Diagram
  • Charts and Graphs
  • Data Flow Diagram
  • Basic Flowchart
  • Gantt Chart
  • Marketing Charts and Diagrams
  • Mind Mapping Diagram
  • Organization Chart
  • Pert Chart
  • SDL Diagram
  • Timeline
  • TQM Diagram
  • Work Flow Diagram


File formats that you can import into Visio drawings

You can import files of different formats into Microsoft Visio drawings by using the Open command on the File menu.

Click to show or hide information. Supported file formats

  • ABC FlowCharter 2.0, 3.0, 4.0 (.af3, .af2)
  • Adobe Illustrator File (.ai)
  • AutoCAD Drawing File Format (.dwg, .dxf)
  • Bentley MicroStation Drawing (.dgn)
  • Compressed Enhanced Metafile (.emz)
  • Computer Graphics Metafile (.cgm)
  • Corel Clipart Format (.cmx)
  • CorelDRAW! Drawing File Format (version 3.0, 4.0, 5.0, 6.0 and 7.0) (.cdr)
  • CorelFLOW 2.0 (.cfl)
  • Encapsulated PostScript File (.eps)
  • Enhanced Metafile (.emf)
  • Graphics Interchange Format (.gif)
  • IGES Drawing File Format (.igs)
  • JPEG File Interchange Format (.jpg)
  • Macintosh PICT Format (.pct)
  • Micrografx Designer Version 3.1 (.drw)
  • Micrografx Designer Version 6.0 (.dsf) (English language version only)
  • Portable Network Graphics (.png)
  • PostScript File (.ps)
  • Tag Image File Format (.tif)
  • Windows Bitmap (.bmp, .dib)
  • Windows Metafile (.wmf)
  • ZSoft PC PaintBrush Bitmap (.pcx)

Note File formats may vary slightly between language versions. You may not get exactly the same results if you import files created in different language versions.

Click to show or hide information. Other ways to open files

You can insert files of certain formats into an existing Visio drawing by using the Insert command. You can:

Insert a picture

Insert a CAD drawing

Insert clip art


Import a file from another program

You can import files saved in a different format by opening the file in Microsoft Visio.

  1. On the File menu, click Open.
  2. In the Files of type box, click the file format you want to import.

If you don't see the file format listed, Visio doesn't have a file filter for that format. Try saving the document in a format Visio can open.

Click to show or hide information. Tip

You can also import some file formats, such as graphic image file formats, into a Visio drawing by using the Picture command on the Insert menu.


Modify a picture

  1. Select the picture.
  2. On the Format menu, click Picture.
  3. To change a property, drag the slider or type a value.

Note You can only modify pictures that are bitmaps.


About automatic layout

With certain types of connected drawings, such as flowcharts and network diagrams, you can use the Lay Out Shapes command on the Shape menu to automatically position shapes. Positioning shapes automatically is faster than dragging each shape to a new location in the drawing.

For example, if you're updating a large flowchart to include a new process, you can add and connect the shapes that make up the process, and then use the Lay Out Shapes command to automatically lay out the updated drawing.

Click to show or hide information. Solutions that work best with automatic layout

Lay Out Shapes works best with connected drawings, such as flowcharts, network diagrams, organization charts, and tree diagrams.

Click to show or hide information. How connector begin and end point direction affects layout

The Lay Out Shapes command works best when shapes are connected in the correct order. For example, in a top-to-bottom drawing, the connector's begin point [image] must be connected to the top shape, and the connector's end point [image] must be connected to the bottom shape.

Click to show or hide information. Controlling the placement of connectors and shapes

When you use the Lay Out Shapes command, you can control the way shapes and connectors are placed. You can:

  • Control the arrangement of shapes on the drawing page.
  • Change the way connectors are routed between shapes.
  • Change the minimum amount of space you want between shapes and connectors and between connectors' parallel segments.


Automatically lay out shapes

  1. Do one of the following:
  • To lay out an entire page, make sure no shapes are selected.
  • To lay out part of a page, select those shapes.
  2. On the Shape menu, click Lay Out Shapes.
  3. Under Apply settings to, click either Selection or Current page.
  4. In the Style, Direction, and Depth lists, click the options that you want.
  5. To specify connector routing style, direction, or appearance, select the Apply routing style to connectors check box and click the options you want in the Style, Direction, and Appearance lists.
  6. To change the spacing for shapes and connectors, click Spacing, select the spacing options that you want, and then click OK twice.

Spacing between connectors and connectors can be adjusted

To make connections easier to see in a large drawing, you can increase the amount of spacing between connectors or between shapes and connectors.

A Set using the Connector to shape option.

B Set using the Connector to connector option.

C Set using the Space between shapes option.


Troubleshoot automatic layout

These troubleshooting tips apply to the Lay Out Shapes command on the Shape menu.

Click to show or hide information. Connectors do not stay attached to shapes

Make sure that begin and end points of connectors are properly glued to other shapes. When you select a glued connector, its begin and end points turn red. If any endpoints are green, they are not glued.

Click to show or hide information. The order of the shapes is wrong

  • Connect shapes using a dynamic connector, which you can create using the Connector tool [image].
  • Orient connectors so that begin and end points direct the flow of your drawing.

The begin point [image] is where you started drawing the connector, and the end point [image] is where you finished drawing the connector.

The Lay Out Shapes command determines where to position shapes based on begin and end point locations. A connector may have an arrow on one or both ends, but the direction the arrow points doesn't necessarily indicate the begin and end point locations.

If you think the connector direction is wrong, you can reverse the begin and end points. Select the connector, and on the Shape menu, point to Operations, and then click Reverse Ends.

Click to show or hide information. Some of the shapes don't move and connectors don't bend around them

Only shapes that are set as placeable are automatically laid out. By default, most shapes are already set as placeable, and shapes connected with a dynamic connector are usually placeable.

To make a 2-D shape placeable:

  1. Select a shape.
  2. On the Format menu, click Behavior.
  3. Click the Placement tab, and in the Placement Behavior list, click Layout and route around. The shape is now placeable.

The Lay Out Shapes command does not move placeable shapes that are glued to guides, locked against moving by the shape developer, or have the Do not move during placement option selected on the Placement tab (on the Format menu, click Behavior).


Overlap connectors

  1. On the File menu, click Page Setup, and then click the Layout and Routing tab.
  2. In the Separate list, click one of the following:
  • To prevent separation of lines that are currently overlapping, click No Lines.
  • To prevent separation of connector lines that connect to common shapes, click Unrelated Lines.
  3. In the Overlap list, click one of the following:
  • To overlap all lines that are near each other, click All Lines.
  • To overlap connector lines that connect to common shapes, click Related Lines.


About working with both US and metric units

When you install the English-language version of Microsoft Visio, the setup program checks your system locale and installs drawing templates that use measurement units appropriate for your locale, either metric or US units.

If you create drawings in both metric and US units, you can install both sets of templates. Shapes are designed for use with either metric or US units, so you must use the appropriate shapes for your drawing. When you are creating drawings, start a drawing based on the template containing the measurement units you want.

When you have both sets of templates installed, the template names show which templates were created with US units. For example, if you install both the US and metric versions of the Basic Flowchart template, the template created with US units is named Basic Flowchart (US units), and the template created with metric units is named Basic Flowchart. You will see the unit names displayed in the stencil title bar if you open both the metric and US unit versions of the same stencil.


Install both US and metric templates

The English-language version of Microsoft Visio has two sets of templates: templates created in US units and templates created in metric units. When Microsoft Visio is installed, the appropriate set of templates is installed: either metric or US units. To use both sets of templates, you must use Add/Remove Programs to install the second set.

  1. Quit Microsoft Visio.
  2. In the Windows Control Panel, double-click the Add/Remove Programs icon.
  3. Do one of the following:
  • For Windows 2000 and Windows Millennium Edition:

In the Currently installed programs box, click Microsoft Visio, and then click the Change button.

  • For Windows 98 and Windows NT 4.0:

On the Install/Uninstall tab, click Microsoft Visio, and then click the Add/Remove button.

  4. On the first wizard page, click Add or Remove Features, and then click Next.
  5. In the Features box, click the plus sign next to either Solutions (US units) or Solutions (Metric units).

A red X indicates that a solution is not installed on your computer.

  6. For each solution or set of templates you want to install, click the arrow next to the solution name, and then click Run From My Computer.
  7. Click the arrow next to either Add-ons (US units) or Add-ons (Metric units), and then click Run From My Computer.
  8. Click Install.


Switch between US and metric templates

If you are using the English-language version of Microsoft Visio and you have both US unit and metric unit templates installed, you can choose whether to start a drawing that uses US units or metric units.

  1. On the File menu, point to New, and then click Choose Drawing Type.
  2. In the Category list, click the category of drawing you want to create.
  3. Under Template, click the specific type of drawing you want to create.

Drawing types in US units include the words "US units" in their names.

Drawing types in metric units do not show units in their names.

Note Do not use shapes that come with a metric template in a drawing that uses US units, and vice versa. Use shapes that work with your drawing's measurement units, page units, and drawing scale.


Example of drawing scales

Office furniture represented at two different drawing scales.

The drawing scale allows you to represent large objects on a page.


Why can't I rotate the page?

To be able to rotate drawing pages in Microsoft Visio, you must enable page rotation.

Click to show or hide information. How?

  1. On the Tools menu, click Options, and then click the General tab.
  2. Under Drawing window options, select Enable page rotation.


Options dialog box (General tab)

Click to show or hide information. Where

Specifies the search locations for shapes. By default, stencils installed on your hard drive and stencils on the Web are searched. To turn off a search location, in the Where box, click the arrow and clear the check box next to the location. For example, if you do not have an Internet connection or if you have a dial-up Internet connection, you can clear the check box next to The Internet so that only your hard drive is searched.

Click to show or hide information. Warn When Results Are Greater Than

Displays a warning when the number of shapes exceeds the specified limit. To display search results, click Yes. To cancel the search, click No.

Click to show or hide information. View Type

Specifies the level of detail to show for returned shapes.

Click to show or hide information. Group Shapes By Stencil

Groups results by the stencils on which shapes appear. Select this option to help distinguish between shapes that have the same name but that appear on different stencils. Selecting this option is also useful if you want to locate the stencil containing the shape.


Options dialog box (Advanced tab)

Click to show or hide information. Delete Files

Deletes temporary shape files that are stored on your hard drive so that shape searches run more quickly. Delete temporary files if you want to free up disk space on your hard drive.

Click to show or hide information. Prompt when indexing is required

Alerts you before Visio begins automatically indexing shapes on your hard disk. While Visio is indexing shapes, which may take a few minutes, you may notice a slowdown in performance. Select this check box if you want to see a message before indexing begins. The message dialog box allows you to cancel indexing. Clear this check box if you want indexing to occur without alerting you first.

Click to show or hide information. Update Index

Updates the index (catalog) of shapes. You must update the index if you have created your own shapes that you have added to existing stencils or stored on new stencils. To be included in the index, stencil files must be located in the stencil path. The default stencil folder is the Solutions folder, which is located in the Microsoft Visio installation folder. To add additional stencil folders, on the Tools menu, click Options. Click the File Paths tab, and in the Stencils box, type the path to a folder.


Use the Table shape

Use the Table shape to create a table in your drawing, or store reports on custom properties in a Table shape.

Click to show or hide information. Add a Table shape to your drawing

Do one of the following:

  • Drag the Table shape from the Forms Shapes stencil.

Click to show or hide information. Where is the Forms Shapes stencil?

  1. On the File menu, point to Stencils, and then click Open Stencil.
  2. Double-click the Forms and Charts folder, and then click Forms Shapes.
  3. Click Open.
  • Create a custom property report that is stored in the Table shape.

How do I generate a property report?

Click to show or hide information. Add text to the table

  1. Click a table cell, and type the text you want.
  2. To select text in a table cell, double-click the table cell.

Click to show or hide information. Select columns, rows, or the entire table

  1. To select the entire table, click along the outer edge of the table or drag a selection net around the table.

When the entire table is selected, you see padlocks around the table.

  2. To select a column, click a cell in the column you want to select. Right-click, and then click Select Column.
  3. To select a row, click a cell in the row you want to select. Right-click, and then click Select Row.

Click to show or hide information. Change the width of the table

  1. Select the entire table.
  2. Drag a selection handle.

Rows and columns are resized proportionally as you resize the table.

Click to show or hide information. Add or delete columns or rows

Do one of the following:

  • To add a column to the right or left of an existing column, click a cell in the column, right-click, and then click Insert Column to the Left or Insert Column to the Right.
  • To add a row above or below an existing row, click a cell in the row, right-click, and then click Insert Row Above or Insert Row Below.
  • To delete a column, click a cell in the column, right-click, and then click Delete Column.
  • To delete a row, click a cell in the row, right-click, and then click Delete Row.

Click to show or hide information. Resize a column or row horizontally

  1. To resize a column, select a cell in the column, and then drag a control handle [image].

You can also resize a column by selecting the table and then dragging a control handle at a column edge.

  2. To resize a row, select a cell in the row, and then drag a control handle.

Click to show or hide information. Add headers or footers

  1. Select either a cell or the entire table.
  2. Right-click within the table, and then click Header or Footer.
  3. Select the header or footer, and type text into it.

Click to show or hide information. Add borders

  1. Do one of the following:
  • To add a border to all cells in the table, select the table.
  • To add a border to specific cells, select the cells.
  2. Right-click, and then click Borders.
  3. Select the border options you want.

Click to show or hide information. Update a property report

If you are using this shape to store a report on custom properties, you can update the report.

  • To run the report again, right-click the shape, and then click Run Report.
  • To use a different report definition, right-click the shape, and then click Update Report. Select a different report definition, and then click Run. Or, select a report definition, modify it, and then click Run.


Use the Custom Callout shape

Expand all contracted text Show All

Label shapes with a custom callout

Use a Custom callout shape to display custom properties for a shape directly on the drawing page. For example, you can use a Custom callout shape to display the width of a door in an office layout.

  1. Drag a Custom callout shape from the Callouts stencil onto the drawing page.

Click to show or hide information. Where is the Callouts stencil?

  1. On the File menu, point to Stencils, and then click Open Stencil.
  2. Double-click the Visio Extras folder, and then click Callouts.
  3. Click Open.
  2. Drag the control handle [image] inside the shape whose properties you want to display.

The control handle turns red when it is glued to the shape.

  3. In the Configure Callout dialog box, click the properties you want displayed.
  4. To change the order in which properties are displayed in the callout, select a property and click Move Up or Move Down.
  5. Click OK.
  6. To change the custom properties displayed in the callout, right-click the callout shape, click Configure Callout, and select different properties.
  7. To associate a callout shape with a different shape, drag the control handle away from the first shape and drop it inside another shape.


Configure Callout dialog box

Click to show or hide information. Shape Custom Properties

Lists the custom properties assigned to the shape to which you've associated a callout shape. Click a property to display it in the callout. Properties are displayed in the callout shape in the order in which they are listed in this dialog box.

Click to show or hide information. Separator

Sets the character used to separate multiple displayed properties.

Click to show or hide information. Show Property Name

Shows the custom property label as well as the value.

Click to show or hide information. Move Callout With Shape

Moves the callout shape when the associated shape is moved. The callout shape remains at the same offset.

Click to show or hide information. Move Up

Moves the selected property up the property list.

Click to show or hide information. Move Down

Moves the selected property down the property list.


Use arrow connector shapes

  1. From the Connectors stencil, drag one of the arrow connector shapes onto the drawing page.
  2. To connect shapes or change where a connector bends, drag endpoints or the control handle, as shown in the illustration.
  3. To add text, select the shape and then type.

Click to show or hide information. Tips

  • Right-clicking the shape reveals more commands.
  • To see a tip that describes what a control handle [image] on a selected shape does, pause the pointer over the handle.

Side to side arrow connector shape

  1. Drag to glue one point to another point.
  2. Drag to change where the connector bends.


Use wide arrow connector shapes

  1. From the Connectors stencil, drag one of the wide arrow connector shapes onto the drawing page.
  2. To connect shapes or change arrow size, drag endpoints or the control handle.
  3. To add text, select the shape and then type.

Click to show or hide information. Tips

  • Right-clicking the shape reveals more commands.
  • To see a tip that describes what a control handle [image] on a selected shape does, pause the pointer over the handle.

1-D double shape

  1. Drag to glue one point to another point.
  2. Drag to change arrow size.


Use straight or curved connector shapes

  1. From the Connectors stencil, drag one of the straight or curved connector shapes onto the drawing page.
  2. To connect shapes or change the curvature of the line, drag endpoints or the control handle, as shown in the illustration.
  3. To add text, select the shape and then type.

Click to show or hide information. Tips

  • Right-clicking the shape reveals more commands.
  • To see a tip that describes what a control handle [image] on a selected shape does, pause the pointer over the handle.

Wavy connector shape and Straight connector shape

  1. Drag to glue one point to another point.
  2. Drag to change the curvature of the line.


Use tree connector shapes

  1. From the Connectors stencil, drag one of the tree connector shapes onto the drawing page.
  2. To connect shapes or add or move branches, drag endpoints or the control handle, as shown in the illustration.
  3. To add text, select the shape and then type.

Click to show or hide information. Tip

To see a tip that describes what a control handle [image] on a selected shape does, pause the pointer over the handle.

Double tree square shape

  1. Drag to rotate the tree or to change its length.
  2. Drag to add branches.
  3. Drag to move the branch.


Use multiline connector shapes

  1. From the Connectors stencil, drag one of the multiline shapes onto the drawing page.
  2. To connect shapes or change the spacing between lines, drag endpoints or the control handle, as shown in the illustration.
  3. To add text, select the shape and then type.

Click to show or hide information. Tip

To see a tip that describes what a control handle [image] on a selected shape does, pause the pointer over the handle.

2-line elbow shape

  1. Drag to change the length of the line.
  2. Drag to change the spacing between lines.


Table Size dialog box

Click to show or hide information. Columns And Rows

Number of columns Type the number of columns you want in the table.

Number of rows Type the number of rows you want in the table.

Click to show or hide information. Cells

Cell width Type the width of table cells (table columns) you want. You can resize columns after you have created the table.


Borders dialog box

Click to show or hide information. Sides

Adds borders to the selected cells. You can add borders to the top, bottom, left, and right edges of the cells. If you have multiple cells selected, you can add borders to the inside edges of the cells.

Click to show or hide information. Diagonal Lines

Inserts a diagonal line in each selected cell.


Use the Microsoft Excel report shape

Use this shape to store reports on custom properties.

Do any of the following:

  • To edit the report in Microsoft Excel, double-click the shape.
  • To run the report again, right-click the shape, and then click Run Report.
  • To use a different report definition, right-click the shape, and then click Update Report. Select a different report definition, and then click Run.


Shape basics

This topic explains how to perform basic tasks with most Microsoft Visio shapes. Because shapes are designed to work in specific drawing types, some shapes may behave differently.

Click to show or hide information. Select a shape

Selecting a shape by clicking it.

To select a single shape: (1) Position the pointer over the shape. (2) When the pointer changes to a four-headed arrow, click. (3) The selected shape shows selection handles.

Selecting shapes by dragging a selection net around them.

To select multiple shapes: (1) Drag a selection net around them or press SHIFT and click each shape. (2) The selected shapes have selection handles.

To quickly select all shapes on the page, on the Edit menu, click Select All.

To cancel the selection of one of several selected shapes, SHIFT+click the specific shape.

Click to show or hide information. Move a shape

Moving a shape by dragging it.

To move a shape: (1) Position the pointer over the shape. (2) When the pointer changes to a four-headed arrow, hold down the mouse button and drag.

Aligning shapes using the dynamic grid.

To move a shape and align it with another shape, use dynamic grid lines.

To turn on the dynamic grid, on the Tools menu, click Snap & Glue. Click the General tab, select the Dynamic grid check box, and then click OK.

Click to show or hide information. Tip

To nudge a shape, click to select it, and then press an arrow key. To nudge a shape exactly one pixel, hold down SHIFT and press an arrow key.

Click to show or hide information. Add new text to a shape

Typing text in a shape.

To add text to a shape: (1) Select the shape. (2) Type the text.

If you haven't already zoomed in on a shape, Microsoft Visio automatically zooms in when you type. To zoom out again, click outside the shape.

Click to show or hide information. Change existing shape text

Modifying text in a shape.

To change existing shape text: (1) Click to select the shape. (2) Click the Text tool. (3) Type the new text.

To change the way shape text looks, click to select the shape, point to the Format menu, click Text, and then select the formatting options you want.

Click to show or hide information. Change shape size

Changing the width of a shape by dragging a side selection handle.

To change the width or length of a shape: (1) Position the pointer over a side selection handle. (2) When the pointer changes to a two-headed arrow, drag the selection handle.

A selected shape's width and height display in the status bar at the bottom of the Visio window.

Resizing a shape proportionally by dragging a corner selection handle.

To make a shape larger or smaller while maintaining the same proportions: (1) Position the pointer over a corner selection handle. (2) Drag the selection handle. (3) Dragging any selection handle on a perfect circle or square resizes the shape proportionally.

Click to show or hide information. Tip

You can also control a shape's size in the Size & Position window. On the View menu, click Size & Position Window. Select the shape you want to resize, and then type the width and height values you want.

Click to show or hide information. Change how a shape looks

Changing the fill color of a shape.

To change the way a shape looks: (1) Click to select the shape. (2) Click Fill Color, Line Color, Line Weight, or other tools on the Format toolbar. (3) Your shape reflects the changes you made.

Click to show or hide information. Connect shapes

Connecting shapes with the Connector tool.

To join two shapes with a connector: (1) On the Standard toolbar, click the Connector tool. (2) Place the pointer inside the first shape until an outline appears around the shape. (3) Drag the pointer inside the second shape until an outline appears. (4) Release the mouse button. (5) Click the Pointer tool.

Click to show or hide information. Tips

  • When you move the connected shapes, the connectors move dynamically so the closest two connection points [image] on the shapes are connected.
  • You can also connect shapes using connector shapes, such as the Dynamic Connector shape, that you find on many stencils.

Click to show or hide information. Rotate a shape

Rotating a shape with the Rotation tool.

To rotate a shape: (1) On the Drawing toolbar, click the Rotation tool, click to select the shape, and then move the pointer to a rotation handle [image]. (2) When the pointer becomes a circle, drag the handle to the rotation you want. (3) Click the Pointer tool.

Rotating a shape by typing a rotation angle.

To rotate a shape by a fixed amount: (1) Click to select the shape. (2) On the View menu, click Size & Position Window. (3) In the Angle box, type the angle you want, and then press Enter.

Click to show or hide information. Use the shortcut menu

Right-clicking a shape to see the shortcut menu.

To gain access to other commands that control shape behavior: (1) Place your pointer over a shape. (2) Right-click the shape.

Click to show or hide information. Zoom in or out

Zooming in or out of a drawing by using the Zoom box.

To zoom in on a drawing, click the arrow next to the Zoom box and click a setting. You can also zoom in on an area by holding down CTRL+SHIFT and dragging a selection net around the area you want to magnify.

Click to show or hide information. Copy a shape

Copying a shape by holding down CTRL and dragging the shape.

To copy a shape: (1) Click to select the shape. (2) Hold down the CTRL key and drag to place the copy where you want it. (3) Release the mouse button.


Reshape a freeform curve

  1. Click the Pencil tool [image], and then select a freeform curve.
  2. Drag a control point [image] to change the shape of the freeform curve.


Find a tool

Some drawing tools are grouped together on drop-down menus on the Standard toolbar. The toolbar shows the most-recently used tool from that group. To see additional tools, click the down arrow next to the tool on the toolbar.

Menu with drawing tools.

The Arc tool, Freeform tool, and Pencil tool are under the Line tool.

The tools are grouped as follows:

  • Connector tool

Connection Point tool

Stamp tool

  • Text tool

Text Block tool

  • Rectangle tool

Ellipse tool

  • Line tool

Arc tool

Freeform tool

Pencil tool

  • Rotation tool

Crop tool


Draw a line

  1. Click the Pencil tool [image] or the Line tool [image].
  2. Point to where you want to start the line.
  3. Drag to draw the line.


Change a shape's position in the stacking order

Select a shape, and then do one of the following:

  • To bring the shape to the front, on the Shape menu, point to Order, and then click Bring to Front.
  • To send the shape to the back, on the Shape menu, point to Order, and then click Send to Back.
  • To bring the shape forward one level, on the Shape menu, point to Order, and then click Bring Forward.
  • To send the shape backward one level, on the Shape menu, point to Order, and then click Send Backward.

If the shape is part of a group, do the following:

  1. Click to select the group, and then click to select the shape in the group.

Note If your group doesn't work this way, it may be because you are working in a drawing that has predefined group behavior settings.

  2. Change its position in the stacking order as described above.


About offset distance for a shape's geometry

For a specified line or curve, the offset is implemented as a pair of lines or curves that are equidistant from the original line or curve. The offset shape types that result typically match the original shape. However, if the offset to a curve is not a line, arc, or elliptical arc, the resulting offset is a freeform curve or series of freeform curves that approximate the offset of the curve. This approximation comes as close as possible to fitting the theoretical offset curve.

Offsets are generated on both sides for all the paths in the selected shapes. The result is that two new lines appear—one to the left of the original line and one to the right. You can then delete a line if necessary, even the original line, which is always positioned in the center.

Offset shapes inherit line patterns from the original shapes. They do not inherit any fill patterns or text from the original shapes.

Original line and curve and inside and outside offsets

  1. Original line and curve.
  2. The offset line and curve on the inside are trimmed to miter corners.
  3. The offset line and curve on the outside are extended to miter corners.


Specify the offset distance for a shape's geometry

  1. Select a shape.
  2. On the Shape menu, point to Operations, and then click Offset.
  3. Enter the distance you want.


Edit Custom Property Sets dialog box

Click to show or hide information. Custom Property Sets

Lists the custom property sets available in the current drawing.

Click to show or hide information. Add

Creates a new custom property set.

Click to show or hide information. Rename

Gives the selected custom property set a different name.

Click to show or hide information. Delete

Removes the selected custom property set from the current drawing.

Click to show or hide information. Define

Adds, changes, or removes a custom property for the selected custom property set.


Add Custom Property Set dialog box

Click to show or hide information. Name

Specifies the name of the custom property set.

Click to show or hide information. Create A New Set

Creates a new custom property set.

Click to show or hide information. Create A New Set From The Shape Selected In Visio

Creates a new custom property set that contains all of the custom properties defined for the shape you have selected on the drawing page.

Click to show or hide information. Create A New Set From An Existing Set

Creates a new custom property set that contains all of the custom properties defined in an existing set. Select the drawing or stencil that contains the custom property set, and then select the custom property set.


Apply Custom Property Set dialog box

Click to show or hide information. Custom Property Set

Specifies the custom property set you want to use.

Click to show or hide information. Apply To Shapes Selected In Drawing

Adds the custom properties to the shapes you have selected on the drawing page.

Click to show or hide information. Apply To Shapes On A Stencil

Adds the custom properties to shapes on a stencil. Click Choose Shapes to specify which shapes on the stencil.


Rename Custom Property Set dialog box

Specify a new name for an existing custom property set.


Choose Shapes dialog box

Click to show or hide information. Document

Select the stencil you want to modify. To modify the document stencil, select the drawing name.

Click to show or hide information. Shapes

Select the shapes to which you want to add custom properties.


Example of Custom Properties dialog

Flowchart shape with custom properties

You store data in shapes by typing values in the Custom Properties dialog box or in the Custom Properties window.


Example of Custom Property section of the ShapeSheet

Custom property section of the ShapeSheet spreadsheet

Custom properties are stored in their own section of a shape's ShapeSheet spreadsheet.


Check out a file from a server running SharePoint Portal Server

Before completing the following steps, ask your network administrator for the URL of the server running Microsoft SharePoint Portal Server and the name of the folder that contains the file that you want to check out.

1. On the File menu, click Open.

  2. To open your list of shortcuts to Web servers, do one of the following:

In Windows 2000 or Windows Millennium Edition, click My Network Places.

In Windows NT 4.0 or Windows 98, click Web Folders.

  3. If you have already created a shortcut to the folder on the server that contains the file you want to open, double-click it.

If you haven't created a shortcut to the server, you must do so now.

Click to show or hide information. How?

Click to show or hide information. Windows 2000 or Windows Millennium Edition

  1. Double-click Add Network Place.
  2. Click Create a shortcut to an existing Network Place, and then click Next.
  3. Type the URL of the server.
  4. Type a name for the shortcut to the server, and then click Finish.

Click to show or hide information. Windows NT 4.0 or Windows 98

  1. Double-click Add Web Folder.
  2. Click Create a shortcut to an existing Web Folder, and then click Next.
  3. Type the URL of the server.
  4. Type a name for the shortcut to the server, and then click Finish.
  4. Double-click the folder that contains the file you want to open, and then double-click the file.
  5. Click Check Out.
  6. When you are finished editing the file, on the File menu, click Check in.
  7. Depending on how the folder is set up, you may be prompted for information about the file and whether you want to publish the file to make it available to others viewing that shared folder.

Notes

  • After you check in a file, a read-only copy remains open in Microsoft Visio. To make further changes to the file, click File, and then click Check Out.
  • If you try to close a file without checking in your changes, you'll be prompted either to check in the changes, discard the changes, or keep the file checked out.
  • If you try to close the file without saving it, you'll be prompted either to save the changes and check them in, save the changes and keep the file checked out, discard the changes and undo the checkout, or discard the changes and keep the file checked out.


Open a file on a Web server

1. On the File menu, click Open.

  2. To open your list of shortcuts to Web servers, do one of the following:

In Windows 2000 or Windows Millennium Edition, click My Network Places.

In Windows NT 4.0 or Windows 98, click Web Folders.

  3. If you have already created a shortcut to the folder on the server that contains the file you want to open, double-click it.

If you haven't created a shortcut to the server, you must do so now.

Click to show or hide information. How?

Click to show or hide information. Windows 2000 or Windows Millennium Edition

  1. Double-click Add Network Place.
  2. Click Create a shortcut to an existing Network Place, and then click Next.
  3. Type the URL of the server.
  4. Type a name for the shortcut to the server, and then click Finish.

Click to show or hide information. Windows NT 4.0 or Windows 98

  1. Double-click Add Web Folder.
  2. Click Create a shortcut to an existing Web Folder, and then click Next.
  3. Type the URL of the server.
  4. Type a name for the shortcut to the server, and then click Finish.
  4. Double-click the folder that contains the file you want to open, and then double-click the file.


Save a file to a Web server

1. On the File menu, click Save As.

  2. To open your list of shortcuts to Web servers, do one of the following:

In Windows 2000 or Windows Millennium Edition, click My Network Places.

In Windows NT 4.0 or Windows 98, click Web Folders.

  3. If you have already created a shortcut to the folder on the server where you want to save the file, double-click it.

If you haven't created a shortcut to the server, you must do so now.

Click to show or hide information. How?

Click to show or hide information. Windows 2000 or Windows Millennium Edition

  1. Double-click Add Network Place.
  2. Click Create a shortcut to an existing Network Place, and then click Next.
  3. Type the URL of the server.
  4. Type a name for the shortcut to the server, and then click Finish.

Click to show or hide information. Windows NT 4.0 or Windows 98

  1. Double-click Add Web Folder.
  2. Click Create a shortcut to an existing Web Folder, and then click Next.
  3. Type the URL of the server.
  4. Type a name for the shortcut to the server, and then click Finish.
  4. In the File name box, type a name for the file (or keep the current name).
  5. Double-click the folder where you want to save the file, and then click Save.


About support for text fonts

Microsoft Visio does not support printer fonts or bitmap fonts. Microsoft Visio does support Postscript fonts on the Microsoft Windows 2000 operating system and on other Windows operating systems, if the operating system supports appropriate Adobe Type Manager software. Note that you cannot use Postscript fonts or vector fonts for transparent text or in metafiles.

Click to show or hide information. Additional character sets

When you type text in a shape, you can use other character sets, such as Arabic, Greek, and Japanese. You can view the available character sets by clicking the << button next to the Font list in the Text dialog box. The drop-down list shows the characters sets available in the selected font.


Copy text formatting

  1. Select the text that has the style you want to copy.
  2. Click Format Painter [image], and then select the text to which you want to apply the formatting.

Click to show or hide information. Tip

You can apply the formatting to several text selections in succession. First, select the text whose style you want to copy, double-click Format Painter [image], and then select each block of text, one by one, to which you want to apply the formatting.


Check documents for macros that might contain viruses

A macro virus is a type of computer virus that could be stored in macros within a Microsoft Visio document, such as a drawing (.VSD file), stencil (.VSS file), template (.VST file), or workspace (.VSW file).

Microsoft Visio cannot scan a disk, disk drive, or network drive to find and delete macro viruses. If you want this kind of protection, you must purchase and install specialized anti-virus software. Visio does, however, display a warning message whenever you open a document that contains macros that might contain a virus. You can then choose to open the document with or without its macros:

  • If you expect a document to contain useful macros, open the document with the macros enabled (click Enable Macros in the macro virus warning message).
  • If you don't know or trust the document source, or if you aren't expecting the document to contain macros, open the document without macros to prevent the possible transmission of macro viruses (click Disable Macros in the macro virus warning message).

If you want, you can stop checking documents for macros that might contain viruses by setting the security level for macro virus protection to Low.

NOTE To find out more about macro viruses, including how to purchase anti-virus software that scans your existing documents and removes macro viruses, you can download virus-protection information from the Microsoft Web site www.microsoft.com


Change the security level for macro virus protection

  1. On the Tools menu, point to Macros, and then click Security.
  2. Click the Security Level tab, and then select the security level you want.
  • To run only macros that have been digitally signed and that you can confirm are from a trusted source, click High. Unsigned macros are automatically disabled, and the file is opened without any warning.
  • To have a warning displayed whenever a macro is encountered from a source that is not on your list of trusted sources, click Medium. You can choose whether to enable or disable the macros when you open the file.
  • If you are sure that all the files and add-ins you open are safe, click Low. Macro virus protection is turned off, and macros are always enabled when you open files.

Note You can't set the security level lower than your security policy allows. For example, if your system administrator has set your security level to High, you cannot change your security level to Medium, even though you have selected Medium in this dialog box.


Modify the list of trusted sources for macros

Do one of the following:

Click to show or hide information. Add a macro developer to the list of trusted sources

  1. Set the macro security level to Medium or High.
  2. Open the file or load the add-in that contains digitally signed macros.
  3. In the Security Warning box, select the Always trust macros from this source check box.

Click to show or hide information. Remove a macro developer from the list of trusted sources

  1. On the Tools menu, point to Macros, and then click Security.
  2. Click the Trusted Sources tab, click the source you want to remove, and then click Remove.


I can't activate Microsoft Visio

Click to show or hide information. The network might be busy

Check your network connection and try to activate later, when there is less network activity. Alternatively, you can register by telephone by following the instruction in the Microsoft Visio Activation Wizard.

Click to show or hide information. You might not have an Internet or e-mail account set up on your computer

To activate Microsoft Visio electronically, you must have a modem and an Internet or e-mail connection. You can get an account by contacting an Internet Service Provider (ISP) or over your corporate network. Alternatively, you can register by telephone by following the instructions in the Microsoft Visio Activation Wizard.


Change the language for Microsoft Visio

To take advantage of language switching, you must have installed Visio from volume license media, commonly distributed to customers under Open and Select license agreements. In addition, your organization must have purchased, distributed, and installed versions of Visio in two or more languages, and you must have installed Microsoft Office XP and the Microsoft Office XP Multilingual User Interface Pack. For details, see your system administrator.

  1. On the Start menu, point to All Programs (or to Programs, in versions other than Microsoft Windows XP), point to Microsoft Office Tools, and then click Microsoft Office XP Language Settings.
  2. Click the User Interface tab.
  3. In the Display menus and dialog boxes in list, select the language you want.


About using Microsoft Visio on Terminal Server

When you run Microsoft Visio on either Windows NT Server 4.0, Terminal Server Edition, or Windows 2000 Server Terminal Services, you may notice some differences from the version you run on the desktop or on a network server. Certain graphical features are optimized to run more smoothly over a terminal services connection, and some features are disabled to accommodate the terminal services multiuser environment.

  • While you are moving, rotating, or resizing a shape, you see a simple outline instead of the complete shape.
  • Text display defaults to fast display (aliased text).
  • Some options that would slow down text and shape display are disabled, such as the Enable live dynamics option and the Smooth drawing option in the Options dialog box.
  • Some commands that are only accessible on the local computer are disabled. These include the command to insert a picture from a scanner or camera, the command to start a NetMeeting session, and the Detect and Repair command.


Requirements for specific languages

Click to show or hide information. Asian languages (Simplified Chinese, Traditional Chinese, Japanese, and Korean)

To enter ideographs for these languages, use one of the following operating systems:

  • Any language version of Microsoft Windows 2000

If you are running a language version of Windows 2000 that doesn't match the language that you want to type, you must first install support for the language, and then install the Input Method Editor (IME) for the language.

  • Any language version of Microsoft Windows 98 or Windows NT 4.0

If the language version of your operating system is the same as the language you want to type, Input Method Editors are included with these systems.

If the language version of your operating system doesn't match the language you want to type, install an Input Method Editor. You use an Input Method Editor to enter Asian text in Microsoft Visio.

Click to show or hide information. Baltic, Central European, Cyrillic, Greek, and Turkish languages

To enter characters for these languages, use one of the following operating systems:

  • The corresponding language version of Windows 98, Windows NT 4.0, Windows 2000, or Windows Millennium

If you are running a language version of an operating system that doesn't match the language you want to type, install system support for that language.


ODBC data source

Lists the data sources that are available. If the database you want isn't listed on this screen:

  • The database doesn't exist. Create a new database, and define it as an ODBC data source.
  • The database is not defined as an ODBC data source. Define an existing database as an ODBC data source.
  • The DSN file is stored in a location other than the default (c:\Program Files\Common Files\ODBC\Data Sources). Click Browse for File DSN to locate the file.


Database object

When you are linking a Microsoft Visio shape or drawing to a database, you must specify a database object, such as a table, to which the shape or drawing will link.

Click to show or hide information. Database

Select the database containing the object to which you want to link. This option is available only for database programs, such as Microsoft SQL Server, where connecting to a data source gives you access to multiple databases.

Click to show or hide information. Owner

From the drop-down list, click All Users or the name of an object creator. Choosing a specific creator limits the number of objects that are displayed in the list. This option is available only for database programs, such as Microsoft SQL Server, where you can specify an object creator.

Click to show or hide information. Object Types

Select the type of object to which you want to link a Visio shape: a database table, a database view (query), a system table, or an alias name for a table.

Click to show or hide information. Database Objects

Select the information to which you want to link. This list contains only the items you selected under Object Types. For details about database objects, see your database program documentation.

Click to show or hide information. Define Table

Click if you have no database object defined or if you want to create a new table. You can define a table without leaving the Database Wizard.


Define Table

Click to show or hide information. Data Source

This name shows the data source you selected on one of the previous wizard screens.

Click to show or hide information. Table Name

Type the name of the new table you want to define.

Click to show or hide information. Name

Type the name of a field you want to add to the new table.

Click to show or hide information. Type

Select a data type for the field specified in Name. The data types you can choose depend on the database driver associated with the database to which you are linking.

Click to show or hide information. Length

Type the size in bytes of a variable-length field.

Click to show or hide information. Decimal

Type the number of decimal places supported by the field. This applies only to numeric fields that are not integers.

Click to show or hide information. Fields

Lists the fields in the new table you are defining.

Click to show or hide information. Primary Key

Select if the field specified in Name is part of the primary key (a field or fields that uniquely identify each record) for the database table.

Click to show or hide information. Unique

Select if the field specified in Name cannot have duplicate values.

Click to show or hide information. Required

Select if the field specified in Name cannot have a null value.

Click to show or hide information. Add

Click to add the field specified in Name to the table you are defining.

Click to show or hide information. Remove

Click to remove the selected field from the table you are defining.

Click to show or hide information. When you are finished defining the table

Click Next.

For details about defining database tables, see your database program documentation.


Fields in the primary key

The primary key is the field or combination of fields that uniquely identifies each record. For example, you might use both an employee number and name, because a database could have two employees with the same name. You may already have defined a primary key in your database table.

Click to show or hide information. When to choose a primary key

The wizard must match a shape to each record in the database table, so it tries to determine how many fields comprise the primary key and what those fields are. If the wizard cannot determine that information automatically, you must enter the number of fields and select the field names from the lists.

Click to show or hide information. What to enter as default values for the primary keys (on the next screen)

After you define the primary key, the wizard prompts you to choose default values for each field in the key.

  • When you enter Values for each primary key, you associate the shapes with specific records in the database.
  • When you choose None and don't enter values for each primary key, you associate the shape with fields in the database table, not specific records or data.


Events and actions

When you add a right-mouse action, the action becomes available as a command on the shape's shortcut (right-click) menu.

When you add a shape event, you define how a linked shape responds when you copy it or drop it onto the page.

Click to show or hide information. Include An On Drop Event With The Shape

Adds a Refresh (to update ShapeSheet cells to match values in database records) or a Select (to select a database record) on-drop event to the linked shape.

Click to show or hide information. Refresh Shape On Drop

  • If you are linking a master, choose to automatically update the linked ShapeSheet cells for each instance you create when you drop the master.
  • If you are linking a shape instance, choose to update the linked ShapeSheet cells for each copy you create when you duplicate the instance.

Click to show or hide information. Select Record On Drop

Choose to select a new database record each time you drop a linked master or copy a linked shape instance.

Click to show or hide information. Select Database Record

Select this check box to add this to the linked shape's shortcut (right-click) menu. This command specifies a new database record to link to the shape.

Click to show or hide information. Refresh Shape Cells

Select to add this to the linked shape's shortcut (right-click) menu. This command looks up the database record to which the shape is linked. If the values in the shape's ShapeSheet cells differ from the values in the database, the ShapeSheet cell values are then refreshed.

If you don't select this option, you can still refresh selected shapes or all the shapes on a page by using the Database Refresh command. On the Tools menu, point to Macros, then point to Visio Extras, and then click Database Refresh.

Click to show or hide information. Update Database Record

Select this check box to add this to the linked shape's shortcut (right-click) menu. This command looks up the database record to which the shape is linked. If the values in the shape's ShapeSheet cells differ from the values in the database, the database field values are then updated.

If you don't select this option, you can still update database records linked to selected shapes or to all the shapes on a page by using the Database Update command. On the Tools menu, point to Macros, then point to Visio Extras, and then click Database Update.

Click to show or hide information. Delete Shape And Database Record

Select this check box to add this to the linked shape's shortcut (right-click) menu. This command deletes the shape and its linked database record simultaneously.


Cells for storing the primary key values

These options identify the ShapeSheet cells that correspond to each primary key field in the database. The values for the primary key fields are copied into the corresponding ShapeSheet cells.

Click to show or hide information. If you are linking a shape or drawing on a page for the first time

The wizard generates a cell name for each ShapeSheet cell and displays the name in the Cell drop-down list.

If you decide to use the generated name, the wizard creates a cell with that name in the Custom Properties section of the linked shape's ShapeSheet spreadsheet.

If you want the primary key field to be linked to one of the shape's existing custom-property fields (for which a Custom Properties ShapeSheet cell already exists), choose that field from the drop-down list.

Click to show or hide information. If you've already run the wizard to link shapes or a drawing on a page

The wizard automatically selects the ShapeSheet cells you originally linked to the primary key fields. You can choose another cell by selecting a custom property from the drop-down list.


ShapeSheet cells linked to database fields

These options identify the ShapeSheet cells that correspond to each database field (other than the primary key fields) in the database. Then, when you link a shape to a database record, the ShapeSheet cells reflect the values in the corresponding fields.

  • Some database fields contain data that match the data typically stored in an existing ShapeSheet cell.

For example, if a database includes a Width field, the data in that field corresponds to data typically stored in the Width cell in the Shape Transform section of the ShapeSheet spreadsheet.

  • Some database fields contain data that doesn't match any data typically stored in an existing ShapeSheet cell. In cases like these, let the wizard automatically match database fields with existing ShapeSheet cells—such as matching the Width database field to the Width ShapeSheet cell—and create new ShapeSheet cells (Automatic) for any database field that doesn't have a matching ShapeSheet cell name.

Click to show or hide information. Cells

Lists the ShapeSheet cells that you can link to a field in a database.

Click to show or hide information. Database Fields

Lists all the fields in the database table to which you are linking the Microsoft Visio shape or drawing on a page. You can choose to link some or all of the fields to ShapeSheet cells. However, if your goal is to create a drawing on a page that is a graphical representation of each record in a database table, you must link each field to a ShapeSheet cell.

Click to show or hide information. Evaluate Data As

Determines how the data is evaluated when the data is copied from a database field to a ShapeSheet cell.

  • If the data in the field is a string, the data can be evaluated either as a Value or as a Formula. A Formula is simply a string, such as Width, 5 in., or 2 mm * 3 mm, for which a value is returned.
  • If the data in the field is numeric, the data can be evaluated as a number or as a measurement with specific units attached.

Click to show or hide information. Add

Links the selected ShapeSheet cell to the selected database field.

Click to show or hide information. Remove

To remove a link or links between a ShapeSheet cell and database field, under Links, select the links you want to remove, and then click Remove. You can also double-click a link to remove it, and you can select and remove more than one link at a time.

Click to show or hide information. Automatic

The wizard automatically creates new ShapeSheet cells in the Custom Properties section of the ShapeSheet spreadsheet for all database fields.

Some database fields contain data that doesn't match any data typically stored in an existing ShapeSheet cell. In cases like these, let the wizard automatically match database fields with existing ShapeSheet cells—such as matching the Width database field to the Width ShapeSheet cell—and create new ShapeSheet cells (Automatic) for any database fields that doesn't have a matching ShapeSheet cell name.


Options for monitoring communication between the linked drawing and database

Click to show or hide information. Automatically Distribute Shapes On The Page

Arrays the shapes in rows and columns on the page. One shape represents each database record.

Leave this option unchecked when the database table includes fields that specify shape location (that is, if database records are linked to the PinX and PinY cells in the Shape Transform section of the ShapeSheet spreadsheet). Shapes then appear on the page at the specified PinX, PinY locations.

If PinX and PinY are not linked and you don't select this option, all shapes are dropped at 0,0, and you can move them to the position you want later.

Click to show or hide information. Automatically Scale The Drawing Page

Available only when the Automatically Distribute Shapes On The Page option is selected. Select this option to have the wizard set the page size to exactly accommodate the shapes it distributes. If you don't select this option, shapes may be drawn outside page boundaries.

Clear this option if you are creating linked shapes that include text, such as business cards. Text may not scale properly when you scale the page.

Click to show or hide information. Launch The Drawing Monitor On Document Open

Select this option to start the wizard's Drawing Monitor each time you open the linked drawing you are creating. The Drawing Monitor manages communication between the drawing on a page and the database table. When the Drawing Monitor is open, changes you make to shapes in the drawing are automatically reflected in database records.

Clear this option if you want to make changes in the drawing on a page without automatically affecting database records. You can still manually pass changes back and forth between the drawing and the database table. On the Tools menu, point to Macros, then point to Visio Extras, and then click either Database Refresh or Database Update.

Click to show or hide information. Add "Launch Monitor" Right Mouse Action To The Page

Adds a Launch Monitor command to the page shortcut (right-click) menu. Then you can start the Drawing Monitor by right-clicking the page and choosing the command.

Click to show or hide information. Access The Database Table In Read-Write Mode

Changes the database in response to changes in the drawing on a page (in addition to changing the drawing in response to changes in the database). Clear this option if you don't want drawing changes to affect the database.

Click to show or hide information. Automatically Refresh Page Based On Global Setting

You can set a global refresh interval that applies to all your drawings that are linked to databases. (The refresh interval is the amount of time that elapses before changes made to a database are automatically passed to its linked drawing.)

Select this check box if you want the global refresh setting to apply to drawing on the current page. Clear this option to refresh the drawing by clicking Refresh on the Drawing Monitor.

To set the global refresh interval, on the Tools menu, point to Macros, point to Visio Extras, and then click Database Setting.


Masters for representing database records

The master you select must already be linked to a record in the database. Each field in the database record must be linked to a ShapeSheet cell in the master.

Click to show or hide information. If you haven't previously run the Database Wizard to link a master to a database record

Exit the wizard now. On the Tools menu, point to Macros, point to Visio Extras, and then click Database Wizard. On the first screen, click Next. On the second screen, choose Link Shapes To Database Records, click Next, and then follow the wizard screens. Link each field in the database to a ShapeSheet cell.

Click to show or hide information. Stencil

Choose the stencil that contains the linked master.

Click to show or hide information. Browse

Click to locate the stencil that contains the linked master.

Click to show or hide information. Masters

The linked masters from the stencil you choose are displayed here. Click to select the master you want to use to represent the database records.


Database link and naming options

Click to show or hide information. Keep Database Links In New Masters

Select this option to maintain links between new masters and the database records they represent.

  • If you maintain links, you can add on-drop events and right-mouse actions to masters (and their instances) to keep the values in database records and the shapes' ShapeSheet spreadsheets synchronized.
  • If you don't maintain the links, the masters' ShapeSheet cells contain the data that existed in the database fields at the time you generated the new masters, but won't contain any reference to the database table in which the values can be found.

The benefit of not maintaining the links is that the masters can be distributed widely. If you make changes to the database, however, you must run the Database Wizard again and generate new masters that reflect the changes.

Click to show or hide information. Generate Names From Primary Key Fields

Click to name the new masters after the primary key fields in the database table.

For example, if your database has a primary key field called Name that includes Blue Block, Red Block, and Green Block records, the masters will be named Blue Block, Red Block, and Green Block. Master names can only be 31 characters in length. If the key field names are longer than 31 characters, the master names are truncated.

Click to show or hide information. Base Names On The Original Visio Master

Click to name the new masters after the master on which you based those new masters. For example, if the original master is the Box shape, the new masters are named Box1, Box2, Box3, and so on.


Master that serves as the basis for new masters

Click to show or hide information. Stencil

Choose the stencil that contains the master you want.

Click to show or hide information. Browse

Click to locate the stencil that contains the master.

Click to show or hide information. Masters

The masters from the stencil you choose are displayed here. Click to select the master you want to use as the basis for new masters.


Database Drawing Monitor

The Drawing Monitor manages the links between Microsoft Visio shapes that represent database tables and records in the database.

  • If you delete a shape, the Drawing Monitor informs the database table, which deletes the corresponding record.
  • If you add a shape, the Drawing Monitor adds a record to the database table.
  • If you change a value in one of the shape's linked cells, the Drawing Monitor informs the database table, which changes the value in the corresponding record.

When you change a shape, the Drawing Monitor compares the Mirror cell values with the database record values. If the database record values have been modified, the Drawing Monitor prompts you to discard the shape changes and revert to the values in the database or to update the database record based on values from the shape.

Click to show or hide information. Monitored Drawing Pages

Lists the open linked drawing pages. The Drawing Monitor can monitor the database links for several pages at a time.

Click to show or hide information. Automatically Distribute Shapes On The Page

Select the check box to array shapes in the drawing selected in the Monitored Drawing Pages list in rows and columns on the page.

Clear the check box if the database table includes fields you've linked to the PinX and PinY cells in the Shape Transform section of the ShapeSheet spreadsheet. These shapes will be dropped at the PinX and PinY locations.

Click to show or hide information. Automatically Scale Drawing Page

Select the check box to have the wizard set the page size to accommodate only the shapes in the pages selected in the Monitored Drawing Pages list.

Click to show or hide information. Refresh

Click to copy new values from database records into ShapeSheet cells, add new shapes based on newly created database records, distribute shapes on the page, or scale a page for the drawing selected in the Monitored Drawing Pages list.

Click to show or hide information. Remove

Click to remove a selected drawing from the Monitored Drawing Pages list. The Drawing Monitor stops monitoring the link for the drawing on the page you remove.

Click to show or hide information. Close

Click to close the Drawing Monitor and stop monitoring the links between any open drawings and their linked databases. To reopen the Drawing Monitor, you must do one of the following:

  • Run the Database Wizard, and then choose the Create a linked drawing or modify an existing one option.
  • If you added this option in the wizard, right-click the page, and then choose Launch Drawing Monitor.


Actions and events for a page

When you add an action to a page, the action becomes available from the page's shortcut menu (right-click when no shapes are selected).

When you add an event to a page, you define how shapes in the drawing on that page respond to particular user actions, such as opening a file.

Click an option bullet for more information.

Click to show or hide information. Refresh Shapes On Page

Adds the Refresh command to the page shortcut menu. When you right-click the page and choose Refresh, values in the shape's ShapeSheet cells are refreshed to match values in the database records to which they are linked. Choosing Refresh on the page shortcut menu refreshes all shapes on the page at once.

Click to show or hide information. Update Shapes On Page

Adds the Update command to the page shortcut menu. When you right-click the page and choose Update, values in the database records are updated to match values in the ShapeSheet cells to which the records are linked. Choosing Update on the page shortcut menu updates database records for all shapes on the page at once.

Click to show or hide information. Refresh Linked Shapes On Document Open

Refreshes ShapeSheet cell values for all shapes in your drawing file each time you open the drawing file. When you refresh shapes, values in each shape's ShapeSheet cells are refreshed to match values in the linked database records.

Click to show or hide information. Periodically Refresh Based On NOW Function

Refreshes ShapeSheet cell values for all shapes in a linked drawing file at specific intervals defined by the NOW function. When you refresh shapes, values in each shape's ShapeSheet cells are updated to match values in the linked database records. When you choose this option, the wizard adds two right-mouse actions to the page. To start or stop the continuous refresh, right-click the page when no shapes are selected, and then choose the action you want.


About the Database Wizard

Before you link Microsoft Visio shapes and drawings to database records, you must have the appropriate ODBC (Open Database Connectivity) components and database drivers installed on your computer.

Click to show or hide information. What can you do in the Database Wizard?

  • Link shapes to a database record.

For example, if you have an employee database that contains employee names, phone extensions, and titles, you could link a record in the database to a business card shape.

Or if you have a company database, in a floor plan, you could represent each department with a shape, and then link each shape to the department's record in your database.

  • Create a linked drawing that represents a database table.

For example, if you have a table in a database that tracks occupancy in your hotel, you could create a diagram that shows a physical representation of all of the hotel rooms and their occupancy.

  • Generate new masters (shapes) from an existing database.

For example, if you have a database cataloging all of the bolts your company makes and their dimensions (width and height), you could have Visio automatically create masters on a stencil that represent every bolt in that database.

  • Add update commands to a page.

If you have a number of linked shapes, and you want to be able to refresh them all at once, you could add commands to the page's shortcut (right-click) menu to update the page or update the database. You could also add update commands to a linked shape's shortcut menu.

Click to show or hide information. What is ODBC?

ODBC (Open Database Connectivity) is a standard Microsoft interface that allows programs to access, view, and modify data from databases.

For the Database Wizard to link Visio shapes and drawings to a database, the database must be an ODBC data source.

Click to show or hide information. How do I know whether to connect a shape instance, document stencil, or stand-alone stencil to a database record?

The first step in establishing a connection between your Visio drawing and a database is to link a shape to a database record.

  • When you link a shape instance, no other shapes are affected. If you make copies of the linked shape, the copies are also linked.
  • When you link a master on a document stencil (the stencil made up of all the masters you've used in a drawing file), you also automatically link all instances of that master in the drawing file.
  • When you link a master on a stand-alone stencil (one of the stencils that came with your Visio product or one you created), each time you drop the master, the new instance is also linked.


About the Database Export Wizard

The Database Export Wizard generates a database table that contains data stored in custom property and other ShapeSheet cells.

Click to show or hide information. What the wizard does

If shapes have custom properties in which you have entered data, you can generate a database table by running the Database Export Wizard to export data from shapes.

For example, you can create an inventory report for shapes in an office layout or network diagram. When you run the wizard, you can select the ShapeSheet cells from which you want to export data.

You can generate a new database, overwrite data in an existing database table, or insert a new table into an existing database. The wizard works with any ODBC-compliant database application.

Click to show or hide information. Tables in databases

To insert a table into an existing database, you must define the database as an ODBC data source. You can define the database as a data source within the Database Export Wizard. When you create a new database in the wizard, you also define it as a data source.

Click to show or hide information. Data export to databases

You can export data for every shape in the drawing or for selected shapes. When you export, the wizard determines the most appropriate data type for the information in each ShapeSheet cell you are exporting. You can change the data type settings, and you can specify how you want to interpret the data (for example, as a formula, value, number, or number with a particular set of units).

Click to show or hide information. How shapes, records, tables, and fields relate in a database

Each shape in a drawing is represented by a record (or row) in a database table, and each ShapeSheet cell is represented by a field (or column). Data you enter in ShapeSheet cells appears as values in the database table fields.

Shape custom properties represented in a database table

Click to show or hide information. What is ODBC?

ODBC (Open Database Connectivity) is an industry standard that Microsoft interface programs can use to access, view, and modify data from databases.

The Database Export Wizard exports Microsoft Visio data to database tables created in ODBC-compliant database programs such as Microsoft Access and Microsoft SQL Server.

To determine whether your database program is ODBC-compliant, check the program's documentation.


Shapes from which to export data

From this wizard page, you identify the shapes in your drawing from which you want to export data.

Click to show or hide information. All Shapes On The Page

To export data from all shapes on the drawing page, click the option button, and then click Next.

Click to show or hide information. Selected Shapes On The Page

To select the shapes that contain data you want to export, click the option button, and then click Select Shapes.

Click to show or hide information. All Shapes On One Or More Layers

To export data only for shapes assigned to specific layers, click the option button, and then click Next.

Click to show or hide information. Layers

Available only if the drawing contains layers and you click All shapes on one or more layers. Click to select the layers that include shapes that contain data you want to export. Press SHIFT+CLICK to select multiple layers.


Data for export

On this page, you specify the ShapeSheet cells that contain data that you want to export to the database table.

Click to show or hide information. Visio Cells And Fields

Lists the ShapeSheet cells, including custom property fields, associated with the shapes for which you are exporting data. To indicate the cells containing data that you want to export, select them, and then click Add. To export data from all cells, click Add All.

Click to show or hide information. Show All Cells

To display all the cells in the ShapeSheet spreadsheets of the shapes for which you're exporting data, select this check box. To display only the shapes' custom property fields, click to clear this check box. Custom property field names begin with Prop.

Click to show or hide information. Cells And Fields To Export

Lists the cells containing data that the wizard will export. To remove a cell from this category, select it, and then click Remove. To remove all cells, click Remove All.

Click to show or hide information. Custom property fields

A custom property is a field in which you can enter data relevant to a shape. Many Microsoft Visio shapes have custom property fields already assigned. For example, shapes on the flowchart stencils have Cost, Duration, and Resources custom property fields. Custom properties are stored in ShapeSheet cells; however, you usually enter data in custom properties by selecting shapes and choosing Custom Properties from the Shape menu or Custom Properties Window from the View menu.


Select an ODBC data source

If the database to which you want to export isn't listed on this page, the database may not be defined as an ODBC data source.

To define an existing database as an ODBC data source, click Create Data Source, and then follow the instructions on the following screens.

If you have defined a database as a data source and stored it in DSN format somewhere other than in the default location (C:\Program Files\Common Files\ODBC\Data Sources), click Browse for File DSN to locate the file.


Export table details

On this page, you indicate the name of the database table to which you want the shape data exported and the type of data you want in the key field (the field that uniquely identifies each shape) for the database table.

Click to show or hide information. Database

The name of the ODBC data source you identified on the previous screen.

Click to show or hide information. Table Name

If the database has tables, they are listed in the lower text box. To export shape data to an existing table, select the table name in the lower text box, and it will appear in the upper text box. To create a new table and export shape data to it, type a name for the new table in the upper text box.

Click to show or hide information. Key Field

The wizard creates a key field in the database table called ShapeKey. You can type a new name for the field. The key field is the field that uniquely identifies each shape.

Click to show or hide information. Key Type

Click either ShapeID or GUID.

  • ShapeID is a number assigned to a shape by the Microsoft Visio program according to the order in which the shape was created on the page.
  • GUID is a unique, null-terminated, 128-bit string assigned to each shape when you export its data.

No two shapes in the same document will have the same GUID.

Click to show or hide information. Make Key Field The Primary Key For Table

By making the key field a primary key field, you can increase the speed with which your database program can access the field. Not all ODBC data sources can mark fields as primary key fields.


Export mapping details

On this page, you specify how you want the data to be interpreted in the database table.

For each ShapeSheet cell from which you are exporting data, the wizard assigns a default data type and a name, type, and size for the field that the data will occupy in the database. You can change the defaults.

Click to show or hide information. Visio Data

Select the ShapeSheet cell for which you want to specify details.

Click to show or hide information. Evaluate Data As

Specify how data is evaluated when it is copied from the ShapeSheet cell to the database field:

Click to show or hide information. Field Name

Type a name (or column heading) for the database field to which data in the ShapeSheet cell will be exported. By default, the name is the cell name.

Click to show or hide information. Field Type

Select a data type for the database field.

Click to show or hide information. Field Size

Type the size in bytes of a variable length field.

Click to show or hide information. Field Decimal

Type the number of decimal places supported by the field. Available only when the selected type supports a variable number of decimal places.


Database Settings

In the Database Setting dialog box, you can set certain aspects of ODBC (Open Database Connectivity) behavior. After you have linked Microsoft Visio shapes or drawings to databases created in ODBC-compliant applications, the settings control how the changes are passed to the database.

The settings are global; that is, they apply to all the drawing-database links you have established.

ODBC settings

Click to show or hide information. Number Of Update Retries

Type the number of times you want to try updating a database based on changes to a drawing to which the database is linked if the first attempt fails.

Click to show or hide information. Update Retry Interval (Msecs)

Type the number of milliseconds between update attempts.

Click to show or hide information. Time-Out Interval (Secs)

Type the number of seconds after which the update attempts time out.

Click to show or hide information. Default ODBC Data Source

Click the ODBC data source to which you want the Database Wizard or Link to Database command to link by default. When you are linking a shape to a database, you can specify a different data source.

Database monitor settings

Click to show or hide information. Automatically Refresh Drawing Page

To pass changes from a database to a drawing according to the interval you specify, select this check box.

Click to show or hide information. Refresh Drawing Interval (secs.)

Type the number of seconds that you want to elapse before changes to a database are passed to a drawing. If it takes longer than the time you enter to refresh a drawing, the Visio program adjusts the time accordingly.


Report dialog box

Click to show or hide information. Report Definition

Lists the report definitions that are stored in the current drawing, in the Samples\Visio Extras folder (in the Microsoft Visio installation folder), or in your Visio drawing folder.

Click to show or hide information. Run

Creates a report based on the selected report definition.

Click to show or hide information. New

Starts the Report Definition wizard so that you can create a new report definition.

Click to show or hide information. Modify

Starts the Report Definition wizard so that you can change the selected report definition.

Click to show or hide information. Remove

Deletes the selected report definition from the list. You can only delete report definitions that are saved in the drawing. To remove report definitions stored in files, delete the file containing the report.

Click to show or hide information. Browse

Allows you to search for a report definition stored in a file that is not in the default search path.


Run Report dialog box

Click to show or hide information. Select Report Format

Lists the output formats for the generated report.

Click to show or hide information. Save Report As

Names the file in which to save the generated report. Only available if you have selected the HTML, Microsoft Excel (file), or XML report formats.

Click to show or hide information. Save Report With

Only available if you have selected the Microsoft Excel (shape) or Visio Table Shape report formats.

Copy of report definition Stores a copy of the report definition with the shape that contains the generated report. Changes you make to the original report definition will not change the report shape. You can, however, modify the report definition stored with the shape.

Link to report definition Links the shape that contains the generated report to a report definition. Changes you make to the report definition affect the report stored in the shape the next time you update the report.


Limit Selection dialog box

Specifies criteria that shapes must meet to be included in the property report. For example, if all of the computers in an office layout are on a layer named "Computer," you can include only the shapes on that layer by using the following criteria:

<Layer Name> = Computer

You can combine multiple criteria, which are joined by an AND operator, into a selection expression.

Click to show or hide information. Property

Specifies a property to include in the selection criteria. Properties include custom properties, layer names, user-defined ShapeSheet cells, and Autodiscovery shapes. For example, to find all people in an organization chart who belong to a particular department, choose Department from the Property list and specify a department name.

Click to show or hide information. Condition

Specifies a restriction or qualification that the property must meet. For example, to find all organization chart shapes for a particular department, choose Department and then click = in the Condition list.

The available conditions vary depending on the selected property.

Condition | Action | Used for
> | Greater than | Properties that contain numbers
< | Less than | Properties that contain numbers
>= | Greater than or equal to | Properties that contain numbers
<= | Less than or equal to | Properties that contain numbers
= | Equal to | Properties that contain numbers or strings, or the Layer or Master properties
<> | Not equal to | Properties that contain numbers or strings, or the Layer or Master properties
Exists | Indicates that the property exists | Custom properties, user-defined cells, the <Autodiscovery Shape> property, and the <Displayed Text> property

Click to show or hide information. Value

Specifies a value that completes the condition, such as text or a number. For example, to find all organization chart shapes in the Finance department, click Department in the Property list, click = in the Condition list, and then type Finance in the Value box.

The value type you can specify depends on the selected property and condition. For example, if the condition is Exists, the only values you can select are True and False. If you select a custom property that has a type of Date, you must provide a valid date.

Click to show or hide information. Defined Criteria

Shows the criteria that are included in the selection expression.

Click to show or hide information. Add

Adds the criteria you've specified in the Property, Condition, and Value boxes to the selection expression.

Click to show or hide information. Delete

Deletes the selected criteria from the selection expression.

Click to show or hide information. Clear

Deletes all criteria from the selection expression.

Click to show or hide information. Advanced

Opens a dialog box in which you can enter criteria by entering an XML pattern string. A selection expression in the Advanced dialog box supersedes an expression you create in the Limit Selection dialog box.


Subtotals dialog box

Groups selected data together and performs a calculation on the group.

Click to show or hide information. Group By

Specifies the property by which you want to group.

Click to show or hide information. Subtotals

Specifies the calculations you want to perform on a group. To select a calculation for a property, select the check box. The Count calculation is available for all properties. The remaining calculations, such as Total, can only be performed on numerical properties.

Click to show or hide information. Options

Opens a dialog to specify how the grouped data is displayed.


Options dialog box

Specifies how grouped data are displayed.

Click to show or hide information. Show All Values

Displays all selected properties as individual line items.

Click to show or hide information. Don't Repeat Identical Values

Displays all selected properties as individual line items unless they are duplicates of one another. If subtotals are selected, also displays subtotals for each group.

Click to show or hide information. Show Subtotals Only

Displays only the subtotals for each group. Individual property values are not displayed as line items.

Click to show or hide information. Show Grand Totals (Summary Totals)

Displays grand summary totals. Available only for properties with the Total calculation selected.


Sort dialog box

Click to show or hide information. Column Order

Specifies the order in which columns appear in the report.

Click to show or hide information. Row Order

Specifies the order in which rows appear in the report. Only available for 3 or more rows.


Format dialog box

Click to show or hide information. Precision

Specifies the precision for numbers displayed in the report. Enter a value from 0 to 14.

Click to show or hide information. Show Units

Includes measurement units in the report.


Advanced dialog box

Specifies a selection pattern that limits the selection of shapes to be included in the report definition.

Enter an XML pattern string in the text box using the correct XML syntax. The pattern expression that you enter overrides all other criteria that you may have previously selected in the Selection Criteria dialog box.

For example, the following expression selects only shapes that are named "Predefined Process" and that also have a custom property named "Cost":

(@Name = "Predefined Process") and (Prop/@Name = "Cost")

The pattern expression can be as long as you want, but it must be one expression. You can combine expressions using AND and OR.

To enter the proper syntax, become familiar with the Visio Interchange XML file format (VIF) schema that is generated by the Visio Data Gatherer component or the Visio VDX schema. For details on these schemas, see the Visio XML Reference in the MSDN library (www.msdn.microsoft.com).

The syntax that you enter here will not be validated by the Property Reporter; therefore, you must make sure that the selection expression you enter is correct to get the results that you expect. If you enter an invalid expression, the Property Reporter displays an error message indicating where the expression failed.


Update Report dialog box

Click to show or hide information. Report Definitions

Lists the report definitions that are stored in the current drawing, in the Samples\Visio Extras folder (in the Microsoft Visio installation folder), or in your Visio drawing folder. To change the report definition associated with the report shape, select a different definition.

Click to show or hide information. Run

Creates a report based on the selected report definition and replaces the data in the selected report shape.

Click to show or hide information. Modify

Starts the Report Definition wizard so that you can change the selected report definition.

Click to show or hide information. Browse

Allows you to search for a report definition stored in a file that is not in the default search path (the Visio Extras folder and the Visio drawing folder).

Click to show or hide information. Save Report With

Specifies whether to save the report definition in the report shape or save a link to the report definition.